/******************************************************************************
 * The copyright in this software is being made available under the BSD        *
 * License, included below. This software may be subject to other third party  *
 * and contributor rights, including patent rights, and no such rights are     *
 * granted under this license.                                                 *
 *    <OWNER> = ISO                                                            *
 *    <ORGANIZATION> = ISO                                                     *
 *    <YEAR> = 2015                                                            *
 *    Copyright (c) 2012-2015, ISO                                             *
 *                                                                             *
 * All rights reserved.                                                        *
 * Redistribution and use in source and binary forms, with or without          *
 * modification, are permitted provided that the following conditions are met: *
 *       * Redistributions of source code must retain the above copyright      *
 *         notice,this list of conditions and the following disclaimer.        *
 *       * Redistributions in binary form must reproduce the above             *
 *         copyright notice, this list of conditions and the following         *
 *         disclaimer in the documentation and/or other materials provided     *
 *         with the distribution.                                              *
 *       * Neither the name of the <ORGANIZATION> nor the names of its         *
 *         contributors may be used to endorse or promote products derived     *
 *         from this software without specific prior written permission.       *
 *                                                                             *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" *
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE   *
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE  *
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE   *
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR         *
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF        *
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS    *
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN     *
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)     *
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE  *
 * POSSIBILITY OF SUCH DAMAGE.                                                 *
 ******************************************************************************/

#ifndef JH_LOG_DATA_H
#define JH_LOG_DATA_H

#define DOLBY_LOGN 14

const static float dolby_log_lookup_table[1<<DOLBY_LOGN] = {
    0.00000000e+00f, 8.80524301e-05f, 1.76099486e-04f, 2.64141170e-04f,
    3.52177480e-04f, 4.40208419e-04f, 5.28233987e-04f, 6.16254184e-04f,
    7.04269011e-04f, 7.92278469e-04f, 8.80282559e-04f, 9.68281280e-04f,
    1.05627463e-03f, 1.14426262e-03f, 1.23224524e-03f, 1.32022250e-03f,
    1.40819439e-03f, 1.49616092e-03f, 1.58412209e-03f, 1.67207789e-03f,
    1.76002833e-03f, 1.84797341e-03f, 1.93591312e-03f, 2.02384748e-03f,
    2.11177648e-03f, 2.19970012e-03f, 2.28761840e-03f, 2.37553133e-03f,
    2.46343889e-03f, 2.55134110e-03f, 2.63923796e-03f, 2.72712946e-03f,
    2.81501561e-03f, 2.90289640e-03f, 2.99077184e-03f, 3.07864193e-03f,
    3.16650667e-03f, 3.25436605e-03f, 3.34222009e-03f, 3.43006877e-03f,
    3.51791211e-03f, 3.60575010e-03f, 3.69358274e-03f, 3.78141003e-03f,
    3.86923198e-03f, 3.95704858e-03f, 4.04485984e-03f, 4.13266575e-03f,
    4.22046632e-03f, 4.30826154e-03f, 4.39605143e-03f, 4.48383597e-03f,
    4.57161517e-03f, 4.65938903e-03f, 4.74715755e-03f, 4.83492073e-03f,
    4.92267857e-03f, 5.01043107e-03f, 5.09817824e-03f, 5.18592007e-03f,
    5.27365656e-03f, 5.36138772e-03f, 5.44911355e-03f, 5.53683404e-03f,
    5.62454919e-03f, 5.71225902e-03f, 5.79996351e-03f, 5.88766267e-03f,
    5.97535650e-03f, 6.06304500e-03f, 6.15072817e-03f, 6.23840601e-03f,
    6.32607852e-03f, 6.41374571e-03f, 6.50140757e-03f, 6.58906410e-03f,
    6.67671531e-03f, 6.76436119e-03f, 6.85200175e-03f, 6.93963698e-03f,
    7.02726689e-03f, 7.11489148e-03f, 7.20251075e-03f, 7.29012470e-03f,
    7.37773332e-03f, 7.46533663e-03f, 7.55293461e-03f, 7.64052728e-03f,
    7.72811463e-03f, 7.81569667e-03f, 7.90327338e-03f, 7.99084478e-03f,
    8.07841087e-03f, 8.16597164e-03f, 8.25352710e-03f, 8.34107724e-03f,
    8.42862207e-03f, 8.51616159e-03f, 8.60369580e-03f, 8.69122469e-03f,
    8.77874828e-03f, 8.86626656e-03f, 8.95377953e-03f, 9.04128719e-03f,
    9.12878954e-03f, 9.21628659e-03f, 9.30377832e-03f, 9.39126476e-03f,
    9.47874589e-03f, 9.56622171e-03f, 9.65369223e-03f, 9.74115745e-03f,
    9.82861737e-03f, 9.91607198e-03f, 1.00035213e-02f, 1.00909653e-02f,
    1.01784040e-02f, 1.02658374e-02f, 1.03532655e-02f, 1.04406884e-02f,
    1.05281059e-02f, 1.06155181e-02f, 1.07029250e-02f, 1.07903267e-02f,
    1.08777230e-02f, 1.09651141e-02f, 1.10524998e-02f, 1.11398803e-02f,
    1.12272554e-02f, 1.13146253e-02f, 1.14019899e-02f, 1.14893492e-02f,
    1.15767032e-02f, 1.16640519e-02f, 1.17513953e-02f, 1.18387335e-02f,
    1.19260663e-02f, 1.20133939e-02f, 1.21007162e-02f, 1.21880331e-02f,
    1.22753449e-02f, 1.23626513e-02f, 1.24499524e-02f, 1.25372483e-02f,
    1.26245389e-02f, 1.27118242e-02f, 1.27991042e-02f, 1.28863789e-02f,
    1.29736484e-02f, 1.30609126e-02f, 1.31481715e-02f, 1.32354251e-02f,
    1.33226734e-02f, 1.34099165e-02f, 1.34971543e-02f, 1.35843868e-02f,
    1.36716141e-02f, 1.37588360e-02f, 1.38460527e-02f, 1.39332642e-02f,
    1.40204703e-02f, 1.41076712e-02f, 1.41948668e-02f, 1.42820572e-02f,
    1.43692422e-02f, 1.44564220e-02f, 1.45435966e-02f, 1.46307659e-02f,
    1.47179299e-02f, 1.48050886e-02f, 1.48922421e-02f, 1.49793903e-02f,
    1.50665332e-02f, 1.51536709e-02f, 1.52408033e-02f, 1.53279305e-02f,
    1.54150524e-02f, 1.55021690e-02f, 1.55892804e-02f, 1.56763865e-02f,
    1.57634874e-02f, 1.58505830e-02f, 1.59376733e-02f, 1.60247584e-02f,
    1.61118382e-02f, 1.61989128e-02f, 1.62859821e-02f, 1.63730462e-02f,
    1.64601050e-02f, 1.65471585e-02f, 1.66342068e-02f, 1.67212499e-02f,
    1.68082877e-02f, 1.68953202e-02f, 1.69823475e-02f, 1.70693696e-02f,
    1.71563864e-02f, 1.72433979e-02f, 1.73304042e-02f, 1.74174053e-02f,
    1.75044011e-02f, 1.75913917e-02f, 1.76783770e-02f, 1.77653571e-02f,
    1.78523319e-02f, 1.79393015e-02f, 1.80262658e-02f, 1.81132249e-02f,
    1.82001788e-02f, 1.82871274e-02f, 1.83740708e-02f, 1.84610090e-02f,
    1.85479419e-02f, 1.86348695e-02f, 1.87217920e-02f, 1.88087092e-02f,
    1.88956211e-02f, 1.89825278e-02f, 1.90694293e-02f, 1.91563256e-02f,
    1.92432166e-02f, 1.93301024e-02f, 1.94169829e-02f, 1.95038583e-02f,
    1.95907284e-02f, 1.96775932e-02f, 1.97644528e-02f, 1.98513073e-02f,
    1.99381564e-02f, 2.00250004e-02f, 2.01118391e-02f, 2.01986726e-02f,
    2.02855008e-02f, 2.03723239e-02f, 2.04591417e-02f, 2.05459543e-02f,
    2.06327617e-02f, 2.07195638e-02f, 2.08063607e-02f, 2.08931524e-02f,
    2.09799389e-02f, 2.10667202e-02f, 2.11534962e-02f, 2.12402670e-02f,
    2.13270326e-02f, 2.14137930e-02f, 2.15005482e-02f, 2.15872981e-02f,
    2.16740429e-02f, 2.17607824e-02f, 2.18475167e-02f, 2.19342458e-02f,
    2.20209696e-02f, 2.21076883e-02f, 2.21944018e-02f, 2.22811100e-02f,
    2.23678130e-02f, 2.24545108e-02f, 2.25412035e-02f, 2.26278909e-02f,
    2.27145730e-02f, 2.28012500e-02f, 2.28879218e-02f, 2.29745884e-02f,
    2.30612497e-02f, 2.31479059e-02f, 2.32345568e-02f, 2.33212026e-02f,
    2.34078431e-02f, 2.34944785e-02f, 2.35811086e-02f, 2.36677336e-02f,
    2.37543533e-02f, 2.38409678e-02f, 2.39275772e-02f, 2.40141813e-02f,
    2.41007803e-02f, 2.41873740e-02f, 2.42739625e-02f, 2.43605459e-02f,
    2.44471240e-02f, 2.45336970e-02f, 2.46202648e-02f, 2.47068273e-02f,
    2.47933847e-02f, 2.48799369e-02f, 2.49664839e-02f, 2.50530257e-02f,
    2.51395623e-02f, 2.52260937e-02f, 2.53126199e-02f, 2.53991410e-02f,
    2.54856568e-02f, 2.55721675e-02f, 2.56586729e-02f, 2.57451732e-02f,
    2.58316683e-02f, 2.59181582e-02f, 2.60046430e-02f, 2.60911225e-02f,
    2.61775969e-02f, 2.62640661e-02f, 2.63505301e-02f, 2.64369889e-02f,
    2.65234425e-02f, 2.66098910e-02f, 2.66963342e-02f, 2.67827723e-02f,
    2.68692053e-02f, 2.69556330e-02f, 2.70420556e-02f, 2.71284730e-02f,
    2.72148852e-02f, 2.73012922e-02f, 2.73876941e-02f, 2.74740907e-02f,
    2.75604822e-02f, 2.76468686e-02f, 2.77332498e-02f, 2.78196257e-02f,
    2.79059966e-02f, 2.79923622e-02f, 2.80787227e-02f, 2.81650780e-02f,
    2.82514282e-02f, 2.83377731e-02f, 2.84241129e-02f, 2.85104476e-02f,
    2.85967771e-02f, 2.86831014e-02f, 2.87694205e-02f, 2.88557345e-02f,
    2.89420433e-02f, 2.90283470e-02f, 2.91146455e-02f, 2.92009388e-02f,
    2.92872270e-02f, 2.93735100e-02f, 2.94597878e-02f, 2.95460605e-02f,
    2.96323280e-02f, 2.97185904e-02f, 2.98048476e-02f, 2.98910997e-02f,
    2.99773466e-02f, 3.00635883e-02f, 3.01498249e-02f, 3.02360564e-02f,
    3.03222826e-02f, 3.04085038e-02f, 3.04947197e-02f, 3.05809306e-02f,
    3.06671362e-02f, 3.07533368e-02f, 3.08395321e-02f, 3.09257224e-02f,
    3.10119074e-02f, 3.10980874e-02f, 3.11842621e-02f, 3.12704318e-02f,
    3.13565963e-02f, 3.14427556e-02f, 3.15289098e-02f, 3.16150588e-02f,
    3.17012027e-02f, 3.17873415e-02f, 3.18734751e-02f, 3.19596036e-02f,
    3.20457269e-02f, 3.21318451e-02f, 3.22179582e-02f, 3.23040661e-02f,
    3.23901689e-02f, 3.24762665e-02f, 3.25623590e-02f, 3.26484464e-02f,
    3.27345286e-02f, 3.28206057e-02f, 3.29066776e-02f, 3.29927444e-02f,
    3.30788061e-02f, 3.31648627e-02f, 3.32509141e-02f, 3.33369604e-02f,
    3.34230015e-02f, 3.35090376e-02f, 3.35950685e-02f, 3.36810942e-02f,
    3.37671148e-02f, 3.38531304e-02f, 3.39391407e-02f, 3.40251460e-02f,
    3.41111461e-02f, 3.41971411e-02f, 3.42831310e-02f, 3.43691157e-02f,
    3.44550953e-02f, 3.45410698e-02f, 3.46270392e-02f, 3.47130034e-02f,
    3.47989626e-02f, 3.48849166e-02f, 3.49708655e-02f, 3.50568092e-02f,
    3.51427479e-02f, 3.52286814e-02f, 3.53146098e-02f, 3.54005331e-02f,
    3.54864513e-02f, 3.55723644e-02f, 3.56582723e-02f, 3.57441751e-02f,
    3.58300728e-02f, 3.59159654e-02f, 3.60018529e-02f, 3.60877353e-02f,
    3.61736126e-02f, 3.62594847e-02f, 3.63453517e-02f, 3.64312137e-02f,
    3.65170705e-02f, 3.66029222e-02f, 3.66887688e-02f, 3.67746103e-02f,
    3.68604467e-02f, 3.69462780e-02f, 3.70321041e-02f, 3.71179252e-02f,
    3.72037412e-02f, 3.72895520e-02f, 3.73753578e-02f, 3.74611584e-02f,
    3.75469540e-02f, 3.76327444e-02f, 3.77185298e-02f, 3.78043100e-02f,
    3.78900851e-02f, 3.79758552e-02f, 3.80616201e-02f, 3.81473800e-02f,
    3.82331347e-02f, 3.83188844e-02f, 3.84046289e-02f, 3.84903684e-02f,
    3.85761028e-02f, 3.86618320e-02f, 3.87475562e-02f, 3.88332753e-02f,
    3.89189893e-02f, 3.90046982e-02f, 3.90904020e-02f, 3.91761007e-02f,
    3.92617943e-02f, 3.93474829e-02f, 3.94331663e-02f, 3.95188447e-02f,
    3.96045180e-02f, 3.96901861e-02f, 3.97758492e-02f, 3.98615072e-02f,
    3.99471602e-02f, 4.00328080e-02f, 4.01184508e-02f, 4.02040884e-02f,
    4.02897210e-02f, 4.03753485e-02f, 4.04609710e-02f, 4.05465883e-02f,
    4.06322006e-02f, 4.07178077e-02f, 4.08034098e-02f, 4.08890069e-02f,
    4.09745988e-02f, 4.10601857e-02f, 4.11457675e-02f, 4.12313442e-02f,
    4.13169158e-02f, 4.14024824e-02f, 4.14880439e-02f, 4.15736003e-02f,
    4.16591516e-02f, 4.17446979e-02f, 4.18302391e-02f, 4.19157752e-02f,
    4.20013063e-02f, 4.20868323e-02f, 4.21723532e-02f, 4.22578690e-02f,
    4.23433798e-02f, 4.24288855e-02f, 4.25143861e-02f, 4.25998817e-02f,
    4.26853722e-02f, 4.27708577e-02f, 4.28563380e-02f, 4.29418133e-02f,
    4.30272836e-02f, 4.31127488e-02f, 4.31982089e-02f, 4.32836640e-02f,
    4.33691140e-02f, 4.34545589e-02f, 4.35399988e-02f, 4.36254336e-02f,
    4.37108633e-02f, 4.37962880e-02f, 4.38817077e-02f, 4.39671223e-02f,
    4.40525318e-02f, 4.41379363e-02f, 4.42233357e-02f, 4.43087301e-02f,
    4.43941194e-02f, 4.44795036e-02f, 4.45648828e-02f, 4.46502570e-02f,
    4.47356261e-02f, 4.48209901e-02f, 4.49063491e-02f, 4.49917030e-02f,
    4.50770519e-02f, 4.51623958e-02f, 4.52477346e-02f, 4.53330683e-02f,
    4.54183970e-02f, 4.55037207e-02f, 4.55890393e-02f, 4.56743529e-02f,
    4.57596614e-02f, 4.58449649e-02f, 4.59302633e-02f, 4.60155567e-02f,
    4.61008450e-02f, 4.61861283e-02f, 4.62714066e-02f, 4.63566798e-02f,
    4.64419480e-02f, 4.65272112e-02f, 4.66124693e-02f, 4.66977223e-02f,
    4.67829704e-02f, 4.68682133e-02f, 4.69534513e-02f, 4.70386842e-02f,
    4.71239121e-02f, 4.72091350e-02f, 4.72943528e-02f, 4.73795656e-02f,
    4.74647733e-02f, 4.75499760e-02f, 4.76351737e-02f, 4.77203664e-02f,
    4.78055540e-02f, 4.78907366e-02f, 4.79759142e-02f, 4.80610867e-02f,
    4.81462542e-02f, 4.82314167e-02f, 4.83165742e-02f, 4.84017266e-02f,
    4.84868740e-02f, 4.85720164e-02f, 4.86571537e-02f, 4.87422861e-02f,
    4.88274134e-02f, 4.89125356e-02f, 4.89976529e-02f, 4.90827652e-02f,
    4.91678724e-02f, 4.92529746e-02f, 4.93380718e-02f, 4.94231639e-02f,
    4.95082511e-02f, 4.95933332e-02f, 4.96784103e-02f, 4.97634824e-02f,
    4.98485495e-02f, 4.99336115e-02f, 5.00186686e-02f, 5.01037206e-02f,
    5.01887676e-02f, 5.02738096e-02f, 5.03588466e-02f, 5.04438786e-02f,
    5.05289055e-02f, 5.06139275e-02f, 5.06989444e-02f, 5.07839564e-02f,
    5.08689633e-02f, 5.09539652e-02f, 5.10389621e-02f, 5.11239540e-02f,
    5.12089409e-02f, 5.12939228e-02f, 5.13788997e-02f, 5.14638716e-02f,
    5.15488384e-02f, 5.16338003e-02f, 5.17187572e-02f, 5.18037090e-02f,
    5.18886559e-02f, 5.19735978e-02f, 5.20585346e-02f, 5.21434665e-02f,
    5.22283933e-02f, 5.23133152e-02f, 5.23982321e-02f, 5.24831439e-02f,
    5.25680508e-02f, 5.26529527e-02f, 5.27378495e-02f, 5.28227414e-02f,
    5.29076283e-02f, 5.29925102e-02f, 5.30773871e-02f, 5.31622590e-02f,
    5.32471259e-02f, 5.33319878e-02f, 5.34168448e-02f, 5.35016967e-02f,
    5.35865436e-02f, 5.36713856e-02f, 5.37562226e-02f, 5.38410545e-02f,
    5.39258815e-02f, 5.40107035e-02f, 5.40955206e-02f, 5.41803326e-02f,
    5.42651396e-02f, 5.43499417e-02f, 5.44347388e-02f, 5.45195309e-02f,
    5.46043180e-02f, 5.46891001e-02f, 5.47738772e-02f, 5.48586494e-02f,
    5.49434166e-02f, 5.50281788e-02f, 5.51129360e-02f, 5.51976882e-02f,
    5.52824355e-02f, 5.53671778e-02f, 5.54519151e-02f, 5.55366474e-02f,
    5.56213748e-02f, 5.57060972e-02f, 5.57908146e-02f, 5.58755270e-02f,
    5.59602345e-02f, 5.60449369e-02f, 5.61296344e-02f, 5.62143270e-02f,
    5.62990146e-02f, 5.63836971e-02f, 5.64683748e-02f, 5.65530474e-02f,
    5.66377151e-02f, 5.67223778e-02f, 5.68070356e-02f, 5.68916884e-02f,
    5.69763362e-02f, 5.70609790e-02f, 5.71456169e-02f, 5.72302498e-02f,
    5.73148778e-02f, 5.73995008e-02f, 5.74841188e-02f, 5.75687319e-02f,
    5.76533400e-02f, 5.77379431e-02f, 5.78225413e-02f, 5.79071345e-02f,
    5.79917228e-02f, 5.80763061e-02f, 5.81608844e-02f, 5.82454578e-02f,
    5.83300262e-02f, 5.84145897e-02f, 5.84991482e-02f, 5.85837017e-02f,
    5.86682503e-02f, 5.87527940e-02f, 5.88373327e-02f, 5.89218664e-02f,
    5.90063952e-02f, 5.90909190e-02f, 5.91754379e-02f, 5.92599518e-02f,
    5.93444608e-02f, 5.94289649e-02f, 5.95134639e-02f, 5.95979581e-02f,
    5.96824472e-02f, 5.97669315e-02f, 5.98514108e-02f, 5.99358851e-02f,
    6.00203545e-02f, 6.01048190e-02f, 6.01892785e-02f, 6.02737330e-02f,
    6.03581826e-02f, 6.04426273e-02f, 6.05270670e-02f, 6.06115018e-02f,
    6.06959317e-02f, 6.07803566e-02f, 6.08647766e-02f, 6.09491916e-02f,
    6.10336017e-02f, 6.11180068e-02f, 6.12024070e-02f, 6.12868023e-02f,
    6.13711927e-02f, 6.14555781e-02f, 6.15399585e-02f, 6.16243341e-02f,
    6.17087047e-02f, 6.17930703e-02f, 6.18774311e-02f, 6.19617869e-02f,
    6.20461377e-02f, 6.21304837e-02f, 6.22148247e-02f, 6.22991607e-02f,
    6.23834919e-02f, 6.24678181e-02f, 6.25521394e-02f, 6.26364557e-02f,
    6.27207672e-02f, 6.28050737e-02f, 6.28893752e-02f, 6.29736719e-02f,
    6.30579636e-02f, 6.31422504e-02f, 6.32265323e-02f, 6.33108093e-02f,
    6.33950813e-02f, 6.34793484e-02f, 6.35636106e-02f, 6.36478679e-02f,
    6.37321202e-02f, 6.38163676e-02f, 6.39006101e-02f, 6.39848477e-02f,
    6.40690804e-02f, 6.41533081e-02f, 6.42375310e-02f, 6.43217489e-02f,
    6.44059619e-02f, 6.44901700e-02f, 6.45743731e-02f, 6.46585714e-02f,
    6.47427648e-02f, 6.48269532e-02f, 6.49111367e-02f, 6.49953153e-02f,
    6.50794890e-02f, 6.51636578e-02f, 6.52478217e-02f, 6.53319806e-02f,
    6.54161347e-02f, 6.55002838e-02f, 6.55844281e-02f, 6.56685674e-02f,
    6.57527018e-02f, 6.58368313e-02f, 6.59209559e-02f, 6.60050757e-02f,
    6.60891905e-02f, 6.61733004e-02f, 6.62574054e-02f, 6.63415054e-02f,
    6.64256006e-02f, 6.65096909e-02f, 6.65937763e-02f, 6.66778568e-02f,
    6.67619324e-02f, 6.68460031e-02f, 6.69300689e-02f, 6.70141298e-02f,
    6.70981857e-02f, 6.71822368e-02f, 6.72662830e-02f, 6.73503243e-02f,
    6.74343608e-02f, 6.75183923e-02f, 6.76024189e-02f, 6.76864406e-02f,
    6.77704574e-02f, 6.78544694e-02f, 6.79384764e-02f, 6.80224786e-02f,
    6.81064759e-02f, 6.81904682e-02f, 6.82744557e-02f, 6.83584383e-02f,
    6.84424160e-02f, 6.85263888e-02f, 6.86103568e-02f, 6.86943198e-02f,
    6.87782780e-02f, 6.88622313e-02f, 6.89461796e-02f, 6.90301232e-02f,
    6.91140618e-02f, 6.91979955e-02f, 6.92819244e-02f, 6.93658483e-02f,
    6.94497674e-02f, 6.95336816e-02f, 6.96175910e-02f, 6.97014954e-02f,
    6.97853950e-02f, 6.98692897e-02f, 6.99531795e-02f, 7.00370644e-02f,
    7.01209445e-02f, 7.02048197e-02f, 7.02886900e-02f, 7.03725554e-02f,
    7.04564159e-02f, 7.05402716e-02f, 7.06241224e-02f, 7.07079684e-02f,
    7.07918094e-02f, 7.08756456e-02f, 7.09594769e-02f, 7.10433034e-02f,
    7.11271249e-02f, 7.12109417e-02f, 7.12947535e-02f, 7.13785605e-02f,
    7.14623626e-02f, 7.15461598e-02f, 7.16299522e-02f, 7.17137397e-02f,
    7.17975223e-02f, 7.18813001e-02f, 7.19650730e-02f, 7.20488410e-02f,
    7.21326042e-02f, 7.22163625e-02f, 7.23001159e-02f, 7.23838645e-02f,
    7.24676082e-02f, 7.25513471e-02f, 7.26350811e-02f, 7.27188103e-02f,
    7.28025345e-02f, 7.28862540e-02f, 7.29699685e-02f, 7.30536783e-02f,
    7.31373831e-02f, 7.32210831e-02f, 7.33047783e-02f, 7.33884685e-02f,
    7.34721540e-02f, 7.35558346e-02f, 7.36395103e-02f, 7.37231812e-02f,
    7.38068472e-02f, 7.38905083e-02f, 7.39741647e-02f, 7.40578161e-02f,
    7.41414628e-02f, 7.42251045e-02f, 7.43087414e-02f, 7.43923735e-02f,
    7.44760007e-02f, 7.45596231e-02f, 7.46432406e-02f, 7.47268533e-02f,
    7.48104612e-02f, 7.48940642e-02f, 7.49776623e-02f, 7.50612556e-02f,
    7.51448441e-02f, 7.52284277e-02f, 7.53120065e-02f, 7.53955804e-02f,
    7.54791495e-02f, 7.55627137e-02f, 7.56462732e-02f, 7.57298277e-02f,
    7.58133775e-02f, 7.58969224e-02f, 7.59804624e-02f, 7.60639976e-02f,
    7.61475280e-02f, 7.62310536e-02f, 7.63145743e-02f, 7.63980902e-02f,
    7.64816012e-02f, 7.65651074e-02f, 7.66486088e-02f, 7.67321053e-02f,
    7.68155971e-02f, 7.68990839e-02f, 7.69825660e-02f, 7.70660432e-02f,
    7.71495156e-02f, 7.72329831e-02f, 7.73164459e-02f, 7.73999038e-02f,
    7.74833569e-02f, 7.75668051e-02f, 7.76502485e-02f, 7.77336871e-02f,
    7.78171209e-02f, 7.79005498e-02f, 7.79839740e-02f, 7.80673933e-02f,
    7.81508077e-02f, 7.82342174e-02f, 7.83176222e-02f, 7.84010222e-02f,
    7.84844174e-02f, 7.85678078e-02f, 7.86511933e-02f, 7.87345741e-02f,
    7.88179500e-02f, 7.89013211e-02f, 7.89846873e-02f, 7.90680488e-02f,
    7.91514054e-02f, 7.92347572e-02f, 7.93181043e-02f, 7.94014464e-02f,
    7.94847838e-02f, 7.95681164e-02f, 7.96514441e-02f, 7.97347671e-02f,
    7.98180852e-02f, 7.99013985e-02f, 7.99847070e-02f, 8.00680107e-02f,
    8.01513096e-02f, 8.02346037e-02f, 8.03178930e-02f, 8.04011774e-02f,
    8.04844571e-02f, 8.05677319e-02f, 8.06510019e-02f, 8.07342672e-02f,
    8.08175276e-02f, 8.09007832e-02f, 8.09840340e-02f, 8.10672801e-02f,
    8.11505213e-02f, 8.12337577e-02f, 8.13169893e-02f, 8.14002161e-02f,
    8.14834381e-02f, 8.15666553e-02f, 8.16498677e-02f, 8.17330753e-02f,
    8.18162781e-02f, 8.18994761e-02f, 8.19826693e-02f, 8.20658577e-02f,
    8.21490414e-02f, 8.22322202e-02f, 8.23153942e-02f, 8.23985634e-02f,
    8.24817279e-02f, 8.25648875e-02f, 8.26480424e-02f, 8.27311924e-02f,
    8.28143377e-02f, 8.28974781e-02f, 8.29806138e-02f, 8.30637447e-02f,
    8.31468708e-02f, 8.32299921e-02f, 8.33131087e-02f, 8.33962204e-02f,
    8.34793273e-02f, 8.35624295e-02f, 8.36455269e-02f, 8.37286195e-02f,
    8.38117073e-02f, 8.38947903e-02f, 8.39778685e-02f, 8.40609420e-02f,
    8.41440106e-02f, 8.42270745e-02f, 8.43101336e-02f, 8.43931879e-02f,
    8.44762375e-02f, 8.45592822e-02f, 8.46423222e-02f, 8.47253574e-02f,
    8.48083878e-02f, 8.48914134e-02f, 8.49744343e-02f, 8.50574504e-02f,
    8.51404617e-02f, 8.52234682e-02f, 8.53064700e-02f, 8.53894670e-02f,
    8.54724592e-02f, 8.55554466e-02f, 8.56384293e-02f, 8.57214072e-02f,
    8.58043803e-02f, 8.58873486e-02f, 8.59703122e-02f, 8.60532710e-02f,
    8.61362250e-02f, 8.62191743e-02f, 8.63021188e-02f, 8.63850585e-02f,
    8.64679935e-02f, 8.65509237e-02f, 8.66338491e-02f, 8.67167697e-02f,
    8.67996856e-02f, 8.68825967e-02f, 8.69655031e-02f, 8.70484047e-02f,
    8.71313015e-02f, 8.72141936e-02f, 8.72970809e-02f, 8.73799635e-02f,
    8.74628413e-02f, 8.75457143e-02f, 8.76285825e-02f, 8.77114460e-02f,
    8.77943048e-02f, 8.78771588e-02f, 8.79600080e-02f, 8.80428525e-02f,
    8.81256922e-02f, 8.82085271e-02f, 8.82913573e-02f, 8.83741828e-02f,
    8.84570035e-02f, 8.85398194e-02f, 8.86226306e-02f, 8.87054370e-02f,
    8.87882387e-02f, 8.88710356e-02f, 8.89538278e-02f, 8.90366152e-02f,
    8.91193979e-02f, 8.92021758e-02f, 8.92849490e-02f, 8.93677174e-02f,
    8.94504811e-02f, 8.95332400e-02f, 8.96159942e-02f, 8.96987437e-02f,
    8.97814884e-02f, 8.98642283e-02f, 8.99469635e-02f, 9.00296940e-02f,
    9.01124197e-02f, 9.01951406e-02f, 9.02778569e-02f, 9.03605683e-02f,
    9.04432751e-02f, 9.05259771e-02f, 9.06086743e-02f, 9.06913669e-02f,
    9.07740546e-02f, 9.08567377e-02f, 9.09394160e-02f, 9.10220895e-02f,
    9.11047584e-02f, 9.11874225e-02f, 9.12700818e-02f, 9.13527364e-02f,
    9.14353863e-02f, 9.15180315e-02f, 9.16006719e-02f, 9.16833076e-02f,
    9.17659385e-02f, 9.18485647e-02f, 9.19311862e-02f, 9.20138030e-02f,
    9.20964150e-02f, 9.21790223e-02f, 9.22616248e-02f, 9.23442227e-02f,
    9.24268158e-02f, 9.25094042e-02f, 9.25919878e-02f, 9.26745667e-02f,
    9.27571409e-02f, 9.28397104e-02f, 9.29222751e-02f, 9.30048352e-02f,
    9.30873904e-02f, 9.31699410e-02f, 9.32524869e-02f, 9.33350280e-02f,
    9.34175644e-02f, 9.35000961e-02f, 9.35826230e-02f, 9.36651453e-02f,
    9.37476628e-02f, 9.38301756e-02f, 9.39126837e-02f, 9.39951870e-02f,
    9.40776857e-02f, 9.41601796e-02f, 9.42426688e-02f, 9.43251533e-02f,
    9.44076331e-02f, 9.44901081e-02f, 9.45725785e-02f, 9.46550441e-02f,
    9.47375050e-02f, 9.48199613e-02f, 9.49024128e-02f, 9.49848595e-02f,
    9.50673016e-02f, 9.51497390e-02f, 9.52321716e-02f, 9.53145996e-02f,
    9.53970228e-02f, 9.54794413e-02f, 9.55618551e-02f, 9.56442642e-02f,
    9.57266686e-02f, 9.58090683e-02f, 9.58914633e-02f, 9.59738536e-02f,
    9.60562392e-02f, 9.61386201e-02f, 9.62209962e-02f, 9.63033677e-02f,
    9.63857345e-02f, 9.64680965e-02f, 9.65504539e-02f, 9.66328065e-02f,
    9.67151545e-02f, 9.67974977e-02f, 9.68798363e-02f, 9.69621702e-02f,
    9.70444993e-02f, 9.71268238e-02f, 9.72091436e-02f, 9.72914586e-02f,
    9.73737690e-02f, 9.74560747e-02f, 9.75383756e-02f, 9.76206719e-02f,
    9.77029635e-02f, 9.77852504e-02f, 9.78675326e-02f, 9.79498101e-02f,
    9.80320830e-02f, 9.81143511e-02f, 9.81966145e-02f, 9.82788733e-02f,
    9.83611273e-02f, 9.84433767e-02f, 9.85256214e-02f, 9.86078614e-02f,
    9.86900967e-02f, 9.87723273e-02f, 9.88545532e-02f, 9.89367745e-02f,
    9.90189910e-02f, 9.91012029e-02f, 9.91834101e-02f, 9.92656126e-02f,
    9.93478104e-02f, 9.94300035e-02f, 9.95121920e-02f, 9.95943758e-02f,
    9.96765549e-02f, 9.97587293e-02f, 9.98408990e-02f, 9.99230641e-02f,
    1.00005224e-01f, 1.00087380e-01f, 1.00169531e-01f, 1.00251677e-01f,
    1.00333819e-01f, 1.00415956e-01f, 1.00498088e-01f, 1.00580216e-01f,
    1.00662339e-01f, 1.00744457e-01f, 1.00826571e-01f, 1.00908680e-01f,
    1.00990784e-01f, 1.01072884e-01f, 1.01154979e-01f, 1.01237069e-01f,
    1.01319154e-01f, 1.01401235e-01f, 1.01483312e-01f, 1.01565383e-01f,
    1.01647450e-01f, 1.01729512e-01f, 1.01811570e-01f, 1.01893623e-01f,
    1.01975671e-01f, 1.02057715e-01f, 1.02139753e-01f, 1.02221788e-01f,
    1.02303817e-01f, 1.02385842e-01f, 1.02467862e-01f, 1.02549878e-01f,
    1.02631889e-01f, 1.02713895e-01f, 1.02795897e-01f, 1.02877894e-01f,
    1.02959886e-01f, 1.03041874e-01f, 1.03123856e-01f, 1.03205835e-01f,
    1.03287808e-01f, 1.03369777e-01f, 1.03451742e-01f, 1.03533701e-01f,
    1.03615656e-01f, 1.03697607e-01f, 1.03779552e-01f, 1.03861493e-01f,
    1.03943430e-01f, 1.04025362e-01f, 1.04107289e-01f, 1.04189211e-01f,
    1.04271129e-01f, 1.04353042e-01f, 1.04434951e-01f, 1.04516854e-01f,
    1.04598754e-01f, 1.04680648e-01f, 1.04762538e-01f, 1.04844423e-01f,
    1.04926304e-01f, 1.05008180e-01f, 1.05090051e-01f, 1.05171918e-01f,
    1.05253780e-01f, 1.05335637e-01f, 1.05417490e-01f, 1.05499338e-01f,
    1.05581181e-01f, 1.05663020e-01f, 1.05744854e-01f, 1.05826684e-01f,
    1.05908509e-01f, 1.05990329e-01f, 1.06072144e-01f, 1.06153955e-01f,
    1.06235762e-01f, 1.06317563e-01f, 1.06399360e-01f, 1.06481153e-01f,
    1.06562940e-01f, 1.06644724e-01f, 1.06726502e-01f, 1.06808276e-01f,
    1.06890045e-01f, 1.06971810e-01f, 1.07053570e-01f, 1.07135325e-01f,
    1.07217076e-01f, 1.07298822e-01f, 1.07380563e-01f, 1.07462300e-01f,
    1.07544032e-01f, 1.07625759e-01f, 1.07707482e-01f, 1.07789201e-01f,
    1.07870914e-01f, 1.07952623e-01f, 1.08034328e-01f, 1.08116027e-01f,
    1.08197723e-01f, 1.08279413e-01f, 1.08361099e-01f, 1.08442780e-01f,
    1.08524457e-01f, 1.08606129e-01f, 1.08687796e-01f, 1.08769459e-01f,
    1.08851117e-01f, 1.08932771e-01f, 1.09014419e-01f, 1.09096064e-01f,
    1.09177703e-01f, 1.09259338e-01f, 1.09340969e-01f, 1.09422595e-01f,
    1.09504216e-01f, 1.09585832e-01f, 1.09667444e-01f, 1.09749052e-01f,
    1.09830654e-01f, 1.09912252e-01f, 1.09993846e-01f, 1.10075435e-01f,
    1.10157019e-01f, 1.10238599e-01f, 1.10320174e-01f, 1.10401744e-01f,
    1.10483310e-01f, 1.10564871e-01f, 1.10646428e-01f, 1.10727980e-01f,
    1.10809527e-01f, 1.10891070e-01f, 1.10972608e-01f, 1.11054141e-01f,
    1.11135670e-01f, 1.11217195e-01f, 1.11298714e-01f, 1.11380229e-01f,
    1.11461740e-01f, 1.11543246e-01f, 1.11624747e-01f, 1.11706244e-01f,
    1.11787736e-01f, 1.11869223e-01f, 1.11950706e-01f, 1.12032184e-01f,
    1.12113658e-01f, 1.12195127e-01f, 1.12276592e-01f, 1.12358052e-01f,
    1.12439507e-01f, 1.12520957e-01f, 1.12602404e-01f, 1.12683845e-01f,
    1.12765282e-01f, 1.12846714e-01f, 1.12928142e-01f, 1.13009565e-01f,
    1.13090983e-01f, 1.13172397e-01f, 1.13253807e-01f, 1.13335211e-01f,
    1.13416611e-01f, 1.13498007e-01f, 1.13579398e-01f, 1.13660784e-01f,
    1.13742166e-01f, 1.13823543e-01f, 1.13904916e-01f, 1.13986284e-01f,
    1.14067647e-01f, 1.14149006e-01f, 1.14230360e-01f, 1.14311710e-01f,
    1.14393055e-01f, 1.14474395e-01f, 1.14555731e-01f, 1.14637062e-01f,
    1.14718389e-01f, 1.14799711e-01f, 1.14881029e-01f, 1.14962342e-01f,
    1.15043650e-01f, 1.15124954e-01f, 1.15206253e-01f, 1.15287548e-01f,
    1.15368838e-01f, 1.15450123e-01f, 1.15531404e-01f, 1.15612680e-01f,
    1.15693952e-01f, 1.15775219e-01f, 1.15856482e-01f, 1.15937740e-01f,
    1.16018993e-01f, 1.16100242e-01f, 1.16181486e-01f, 1.16262726e-01f,
    1.16343961e-01f, 1.16425192e-01f, 1.16506418e-01f, 1.16587639e-01f,
    1.16668856e-01f, 1.16750068e-01f, 1.16831276e-01f, 1.16912479e-01f,
    1.16993678e-01f, 1.17074872e-01f, 1.17156061e-01f, 1.17237246e-01f,
    1.17318426e-01f, 1.17399602e-01f, 1.17480773e-01f, 1.17561939e-01f,
    1.17643101e-01f, 1.17724259e-01f, 1.17805412e-01f, 1.17886560e-01f,
    1.17967704e-01f, 1.18048843e-01f, 1.18129977e-01f, 1.18211108e-01f,
    1.18292233e-01f, 1.18373354e-01f, 1.18454470e-01f, 1.18535582e-01f,
    1.18616689e-01f, 1.18697792e-01f, 1.18778890e-01f, 1.18859984e-01f,
    1.18941073e-01f, 1.19022157e-01f, 1.19103237e-01f, 1.19184312e-01f,
    1.19265383e-01f, 1.19346449e-01f, 1.19427511e-01f, 1.19508568e-01f,
    1.19589621e-01f, 1.19670669e-01f, 1.19751712e-01f, 1.19832751e-01f,
    1.19913785e-01f, 1.19994815e-01f, 1.20075840e-01f, 1.20156861e-01f,
    1.20237877e-01f, 1.20318889e-01f, 1.20399896e-01f, 1.20480898e-01f,
    1.20561896e-01f, 1.20642890e-01f, 1.20723879e-01f, 1.20804863e-01f,
    1.20885843e-01f, 1.20966818e-01f, 1.21047789e-01f, 1.21128755e-01f,
    1.21209716e-01f, 1.21290673e-01f, 1.21371626e-01f, 1.21452574e-01f,
    1.21533517e-01f, 1.21614456e-01f, 1.21695391e-01f, 1.21776320e-01f,
    1.21857246e-01f, 1.21938166e-01f, 1.22019083e-01f, 1.22099994e-01f,
    1.22180901e-01f, 1.22261804e-01f, 1.22342702e-01f, 1.22423595e-01f,
    1.22504484e-01f, 1.22585369e-01f, 1.22666249e-01f, 1.22747124e-01f,
    1.22827995e-01f, 1.22908861e-01f, 1.22989723e-01f, 1.23070580e-01f,
    1.23151433e-01f, 1.23232281e-01f, 1.23313125e-01f, 1.23393964e-01f,
    1.23474798e-01f, 1.23555628e-01f, 1.23636454e-01f, 1.23717275e-01f,
    1.23798091e-01f, 1.23878903e-01f, 1.23959711e-01f, 1.24040513e-01f,
    1.24121312e-01f, 1.24202106e-01f, 1.24282895e-01f, 1.24363680e-01f,
    1.24444460e-01f, 1.24525236e-01f, 1.24606007e-01f, 1.24686774e-01f,
    1.24767536e-01f, 1.24848293e-01f, 1.24929047e-01f, 1.25009795e-01f,
    1.25090539e-01f, 1.25171279e-01f, 1.25252014e-01f, 1.25332744e-01f,
    1.25413470e-01f, 1.25494192e-01f, 1.25574909e-01f, 1.25655621e-01f,
    1.25736329e-01f, 1.25817033e-01f, 1.25897732e-01f, 1.25978426e-01f,
    1.26059116e-01f, 1.26139801e-01f, 1.26220482e-01f, 1.26301159e-01f,
    1.26381831e-01f, 1.26462498e-01f, 1.26543161e-01f, 1.26623819e-01f,
    1.26704473e-01f, 1.26785122e-01f, 1.26865767e-01f, 1.26946407e-01f,
    1.27027043e-01f, 1.27107674e-01f, 1.27188301e-01f, 1.27268923e-01f,
    1.27349541e-01f, 1.27430154e-01f, 1.27510763e-01f, 1.27591367e-01f,
    1.27671967e-01f, 1.27752562e-01f, 1.27833153e-01f, 1.27913739e-01f,
    1.27994321e-01f, 1.28074898e-01f, 1.28155471e-01f, 1.28236039e-01f,
    1.28316603e-01f, 1.28397162e-01f, 1.28477717e-01f, 1.28558267e-01f,
    1.28638813e-01f, 1.28719354e-01f, 1.28799891e-01f, 1.28880423e-01f,
    1.28960951e-01f, 1.29041474e-01f, 1.29121993e-01f, 1.29202507e-01f,
    1.29283017e-01f, 1.29363522e-01f, 1.29444023e-01f, 1.29524519e-01f,
    1.29605011e-01f, 1.29685498e-01f, 1.29765981e-01f, 1.29846460e-01f,
    1.29926934e-01f, 1.30007403e-01f, 1.30087868e-01f, 1.30168328e-01f,
    1.30248784e-01f, 1.30329235e-01f, 1.30409682e-01f, 1.30490125e-01f,
    1.30570563e-01f, 1.30650996e-01f, 1.30731425e-01f, 1.30811850e-01f,
    1.30892270e-01f, 1.30972685e-01f, 1.31053096e-01f, 1.31133503e-01f,
    1.31213905e-01f, 1.31294303e-01f, 1.31374696e-01f, 1.31455084e-01f,
    1.31535469e-01f, 1.31615848e-01f, 1.31696224e-01f, 1.31776594e-01f,
    1.31856961e-01f, 1.31937322e-01f, 1.32017680e-01f, 1.32098033e-01f,
    1.32178381e-01f, 1.32258725e-01f, 1.32339064e-01f, 1.32419399e-01f,
    1.32499730e-01f, 1.32580056e-01f, 1.32660377e-01f, 1.32740694e-01f,
    1.32821007e-01f, 1.32901315e-01f, 1.32981619e-01f, 1.33061918e-01f,
    1.33142212e-01f, 1.33222503e-01f, 1.33302788e-01f, 1.33383070e-01f,
    1.33463347e-01f, 1.33543619e-01f, 1.33623887e-01f, 1.33704150e-01f,
    1.33784409e-01f, 1.33864664e-01f, 1.33944914e-01f, 1.34025159e-01f,
    1.34105400e-01f, 1.34185637e-01f, 1.34265869e-01f, 1.34346097e-01f,
    1.34426320e-01f, 1.34506539e-01f, 1.34586753e-01f, 1.34666963e-01f,
    1.34747169e-01f, 1.34827370e-01f, 1.34907566e-01f, 1.34987758e-01f,
    1.35067946e-01f, 1.35148129e-01f, 1.35228308e-01f, 1.35308482e-01f,
    1.35388652e-01f, 1.35468817e-01f, 1.35548978e-01f, 1.35629134e-01f,
    1.35709286e-01f, 1.35789434e-01f, 1.35869577e-01f, 1.35949715e-01f,
    1.36029849e-01f, 1.36109979e-01f, 1.36190104e-01f, 1.36270225e-01f,
    1.36350341e-01f, 1.36430453e-01f, 1.36510561e-01f, 1.36590664e-01f,
    1.36670762e-01f, 1.36750856e-01f, 1.36830946e-01f, 1.36911031e-01f,
    1.36991112e-01f, 1.37071188e-01f, 1.37151260e-01f, 1.37231328e-01f,
    1.37311391e-01f, 1.37391449e-01f, 1.37471503e-01f, 1.37551553e-01f,
    1.37631598e-01f, 1.37711639e-01f, 1.37791675e-01f, 1.37871707e-01f,
    1.37951735e-01f, 1.38031758e-01f, 1.38111776e-01f, 1.38191790e-01f,
    1.38271800e-01f, 1.38351805e-01f, 1.38431806e-01f, 1.38511803e-01f,
    1.38591795e-01f, 1.38671782e-01f, 1.38751765e-01f, 1.38831744e-01f,
    1.38911718e-01f, 1.38991688e-01f, 1.39071653e-01f, 1.39151614e-01f,
    1.39231571e-01f, 1.39311523e-01f, 1.39391470e-01f, 1.39471414e-01f,
    1.39551352e-01f, 1.39631287e-01f, 1.39711217e-01f, 1.39791142e-01f,
    1.39871063e-01f, 1.39950980e-01f, 1.40030892e-01f, 1.40110800e-01f,
    1.40190703e-01f, 1.40270602e-01f, 1.40350497e-01f, 1.40430387e-01f,
    1.40510272e-01f, 1.40590154e-01f, 1.40670030e-01f, 1.40749903e-01f,
    1.40829771e-01f, 1.40909634e-01f, 1.40989493e-01f, 1.41069348e-01f,
    1.41149198e-01f, 1.41229044e-01f, 1.41308886e-01f, 1.41388723e-01f,
    1.41468555e-01f, 1.41548384e-01f, 1.41628207e-01f, 1.41708027e-01f,
    1.41787842e-01f, 1.41867652e-01f, 1.41947458e-01f, 1.42027260e-01f,
    1.42107057e-01f, 1.42186850e-01f, 1.42266639e-01f, 1.42346423e-01f,
    1.42426202e-01f, 1.42505978e-01f, 1.42585748e-01f, 1.42665515e-01f,
    1.42745277e-01f, 1.42825034e-01f, 1.42904788e-01f, 1.42984536e-01f,
    1.43064281e-01f, 1.43144021e-01f, 1.43223756e-01f, 1.43303487e-01f,
    1.43383214e-01f, 1.43462936e-01f, 1.43542654e-01f, 1.43622368e-01f,
    1.43702077e-01f, 1.43781782e-01f, 1.43861482e-01f, 1.43941178e-01f,
    1.44020869e-01f, 1.44100556e-01f, 1.44180239e-01f, 1.44259917e-01f,
    1.44339591e-01f, 1.44419261e-01f, 1.44498926e-01f, 1.44578587e-01f,
    1.44658243e-01f, 1.44737895e-01f, 1.44817542e-01f, 1.44897185e-01f,
    1.44976824e-01f, 1.45056458e-01f, 1.45136088e-01f, 1.45215714e-01f,
    1.45295335e-01f, 1.45374952e-01f, 1.45454564e-01f, 1.45534172e-01f,
    1.45613776e-01f, 1.45693375e-01f, 1.45772969e-01f, 1.45852560e-01f,
    1.45932146e-01f, 1.46011727e-01f, 1.46091305e-01f, 1.46170877e-01f,
    1.46250446e-01f, 1.46330010e-01f, 1.46409570e-01f, 1.46489125e-01f,
    1.46568676e-01f, 1.46648222e-01f, 1.46727764e-01f, 1.46807302e-01f,
    1.46886835e-01f, 1.46966364e-01f, 1.47045889e-01f, 1.47125409e-01f,
    1.47204925e-01f, 1.47284436e-01f, 1.47363943e-01f, 1.47443446e-01f,
    1.47522944e-01f, 1.47602438e-01f, 1.47681928e-01f, 1.47761413e-01f,
    1.47840894e-01f, 1.47920370e-01f, 1.47999842e-01f, 1.48079310e-01f,
    1.48158773e-01f, 1.48238232e-01f, 1.48317686e-01f, 1.48397136e-01f,
    1.48476582e-01f, 1.48556024e-01f, 1.48635461e-01f, 1.48714893e-01f,
    1.48794321e-01f, 1.48873745e-01f, 1.48953165e-01f, 1.49032580e-01f,
    1.49111991e-01f, 1.49191397e-01f, 1.49270799e-01f, 1.49350197e-01f,
    1.49429590e-01f, 1.49508979e-01f, 1.49588364e-01f, 1.49667744e-01f,
    1.49747120e-01f, 1.49826491e-01f, 1.49905858e-01f, 1.49985221e-01f,
    1.50064579e-01f, 1.50143933e-01f, 1.50223283e-01f, 1.50302628e-01f,
    1.50381969e-01f, 1.50461305e-01f, 1.50540638e-01f, 1.50619965e-01f,
    1.50699289e-01f, 1.50778608e-01f, 1.50857923e-01f, 1.50937233e-01f,
    1.51016539e-01f, 1.51095841e-01f, 1.51175138e-01f, 1.51254431e-01f,
    1.51333719e-01f, 1.51413003e-01f, 1.51492283e-01f, 1.51571559e-01f,
    1.51650830e-01f, 1.51730097e-01f, 1.51809359e-01f, 1.51888617e-01f,
    1.51967871e-01f, 1.52047120e-01f, 1.52126365e-01f, 1.52205606e-01f,
    1.52284842e-01f, 1.52364074e-01f, 1.52443302e-01f, 1.52522525e-01f,
    1.52601744e-01f, 1.52680959e-01f, 1.52760169e-01f, 1.52839375e-01f,
    1.52918576e-01f, 1.52997773e-01f, 1.53076966e-01f, 1.53156155e-01f,
    1.53235339e-01f, 1.53314518e-01f, 1.53393694e-01f, 1.53472865e-01f,
    1.53552032e-01f, 1.53631194e-01f, 1.53710352e-01f, 1.53789506e-01f,
    1.53868655e-01f, 1.53947800e-01f, 1.54026941e-01f, 1.54106077e-01f,
    1.54185209e-01f, 1.54264337e-01f, 1.54343460e-01f, 1.54422579e-01f,
    1.54501694e-01f, 1.54580804e-01f, 1.54659910e-01f, 1.54739012e-01f,
    1.54818109e-01f, 1.54897202e-01f, 1.54976291e-01f, 1.55055375e-01f,
    1.55134455e-01f, 1.55213530e-01f, 1.55292602e-01f, 1.55371669e-01f,
    1.55450731e-01f, 1.55529790e-01f, 1.55608844e-01f, 1.55687893e-01f,
    1.55766938e-01f, 1.55845979e-01f, 1.55925016e-01f, 1.56004048e-01f,
    1.56083076e-01f, 1.56162100e-01f, 1.56241119e-01f, 1.56320134e-01f,
    1.56399145e-01f, 1.56478151e-01f, 1.56557153e-01f, 1.56636151e-01f,
    1.56715144e-01f, 1.56794133e-01f, 1.56873118e-01f, 1.56952098e-01f,
    1.57031074e-01f, 1.57110046e-01f, 1.57189014e-01f, 1.57267977e-01f,
    1.57346935e-01f, 1.57425890e-01f, 1.57504840e-01f, 1.57583786e-01f,
    1.57662727e-01f, 1.57741664e-01f, 1.57820597e-01f, 1.57899526e-01f,
    1.57978450e-01f, 1.58057370e-01f, 1.58136285e-01f, 1.58215197e-01f,
    1.58294104e-01f, 1.58373006e-01f, 1.58451905e-01f, 1.58530799e-01f,
    1.58609688e-01f, 1.58688574e-01f, 1.58767455e-01f, 1.58846331e-01f,
    1.58925204e-01f, 1.59004072e-01f, 1.59082936e-01f, 1.59161795e-01f,
    1.59240650e-01f, 1.59319501e-01f, 1.59398348e-01f, 1.59477190e-01f,
    1.59556028e-01f, 1.59634862e-01f, 1.59713691e-01f, 1.59792516e-01f,
    1.59871337e-01f, 1.59950153e-01f, 1.60028965e-01f, 1.60107773e-01f,
    1.60186577e-01f, 1.60265376e-01f, 1.60344171e-01f, 1.60422961e-01f,
    1.60501748e-01f, 1.60580530e-01f, 1.60659307e-01f, 1.60738081e-01f,
    1.60816850e-01f, 1.60895614e-01f, 1.60974375e-01f, 1.61053131e-01f,
    1.61131883e-01f, 1.61210631e-01f, 1.61289374e-01f, 1.61368113e-01f,
    1.61446848e-01f, 1.61525578e-01f, 1.61604304e-01f, 1.61683026e-01f,
    1.61761743e-01f, 1.61840457e-01f, 1.61919165e-01f, 1.61997870e-01f,
    1.62076570e-01f, 1.62155266e-01f, 1.62233958e-01f, 1.62312646e-01f,
    1.62391329e-01f, 1.62470008e-01f, 1.62548682e-01f, 1.62627352e-01f,
    1.62706018e-01f, 1.62784680e-01f, 1.62863338e-01f, 1.62941991e-01f,
    1.63020640e-01f, 1.63099284e-01f, 1.63177924e-01f, 1.63256560e-01f,
    1.63335192e-01f, 1.63413819e-01f, 1.63492443e-01f, 1.63571061e-01f,
    1.63649676e-01f, 1.63728286e-01f, 1.63806892e-01f, 1.63885494e-01f,
    1.63964091e-01f, 1.64042685e-01f, 1.64121273e-01f, 1.64199858e-01f,
    1.64278438e-01f, 1.64357014e-01f, 1.64435586e-01f, 1.64514154e-01f,
    1.64592717e-01f, 1.64671276e-01f, 1.64749830e-01f, 1.64828381e-01f,
    1.64906927e-01f, 1.64985468e-01f, 1.65064006e-01f, 1.65142539e-01f,
    1.65221068e-01f, 1.65299593e-01f, 1.65378113e-01f, 1.65456629e-01f,
    1.65535141e-01f, 1.65613649e-01f, 1.65692152e-01f, 1.65770651e-01f,
    1.65849146e-01f, 1.65927637e-01f, 1.66006123e-01f, 1.66084605e-01f,
    1.66163083e-01f, 1.66241556e-01f, 1.66320025e-01f, 1.66398490e-01f,
    1.66476951e-01f, 1.66555407e-01f, 1.66633859e-01f, 1.66712307e-01f,
    1.66790751e-01f, 1.66869190e-01f, 1.66947625e-01f, 1.67026056e-01f,
    1.67104482e-01f, 1.67182905e-01f, 1.67261323e-01f, 1.67339736e-01f,
    1.67418146e-01f, 1.67496551e-01f, 1.67574952e-01f, 1.67653349e-01f,
    1.67731741e-01f, 1.67810129e-01f, 1.67888513e-01f, 1.67966893e-01f,
    1.68045268e-01f, 1.68123639e-01f, 1.68202006e-01f, 1.68280369e-01f,
    1.68358727e-01f, 1.68437081e-01f, 1.68515431e-01f, 1.68593777e-01f,
    1.68672118e-01f, 1.68750455e-01f, 1.68828788e-01f, 1.68907117e-01f,
    1.68985441e-01f, 1.69063761e-01f, 1.69142077e-01f, 1.69220388e-01f,
    1.69298696e-01f, 1.69376999e-01f, 1.69455298e-01f, 1.69533592e-01f,
    1.69611883e-01f, 1.69690169e-01f, 1.69768451e-01f, 1.69846728e-01f,
    1.69925001e-01f, 1.70003271e-01f, 1.70081535e-01f, 1.70159796e-01f,
    1.70238052e-01f, 1.70316304e-01f, 1.70394552e-01f, 1.70472796e-01f,
    1.70551035e-01f, 1.70629270e-01f, 1.70707501e-01f, 1.70785728e-01f,
    1.70863950e-01f, 1.70942169e-01f, 1.71020383e-01f, 1.71098592e-01f,
    1.71176798e-01f, 1.71254999e-01f, 1.71333196e-01f, 1.71411389e-01f,
    1.71489577e-01f, 1.71567761e-01f, 1.71645941e-01f, 1.71724117e-01f,
    1.71802289e-01f, 1.71880456e-01f, 1.71958619e-01f, 1.72036778e-01f,
    1.72114933e-01f, 1.72193083e-01f, 1.72271229e-01f, 1.72349371e-01f,
    1.72427509e-01f, 1.72505642e-01f, 1.72583771e-01f, 1.72661896e-01f,
    1.72740017e-01f, 1.72818134e-01f, 1.72896246e-01f, 1.72974354e-01f,
    1.73052458e-01f, 1.73130557e-01f, 1.73208653e-01f, 1.73286744e-01f,
    1.73364831e-01f, 1.73442914e-01f, 1.73520992e-01f, 1.73599066e-01f,
    1.73677136e-01f, 1.73755202e-01f, 1.73833264e-01f, 1.73911321e-01f,
    1.73989374e-01f, 1.74067423e-01f, 1.74145468e-01f, 1.74223508e-01f,
    1.74301544e-01f, 1.74379576e-01f, 1.74457604e-01f, 1.74535628e-01f,
    1.74613647e-01f, 1.74691662e-01f, 1.74769673e-01f, 1.74847680e-01f,
    1.74925683e-01f, 1.75003681e-01f, 1.75081675e-01f, 1.75159665e-01f,
    1.75237650e-01f, 1.75315632e-01f, 1.75393609e-01f, 1.75471582e-01f,
    1.75549551e-01f, 1.75627515e-01f, 1.75705476e-01f, 1.75783432e-01f,
    1.75861384e-01f, 1.75939331e-01f, 1.76017275e-01f, 1.76095214e-01f,
    1.76173149e-01f, 1.76251080e-01f, 1.76329007e-01f, 1.76406929e-01f,
    1.76484847e-01f, 1.76562761e-01f, 1.76640671e-01f, 1.76718577e-01f,
    1.76796478e-01f, 1.76874375e-01f, 1.76952268e-01f, 1.77030157e-01f,
    1.77108042e-01f, 1.77185922e-01f, 1.77263798e-01f, 1.77341670e-01f,
    1.77419538e-01f, 1.77497402e-01f, 1.77575261e-01f, 1.77653116e-01f,
    1.77730967e-01f, 1.77808814e-01f, 1.77886656e-01f, 1.77964495e-01f,
    1.78042329e-01f, 1.78120159e-01f, 1.78197985e-01f, 1.78275806e-01f,
    1.78353624e-01f, 1.78431437e-01f, 1.78509246e-01f, 1.78587050e-01f,
    1.78664851e-01f, 1.78742647e-01f, 1.78820440e-01f, 1.78898228e-01f,
    1.78976011e-01f, 1.79053791e-01f, 1.79131566e-01f, 1.79209338e-01f,
    1.79287105e-01f, 1.79364867e-01f, 1.79442626e-01f, 1.79520381e-01f,
    1.79598131e-01f, 1.79675877e-01f, 1.79753619e-01f, 1.79831357e-01f,
    1.79909090e-01f, 1.79986819e-01f, 1.80064544e-01f, 1.80142265e-01f,
    1.80219982e-01f, 1.80297695e-01f, 1.80375403e-01f, 1.80453107e-01f,
    1.80530807e-01f, 1.80608503e-01f, 1.80686195e-01f, 1.80763882e-01f,
    1.80841566e-01f, 1.80919245e-01f, 1.80996920e-01f, 1.81074590e-01f,
    1.81152257e-01f, 1.81229919e-01f, 1.81307577e-01f, 1.81385231e-01f,
    1.81462881e-01f, 1.81540527e-01f, 1.81618168e-01f, 1.81695806e-01f,
    1.81773439e-01f, 1.81851068e-01f, 1.81928693e-01f, 1.82006313e-01f,
    1.82083930e-01f, 1.82161542e-01f, 1.82239150e-01f, 1.82316754e-01f,
    1.82394353e-01f, 1.82471949e-01f, 1.82549540e-01f, 1.82627127e-01f,
    1.82704711e-01f, 1.82782289e-01f, 1.82859864e-01f, 1.82937435e-01f,
    1.83015001e-01f, 1.83092563e-01f, 1.83170121e-01f, 1.83247675e-01f,
    1.83325225e-01f, 1.83402770e-01f, 1.83480311e-01f, 1.83557848e-01f,
    1.83635381e-01f, 1.83712910e-01f, 1.83790435e-01f, 1.83867955e-01f,
    1.83945472e-01f, 1.84022984e-01f, 1.84100492e-01f, 1.84177996e-01f,
    1.84255495e-01f, 1.84332991e-01f, 1.84410482e-01f, 1.84487969e-01f,
    1.84565452e-01f, 1.84642931e-01f, 1.84720406e-01f, 1.84797877e-01f,
    1.84875343e-01f, 1.84952805e-01f, 1.85030263e-01f, 1.85107717e-01f,
    1.85185167e-01f, 1.85262612e-01f, 1.85340054e-01f, 1.85417491e-01f,
    1.85494924e-01f, 1.85572353e-01f, 1.85649778e-01f, 1.85727199e-01f,
    1.85804615e-01f, 1.85882027e-01f, 1.85959436e-01f, 1.86036840e-01f,
    1.86114240e-01f, 1.86191635e-01f, 1.86269027e-01f, 1.86346414e-01f,
    1.86423798e-01f, 1.86501177e-01f, 1.86578552e-01f, 1.86655922e-01f,
    1.86733289e-01f, 1.86810652e-01f, 1.86888010e-01f, 1.86965364e-01f,
    1.87042714e-01f, 1.87120060e-01f, 1.87197402e-01f, 1.87274740e-01f,
    1.87352073e-01f, 1.87429403e-01f, 1.87506728e-01f, 1.87584049e-01f,
    1.87661366e-01f, 1.87738679e-01f, 1.87815987e-01f, 1.87893292e-01f,
    1.87970592e-01f, 1.88047888e-01f, 1.88125180e-01f, 1.88202468e-01f,
    1.88279752e-01f, 1.88357032e-01f, 1.88434307e-01f, 1.88511578e-01f,
    1.88588846e-01f, 1.88666109e-01f, 1.88743368e-01f, 1.88820623e-01f,
    1.88897873e-01f, 1.88975120e-01f, 1.89052362e-01f, 1.89129600e-01f,
    1.89206835e-01f, 1.89284065e-01f, 1.89361290e-01f, 1.89438512e-01f,
    1.89515730e-01f, 1.89592943e-01f, 1.89670153e-01f, 1.89747358e-01f,
    1.89824559e-01f, 1.89901756e-01f, 1.89978949e-01f, 1.90056137e-01f,
    1.90133322e-01f, 1.90210502e-01f, 1.90287679e-01f, 1.90364851e-01f,
    1.90442019e-01f, 1.90519183e-01f, 1.90596342e-01f, 1.90673498e-01f,
    1.90750650e-01f, 1.90827797e-01f, 1.90904940e-01f, 1.90982080e-01f,
    1.91059215e-01f, 1.91136345e-01f, 1.91213472e-01f, 1.91290595e-01f,
    1.91367713e-01f, 1.91444828e-01f, 1.91521938e-01f, 1.91599044e-01f,
    1.91676146e-01f, 1.91753244e-01f, 1.91830338e-01f, 1.91907428e-01f,
    1.91984513e-01f, 1.92061595e-01f, 1.92138672e-01f, 1.92215745e-01f,
    1.92292814e-01f, 1.92369879e-01f, 1.92446940e-01f, 1.92523997e-01f,
    1.92601050e-01f, 1.92678098e-01f, 1.92755143e-01f, 1.92832183e-01f,
    1.92909219e-01f, 1.92986251e-01f, 1.93063279e-01f, 1.93140303e-01f,
    1.93217323e-01f, 1.93294338e-01f, 1.93371350e-01f, 1.93448357e-01f,
    1.93525361e-01f, 1.93602360e-01f, 1.93679355e-01f, 1.93756346e-01f,
    1.93833333e-01f, 1.93910315e-01f, 1.93987294e-01f, 1.94064268e-01f,
    1.94141239e-01f, 1.94218205e-01f, 1.94295167e-01f, 1.94372125e-01f,
    1.94449079e-01f, 1.94526029e-01f, 1.94602975e-01f, 1.94679917e-01f,
    1.94756854e-01f, 1.94833788e-01f, 1.94910717e-01f, 1.94987643e-01f,
    1.95064564e-01f, 1.95141481e-01f, 1.95218394e-01f, 1.95295303e-01f,
    1.95372207e-01f, 1.95449108e-01f, 1.95526005e-01f, 1.95602897e-01f,
    1.95679785e-01f, 1.95756670e-01f, 1.95833550e-01f, 1.95910426e-01f,
    1.95987298e-01f, 1.96064166e-01f, 1.96141030e-01f, 1.96217889e-01f,
    1.96294745e-01f, 1.96371597e-01f, 1.96448444e-01f, 1.96525287e-01f,
    1.96602127e-01f, 1.96678962e-01f, 1.96755793e-01f, 1.96832620e-01f,
    1.96909443e-01f, 1.96986261e-01f, 1.97063076e-01f, 1.97139887e-01f,
    1.97216693e-01f, 1.97293496e-01f, 1.97370294e-01f, 1.97447088e-01f,
    1.97523878e-01f, 1.97600664e-01f, 1.97677446e-01f, 1.97754224e-01f,
    1.97830998e-01f, 1.97907768e-01f, 1.97984533e-01f, 1.98061295e-01f,
    1.98138052e-01f, 1.98214806e-01f, 1.98291555e-01f, 1.98368300e-01f,
    1.98445041e-01f, 1.98521779e-01f, 1.98598511e-01f, 1.98675240e-01f,
    1.98751965e-01f, 1.98828686e-01f, 1.98905403e-01f, 1.98982115e-01f,
    1.99058824e-01f, 1.99135528e-01f, 1.99212228e-01f, 1.99288925e-01f,
    1.99365617e-01f, 1.99442305e-01f, 1.99518989e-01f, 1.99595669e-01f,
    1.99672345e-01f, 1.99749017e-01f, 1.99825684e-01f, 1.99902348e-01f,
    1.99979008e-01f, 2.00055663e-01f, 2.00132315e-01f, 2.00208962e-01f,
    2.00285605e-01f, 2.00362244e-01f, 2.00438880e-01f, 2.00515511e-01f,
    2.00592138e-01f, 2.00668761e-01f, 2.00745380e-01f, 2.00821994e-01f,
    2.00898605e-01f, 2.00975212e-01f, 2.01051814e-01f, 2.01128413e-01f,
    2.01205007e-01f, 2.01281598e-01f, 2.01358184e-01f, 2.01434766e-01f,
    2.01511345e-01f, 2.01587919e-01f, 2.01664489e-01f, 2.01741055e-01f,
    2.01817617e-01f, 2.01894175e-01f, 2.01970728e-01f, 2.02047278e-01f,
    2.02123824e-01f, 2.02200365e-01f, 2.02276903e-01f, 2.02353437e-01f,
    2.02429966e-01f, 2.02506491e-01f, 2.02583013e-01f, 2.02659530e-01f,
    2.02736043e-01f, 2.02812552e-01f, 2.02889058e-01f, 2.02965559e-01f,
    2.03042056e-01f, 2.03118548e-01f, 2.03195037e-01f, 2.03271522e-01f,
    2.03348003e-01f, 2.03424480e-01f, 2.03500952e-01f, 2.03577421e-01f,
    2.03653886e-01f, 2.03730346e-01f, 2.03806802e-01f, 2.03883255e-01f,
    2.03959703e-01f, 2.04036148e-01f, 2.04112588e-01f, 2.04189024e-01f,
    2.04265456e-01f, 2.04341884e-01f, 2.04418308e-01f, 2.04494728e-01f,
    2.04571144e-01f, 2.04647556e-01f, 2.04723964e-01f, 2.04800368e-01f,
    2.04876768e-01f, 2.04953163e-01f, 2.05029555e-01f, 2.05105943e-01f,
    2.05182326e-01f, 2.05258706e-01f, 2.05335081e-01f, 2.05411453e-01f,
    2.05487820e-01f, 2.05564184e-01f, 2.05640543e-01f, 2.05716898e-01f,
    2.05793249e-01f, 2.05869597e-01f, 2.05945940e-01f, 2.06022279e-01f,
    2.06098614e-01f, 2.06174945e-01f, 2.06251272e-01f, 2.06327595e-01f,
    2.06403914e-01f, 2.06480229e-01f, 2.06556540e-01f, 2.06632847e-01f,
    2.06709149e-01f, 2.06785448e-01f, 2.06861743e-01f, 2.06938034e-01f,
    2.07014320e-01f, 2.07090603e-01f, 2.07166881e-01f, 2.07243156e-01f,
    2.07319426e-01f, 2.07395693e-01f, 2.07471955e-01f, 2.07548214e-01f,
    2.07624468e-01f, 2.07700719e-01f, 2.07776965e-01f, 2.07853207e-01f,
    2.07929446e-01f, 2.08005680e-01f, 2.08081910e-01f, 2.08158136e-01f,
    2.08234358e-01f, 2.08310576e-01f, 2.08386791e-01f, 2.08463001e-01f,
    2.08539207e-01f, 2.08615409e-01f, 2.08691607e-01f, 2.08767801e-01f,
    2.08843991e-01f, 2.08920177e-01f, 2.08996359e-01f, 2.09072536e-01f,
    2.09148710e-01f, 2.09224880e-01f, 2.09301046e-01f, 2.09377208e-01f,
    2.09453366e-01f, 2.09529519e-01f, 2.09605669e-01f, 2.09681815e-01f,
    2.09757957e-01f, 2.09834094e-01f, 2.09910228e-01f, 2.09986358e-01f,
    2.10062483e-01f, 2.10138605e-01f, 2.10214722e-01f, 2.10290836e-01f,
    2.10366946e-01f, 2.10443051e-01f, 2.10519153e-01f, 2.10595250e-01f,
    2.10671344e-01f, 2.10747433e-01f, 2.10823519e-01f, 2.10899600e-01f,
    2.10975678e-01f, 2.11051751e-01f, 2.11127821e-01f, 2.11203886e-01f,
    2.11279947e-01f, 2.11356005e-01f, 2.11432058e-01f, 2.11508108e-01f,
    2.11584153e-01f, 2.11660194e-01f, 2.11736232e-01f, 2.11812265e-01f,
    2.11888295e-01f, 2.11964320e-01f, 2.12040341e-01f, 2.12116359e-01f,
    2.12192372e-01f, 2.12268381e-01f, 2.12344387e-01f, 2.12420388e-01f,
    2.12496385e-01f, 2.12572379e-01f, 2.12648368e-01f, 2.12724353e-01f,
    2.12800334e-01f, 2.12876312e-01f, 2.12952285e-01f, 2.13028254e-01f,
    2.13104220e-01f, 2.13180181e-01f, 2.13256138e-01f, 2.13332092e-01f,
    2.13408041e-01f, 2.13483986e-01f, 2.13559927e-01f, 2.13635865e-01f,
    2.13711798e-01f, 2.13787727e-01f, 2.13863653e-01f, 2.13939574e-01f,
    2.14015491e-01f, 2.14091405e-01f, 2.14167314e-01f, 2.14243219e-01f,
    2.14319121e-01f, 2.14395018e-01f, 2.14470912e-01f, 2.14546801e-01f,
    2.14622686e-01f, 2.14698568e-01f, 2.14774445e-01f, 2.14850319e-01f,
    2.14926188e-01f, 2.15002053e-01f, 2.15077915e-01f, 2.15153772e-01f,
    2.15229626e-01f, 2.15305475e-01f, 2.15381321e-01f, 2.15457162e-01f,
    2.15533000e-01f, 2.15608833e-01f, 2.15684663e-01f, 2.15760488e-01f,
    2.15836310e-01f, 2.15912128e-01f, 2.15987941e-01f, 2.16063751e-01f,
    2.16139556e-01f, 2.16215358e-01f, 2.16291156e-01f, 2.16366949e-01f,
    2.16442739e-01f, 2.16518525e-01f, 2.16594307e-01f, 2.16670084e-01f,
    2.16745858e-01f, 2.16821628e-01f, 2.16897394e-01f, 2.16973156e-01f,
    2.17048914e-01f, 2.17124667e-01f, 2.17200417e-01f, 2.17276163e-01f,
    2.17351905e-01f, 2.17427643e-01f, 2.17503377e-01f, 2.17579107e-01f,
    2.17654833e-01f, 2.17730555e-01f, 2.17806274e-01f, 2.17881988e-01f,
    2.17957698e-01f, 2.18033404e-01f, 2.18109106e-01f, 2.18184805e-01f,
    2.18260499e-01f, 2.18336189e-01f, 2.18411875e-01f, 2.18487558e-01f,
    2.18563236e-01f, 2.18638911e-01f, 2.18714581e-01f, 2.18790248e-01f,
    2.18865910e-01f, 2.18941569e-01f, 2.19017223e-01f, 2.19092874e-01f,
    2.19168520e-01f, 2.19244163e-01f, 2.19319802e-01f, 2.19395437e-01f,
    2.19471067e-01f, 2.19546694e-01f, 2.19622317e-01f, 2.19697936e-01f,
    2.19773551e-01f, 2.19849162e-01f, 2.19924769e-01f, 2.20000372e-01f,
    2.20075971e-01f, 2.20151566e-01f, 2.20227157e-01f, 2.20302744e-01f,
    2.20378328e-01f, 2.20453907e-01f, 2.20529482e-01f, 2.20605054e-01f,
    2.20680621e-01f, 2.20756184e-01f, 2.20831744e-01f, 2.20907300e-01f,
    2.20982851e-01f, 2.21058399e-01f, 2.21133942e-01f, 2.21209482e-01f,
    2.21285018e-01f, 2.21360550e-01f, 2.21436077e-01f, 2.21511601e-01f,
    2.21587121e-01f, 2.21662637e-01f, 2.21738149e-01f, 2.21813657e-01f,
    2.21889161e-01f, 2.21964662e-01f, 2.22040158e-01f, 2.22115650e-01f,
    2.22191138e-01f, 2.22266623e-01f, 2.22342103e-01f, 2.22417580e-01f,
    2.22493052e-01f, 2.22568521e-01f, 2.22643985e-01f, 2.22719446e-01f,
    2.22794903e-01f, 2.22870356e-01f, 2.22945804e-01f, 2.23021249e-01f,
    2.23096690e-01f, 2.23172127e-01f, 2.23247560e-01f, 2.23322990e-01f,
    2.23398415e-01f, 2.23473836e-01f, 2.23549253e-01f, 2.23624667e-01f,
    2.23700076e-01f, 2.23775481e-01f, 2.23850883e-01f, 2.23926281e-01f,
    2.24001674e-01f, 2.24077064e-01f, 2.24152450e-01f, 2.24227831e-01f,
    2.24303209e-01f, 2.24378583e-01f, 2.24453953e-01f, 2.24529319e-01f,
    2.24604682e-01f, 2.24680040e-01f, 2.24755394e-01f, 2.24830744e-01f,
    2.24906091e-01f, 2.24981433e-01f, 2.25056772e-01f, 2.25132106e-01f,
    2.25207437e-01f, 2.25282764e-01f, 2.25358086e-01f, 2.25433405e-01f,
    2.25508720e-01f, 2.25584031e-01f, 2.25659338e-01f, 2.25734641e-01f,
    2.25809941e-01f, 2.25885236e-01f, 2.25960527e-01f, 2.26035815e-01f,
    2.26111098e-01f, 2.26186378e-01f, 2.26261653e-01f, 2.26336925e-01f,
    2.26412193e-01f, 2.26487457e-01f, 2.26562717e-01f, 2.26637973e-01f,
    2.26713225e-01f, 2.26788473e-01f, 2.26863717e-01f, 2.26938957e-01f,
    2.27014194e-01f, 2.27089426e-01f, 2.27164655e-01f, 2.27239879e-01f,
    2.27315100e-01f, 2.27390317e-01f, 2.27465530e-01f, 2.27540738e-01f,
    2.27615943e-01f, 2.27691144e-01f, 2.27766342e-01f, 2.27841535e-01f,
    2.27916724e-01f, 2.27991910e-01f, 2.28067091e-01f, 2.28142269e-01f,
    2.28217442e-01f, 2.28292612e-01f, 2.28367778e-01f, 2.28442940e-01f,
    2.28518098e-01f, 2.28593252e-01f, 2.28668402e-01f, 2.28743548e-01f,
    2.28818690e-01f, 2.28893829e-01f, 2.28968963e-01f, 2.29044094e-01f,
    2.29119221e-01f, 2.29194343e-01f, 2.29269462e-01f, 2.29344577e-01f,
    2.29419688e-01f, 2.29494795e-01f, 2.29569899e-01f, 2.29644998e-01f,
    2.29720093e-01f, 2.29795185e-01f, 2.29870272e-01f, 2.29945356e-01f,
    2.30020436e-01f, 2.30095512e-01f, 2.30170583e-01f, 2.30245652e-01f,
    2.30320716e-01f, 2.30395776e-01f, 2.30470832e-01f, 2.30545885e-01f,
    2.30620933e-01f, 2.30695978e-01f, 2.30771018e-01f, 2.30846055e-01f,
    2.30921088e-01f, 2.30996117e-01f, 2.31071142e-01f, 2.31146163e-01f,
    2.31221181e-01f, 2.31296194e-01f, 2.31371204e-01f, 2.31446209e-01f,
    2.31521211e-01f, 2.31596209e-01f, 2.31671203e-01f, 2.31746193e-01f,
    2.31821179e-01f, 2.31896161e-01f, 2.31971139e-01f, 2.32046114e-01f,
    2.32121084e-01f, 2.32196051e-01f, 2.32271013e-01f, 2.32345972e-01f,
    2.32420927e-01f, 2.32495878e-01f, 2.32570825e-01f, 2.32645769e-01f,
    2.32720708e-01f, 2.32795643e-01f, 2.32870575e-01f, 2.32945503e-01f,
    2.33020426e-01f, 2.33095346e-01f, 2.33170262e-01f, 2.33245175e-01f,
    2.33320083e-01f, 2.33394987e-01f, 2.33469888e-01f, 2.33544784e-01f,
    2.33619677e-01f, 2.33694566e-01f, 2.33769450e-01f, 2.33844331e-01f,
    2.33919209e-01f, 2.33994082e-01f, 2.34068951e-01f, 2.34143817e-01f,
    2.34218678e-01f, 2.34293536e-01f, 2.34368390e-01f, 2.34443240e-01f,
    2.34518086e-01f, 2.34592928e-01f, 2.34667766e-01f, 2.34742601e-01f,
    2.34817431e-01f, 2.34892258e-01f, 2.34967081e-01f, 2.35041899e-01f,
    2.35116714e-01f, 2.35191526e-01f, 2.35266333e-01f, 2.35341136e-01f,
    2.35415936e-01f, 2.35490731e-01f, 2.35565523e-01f, 2.35640311e-01f,
    2.35715095e-01f, 2.35789875e-01f, 2.35864651e-01f, 2.35939423e-01f,
    2.36014192e-01f, 2.36088956e-01f, 2.36163717e-01f, 2.36238474e-01f,
    2.36313227e-01f, 2.36387976e-01f, 2.36462721e-01f, 2.36537463e-01f,
    2.36612200e-01f, 2.36686934e-01f, 2.36761664e-01f, 2.36836389e-01f,
    2.36911111e-01f, 2.36985830e-01f, 2.37060544e-01f, 2.37135254e-01f,
    2.37209961e-01f, 2.37284663e-01f, 2.37359362e-01f, 2.37434057e-01f,
    2.37508748e-01f, 2.37583435e-01f, 2.37658119e-01f, 2.37732798e-01f,
    2.37807474e-01f, 2.37882145e-01f, 2.37956813e-01f, 2.38031477e-01f,
    2.38106137e-01f, 2.38180794e-01f, 2.38255446e-01f, 2.38330095e-01f,
    2.38404739e-01f, 2.38479380e-01f, 2.38554017e-01f, 2.38628650e-01f,
    2.38703279e-01f, 2.38777905e-01f, 2.38852526e-01f, 2.38927144e-01f,
    2.39001758e-01f, 2.39076368e-01f, 2.39150974e-01f, 2.39225576e-01f,
    2.39300174e-01f, 2.39374769e-01f, 2.39449360e-01f, 2.39523946e-01f,
    2.39598529e-01f, 2.39673108e-01f, 2.39747684e-01f, 2.39822255e-01f,
    2.39896822e-01f, 2.39971386e-01f, 2.40045946e-01f, 2.40120502e-01f,
    2.40195054e-01f, 2.40269602e-01f, 2.40344147e-01f, 2.40418687e-01f,
    2.40493224e-01f, 2.40567757e-01f, 2.40642286e-01f, 2.40716811e-01f,
    2.40791332e-01f, 2.40865850e-01f, 2.40940363e-01f, 2.41014873e-01f,
    2.41089379e-01f, 2.41163881e-01f, 2.41238379e-01f, 2.41312873e-01f,
    2.41387364e-01f, 2.41461851e-01f, 2.41536333e-01f, 2.41610812e-01f,
    2.41685288e-01f, 2.41759759e-01f, 2.41834226e-01f, 2.41908690e-01f,
    2.41983150e-01f, 2.42057606e-01f, 2.42132058e-01f, 2.42206506e-01f,
    2.42280950e-01f, 2.42355391e-01f, 2.42429828e-01f, 2.42504260e-01f,
    2.42578689e-01f, 2.42653115e-01f, 2.42727536e-01f, 2.42801953e-01f,
    2.42876367e-01f, 2.42950777e-01f, 2.43025183e-01f, 2.43099585e-01f,
    2.43173983e-01f, 2.43248378e-01f, 2.43322769e-01f, 2.43397155e-01f,
    2.43471538e-01f, 2.43545918e-01f, 2.43620293e-01f, 2.43694664e-01f,
    2.43769032e-01f, 2.43843396e-01f, 2.43917756e-01f, 2.43992112e-01f,
    2.44066464e-01f, 2.44140813e-01f, 2.44215157e-01f, 2.44289498e-01f,
    2.44363835e-01f, 2.44438168e-01f, 2.44512498e-01f, 2.44586823e-01f,
    2.44661145e-01f, 2.44735463e-01f, 2.44809777e-01f, 2.44884087e-01f,
    2.44958393e-01f, 2.45032696e-01f, 2.45106994e-01f, 2.45181289e-01f,
    2.45255580e-01f, 2.45329868e-01f, 2.45404151e-01f, 2.45478431e-01f,
    2.45552706e-01f, 2.45626978e-01f, 2.45701246e-01f, 2.45775511e-01f,
    2.45849771e-01f, 2.45924028e-01f, 2.45998280e-01f, 2.46072529e-01f,
    2.46146775e-01f, 2.46221016e-01f, 2.46295254e-01f, 2.46369487e-01f,
    2.46443717e-01f, 2.46517943e-01f, 2.46592165e-01f, 2.46666384e-01f,
    2.46740598e-01f, 2.46814809e-01f, 2.46889016e-01f, 2.46963219e-01f,
    2.47037419e-01f, 2.47111614e-01f, 2.47185806e-01f, 2.47259994e-01f,
    2.47334178e-01f, 2.47408358e-01f, 2.47482535e-01f, 2.47556707e-01f,
    2.47630876e-01f, 2.47705041e-01f, 2.47779202e-01f, 2.47853360e-01f,
    2.47927513e-01f, 2.48001663e-01f, 2.48075809e-01f, 2.48149951e-01f,
    2.48224090e-01f, 2.48298224e-01f, 2.48372355e-01f, 2.48446482e-01f,
    2.48520605e-01f, 2.48594724e-01f, 2.48668840e-01f, 2.48742951e-01f,
    2.48817059e-01f, 2.48891163e-01f, 2.48965264e-01f, 2.49039360e-01f,
    2.49113453e-01f, 2.49187542e-01f, 2.49261627e-01f, 2.49335708e-01f,
    2.49409785e-01f, 2.49483859e-01f, 2.49557929e-01f, 2.49631995e-01f,
    2.49706057e-01f, 2.49780115e-01f, 2.49854170e-01f, 2.49928221e-01f,
    2.50002268e-01f, 2.50076311e-01f, 2.50150350e-01f, 2.50224386e-01f,
    2.50298418e-01f, 2.50372446e-01f, 2.50446470e-01f, 2.50520491e-01f,
    2.50594507e-01f, 2.50668520e-01f, 2.50742529e-01f, 2.50816534e-01f,
    2.50890536e-01f, 2.50964533e-01f, 2.51038527e-01f, 2.51112517e-01f,
    2.51186504e-01f, 2.51260486e-01f, 2.51334465e-01f, 2.51408440e-01f,
    2.51482411e-01f, 2.51556378e-01f, 2.51630341e-01f, 2.51704301e-01f,
    2.51778257e-01f, 2.51852209e-01f, 2.51926157e-01f, 2.52000102e-01f,
    2.52074043e-01f, 2.52147980e-01f, 2.52221913e-01f, 2.52295842e-01f,
    2.52369768e-01f, 2.52443690e-01f, 2.52517608e-01f, 2.52591522e-01f,
    2.52665432e-01f, 2.52739339e-01f, 2.52813242e-01f, 2.52887141e-01f,
    2.52961036e-01f, 2.53034928e-01f, 2.53108816e-01f, 2.53182700e-01f,
    2.53256580e-01f, 2.53330456e-01f, 2.53404329e-01f, 2.53478198e-01f,
    2.53552063e-01f, 2.53625924e-01f, 2.53699781e-01f, 2.53773635e-01f,
    2.53847485e-01f, 2.53921331e-01f, 2.53995173e-01f, 2.54069012e-01f,
    2.54142847e-01f, 2.54216678e-01f, 2.54290505e-01f, 2.54364329e-01f,
    2.54438148e-01f, 2.54511964e-01f, 2.54585776e-01f, 2.54659585e-01f,
    2.54733389e-01f, 2.54807190e-01f, 2.54880987e-01f, 2.54954780e-01f,
    2.55028570e-01f, 2.55102356e-01f, 2.55176137e-01f, 2.55249916e-01f,
    2.55323690e-01f, 2.55397461e-01f, 2.55471227e-01f, 2.55544991e-01f,
    2.55618750e-01f, 2.55692505e-01f, 2.55766257e-01f, 2.55840005e-01f,
    2.55913749e-01f, 2.55987490e-01f, 2.56061226e-01f, 2.56134959e-01f,
    2.56208689e-01f, 2.56282414e-01f, 2.56356136e-01f, 2.56429853e-01f,
    2.56503567e-01f, 2.56577278e-01f, 2.56650984e-01f, 2.56724687e-01f,
    2.56798386e-01f, 2.56872081e-01f, 2.56945773e-01f, 2.57019461e-01f,
    2.57093144e-01f, 2.57166825e-01f, 2.57240501e-01f, 2.57314174e-01f,
    2.57387843e-01f, 2.57461508e-01f, 2.57535169e-01f, 2.57608827e-01f,
    2.57682481e-01f, 2.57756131e-01f, 2.57829777e-01f, 2.57903420e-01f,
    2.57977059e-01f, 2.58050694e-01f, 2.58124325e-01f, 2.58197952e-01f,
    2.58271576e-01f, 2.58345196e-01f, 2.58418813e-01f, 2.58492425e-01f,
    2.58566034e-01f, 2.58639639e-01f, 2.58713240e-01f, 2.58786838e-01f,
    2.58860431e-01f, 2.58934021e-01f, 2.59007608e-01f, 2.59081190e-01f,
    2.59154769e-01f, 2.59228344e-01f, 2.59301915e-01f, 2.59375483e-01f,
    2.59449046e-01f, 2.59522606e-01f, 2.59596162e-01f, 2.59669715e-01f,
    2.59743264e-01f, 2.59816809e-01f, 2.59890350e-01f, 2.59963887e-01f,
    2.60037421e-01f, 2.60110951e-01f, 2.60184477e-01f, 2.60258000e-01f,
    2.60331519e-01f, 2.60405034e-01f, 2.60478545e-01f, 2.60552052e-01f,
    2.60625556e-01f, 2.60699056e-01f, 2.60772552e-01f, 2.60846045e-01f,
    2.60919534e-01f, 2.60993019e-01f, 2.61066500e-01f, 2.61139978e-01f,
    2.61213451e-01f, 2.61286921e-01f, 2.61360388e-01f, 2.61433850e-01f,
    2.61507309e-01f, 2.61580764e-01f, 2.61654216e-01f, 2.61727663e-01f,
    2.61801107e-01f, 2.61874547e-01f, 2.61947984e-01f, 2.62021416e-01f,
    2.62094845e-01f, 2.62168271e-01f, 2.62241692e-01f, 2.62315110e-01f,
    2.62388524e-01f, 2.62461934e-01f, 2.62535341e-01f, 2.62608743e-01f,
    2.62682142e-01f, 2.62755538e-01f, 2.62828929e-01f, 2.62902317e-01f,
    2.62975701e-01f, 2.63049082e-01f, 2.63122458e-01f, 2.63195831e-01f,
    2.63269200e-01f, 2.63342566e-01f, 2.63415928e-01f, 2.63489286e-01f,
    2.63562640e-01f, 2.63635990e-01f, 2.63709337e-01f, 2.63782680e-01f,
    2.63856020e-01f, 2.63929355e-01f, 2.64002687e-01f, 2.64076015e-01f,
    2.64149340e-01f, 2.64222660e-01f, 2.64295977e-01f, 2.64369291e-01f,
    2.64442600e-01f, 2.64515906e-01f, 2.64589208e-01f, 2.64662506e-01f,
    2.64735801e-01f, 2.64809092e-01f, 2.64882379e-01f, 2.64955663e-01f,
    2.65028942e-01f, 2.65102218e-01f, 2.65175491e-01f, 2.65248759e-01f,
    2.65322024e-01f, 2.65395285e-01f, 2.65468543e-01f, 2.65541797e-01f,
    2.65615046e-01f, 2.65688293e-01f, 2.65761535e-01f, 2.65834774e-01f,
    2.65908009e-01f, 2.65981241e-01f, 2.66054468e-01f, 2.66127692e-01f,
    2.66200912e-01f, 2.66274129e-01f, 2.66347342e-01f, 2.66420551e-01f,
    2.66493756e-01f, 2.66566958e-01f, 2.66640156e-01f, 2.66713350e-01f,
    2.66786541e-01f, 2.66859728e-01f, 2.66932911e-01f, 2.67006090e-01f,
    2.67079266e-01f, 2.67152438e-01f, 2.67225606e-01f, 2.67298770e-01f,
    2.67371931e-01f, 2.67445088e-01f, 2.67518242e-01f, 2.67591392e-01f,
    2.67664538e-01f, 2.67737680e-01f, 2.67810818e-01f, 2.67883953e-01f,
    2.67957084e-01f, 2.68030212e-01f, 2.68103336e-01f, 2.68176456e-01f,
    2.68249572e-01f, 2.68322685e-01f, 2.68395794e-01f, 2.68468899e-01f,
    2.68542000e-01f, 2.68615098e-01f, 2.68688192e-01f, 2.68761283e-01f,
    2.68834369e-01f, 2.68907452e-01f, 2.68980532e-01f, 2.69053607e-01f,
    2.69126679e-01f, 2.69199747e-01f, 2.69272812e-01f, 2.69345873e-01f,
    2.69418930e-01f, 2.69491983e-01f, 2.69565033e-01f, 2.69638079e-01f,
    2.69711121e-01f, 2.69784160e-01f, 2.69857195e-01f, 2.69930226e-01f,
    2.70003253e-01f, 2.70076277e-01f, 2.70149297e-01f, 2.70222314e-01f,
    2.70295326e-01f, 2.70368336e-01f, 2.70441341e-01f, 2.70514342e-01f,
    2.70587340e-01f, 2.70660335e-01f, 2.70733325e-01f, 2.70806312e-01f,
    2.70879295e-01f, 2.70952275e-01f, 2.71025251e-01f, 2.71098223e-01f,
    2.71171191e-01f, 2.71244156e-01f, 2.71317117e-01f, 2.71390074e-01f,
    2.71463028e-01f, 2.71535978e-01f, 2.71608924e-01f, 2.71681867e-01f,
    2.71754806e-01f, 2.71827741e-01f, 2.71900672e-01f, 2.71973600e-01f,
    2.72046524e-01f, 2.72119445e-01f, 2.72192362e-01f, 2.72265275e-01f,
    2.72338184e-01f, 2.72411090e-01f, 2.72483992e-01f, 2.72556890e-01f,
    2.72629785e-01f, 2.72702676e-01f, 2.72775563e-01f, 2.72848447e-01f,
    2.72921327e-01f, 2.72994203e-01f, 2.73067076e-01f, 2.73139945e-01f,
    2.73212810e-01f, 2.73285671e-01f, 2.73358529e-01f, 2.73431383e-01f,
    2.73504234e-01f, 2.73577081e-01f, 2.73649924e-01f, 2.73722763e-01f,
    2.73795599e-01f, 2.73868431e-01f, 2.73941260e-01f, 2.74014085e-01f,
    2.74086906e-01f, 2.74159723e-01f, 2.74232537e-01f, 2.74305347e-01f,
    2.74378153e-01f, 2.74450956e-01f, 2.74523755e-01f, 2.74596550e-01f,
    2.74669342e-01f, 2.74742130e-01f, 2.74814914e-01f, 2.74887695e-01f,
    2.74960472e-01f, 2.75033245e-01f, 2.75106015e-01f, 2.75178781e-01f,
    2.75251543e-01f, 2.75324302e-01f, 2.75397057e-01f, 2.75469808e-01f,
    2.75542556e-01f, 2.75615300e-01f, 2.75688040e-01f, 2.75760777e-01f,
    2.75833510e-01f, 2.75906239e-01f, 2.75978965e-01f, 2.76051687e-01f,
    2.76124405e-01f, 2.76197120e-01f, 2.76269831e-01f, 2.76342538e-01f,
    2.76415242e-01f, 2.76487942e-01f, 2.76560638e-01f, 2.76633331e-01f,
    2.76706020e-01f, 2.76778705e-01f, 2.76851387e-01f, 2.76924065e-01f,
    2.76996739e-01f, 2.77069410e-01f, 2.77142077e-01f, 2.77214740e-01f,
    2.77287400e-01f, 2.77360056e-01f, 2.77432709e-01f, 2.77505357e-01f,
    2.77578002e-01f, 2.77650644e-01f, 2.77723282e-01f, 2.77795916e-01f,
    2.77868546e-01f, 2.77941173e-01f, 2.78013796e-01f, 2.78086416e-01f,
    2.78159031e-01f, 2.78231644e-01f, 2.78304252e-01f, 2.78376857e-01f,
    2.78449458e-01f, 2.78522056e-01f, 2.78594650e-01f, 2.78667240e-01f,
    2.78739827e-01f, 2.78812410e-01f, 2.78884989e-01f, 2.78957564e-01f,
    2.79030136e-01f, 2.79102705e-01f, 2.79175269e-01f, 2.79247831e-01f,
    2.79320388e-01f, 2.79392942e-01f, 2.79465492e-01f, 2.79538038e-01f,
    2.79610581e-01f, 2.79683120e-01f, 2.79755656e-01f, 2.79828188e-01f,
    2.79900716e-01f, 2.79973240e-01f, 2.80045761e-01f, 2.80118279e-01f,
    2.80190792e-01f, 2.80263302e-01f, 2.80335809e-01f, 2.80408311e-01f,
    2.80480810e-01f, 2.80553306e-01f, 2.80625798e-01f, 2.80698286e-01f,
    2.80770770e-01f, 2.80843251e-01f, 2.80915728e-01f, 2.80988202e-01f,
    2.81060672e-01f, 2.81133138e-01f, 2.81205601e-01f, 2.81278060e-01f,
    2.81350515e-01f, 2.81422967e-01f, 2.81495415e-01f, 2.81567859e-01f,
    2.81640300e-01f, 2.81712737e-01f, 2.81785171e-01f, 2.81857601e-01f,
    2.81930027e-01f, 2.82002450e-01f, 2.82074869e-01f, 2.82147284e-01f,
    2.82219696e-01f, 2.82292104e-01f, 2.82364508e-01f, 2.82436909e-01f,
    2.82509306e-01f, 2.82581700e-01f, 2.82654090e-01f, 2.82726476e-01f,
    2.82798859e-01f, 2.82871238e-01f, 2.82943613e-01f, 2.83015985e-01f,
    2.83088353e-01f, 2.83160718e-01f, 2.83233078e-01f, 2.83305436e-01f,
    2.83377789e-01f, 2.83450139e-01f, 2.83522486e-01f, 2.83594828e-01f,
    2.83667167e-01f, 2.83739503e-01f, 2.83811835e-01f, 2.83884163e-01f,
    2.83956488e-01f, 2.84028809e-01f, 2.84101126e-01f, 2.84173440e-01f,
    2.84245750e-01f, 2.84318056e-01f, 2.84390359e-01f, 2.84462658e-01f,
    2.84534954e-01f, 2.84607246e-01f, 2.84679534e-01f, 2.84751819e-01f,
    2.84824100e-01f, 2.84896378e-01f, 2.84968652e-01f, 2.85040922e-01f,
    2.85113189e-01f, 2.85185452e-01f, 2.85257711e-01f, 2.85329967e-01f,
    2.85402219e-01f, 2.85474467e-01f, 2.85546712e-01f, 2.85618954e-01f,
    2.85691191e-01f, 2.85763425e-01f, 2.85835656e-01f, 2.85907883e-01f,
    2.85980106e-01f, 2.86052326e-01f, 2.86124542e-01f, 2.86196754e-01f,
    2.86268963e-01f, 2.86341168e-01f, 2.86413369e-01f, 2.86485567e-01f,
    2.86557762e-01f, 2.86629952e-01f, 2.86702139e-01f, 2.86774323e-01f,
    2.86846503e-01f, 2.86918679e-01f, 2.86990852e-01f, 2.87063021e-01f,
    2.87135186e-01f, 2.87207348e-01f, 2.87279506e-01f, 2.87351661e-01f,
    2.87423812e-01f, 2.87495959e-01f, 2.87568103e-01f, 2.87640243e-01f,
    2.87712380e-01f, 2.87784512e-01f, 2.87856642e-01f, 2.87928768e-01f,
    2.88000890e-01f, 2.88073008e-01f, 2.88145123e-01f, 2.88217234e-01f,
    2.88289342e-01f, 2.88361446e-01f, 2.88433547e-01f, 2.88505644e-01f,
    2.88577737e-01f, 2.88649827e-01f, 2.88721913e-01f, 2.88793995e-01f,
    2.88866074e-01f, 2.88938149e-01f, 2.89010221e-01f, 2.89082289e-01f,
    2.89154354e-01f, 2.89226415e-01f, 2.89298472e-01f, 2.89370526e-01f,
    2.89442576e-01f, 2.89514622e-01f, 2.89586665e-01f, 2.89658704e-01f,
    2.89730740e-01f, 2.89802772e-01f, 2.89874801e-01f, 2.89946826e-01f,
    2.90018847e-01f, 2.90090865e-01f, 2.90162879e-01f, 2.90234889e-01f,
    2.90306896e-01f, 2.90378900e-01f, 2.90450899e-01f, 2.90522896e-01f,
    2.90594888e-01f, 2.90666877e-01f, 2.90738862e-01f, 2.90810844e-01f,
    2.90882822e-01f, 2.90954797e-01f, 2.91026768e-01f, 2.91098735e-01f,
    2.91170699e-01f, 2.91242660e-01f, 2.91314616e-01f, 2.91386569e-01f,
    2.91458519e-01f, 2.91530465e-01f, 2.91602407e-01f, 2.91674346e-01f,
    2.91746281e-01f, 2.91818212e-01f, 2.91890140e-01f, 2.91962065e-01f,
    2.92033985e-01f, 2.92105903e-01f, 2.92177816e-01f, 2.92249726e-01f,
    2.92321633e-01f, 2.92393536e-01f, 2.92465435e-01f, 2.92537331e-01f,
    2.92609223e-01f, 2.92681111e-01f, 2.92752996e-01f, 2.92824878e-01f,
    2.92896755e-01f, 2.92968630e-01f, 2.93040500e-01f, 2.93112367e-01f,
    2.93184231e-01f, 2.93256091e-01f, 2.93327947e-01f, 2.93399800e-01f,
    2.93471649e-01f, 2.93543494e-01f, 2.93615336e-01f, 2.93687175e-01f,
    2.93759010e-01f, 2.93830841e-01f, 2.93902669e-01f, 2.93974493e-01f,
    2.94046313e-01f, 2.94118130e-01f, 2.94189944e-01f, 2.94261753e-01f,
    2.94333560e-01f, 2.94405362e-01f, 2.94477161e-01f, 2.94548957e-01f,
    2.94620749e-01f, 2.94692537e-01f, 2.94764322e-01f, 2.94836103e-01f,
    2.94907881e-01f, 2.94979655e-01f, 2.95051426e-01f, 2.95123193e-01f,
    2.95194956e-01f, 2.95266716e-01f, 2.95338472e-01f, 2.95410225e-01f,
    2.95481974e-01f, 2.95553719e-01f, 2.95625461e-01f, 2.95697200e-01f,
    2.95768934e-01f, 2.95840666e-01f, 2.95912393e-01f, 2.95984118e-01f,
    2.96055838e-01f, 2.96127555e-01f, 2.96199269e-01f, 2.96270978e-01f,
    2.96342685e-01f, 2.96414387e-01f, 2.96486087e-01f, 2.96557782e-01f,
    2.96629474e-01f, 2.96701163e-01f, 2.96772848e-01f, 2.96844529e-01f,
    2.96916207e-01f, 2.96987881e-01f, 2.97059552e-01f, 2.97131219e-01f,
    2.97202882e-01f, 2.97274543e-01f, 2.97346199e-01f, 2.97417852e-01f,
    2.97489501e-01f, 2.97561147e-01f, 2.97632789e-01f, 2.97704428e-01f,
    2.97776063e-01f, 2.97847694e-01f, 2.97919322e-01f, 2.97990947e-01f,
    2.98062568e-01f, 2.98134185e-01f, 2.98205799e-01f, 2.98277409e-01f,
    2.98349016e-01f, 2.98420619e-01f, 2.98492218e-01f, 2.98563814e-01f,
    2.98635407e-01f, 2.98706996e-01f, 2.98778581e-01f, 2.98850163e-01f,
    2.98921741e-01f, 2.98993316e-01f, 2.99064887e-01f, 2.99136454e-01f,
    2.99208018e-01f, 2.99279579e-01f, 2.99351136e-01f, 2.99422689e-01f,
    2.99494239e-01f, 2.99565785e-01f, 2.99637328e-01f, 2.99708867e-01f,
    2.99780403e-01f, 2.99851935e-01f, 2.99923464e-01f, 2.99994989e-01f,
    3.00066510e-01f, 3.00138028e-01f, 3.00209542e-01f, 3.00281053e-01f,
    3.00352560e-01f, 3.00424064e-01f, 3.00495564e-01f, 3.00567061e-01f,
    3.00638554e-01f, 3.00710044e-01f, 3.00781530e-01f, 3.00853012e-01f,
    3.00924491e-01f, 3.00995966e-01f, 3.01067438e-01f, 3.01138907e-01f,
    3.01210371e-01f, 3.01281833e-01f, 3.01353290e-01f, 3.01424744e-01f,
    3.01496195e-01f, 3.01567642e-01f, 3.01639086e-01f, 3.01710526e-01f,
    3.01781962e-01f, 3.01853395e-01f, 3.01924824e-01f, 3.01996250e-01f,
    3.02067673e-01f, 3.02139091e-01f, 3.02210507e-01f, 3.02281918e-01f,
    3.02353326e-01f, 3.02424731e-01f, 3.02496132e-01f, 3.02567530e-01f,
    3.02638924e-01f, 3.02710314e-01f, 3.02781701e-01f, 3.02853085e-01f,
    3.02924465e-01f, 3.02995841e-01f, 3.03067214e-01f, 3.03138583e-01f,
    3.03209949e-01f, 3.03281311e-01f, 3.03352670e-01f, 3.03424025e-01f,
    3.03495377e-01f, 3.03566725e-01f, 3.03638070e-01f, 3.03709411e-01f,
    3.03780748e-01f, 3.03852082e-01f, 3.03923413e-01f, 3.03994740e-01f,
    3.04066063e-01f, 3.04137383e-01f, 3.04208699e-01f, 3.04280012e-01f,
    3.04351322e-01f, 3.04422627e-01f, 3.04493930e-01f, 3.04565229e-01f,
    3.04636524e-01f, 3.04707816e-01f, 3.04779104e-01f, 3.04850388e-01f,
    3.04921670e-01f, 3.04992947e-01f, 3.05064221e-01f, 3.05135492e-01f,
    3.05206759e-01f, 3.05278023e-01f, 3.05349283e-01f, 3.05420539e-01f,
    3.05491792e-01f, 3.05563042e-01f, 3.05634288e-01f, 3.05705530e-01f,
    3.05776769e-01f, 3.05848004e-01f, 3.05919236e-01f, 3.05990465e-01f,
    3.06061689e-01f, 3.06132911e-01f, 3.06204129e-01f, 3.06275343e-01f,
    3.06346554e-01f, 3.06417761e-01f, 3.06488965e-01f, 3.06560165e-01f,
    3.06631362e-01f, 3.06702555e-01f, 3.06773745e-01f, 3.06844931e-01f,
    3.06916114e-01f, 3.06987293e-01f, 3.07058468e-01f, 3.07129641e-01f,
    3.07200809e-01f, 3.07271974e-01f, 3.07343136e-01f, 3.07414294e-01f,
    3.07485449e-01f, 3.07556600e-01f, 3.07627747e-01f, 3.07698891e-01f,
    3.07770032e-01f, 3.07841169e-01f, 3.07912302e-01f, 3.07983433e-01f,
    3.08054559e-01f, 3.08125682e-01f, 3.08196802e-01f, 3.08267918e-01f,
    3.08339030e-01f, 3.08410139e-01f, 3.08481245e-01f, 3.08552347e-01f,
    3.08623445e-01f, 3.08694540e-01f, 3.08765632e-01f, 3.08836720e-01f,
    3.08907804e-01f, 3.08978885e-01f, 3.09049963e-01f, 3.09121036e-01f,
    3.09192107e-01f, 3.09263174e-01f, 3.09334237e-01f, 3.09405297e-01f,
    3.09476354e-01f, 3.09547407e-01f, 3.09618456e-01f, 3.09689502e-01f,
    3.09760545e-01f, 3.09831584e-01f, 3.09902619e-01f, 3.09973651e-01f,
    3.10044680e-01f, 3.10115705e-01f, 3.10186726e-01f, 3.10257744e-01f,
    3.10328759e-01f, 3.10399770e-01f, 3.10470777e-01f, 3.10541781e-01f,
    3.10612782e-01f, 3.10683779e-01f, 3.10754772e-01f, 3.10825762e-01f,
    3.10896749e-01f, 3.10967732e-01f, 3.11038711e-01f, 3.11109687e-01f,
    3.11180660e-01f, 3.11251629e-01f, 3.11322595e-01f, 3.11393557e-01f,
    3.11464515e-01f, 3.11535471e-01f, 3.11606422e-01f, 3.11677370e-01f,
    3.11748315e-01f, 3.11819256e-01f, 3.11890194e-01f, 3.11961128e-01f,
    3.12032059e-01f, 3.12102986e-01f, 3.12173910e-01f, 3.12244830e-01f,
    3.12315747e-01f, 3.12386660e-01f, 3.12457570e-01f, 3.12528476e-01f,
    3.12599379e-01f, 3.12670278e-01f, 3.12741174e-01f, 3.12812066e-01f,
    3.12882955e-01f, 3.12953841e-01f, 3.13024723e-01f, 3.13095601e-01f,
    3.13166476e-01f, 3.13237347e-01f, 3.13308215e-01f, 3.13379080e-01f,
    3.13449941e-01f, 3.13520799e-01f, 3.13591653e-01f, 3.13662503e-01f,
    3.13733350e-01f, 3.13804194e-01f, 3.13875034e-01f, 3.13945871e-01f,
    3.14016704e-01f, 3.14087534e-01f, 3.14158360e-01f, 3.14229183e-01f,
    3.14300002e-01f, 3.14370818e-01f, 3.14441630e-01f, 3.14512439e-01f,
    3.14583244e-01f, 3.14654046e-01f, 3.14724845e-01f, 3.14795640e-01f,
    3.14866431e-01f, 3.14937219e-01f, 3.15008004e-01f, 3.15078785e-01f,
    3.15149562e-01f, 3.15220336e-01f, 3.15291107e-01f, 3.15361874e-01f,
    3.15432638e-01f, 3.15503398e-01f, 3.15574155e-01f, 3.15644908e-01f,
    3.15715658e-01f, 3.15786404e-01f, 3.15857147e-01f, 3.15927887e-01f,
    3.15998623e-01f, 3.16069355e-01f, 3.16140084e-01f, 3.16210810e-01f,
    3.16281532e-01f, 3.16352250e-01f, 3.16422966e-01f, 3.16493677e-01f,
    3.16564385e-01f, 3.16635090e-01f, 3.16705791e-01f, 3.16776489e-01f,
    3.16847184e-01f, 3.16917874e-01f, 3.16988562e-01f, 3.17059246e-01f,
    3.17129926e-01f, 3.17200603e-01f, 3.17271277e-01f, 3.17341947e-01f,
    3.17412614e-01f, 3.17483277e-01f, 3.17553937e-01f, 3.17624593e-01f,
    3.17695246e-01f, 3.17765895e-01f, 3.17836541e-01f, 3.17907183e-01f,
    3.17977822e-01f, 3.18048458e-01f, 3.18119090e-01f, 3.18189719e-01f,
    3.18260344e-01f, 3.18330965e-01f, 3.18401584e-01f, 3.18472198e-01f,
    3.18542810e-01f, 3.18613418e-01f, 3.18684022e-01f, 3.18754623e-01f,
    3.18825220e-01f, 3.18895814e-01f, 3.18966405e-01f, 3.19036992e-01f,
    3.19107576e-01f, 3.19178156e-01f, 3.19248733e-01f, 3.19319306e-01f,
    3.19389876e-01f, 3.19460442e-01f, 3.19531005e-01f, 3.19601565e-01f,
    3.19672121e-01f, 3.19742674e-01f, 3.19813223e-01f, 3.19883768e-01f,
    3.19954311e-01f, 3.20024849e-01f, 3.20095385e-01f, 3.20165917e-01f,
    3.20236445e-01f, 3.20306970e-01f, 3.20377492e-01f, 3.20448010e-01f,
    3.20518525e-01f, 3.20589036e-01f, 3.20659544e-01f, 3.20730048e-01f,
    3.20800549e-01f, 3.20871046e-01f, 3.20941540e-01f, 3.21012031e-01f,
    3.21082518e-01f, 3.21153002e-01f, 3.21223482e-01f, 3.21293959e-01f,
    3.21364432e-01f, 3.21434902e-01f, 3.21505368e-01f, 3.21575831e-01f,
    3.21646291e-01f, 3.21716747e-01f, 3.21787200e-01f, 3.21857649e-01f,
    3.21928095e-01f, 3.21998537e-01f, 3.22068976e-01f, 3.22139412e-01f,
    3.22209844e-01f, 3.22280272e-01f, 3.22350698e-01f, 3.22421119e-01f,
    3.22491538e-01f, 3.22561952e-01f, 3.22632364e-01f, 3.22702772e-01f,
    3.22773176e-01f, 3.22843578e-01f, 3.22913975e-01f, 3.22984370e-01f,
    3.23054760e-01f, 3.23125148e-01f, 3.23195532e-01f, 3.23265912e-01f,
    3.23336289e-01f, 3.23406663e-01f, 3.23477033e-01f, 3.23547400e-01f,
    3.23617763e-01f, 3.23688123e-01f, 3.23758480e-01f, 3.23828833e-01f,
    3.23899182e-01f, 3.23969529e-01f, 3.24039871e-01f, 3.24110211e-01f,
    3.24180547e-01f, 3.24250879e-01f, 3.24321208e-01f, 3.24391534e-01f,
    3.24461856e-01f, 3.24532175e-01f, 3.24602490e-01f, 3.24672802e-01f,
    3.24743110e-01f, 3.24813416e-01f, 3.24883717e-01f, 3.24954015e-01f,
    3.25024310e-01f, 3.25094602e-01f, 3.25164889e-01f, 3.25235174e-01f,
    3.25305455e-01f, 3.25375733e-01f, 3.25446007e-01f, 3.25516278e-01f,
    3.25586545e-01f, 3.25656809e-01f, 3.25727070e-01f, 3.25797327e-01f,
    3.25867581e-01f, 3.25937831e-01f, 3.26008078e-01f, 3.26078321e-01f,
    3.26148561e-01f, 3.26218798e-01f, 3.26289031e-01f, 3.26359261e-01f,
    3.26429487e-01f, 3.26499710e-01f, 3.26569930e-01f, 3.26640146e-01f,
    3.26710358e-01f, 3.26780568e-01f, 3.26850773e-01f, 3.26920976e-01f,
    3.26991175e-01f, 3.27061370e-01f, 3.27131563e-01f, 3.27201751e-01f,
    3.27271937e-01f, 3.27342119e-01f, 3.27412297e-01f, 3.27482472e-01f,
    3.27552644e-01f, 3.27622812e-01f, 3.27692977e-01f, 3.27763139e-01f,
    3.27833297e-01f, 3.27903451e-01f, 3.27973603e-01f, 3.28043750e-01f,
    3.28113895e-01f, 3.28184036e-01f, 3.28254173e-01f, 3.28324308e-01f,
    3.28394438e-01f, 3.28464566e-01f, 3.28534690e-01f, 3.28604810e-01f,
    3.28674927e-01f, 3.28745041e-01f, 3.28815151e-01f, 3.28885258e-01f,
    3.28955362e-01f, 3.29025462e-01f, 3.29095559e-01f, 3.29165652e-01f,
    3.29235742e-01f, 3.29305828e-01f, 3.29375911e-01f, 3.29445991e-01f,
    3.29516067e-01f, 3.29586140e-01f, 3.29656210e-01f, 3.29726276e-01f,
    3.29796338e-01f, 3.29866397e-01f, 3.29936453e-01f, 3.30006506e-01f,
    3.30076555e-01f, 3.30146600e-01f, 3.30216643e-01f, 3.30286682e-01f,
    3.30356717e-01f, 3.30426749e-01f, 3.30496778e-01f, 3.30566803e-01f,
    3.30636825e-01f, 3.30706843e-01f, 3.30776858e-01f, 3.30846870e-01f,
    3.30916878e-01f, 3.30986883e-01f, 3.31056884e-01f, 3.31126882e-01f,
    3.31196877e-01f, 3.31266868e-01f, 3.31336856e-01f, 3.31406841e-01f,
    3.31476822e-01f, 3.31546800e-01f, 3.31616774e-01f, 3.31686745e-01f,
    3.31756712e-01f, 3.31826676e-01f, 3.31896637e-01f, 3.31966594e-01f,
    3.32036548e-01f, 3.32106499e-01f, 3.32176446e-01f, 3.32246390e-01f,
    3.32316330e-01f, 3.32386267e-01f, 3.32456201e-01f, 3.32526131e-01f,
    3.32596058e-01f, 3.32665981e-01f, 3.32735901e-01f, 3.32805818e-01f,
    3.32875731e-01f, 3.32945641e-01f, 3.33015548e-01f, 3.33085451e-01f,
    3.33155350e-01f, 3.33225247e-01f, 3.33295140e-01f, 3.33365029e-01f,
    3.33434915e-01f, 3.33504798e-01f, 3.33574677e-01f, 3.33644553e-01f,
    3.33714426e-01f, 3.33784295e-01f, 3.33854161e-01f, 3.33924024e-01f,
    3.33993883e-01f, 3.34063738e-01f, 3.34133591e-01f, 3.34203440e-01f,
    3.34273285e-01f, 3.34343127e-01f, 3.34412966e-01f, 3.34482802e-01f,
    3.34552634e-01f, 3.34622462e-01f, 3.34692288e-01f, 3.34762110e-01f,
    3.34831928e-01f, 3.34901743e-01f, 3.34971555e-01f, 3.35041363e-01f,
    3.35111168e-01f, 3.35180970e-01f, 3.35250768e-01f, 3.35320563e-01f,
    3.35390355e-01f, 3.35460143e-01f, 3.35529928e-01f, 3.35599709e-01f,
    3.35669487e-01f, 3.35739262e-01f, 3.35809033e-01f, 3.35878801e-01f,
    3.35948565e-01f, 3.36018326e-01f, 3.36088084e-01f, 3.36157838e-01f,
    3.36227589e-01f, 3.36297337e-01f, 3.36367081e-01f, 3.36436822e-01f,
    3.36506560e-01f, 3.36576294e-01f, 3.36646025e-01f, 3.36715752e-01f,
    3.36785476e-01f, 3.36855197e-01f, 3.36924914e-01f, 3.36994628e-01f,
    3.37064339e-01f, 3.37134046e-01f, 3.37203750e-01f, 3.37273450e-01f,
    3.37343147e-01f, 3.37412841e-01f, 3.37482531e-01f, 3.37552218e-01f,
    3.37621902e-01f, 3.37691582e-01f, 3.37761259e-01f, 3.37830933e-01f,
    3.37900603e-01f, 3.37970270e-01f, 3.38039933e-01f, 3.38109593e-01f,
    3.38179250e-01f, 3.38248903e-01f, 3.38318553e-01f, 3.38388200e-01f,
    3.38457843e-01f, 3.38527483e-01f, 3.38597120e-01f, 3.38666753e-01f,
    3.38736383e-01f, 3.38806009e-01f, 3.38875632e-01f, 3.38945252e-01f,
    3.39014868e-01f, 3.39084481e-01f, 3.39154091e-01f, 3.39223697e-01f,
    3.39293300e-01f, 3.39362900e-01f, 3.39432496e-01f, 3.39502089e-01f,
    3.39571678e-01f, 3.39641265e-01f, 3.39710847e-01f, 3.39780427e-01f,
    3.39850003e-01f, 3.39919576e-01f, 3.39989145e-01f, 3.40058711e-01f,
    3.40128274e-01f, 3.40197833e-01f, 3.40267389e-01f, 3.40336942e-01f,
    3.40406491e-01f, 3.40476037e-01f, 3.40545579e-01f, 3.40615119e-01f,
    3.40684654e-01f, 3.40754187e-01f, 3.40823716e-01f, 3.40893242e-01f,
    3.40962764e-01f, 3.41032283e-01f, 3.41101799e-01f, 3.41171311e-01f,
    3.41240821e-01f, 3.41310326e-01f, 3.41379829e-01f, 3.41449328e-01f,
    3.41518823e-01f, 3.41588316e-01f, 3.41657805e-01f, 3.41727290e-01f,
    3.41796772e-01f, 3.41866251e-01f, 3.41935727e-01f, 3.42005199e-01f,
    3.42074668e-01f, 3.42144134e-01f, 3.42213596e-01f, 3.42283055e-01f,
    3.42352510e-01f, 3.42421962e-01f, 3.42491411e-01f, 3.42560857e-01f,
    3.42630299e-01f, 3.42699737e-01f, 3.42769173e-01f, 3.42838605e-01f,
    3.42908034e-01f, 3.42977459e-01f, 3.43046881e-01f, 3.43116300e-01f,
    3.43185715e-01f, 3.43255128e-01f, 3.43324536e-01f, 3.43393942e-01f,
    3.43463344e-01f, 3.43532742e-01f, 3.43602138e-01f, 3.43671530e-01f,
    3.43740918e-01f, 3.43810304e-01f, 3.43879686e-01f, 3.43949065e-01f,
    3.44018440e-01f, 3.44087812e-01f, 3.44157181e-01f, 3.44226546e-01f,
    3.44295908e-01f, 3.44365267e-01f, 3.44434622e-01f, 3.44503974e-01f,
    3.44573323e-01f, 3.44642668e-01f, 3.44712010e-01f, 3.44781349e-01f,
    3.44850684e-01f, 3.44920016e-01f, 3.44989345e-01f, 3.45058670e-01f,
    3.45127992e-01f, 3.45197311e-01f, 3.45266626e-01f, 3.45335938e-01f,
    3.45405247e-01f, 3.45474552e-01f, 3.45543854e-01f, 3.45613153e-01f,
    3.45682448e-01f, 3.45751740e-01f, 3.45821029e-01f, 3.45890314e-01f,
    3.45959596e-01f, 3.46028875e-01f, 3.46098151e-01f, 3.46167423e-01f,
    3.46236691e-01f, 3.46305957e-01f, 3.46375219e-01f, 3.46444478e-01f,
    3.46513733e-01f, 3.46582985e-01f, 3.46652234e-01f, 3.46721480e-01f,
    3.46790722e-01f, 3.46859961e-01f, 3.46929196e-01f, 3.46998428e-01f,
    3.47067657e-01f, 3.47136883e-01f, 3.47206105e-01f, 3.47275324e-01f,
    3.47344539e-01f, 3.47413752e-01f, 3.47482961e-01f, 3.47552166e-01f,
    3.47621369e-01f, 3.47690568e-01f, 3.47759763e-01f, 3.47828956e-01f,
    3.47898145e-01f, 3.47967330e-01f, 3.48036513e-01f, 3.48105692e-01f,
    3.48174868e-01f, 3.48244040e-01f, 3.48313209e-01f, 3.48382375e-01f,
    3.48451537e-01f, 3.48520697e-01f, 3.48589852e-01f, 3.48659005e-01f,
    3.48728154e-01f, 3.48797300e-01f, 3.48866443e-01f, 3.48935582e-01f,
    3.49004718e-01f, 3.49073851e-01f, 3.49142980e-01f, 3.49212106e-01f,
    3.49281229e-01f, 3.49350348e-01f, 3.49419464e-01f, 3.49488577e-01f,
    3.49557687e-01f, 3.49626793e-01f, 3.49695896e-01f, 3.49764995e-01f,
    3.49834091e-01f, 3.49903184e-01f, 3.49972274e-01f, 3.50041360e-01f,
    3.50110443e-01f, 3.50179523e-01f, 3.50248599e-01f, 3.50317673e-01f,
    3.50386742e-01f, 3.50455809e-01f, 3.50524872e-01f, 3.50593932e-01f,
    3.50662988e-01f, 3.50732042e-01f, 3.50801092e-01f, 3.50870138e-01f,
    3.50939182e-01f, 3.51008222e-01f, 3.51077258e-01f, 3.51146292e-01f,
    3.51215322e-01f, 3.51284349e-01f, 3.51353372e-01f, 3.51422392e-01f,
    3.51491409e-01f, 3.51560423e-01f, 3.51629433e-01f, 3.51698440e-01f,
    3.51767444e-01f, 3.51836444e-01f, 3.51905441e-01f, 3.51974435e-01f,
    3.52043426e-01f, 3.52112413e-01f, 3.52181397e-01f, 3.52250378e-01f,
    3.52319355e-01f, 3.52388329e-01f, 3.52457300e-01f, 3.52526267e-01f,
    3.52595231e-01f, 3.52664192e-01f, 3.52733149e-01f, 3.52802104e-01f,
    3.52871055e-01f, 3.52940002e-01f, 3.53008947e-01f, 3.53077888e-01f,
    3.53146825e-01f, 3.53215760e-01f, 3.53284691e-01f, 3.53353619e-01f,
    3.53422544e-01f, 3.53491465e-01f, 3.53560383e-01f, 3.53629298e-01f,
    3.53698209e-01f, 3.53767117e-01f, 3.53836022e-01f, 3.53904924e-01f,
    3.53973822e-01f, 3.54042717e-01f, 3.54111608e-01f, 3.54180497e-01f,
    3.54249382e-01f, 3.54318264e-01f, 3.54387142e-01f, 3.54456018e-01f,
    3.54524889e-01f, 3.54593758e-01f, 3.54662623e-01f, 3.54731486e-01f,
    3.54800344e-01f, 3.54869200e-01f, 3.54938052e-01f, 3.55006901e-01f,
    3.55075747e-01f, 3.55144589e-01f, 3.55213428e-01f, 3.55282264e-01f,
    3.55351096e-01f, 3.55419926e-01f, 3.55488752e-01f, 3.55557574e-01f,
    3.55626394e-01f, 3.55695210e-01f, 3.55764023e-01f, 3.55832832e-01f,
    3.55901638e-01f, 3.55970441e-01f, 3.56039241e-01f, 3.56108037e-01f,
    3.56176831e-01f, 3.56245620e-01f, 3.56314407e-01f, 3.56383190e-01f,
    3.56451970e-01f, 3.56520747e-01f, 3.56589520e-01f, 3.56658291e-01f,
    3.56727057e-01f, 3.56795821e-01f, 3.56864581e-01f, 3.56933338e-01f,
    3.57002092e-01f, 3.57070843e-01f, 3.57139590e-01f, 3.57208334e-01f,
    3.57277075e-01f, 3.57345812e-01f, 3.57414546e-01f, 3.57483277e-01f,
    3.57552005e-01f, 3.57620729e-01f, 3.57689450e-01f, 3.57758168e-01f,
    3.57826882e-01f, 3.57895593e-01f, 3.57964301e-01f, 3.58033006e-01f,
    3.58101707e-01f, 3.58170406e-01f, 3.58239100e-01f, 3.58307792e-01f,
    3.58376480e-01f, 3.58445165e-01f, 3.58513847e-01f, 3.58582526e-01f,
    3.58651201e-01f, 3.58719873e-01f, 3.58788542e-01f, 3.58857207e-01f,
    3.58925869e-01f, 3.58994528e-01f, 3.59063184e-01f, 3.59131836e-01f,
    3.59200485e-01f, 3.59269131e-01f, 3.59337774e-01f, 3.59406413e-01f,
    3.59475049e-01f, 3.59543682e-01f, 3.59612311e-01f, 3.59680937e-01f,
    3.59749560e-01f, 3.59818180e-01f, 3.59886796e-01f, 3.59955410e-01f,
    3.60024020e-01f, 3.60092626e-01f, 3.60161230e-01f, 3.60229830e-01f,
    3.60298427e-01f, 3.60367020e-01f, 3.60435611e-01f, 3.60504198e-01f,
    3.60572781e-01f, 3.60641362e-01f, 3.60709939e-01f, 3.60778513e-01f,
    3.60847084e-01f, 3.60915652e-01f, 3.60984216e-01f, 3.61052777e-01f,
    3.61121335e-01f, 3.61189889e-01f, 3.61258440e-01f, 3.61326988e-01f,
    3.61395533e-01f, 3.61464075e-01f, 3.61532613e-01f, 3.61601148e-01f,
    3.61669679e-01f, 3.61738208e-01f, 3.61806733e-01f, 3.61875255e-01f,
    3.61943774e-01f, 3.62012289e-01f, 3.62080801e-01f, 3.62149310e-01f,
    3.62217816e-01f, 3.62286318e-01f, 3.62354817e-01f, 3.62423313e-01f,
    3.62491806e-01f, 3.62560295e-01f, 3.62628782e-01f, 3.62697265e-01f,
    3.62765744e-01f, 3.62834221e-01f, 3.62902694e-01f, 3.62971164e-01f,
    3.63039630e-01f, 3.63108094e-01f, 3.63176554e-01f, 3.63245011e-01f,
    3.63313464e-01f, 3.63381915e-01f, 3.63450362e-01f, 3.63518806e-01f,
    3.63587247e-01f, 3.63655684e-01f, 3.63724118e-01f, 3.63792549e-01f,
    3.63860977e-01f, 3.63929401e-01f, 3.63997822e-01f, 3.64066240e-01f,
    3.64134655e-01f, 3.64203066e-01f, 3.64271475e-01f, 3.64339880e-01f,
    3.64408281e-01f, 3.64476680e-01f, 3.64545075e-01f, 3.64613467e-01f,
    3.64681856e-01f, 3.64750241e-01f, 3.64818624e-01f, 3.64887003e-01f,
    3.64955378e-01f, 3.65023751e-01f, 3.65092120e-01f, 3.65160486e-01f,
    3.65228849e-01f, 3.65297209e-01f, 3.65365565e-01f, 3.65433918e-01f,
    3.65502268e-01f, 3.65570615e-01f, 3.65638958e-01f, 3.65707298e-01f,
    3.65775635e-01f, 3.65843969e-01f, 3.65912299e-01f, 3.65980627e-01f,
    3.66048951e-01f, 3.66117271e-01f, 3.66185589e-01f, 3.66253903e-01f,
    3.66322214e-01f, 3.66390522e-01f, 3.66458827e-01f, 3.66527128e-01f,
    3.66595426e-01f, 3.66663721e-01f, 3.66732013e-01f, 3.66800301e-01f,
    3.66868586e-01f, 3.66936868e-01f, 3.67005147e-01f, 3.67073422e-01f,
    3.67141695e-01f, 3.67209964e-01f, 3.67278229e-01f, 3.67346492e-01f,
    3.67414751e-01f, 3.67483007e-01f, 3.67551260e-01f, 3.67619510e-01f,
    3.67687756e-01f, 3.67755999e-01f, 3.67824239e-01f, 3.67892476e-01f,
    3.67960710e-01f, 3.68028940e-01f, 3.68097167e-01f, 3.68165391e-01f,
    3.68233611e-01f, 3.68301829e-01f, 3.68370043e-01f, 3.68438254e-01f,
    3.68506462e-01f, 3.68574666e-01f, 3.68642867e-01f, 3.68711065e-01f,
    3.68779260e-01f, 3.68847452e-01f, 3.68915640e-01f, 3.68983825e-01f,
    3.69052007e-01f, 3.69120186e-01f, 3.69188361e-01f, 3.69256533e-01f,
    3.69324702e-01f, 3.69392868e-01f, 3.69461031e-01f, 3.69529190e-01f,
    3.69597346e-01f, 3.69665499e-01f, 3.69733649e-01f, 3.69801795e-01f,
    3.69869939e-01f, 3.69938079e-01f, 3.70006216e-01f, 3.70074349e-01f,
    3.70142479e-01f, 3.70210607e-01f, 3.70278731e-01f, 3.70346851e-01f,
    3.70414969e-01f, 3.70483083e-01f, 3.70551194e-01f, 3.70619302e-01f,
    3.70687407e-01f, 3.70755508e-01f, 3.70823606e-01f, 3.70891701e-01f,
    3.70959793e-01f, 3.71027882e-01f, 3.71095967e-01f, 3.71164049e-01f,
    3.71232128e-01f, 3.71300204e-01f, 3.71368277e-01f, 3.71436346e-01f,
    3.71504412e-01f, 3.71572475e-01f, 3.71640535e-01f, 3.71708591e-01f,
    3.71776644e-01f, 3.71844694e-01f, 3.71912741e-01f, 3.71980785e-01f,
    3.72048825e-01f, 3.72116862e-01f, 3.72184896e-01f, 3.72252927e-01f,
    3.72320955e-01f, 3.72388979e-01f, 3.72457000e-01f, 3.72525018e-01f,
    3.72593033e-01f, 3.72661045e-01f, 3.72729053e-01f, 3.72797058e-01f,
    3.72865060e-01f, 3.72933059e-01f, 3.73001054e-01f, 3.73069047e-01f,
    3.73137036e-01f, 3.73205022e-01f, 3.73273004e-01f, 3.73340984e-01f,
    3.73408960e-01f, 3.73476933e-01f, 3.73544903e-01f, 3.73612870e-01f,
    3.73680833e-01f, 3.73748794e-01f, 3.73816751e-01f, 3.73884705e-01f,
    3.73952655e-01f, 3.74020603e-01f, 3.74088547e-01f, 3.74156488e-01f,
    3.74224426e-01f, 3.74292361e-01f, 3.74360292e-01f, 3.74428221e-01f,
    3.74496146e-01f, 3.74564068e-01f, 3.74631986e-01f, 3.74699902e-01f,
    3.74767814e-01f, 3.74835723e-01f, 3.74903629e-01f, 3.74971532e-01f,
    3.75039431e-01f, 3.75107328e-01f, 3.75175221e-01f, 3.75243111e-01f,
    3.75310997e-01f, 3.75378881e-01f, 3.75446761e-01f, 3.75514639e-01f,
    3.75582512e-01f, 3.75650383e-01f, 3.75718251e-01f, 3.75786115e-01f,
    3.75853976e-01f, 3.75921834e-01f, 3.75989689e-01f, 3.76057541e-01f,
    3.76125389e-01f, 3.76193235e-01f, 3.76261077e-01f, 3.76328915e-01f,
    3.76396751e-01f, 3.76464584e-01f, 3.76532413e-01f, 3.76600239e-01f,
    3.76668062e-01f, 3.76735882e-01f, 3.76803698e-01f, 3.76871511e-01f,
    3.76939322e-01f, 3.77007129e-01f, 3.77074932e-01f, 3.77142733e-01f,
    3.77210530e-01f, 3.77278325e-01f, 3.77346116e-01f, 3.77413904e-01f,
    3.77481688e-01f, 3.77549470e-01f, 3.77617248e-01f, 3.77685023e-01f,
    3.77752795e-01f, 3.77820564e-01f, 3.77888329e-01f, 3.77956092e-01f,
    3.78023851e-01f, 3.78091607e-01f, 3.78159360e-01f, 3.78227109e-01f,
    3.78294856e-01f, 3.78362599e-01f, 3.78430339e-01f, 3.78498076e-01f,
    3.78565810e-01f, 3.78633541e-01f, 3.78701268e-01f, 3.78768992e-01f,
    3.78836713e-01f, 3.78904431e-01f, 3.78972146e-01f, 3.79039857e-01f,
    3.79107566e-01f, 3.79175271e-01f, 3.79242973e-01f, 3.79310671e-01f,
    3.79378367e-01f, 3.79446060e-01f, 3.79513749e-01f, 3.79581435e-01f,
    3.79649118e-01f, 3.79716797e-01f, 3.79784474e-01f, 3.79852147e-01f,
    3.79919818e-01f, 3.79987485e-01f, 3.80055149e-01f, 3.80122809e-01f,
    3.80190467e-01f, 3.80258121e-01f, 3.80325772e-01f, 3.80393420e-01f,
    3.80461065e-01f, 3.80528707e-01f, 3.80596345e-01f, 3.80663981e-01f,
    3.80731613e-01f, 3.80799242e-01f, 3.80866867e-01f, 3.80934490e-01f,
    3.81002110e-01f, 3.81069726e-01f, 3.81137339e-01f, 3.81204949e-01f,
    3.81272556e-01f, 3.81340159e-01f, 3.81407760e-01f, 3.81475357e-01f,
    3.81542951e-01f, 3.81610542e-01f, 3.81678130e-01f, 3.81745715e-01f,
    3.81813296e-01f, 3.81880874e-01f, 3.81948449e-01f, 3.82016021e-01f,
    3.82083590e-01f, 3.82151156e-01f, 3.82218718e-01f, 3.82286278e-01f,
    3.82353834e-01f, 3.82421387e-01f, 3.82488936e-01f, 3.82556483e-01f,
    3.82624027e-01f, 3.82691567e-01f, 3.82759104e-01f, 3.82826638e-01f,
    3.82894169e-01f, 3.82961697e-01f, 3.83029221e-01f, 3.83096742e-01f,
    3.83164261e-01f, 3.83231776e-01f, 3.83299288e-01f, 3.83366796e-01f,
    3.83434302e-01f, 3.83501804e-01f, 3.83569303e-01f, 3.83636800e-01f,
    3.83704292e-01f, 3.83771782e-01f, 3.83839269e-01f, 3.83906752e-01f,
    3.83974233e-01f, 3.84041710e-01f, 3.84109184e-01f, 3.84176655e-01f,
    3.84244122e-01f, 3.84311587e-01f, 3.84379048e-01f, 3.84446506e-01f,
    3.84513961e-01f, 3.84581413e-01f, 3.84648862e-01f, 3.84716308e-01f,
    3.84783750e-01f, 3.84851189e-01f, 3.84918626e-01f, 3.84986059e-01f,
    3.85053488e-01f, 3.85120915e-01f, 3.85188339e-01f, 3.85255759e-01f,
    3.85323176e-01f, 3.85390590e-01f, 3.85458001e-01f, 3.85525409e-01f,
    3.85592814e-01f, 3.85660215e-01f, 3.85727613e-01f, 3.85795009e-01f,
    3.85862401e-01f, 3.85929790e-01f, 3.85997175e-01f, 3.86064558e-01f,
    3.86131937e-01f, 3.86199314e-01f, 3.86266687e-01f, 3.86334057e-01f,
    3.86401424e-01f, 3.86468787e-01f, 3.86536148e-01f, 3.86603505e-01f,
    3.86670860e-01f, 3.86738211e-01f, 3.86805559e-01f, 3.86872904e-01f,
    3.86940245e-01f, 3.87007584e-01f, 3.87074919e-01f, 3.87142252e-01f,
    3.87209581e-01f, 3.87276907e-01f, 3.87344230e-01f, 3.87411549e-01f,
    3.87478866e-01f, 3.87546179e-01f, 3.87613490e-01f, 3.87680797e-01f,
    3.87748101e-01f, 3.87815402e-01f, 3.87882699e-01f, 3.87949994e-01f,
    3.88017285e-01f, 3.88084574e-01f, 3.88151859e-01f, 3.88219141e-01f,
    3.88286420e-01f, 3.88353696e-01f, 3.88420968e-01f, 3.88488238e-01f,
    3.88555504e-01f, 3.88622767e-01f, 3.88690027e-01f, 3.88757284e-01f,
    3.88824538e-01f, 3.88891789e-01f, 3.88959036e-01f, 3.89026281e-01f,
    3.89093522e-01f, 3.89160760e-01f, 3.89227995e-01f, 3.89295227e-01f,
    3.89362456e-01f, 3.89429681e-01f, 3.89496904e-01f, 3.89564123e-01f,
    3.89631339e-01f, 3.89698552e-01f, 3.89765762e-01f, 3.89832969e-01f,
    3.89900173e-01f, 3.89967373e-01f, 3.90034571e-01f, 3.90101765e-01f,
    3.90168956e-01f, 3.90236144e-01f, 3.90303329e-01f, 3.90370511e-01f,
    3.90437690e-01f, 3.90504865e-01f, 3.90572037e-01f, 3.90639207e-01f,
    3.90706373e-01f, 3.90773536e-01f, 3.90840696e-01f, 3.90907853e-01f,
    3.90975006e-01f, 3.91042157e-01f, 3.91109304e-01f, 3.91176448e-01f,
    3.91243589e-01f, 3.91310727e-01f, 3.91377862e-01f, 3.91444994e-01f,
    3.91512123e-01f, 3.91579248e-01f, 3.91646371e-01f, 3.91713490e-01f,
    3.91780606e-01f, 3.91847719e-01f, 3.91914829e-01f, 3.91981936e-01f,
    3.92049039e-01f, 3.92116140e-01f, 3.92183237e-01f, 3.92250332e-01f,
    3.92317423e-01f, 3.92384511e-01f, 3.92451596e-01f, 3.92518678e-01f,
    3.92585756e-01f, 3.92652832e-01f, 3.92719904e-01f, 3.92786974e-01f,
    3.92854040e-01f, 3.92921103e-01f, 3.92988163e-01f, 3.93055220e-01f,
    3.93122274e-01f, 3.93189324e-01f, 3.93256372e-01f, 3.93323416e-01f,
    3.93390457e-01f, 3.93457496e-01f, 3.93524531e-01f, 3.93591563e-01f,
    3.93658591e-01f, 3.93725617e-01f, 3.93792640e-01f, 3.93859659e-01f,
    3.93926676e-01f, 3.93993689e-01f, 3.94060699e-01f, 3.94127706e-01f,
    3.94194710e-01f, 3.94261711e-01f, 3.94328709e-01f, 3.94395703e-01f,
    3.94462695e-01f, 3.94529683e-01f, 3.94596668e-01f, 3.94663650e-01f,
    3.94730629e-01f, 3.94797605e-01f, 3.94864578e-01f, 3.94931548e-01f,
    3.94998515e-01f, 3.95065478e-01f, 3.95132438e-01f, 3.95199396e-01f,
    3.95266350e-01f, 3.95333301e-01f, 3.95400249e-01f, 3.95467194e-01f,
    3.95534135e-01f, 3.95601074e-01f, 3.95668010e-01f, 3.95734942e-01f,
    3.95801871e-01f, 3.95868798e-01f, 3.95935721e-01f, 3.96002641e-01f,
    3.96069558e-01f, 3.96136471e-01f, 3.96203382e-01f, 3.96270290e-01f,
    3.96337194e-01f, 3.96404096e-01f, 3.96470994e-01f, 3.96537889e-01f,
    3.96604781e-01f, 3.96671670e-01f, 3.96738556e-01f, 3.96805439e-01f,
    3.96872319e-01f, 3.96939195e-01f, 3.97006069e-01f, 3.97072939e-01f,
    3.97139806e-01f, 3.97206670e-01f, 3.97273532e-01f, 3.97340389e-01f,
    3.97407244e-01f, 3.97474096e-01f, 3.97540945e-01f, 3.97607790e-01f,
    3.97674633e-01f, 3.97741472e-01f, 3.97808309e-01f, 3.97875142e-01f,
    3.97941972e-01f, 3.98008799e-01f, 3.98075623e-01f, 3.98142444e-01f,
    3.98209261e-01f, 3.98276076e-01f, 3.98342888e-01f, 3.98409696e-01f,
    3.98476501e-01f, 3.98543304e-01f, 3.98610103e-01f, 3.98676899e-01f,
    3.98743692e-01f, 3.98810482e-01f, 3.98877269e-01f, 3.98944052e-01f,
    3.99010833e-01f, 3.99077610e-01f, 3.99144385e-01f, 3.99211156e-01f,
    3.99277925e-01f, 3.99344690e-01f, 3.99411452e-01f, 3.99478211e-01f,
    3.99544967e-01f, 3.99611719e-01f, 3.99678469e-01f, 3.99745216e-01f,
    3.99811959e-01f, 3.99878700e-01f, 3.99945437e-01f, 4.00012171e-01f,
    4.00078903e-01f, 4.00145631e-01f, 4.00212356e-01f, 4.00279078e-01f,
    4.00345797e-01f, 4.00412512e-01f, 4.00479225e-01f, 4.00545935e-01f,
    4.00612641e-01f, 4.00679345e-01f, 4.00746045e-01f, 4.00812742e-01f,
    4.00879436e-01f, 4.00946127e-01f, 4.01012815e-01f, 4.01079500e-01f,
    4.01146182e-01f, 4.01212861e-01f, 4.01279537e-01f, 4.01346209e-01f,
    4.01412879e-01f, 4.01479545e-01f, 4.01546209e-01f, 4.01612869e-01f,
    4.01679526e-01f, 4.01746180e-01f, 4.01812831e-01f, 4.01879479e-01f,
    4.01946124e-01f, 4.02012766e-01f, 4.02079405e-01f, 4.02146040e-01f,
    4.02212673e-01f, 4.02279302e-01f, 4.02345929e-01f, 4.02412552e-01f,
    4.02479172e-01f, 4.02545789e-01f, 4.02612404e-01f, 4.02679015e-01f,
    4.02745622e-01f, 4.02812227e-01f, 4.02878829e-01f, 4.02945428e-01f,
    4.03012024e-01f, 4.03078616e-01f, 4.03145206e-01f, 4.03211792e-01f,
    4.03278375e-01f, 4.03344956e-01f, 4.03411533e-01f, 4.03478107e-01f,
    4.03544678e-01f, 4.03611246e-01f, 4.03677811e-01f, 4.03744373e-01f,
    4.03810932e-01f, 4.03877488e-01f, 4.03944040e-01f, 4.04010590e-01f,
    4.04077136e-01f, 4.04143680e-01f, 4.04210220e-01f, 4.04276757e-01f,
    4.04343292e-01f, 4.04409823e-01f, 4.04476351e-01f, 4.04542876e-01f,
    4.04609398e-01f, 4.04675917e-01f, 4.04742433e-01f, 4.04808945e-01f,
    4.04875455e-01f, 4.04941962e-01f, 4.05008465e-01f, 4.05074966e-01f,
    4.05141463e-01f, 4.05207958e-01f, 4.05274449e-01f, 4.05340937e-01f,
    4.05407422e-01f, 4.05473904e-01f, 4.05540383e-01f, 4.05606859e-01f,
    4.05673332e-01f, 4.05739802e-01f, 4.05806269e-01f, 4.05872733e-01f,
    4.05939193e-01f, 4.06005651e-01f, 4.06072106e-01f, 4.06138557e-01f,
    4.06205005e-01f, 4.06271451e-01f, 4.06337893e-01f, 4.06404332e-01f,
    4.06470769e-01f, 4.06537202e-01f, 4.06603632e-01f, 4.06670059e-01f,
    4.06736483e-01f, 4.06802904e-01f, 4.06869321e-01f, 4.06935736e-01f,
    4.07002148e-01f, 4.07068557e-01f, 4.07134962e-01f, 4.07201365e-01f,
    4.07267764e-01f, 4.07334161e-01f, 4.07400554e-01f, 4.07466944e-01f,
    4.07533332e-01f, 4.07599716e-01f, 4.07666097e-01f, 4.07732475e-01f,
    4.07798850e-01f, 4.07865222e-01f, 4.07931591e-01f, 4.07997957e-01f,
    4.08064320e-01f, 4.08130680e-01f, 4.08197036e-01f, 4.08263390e-01f,
    4.08329741e-01f, 4.08396088e-01f, 4.08462433e-01f, 4.08528774e-01f,
    4.08595113e-01f, 4.08661448e-01f, 4.08727781e-01f, 4.08794110e-01f,
    4.08860436e-01f, 4.08926759e-01f, 4.08993079e-01f, 4.09059396e-01f,
    4.09125710e-01f, 4.09192021e-01f, 4.09258329e-01f, 4.09324634e-01f,
    4.09390936e-01f, 4.09457235e-01f, 4.09523531e-01f, 4.09589823e-01f,
    4.09656113e-01f, 4.09722400e-01f, 4.09788683e-01f, 4.09854964e-01f,
    4.09921241e-01f, 4.09987516e-01f, 4.10053787e-01f, 4.10120055e-01f,
    4.10186321e-01f, 4.10252583e-01f, 4.10318842e-01f, 4.10385098e-01f,
    4.10451352e-01f, 4.10517602e-01f, 4.10583849e-01f, 4.10650093e-01f,
    4.10716334e-01f, 4.10782572e-01f, 4.10848806e-01f, 4.10915038e-01f,
    4.10981267e-01f, 4.11047493e-01f, 4.11113716e-01f, 4.11179935e-01f,
    4.11246152e-01f, 4.11312365e-01f, 4.11378576e-01f, 4.11444784e-01f,
    4.11510988e-01f, 4.11577189e-01f, 4.11643388e-01f, 4.11709583e-01f,
    4.11775776e-01f, 4.11841965e-01f, 4.11908151e-01f, 4.11974334e-01f,
    4.12040515e-01f, 4.12106692e-01f, 4.12172866e-01f, 4.12239037e-01f,
    4.12305205e-01f, 4.12371370e-01f, 4.12437532e-01f, 4.12503691e-01f,
    4.12569847e-01f, 4.12636000e-01f, 4.12702150e-01f, 4.12768296e-01f,
    4.12834440e-01f, 4.12900581e-01f, 4.12966719e-01f, 4.13032853e-01f,
    4.13098985e-01f, 4.13165114e-01f, 4.13231239e-01f, 4.13297362e-01f,
    4.13363481e-01f, 4.13429598e-01f, 4.13495711e-01f, 4.13561822e-01f,
    4.13627929e-01f, 4.13694033e-01f, 4.13760135e-01f, 4.13826233e-01f,
    4.13892328e-01f, 4.13958421e-01f, 4.14024510e-01f, 4.14090596e-01f,
    4.14156679e-01f, 4.14222759e-01f, 4.14288837e-01f, 4.14354911e-01f,
    4.14420982e-01f, 4.14487050e-01f, 4.14553115e-01f, 4.14619177e-01f,
    4.14685236e-01f, 4.14751292e-01f, 4.14817345e-01f, 4.14883395e-01f,
    4.14949441e-01f, 4.15015485e-01f, 4.15081526e-01f, 4.15147564e-01f,
    4.15213599e-01f, 4.15279631e-01f, 4.15345659e-01f, 4.15411685e-01f,
    4.15477708e-01f, 4.15543727e-01f, 4.15609744e-01f, 4.15675758e-01f,
    4.15741768e-01f, 4.15807776e-01f, 4.15873780e-01f, 4.15939782e-01f,
    4.16005781e-01f, 4.16071776e-01f, 4.16137769e-01f, 4.16203758e-01f,
    4.16269745e-01f, 4.16335728e-01f, 4.16401708e-01f, 4.16467686e-01f,
    4.16533660e-01f, 4.16599632e-01f, 4.16665600e-01f, 4.16731565e-01f,
    4.16797528e-01f, 4.16863487e-01f, 4.16929443e-01f, 4.16995396e-01f,
    4.17061347e-01f, 4.17127294e-01f, 4.17193238e-01f, 4.17259179e-01f,
    4.17325118e-01f, 4.17391053e-01f, 4.17456985e-01f, 4.17522914e-01f,
    4.17588840e-01f, 4.17654764e-01f, 4.17720684e-01f, 4.17786601e-01f,
    4.17852515e-01f, 4.17918426e-01f, 4.17984334e-01f, 4.18050239e-01f,
    4.18116141e-01f, 4.18182040e-01f, 4.18247936e-01f, 4.18313829e-01f,
    4.18379719e-01f, 4.18445606e-01f, 4.18511490e-01f, 4.18577371e-01f,
    4.18643249e-01f, 4.18709124e-01f, 4.18774996e-01f, 4.18840865e-01f,
    4.18906731e-01f, 4.18972594e-01f, 4.19038454e-01f, 4.19104311e-01f,
    4.19170165e-01f, 4.19236016e-01f, 4.19301864e-01f, 4.19367709e-01f,
    4.19433551e-01f, 4.19499390e-01f, 4.19565226e-01f, 4.19631058e-01f,
    4.19696888e-01f, 4.19762715e-01f, 4.19828539e-01f, 4.19894360e-01f,
    4.19960178e-01f, 4.20025993e-01f, 4.20091805e-01f, 4.20157613e-01f,
    4.20223419e-01f, 4.20289222e-01f, 4.20355022e-01f, 4.20420819e-01f,
    4.20486613e-01f, 4.20552404e-01f, 4.20618192e-01f, 4.20683976e-01f,
    4.20749758e-01f, 4.20815537e-01f, 4.20881313e-01f, 4.20947086e-01f,
    4.21012856e-01f, 4.21078623e-01f, 4.21144387e-01f, 4.21210147e-01f,
    4.21275905e-01f, 4.21341660e-01f, 4.21407412e-01f, 4.21473161e-01f,
    4.21538907e-01f, 4.21604650e-01f, 4.21670390e-01f, 4.21736127e-01f,
    4.21801860e-01f, 4.21867591e-01f, 4.21933319e-01f, 4.21999044e-01f,
    4.22064766e-01f, 4.22130485e-01f, 4.22196201e-01f, 4.22261914e-01f,
    4.22327624e-01f, 4.22393331e-01f, 4.22459035e-01f, 4.22524736e-01f,
    4.22590434e-01f, 4.22656129e-01f, 4.22721821e-01f, 4.22787510e-01f,
    4.22853196e-01f, 4.22918879e-01f, 4.22984559e-01f, 4.23050236e-01f,
    4.23115910e-01f, 4.23181581e-01f, 4.23247249e-01f, 4.23312914e-01f,
    4.23378577e-01f, 4.23444236e-01f, 4.23509892e-01f, 4.23575545e-01f,
    4.23641195e-01f, 4.23706842e-01f, 4.23772486e-01f, 4.23838128e-01f,
    4.23903766e-01f, 4.23969401e-01f, 4.24035033e-01f, 4.24100663e-01f,
    4.24166289e-01f, 4.24231912e-01f, 4.24297532e-01f, 4.24363150e-01f,
    4.24428764e-01f, 4.24494375e-01f, 4.24559984e-01f, 4.24625589e-01f,
    4.24691192e-01f, 4.24756791e-01f, 4.24822387e-01f, 4.24887981e-01f,
    4.24953571e-01f, 4.25019159e-01f, 4.25084743e-01f, 4.25150325e-01f,
    4.25215903e-01f, 4.25281479e-01f, 4.25347051e-01f, 4.25412621e-01f,
    4.25478188e-01f, 4.25543751e-01f, 4.25609312e-01f, 4.25674870e-01f,
    4.25740424e-01f, 4.25805976e-01f, 4.25871525e-01f, 4.25937071e-01f,
    4.26002613e-01f, 4.26068153e-01f, 4.26133690e-01f, 4.26199224e-01f,
    4.26264755e-01f, 4.26330283e-01f, 4.26395808e-01f, 4.26461329e-01f,
    4.26526848e-01f, 4.26592364e-01f, 4.26657877e-01f, 4.26723388e-01f,
    4.26788895e-01f, 4.26854399e-01f, 4.26919900e-01f, 4.26985398e-01f,
    4.27050893e-01f, 4.27116385e-01f, 4.27181875e-01f, 4.27247361e-01f,
    4.27312844e-01f, 4.27378324e-01f, 4.27443802e-01f, 4.27509276e-01f,
    4.27574748e-01f, 4.27640216e-01f, 4.27705681e-01f, 4.27771144e-01f,
    4.27836603e-01f, 4.27902060e-01f, 4.27967514e-01f, 4.28032964e-01f,
    4.28098412e-01f, 4.28163857e-01f, 4.28229298e-01f, 4.28294737e-01f,
    4.28360173e-01f, 4.28425606e-01f, 4.28491035e-01f, 4.28556462e-01f,
    4.28621886e-01f, 4.28687307e-01f, 4.28752725e-01f, 4.28818140e-01f,
    4.28883552e-01f, 4.28948961e-01f, 4.29014367e-01f, 4.29079770e-01f,
    4.29145170e-01f, 4.29210568e-01f, 4.29275962e-01f, 4.29341353e-01f,
    4.29406742e-01f, 4.29472127e-01f, 4.29537509e-01f, 4.29602889e-01f,
    4.29668265e-01f, 4.29733639e-01f, 4.29799009e-01f, 4.29864377e-01f,
    4.29929741e-01f, 4.29995103e-01f, 4.30060462e-01f, 4.30125817e-01f,
    4.30191170e-01f, 4.30256520e-01f, 4.30321867e-01f, 4.30387211e-01f,
    4.30452552e-01f, 4.30517890e-01f, 4.30583225e-01f, 4.30648557e-01f,
    4.30713886e-01f, 4.30779212e-01f, 4.30844535e-01f, 4.30909855e-01f,
    4.30975173e-01f, 4.31040487e-01f, 4.31105798e-01f, 4.31171107e-01f,
    4.31236412e-01f, 4.31301715e-01f, 4.31367014e-01f, 4.31432311e-01f,
    4.31497604e-01f, 4.31562895e-01f, 4.31628183e-01f, 4.31693467e-01f,
    4.31758749e-01f, 4.31824028e-01f, 4.31889304e-01f, 4.31954577e-01f,
    4.32019847e-01f, 4.32085114e-01f, 4.32150378e-01f, 4.32215639e-01f,
    4.32280897e-01f, 4.32346152e-01f, 4.32411405e-01f, 4.32476654e-01f,
    4.32541900e-01f, 4.32607144e-01f, 4.32672384e-01f, 4.32737622e-01f,
    4.32802856e-01f, 4.32868088e-01f, 4.32933317e-01f, 4.32998542e-01f,
    4.33063765e-01f, 4.33128985e-01f, 4.33194202e-01f, 4.33259416e-01f,
    4.33324627e-01f, 4.33389835e-01f, 4.33455040e-01f, 4.33520242e-01f,
    4.33585441e-01f, 4.33650637e-01f, 4.33715831e-01f, 4.33781021e-01f,
    4.33846208e-01f, 4.33911393e-01f, 4.33976574e-01f, 4.34041753e-01f,
    4.34106929e-01f, 4.34172101e-01f, 4.34237271e-01f, 4.34302438e-01f,
    4.34367602e-01f, 4.34432763e-01f, 4.34497921e-01f, 4.34563076e-01f,
    4.34628228e-01f, 4.34693377e-01f, 4.34758523e-01f, 4.34823666e-01f,
    4.34888807e-01f, 4.34953944e-01f, 4.35019078e-01f, 4.35084210e-01f,
    4.35149338e-01f, 4.35214464e-01f, 4.35279587e-01f, 4.35344706e-01f,
    4.35409823e-01f, 4.35474937e-01f, 4.35540048e-01f, 4.35605156e-01f,
    4.35670261e-01f, 4.35735363e-01f, 4.35800462e-01f, 4.35865558e-01f,
    4.35930652e-01f, 4.35995742e-01f, 4.36060829e-01f, 4.36125914e-01f,
    4.36190995e-01f, 4.36256074e-01f, 4.36321150e-01f, 4.36386222e-01f,
    4.36451292e-01f, 4.36516359e-01f, 4.36581423e-01f, 4.36646484e-01f,
    4.36711542e-01f, 4.36776597e-01f, 4.36841649e-01f, 4.36906699e-01f,
    4.36971745e-01f, 4.37036788e-01f, 4.37101829e-01f, 4.37166866e-01f,
    4.37231901e-01f, 4.37296933e-01f, 4.37361961e-01f, 4.37426987e-01f,
    4.37492010e-01f, 4.37557030e-01f, 4.37622047e-01f, 4.37687061e-01f,
    4.37752072e-01f, 4.37817081e-01f, 4.37882086e-01f, 4.37947088e-01f,
    4.38012088e-01f, 4.38077084e-01f, 4.38142078e-01f, 4.38207068e-01f,
    4.38272056e-01f, 4.38337041e-01f, 4.38402023e-01f, 4.38467002e-01f,
    4.38531978e-01f, 4.38596951e-01f, 4.38661921e-01f, 4.38726888e-01f,
    4.38791853e-01f, 4.38856814e-01f, 4.38921772e-01f, 4.38986728e-01f,
    4.39051681e-01f, 4.39116630e-01f, 4.39181577e-01f, 4.39246521e-01f,
    4.39311462e-01f, 4.39376400e-01f, 4.39441335e-01f, 4.39506267e-01f,
    4.39571196e-01f, 4.39636123e-01f, 4.39701046e-01f, 4.39765966e-01f,
    4.39830884e-01f, 4.39895799e-01f, 4.39960710e-01f, 4.40025619e-01f,
    4.40090525e-01f, 4.40155428e-01f, 4.40220328e-01f, 4.40285225e-01f,
    4.40350119e-01f, 4.40415010e-01f, 4.40479899e-01f, 4.40544784e-01f,
    4.40609667e-01f, 4.40674546e-01f, 4.40739423e-01f, 4.40804297e-01f,
    4.40869168e-01f, 4.40934036e-01f, 4.40998901e-01f, 4.41063763e-01f,
    4.41128622e-01f, 4.41193478e-01f, 4.41258331e-01f, 4.41323182e-01f,
    4.41388029e-01f, 4.41452874e-01f, 4.41517716e-01f, 4.41582554e-01f,
    4.41647390e-01f, 4.41712223e-01f, 4.41777053e-01f, 4.41841880e-01f,
    4.41906705e-01f, 4.41971526e-01f, 4.42036344e-01f, 4.42101160e-01f,
    4.42165972e-01f, 4.42230782e-01f, 4.42295589e-01f, 4.42360392e-01f,
    4.42425193e-01f, 4.42489991e-01f, 4.42554786e-01f, 4.42619579e-01f,
    4.42684368e-01f, 4.42749154e-01f, 4.42813938e-01f, 4.42878718e-01f,
    4.42943496e-01f, 4.43008271e-01f, 4.43073042e-01f, 4.43137811e-01f,
    4.43202577e-01f, 4.43267340e-01f, 4.43332101e-01f, 4.43396858e-01f,
    4.43461612e-01f, 4.43526364e-01f, 4.43591112e-01f, 4.43655858e-01f,
    4.43720601e-01f, 4.43785341e-01f, 4.43850077e-01f, 4.43914811e-01f,
    4.43979543e-01f, 4.44044271e-01f, 4.44108996e-01f, 4.44173719e-01f,
    4.44238438e-01f, 4.44303155e-01f, 4.44367868e-01f, 4.44432579e-01f,
    4.44497287e-01f, 4.44561992e-01f, 4.44626694e-01f, 4.44691393e-01f,
    4.44756090e-01f, 4.44820783e-01f, 4.44885474e-01f, 4.44950161e-01f,
    4.45014846e-01f, 4.45079528e-01f, 4.45144207e-01f, 4.45208883e-01f,
    4.45273556e-01f, 4.45338226e-01f, 4.45402893e-01f, 4.45467558e-01f,
    4.45532219e-01f, 4.45596878e-01f, 4.45661533e-01f, 4.45726186e-01f,
    4.45790836e-01f, 4.45855483e-01f, 4.45920127e-01f, 4.45984768e-01f,
    4.46049407e-01f, 4.46114042e-01f, 4.46178675e-01f, 4.46243304e-01f,
    4.46307931e-01f, 4.46372555e-01f, 4.46437176e-01f, 4.46501794e-01f,
    4.46566409e-01f, 4.46631021e-01f, 4.46695631e-01f, 4.46760237e-01f,
    4.46824841e-01f, 4.46889441e-01f, 4.46954039e-01f, 4.47018634e-01f,
    4.47083226e-01f, 4.47147815e-01f, 4.47212402e-01f, 4.47276985e-01f,
    4.47341565e-01f, 4.47406143e-01f, 4.47470718e-01f, 4.47535289e-01f,
    4.47599858e-01f, 4.47664424e-01f, 4.47728987e-01f, 4.47793548e-01f,
    4.47858105e-01f, 4.47922659e-01f, 4.47987211e-01f, 4.48051760e-01f,
    4.48116305e-01f, 4.48180848e-01f, 4.48245388e-01f, 4.48309925e-01f,
    4.48374460e-01f, 4.48438991e-01f, 4.48503519e-01f, 4.48568045e-01f,
    4.48632568e-01f, 4.48697088e-01f, 4.48761604e-01f, 4.48826118e-01f,
    4.48890630e-01f, 4.48955138e-01f, 4.49019643e-01f, 4.49084146e-01f,
    4.49148645e-01f, 4.49213142e-01f, 4.49277636e-01f, 4.49342127e-01f,
    4.49406615e-01f, 4.49471100e-01f, 4.49535582e-01f, 4.49600062e-01f,
    4.49664538e-01f, 4.49729012e-01f, 4.49793483e-01f, 4.49857951e-01f,
    4.49922416e-01f, 4.49986878e-01f, 4.50051337e-01f, 4.50115794e-01f,
    4.50180247e-01f, 4.50244698e-01f, 4.50309146e-01f, 4.50373590e-01f,
    4.50438032e-01f, 4.50502472e-01f, 4.50566908e-01f, 4.50631341e-01f,
    4.50695772e-01f, 4.50760199e-01f, 4.50824624e-01f, 4.50889046e-01f,
    4.50953465e-01f, 4.51017881e-01f, 4.51082294e-01f, 4.51146704e-01f,
    4.51211112e-01f, 4.51275516e-01f, 4.51339918e-01f, 4.51404317e-01f,
    4.51468713e-01f, 4.51533106e-01f, 4.51597496e-01f, 4.51661884e-01f,
    4.51726268e-01f, 4.51790650e-01f, 4.51855028e-01f, 4.51919404e-01f,
    4.51983777e-01f, 4.52048147e-01f, 4.52112515e-01f, 4.52176879e-01f,
    4.52241240e-01f, 4.52305599e-01f, 4.52369955e-01f, 4.52434308e-01f,
    4.52498658e-01f, 4.52563005e-01f, 4.52627349e-01f, 4.52691691e-01f,
    4.52756029e-01f, 4.52820365e-01f, 4.52884697e-01f, 4.52949027e-01f,
    4.53013354e-01f, 4.53077679e-01f, 4.53142000e-01f, 4.53206318e-01f,
    4.53270634e-01f, 4.53334947e-01f, 4.53399257e-01f, 4.53463564e-01f,
    4.53527868e-01f, 4.53592169e-01f, 4.53656467e-01f, 4.53720763e-01f,
    4.53785055e-01f, 4.53849345e-01f, 4.53913632e-01f, 4.53977916e-01f,
    4.54042197e-01f, 4.54106476e-01f, 4.54170751e-01f, 4.54235024e-01f,
    4.54299294e-01f, 4.54363560e-01f, 4.54427825e-01f, 4.54492086e-01f,
    4.54556344e-01f, 4.54620599e-01f, 4.54684852e-01f, 4.54749102e-01f,
    4.54813349e-01f, 4.54877592e-01f, 4.54941834e-01f, 4.55006072e-01f,
    4.55070307e-01f, 4.55134540e-01f, 4.55198770e-01f, 4.55262996e-01f,
    4.55327220e-01f, 4.55391441e-01f, 4.55455660e-01f, 4.55519875e-01f,
    4.55584088e-01f, 4.55648297e-01f, 4.55712504e-01f, 4.55776708e-01f,
    4.55840909e-01f, 4.55905107e-01f, 4.55969303e-01f, 4.56033495e-01f,
    4.56097685e-01f, 4.56161872e-01f, 4.56226056e-01f, 4.56290237e-01f,
    4.56354415e-01f, 4.56418591e-01f, 4.56482763e-01f, 4.56546933e-01f,
    4.56611100e-01f, 4.56675264e-01f, 4.56739425e-01f, 4.56803583e-01f,
    4.56867738e-01f, 4.56931891e-01f, 4.56996041e-01f, 4.57060188e-01f,
    4.57124332e-01f, 4.57188473e-01f, 4.57252611e-01f, 4.57316746e-01f,
    4.57380879e-01f, 4.57445009e-01f, 4.57509136e-01f, 4.57573260e-01f,
    4.57637381e-01f, 4.57701499e-01f, 4.57765615e-01f, 4.57829728e-01f,
    4.57893837e-01f, 4.57957944e-01f, 4.58022048e-01f, 4.58086150e-01f,
    4.58150248e-01f, 4.58214344e-01f, 4.58278436e-01f, 4.58342526e-01f,
    4.58406613e-01f, 4.58470697e-01f, 4.58534779e-01f, 4.58598857e-01f,
    4.58662933e-01f, 4.58727006e-01f, 4.58791076e-01f, 4.58855143e-01f,
    4.58919207e-01f, 4.58983268e-01f, 4.59047327e-01f, 4.59111383e-01f,
    4.59175436e-01f, 4.59239486e-01f, 4.59303533e-01f, 4.59367577e-01f,
    4.59431619e-01f, 4.59495657e-01f, 4.59559693e-01f, 4.59623726e-01f,
    4.59687756e-01f, 4.59751784e-01f, 4.59815808e-01f, 4.59879830e-01f,
    4.59943848e-01f, 4.60007864e-01f, 4.60071877e-01f, 4.60135888e-01f,
    4.60199895e-01f, 4.60263900e-01f, 4.60327901e-01f, 4.60391900e-01f,
    4.60455896e-01f, 4.60519890e-01f, 4.60583880e-01f, 4.60647867e-01f,
    4.60711852e-01f, 4.60775834e-01f, 4.60839813e-01f, 4.60903789e-01f,
    4.60967763e-01f, 4.61031733e-01f, 4.61095701e-01f, 4.61159666e-01f,
    4.61223628e-01f, 4.61287587e-01f, 4.61351543e-01f, 4.61415497e-01f,
    4.61479447e-01f, 4.61543395e-01f, 4.61607340e-01f, 4.61671282e-01f,
    4.61735222e-01f, 4.61799158e-01f, 4.61863092e-01f, 4.61927023e-01f,
    4.61990951e-01f, 4.62054876e-01f, 4.62118798e-01f, 4.62182718e-01f,
    4.62246634e-01f, 4.62310548e-01f, 4.62374459e-01f, 4.62438367e-01f,
    4.62502273e-01f, 4.62566175e-01f, 4.62630075e-01f, 4.62693972e-01f,
    4.62757866e-01f, 4.62821757e-01f, 4.62885645e-01f, 4.62949531e-01f,
    4.63013413e-01f, 4.63077293e-01f, 4.63141170e-01f, 4.63205045e-01f,
    4.63268916e-01f, 4.63332785e-01f, 4.63396650e-01f, 4.63460513e-01f,
    4.63524373e-01f, 4.63588231e-01f, 4.63652085e-01f, 4.63715937e-01f,
    4.63779785e-01f, 4.63843631e-01f, 4.63907474e-01f, 4.63971315e-01f,
    4.64035152e-01f, 4.64098987e-01f, 4.64162819e-01f, 4.64226648e-01f,
    4.64290474e-01f, 4.64354297e-01f, 4.64418118e-01f, 4.64481935e-01f,
    4.64545750e-01f, 4.64609562e-01f, 4.64673372e-01f, 4.64737178e-01f,
    4.64800982e-01f, 4.64864782e-01f, 4.64928580e-01f, 4.64992376e-01f,
    4.65056168e-01f, 4.65119957e-01f, 4.65183744e-01f, 4.65247528e-01f,
    4.65311309e-01f, 4.65375087e-01f, 4.65438862e-01f, 4.65502635e-01f,
    4.65566405e-01f, 4.65630172e-01f, 4.65693936e-01f, 4.65757697e-01f,
    4.65821456e-01f, 4.65885211e-01f, 4.65948964e-01f, 4.66012714e-01f,
    4.66076461e-01f, 4.66140206e-01f, 4.66203947e-01f, 4.66267686e-01f,
    4.66331422e-01f, 4.66395155e-01f, 4.66458886e-01f, 4.66522613e-01f,
    4.66586338e-01f, 4.66650060e-01f, 4.66713779e-01f, 4.66777495e-01f,
    4.66841208e-01f, 4.66904919e-01f, 4.66968627e-01f, 4.67032332e-01f,
    4.67096034e-01f, 4.67159733e-01f, 4.67223430e-01f, 4.67287124e-01f,
    4.67350814e-01f, 4.67414503e-01f, 4.67478188e-01f, 4.67541870e-01f,
    4.67605550e-01f, 4.67669227e-01f, 4.67732901e-01f, 4.67796572e-01f,
    4.67860241e-01f, 4.67923906e-01f, 4.67987569e-01f, 4.68051229e-01f,
    4.68114886e-01f, 4.68178541e-01f, 4.68242192e-01f, 4.68305841e-01f,
    4.68369487e-01f, 4.68433130e-01f, 4.68496771e-01f, 4.68560408e-01f,
    4.68624043e-01f, 4.68687675e-01f, 4.68751304e-01f, 4.68814930e-01f,
    4.68878554e-01f, 4.68942175e-01f, 4.69005792e-01f, 4.69069408e-01f,
    4.69133020e-01f, 4.69196629e-01f, 4.69260236e-01f, 4.69323840e-01f,
    4.69387441e-01f, 4.69451039e-01f, 4.69514635e-01f, 4.69578227e-01f,
    4.69641817e-01f, 4.69705404e-01f, 4.69768989e-01f, 4.69832570e-01f,
    4.69896149e-01f, 4.69959725e-01f, 4.70023298e-01f, 4.70086868e-01f,
    4.70150435e-01f, 4.70214000e-01f, 4.70277562e-01f, 4.70341121e-01f,
    4.70404677e-01f, 4.70468231e-01f, 4.70531781e-01f, 4.70595329e-01f,
    4.70658874e-01f, 4.70722416e-01f, 4.70785956e-01f, 4.70849492e-01f,
    4.70913026e-01f, 4.70976557e-01f, 4.71040086e-01f, 4.71103611e-01f,
    4.71167134e-01f, 4.71230654e-01f, 4.71294171e-01f, 4.71357685e-01f,
    4.71421196e-01f, 4.71484705e-01f, 4.71548211e-01f, 4.71611714e-01f,
    4.71675214e-01f, 4.71738712e-01f, 4.71802207e-01f, 4.71865699e-01f,
    4.71929188e-01f, 4.71992674e-01f, 4.72056158e-01f, 4.72119638e-01f,
    4.72183116e-01f, 4.72246591e-01f, 4.72310064e-01f, 4.72373533e-01f,
    4.72437000e-01f, 4.72500464e-01f, 4.72563925e-01f, 4.72627384e-01f,
    4.72690839e-01f, 4.72754292e-01f, 4.72817742e-01f, 4.72881189e-01f,
    4.72944634e-01f, 4.73008075e-01f, 4.73071514e-01f, 4.73134950e-01f,
    4.73198384e-01f, 4.73261814e-01f, 4.73325242e-01f, 4.73388667e-01f,
    4.73452089e-01f, 4.73515508e-01f, 4.73578925e-01f, 4.73642339e-01f,
    4.73705750e-01f, 4.73769158e-01f, 4.73832563e-01f, 4.73895966e-01f,
    4.73959366e-01f, 4.74022763e-01f, 4.74086157e-01f, 4.74149548e-01f,
    4.74212937e-01f, 4.74276323e-01f, 4.74339706e-01f, 4.74403087e-01f,
    4.74466464e-01f, 4.74529839e-01f, 4.74593211e-01f, 4.74656580e-01f,
    4.74719947e-01f, 4.74783310e-01f, 4.74846671e-01f, 4.74910029e-01f,
    4.74973384e-01f, 4.75036737e-01f, 4.75100087e-01f, 4.75163434e-01f,
    4.75226778e-01f, 4.75290119e-01f, 4.75353458e-01f, 4.75416794e-01f,
    4.75480127e-01f, 4.75543457e-01f, 4.75606784e-01f, 4.75670109e-01f,
    4.75733431e-01f, 4.75796750e-01f, 4.75860066e-01f, 4.75923380e-01f,
    4.75986691e-01f, 4.76049999e-01f, 4.76113304e-01f, 4.76176607e-01f,
    4.76239906e-01f, 4.76303203e-01f, 4.76366497e-01f, 4.76429789e-01f,
    4.76493077e-01f, 4.76556363e-01f, 4.76619646e-01f, 4.76682926e-01f,
    4.76746204e-01f, 4.76809479e-01f, 4.76872751e-01f, 4.76936020e-01f,
    4.76999286e-01f, 4.77062550e-01f, 4.77125811e-01f, 4.77189069e-01f,
    4.77252324e-01f, 4.77315576e-01f, 4.77378826e-01f, 4.77442073e-01f,
    4.77505317e-01f, 4.77568559e-01f, 4.77631797e-01f, 4.77695033e-01f,
    4.77758266e-01f, 4.77821497e-01f, 4.77884724e-01f, 4.77947949e-01f,
    4.78011171e-01f, 4.78074390e-01f, 4.78137607e-01f, 4.78200821e-01f,
    4.78264032e-01f, 4.78327240e-01f, 4.78390445e-01f, 4.78453648e-01f,
    4.78516848e-01f, 4.78580045e-01f, 4.78643239e-01f, 4.78706431e-01f,
    4.78769619e-01f, 4.78832806e-01f, 4.78895989e-01f, 4.78959169e-01f,
    4.79022347e-01f, 4.79085522e-01f, 4.79148694e-01f, 4.79211864e-01f,
    4.79275030e-01f, 4.79338194e-01f, 4.79401355e-01f, 4.79464514e-01f,
    4.79527669e-01f, 4.79590822e-01f, 4.79653972e-01f, 4.79717119e-01f,
    4.79780264e-01f, 4.79843406e-01f, 4.79906545e-01f, 4.79969681e-01f,
    4.80032815e-01f, 4.80095945e-01f, 4.80159073e-01f, 4.80222198e-01f,
    4.80285321e-01f, 4.80348441e-01f, 4.80411558e-01f, 4.80474672e-01f,
    4.80537783e-01f, 4.80600892e-01f, 4.80663998e-01f, 4.80727101e-01f,
    4.80790201e-01f, 4.80853299e-01f, 4.80916394e-01f, 4.80979486e-01f,
    4.81042575e-01f, 4.81105661e-01f, 4.81168745e-01f, 4.81231826e-01f,
    4.81294905e-01f, 4.81357980e-01f, 4.81421053e-01f, 4.81484123e-01f,
    4.81547190e-01f, 4.81610255e-01f, 4.81673316e-01f, 4.81736375e-01f,
    4.81799432e-01f, 4.81862485e-01f, 4.81925536e-01f, 4.81988584e-01f,
    4.82051629e-01f, 4.82114671e-01f, 4.82177711e-01f, 4.82240748e-01f,
    4.82303782e-01f, 4.82366814e-01f, 4.82429842e-01f, 4.82492868e-01f,
    4.82555892e-01f, 4.82618912e-01f, 4.82681930e-01f, 4.82744945e-01f,
    4.82807957e-01f, 4.82870966e-01f, 4.82933973e-01f, 4.82996977e-01f,
    4.83059978e-01f, 4.83122976e-01f, 4.83185972e-01f, 4.83248965e-01f,
    4.83311955e-01f, 4.83374942e-01f, 4.83437927e-01f, 4.83500909e-01f,
    4.83563888e-01f, 4.83626865e-01f, 4.83689838e-01f, 4.83752809e-01f,
    4.83815777e-01f, 4.83878743e-01f, 4.83941705e-01f, 4.84004665e-01f,
    4.84067622e-01f, 4.84130577e-01f, 4.84193529e-01f, 4.84256477e-01f,
    4.84319424e-01f, 4.84382367e-01f, 4.84445308e-01f, 4.84508246e-01f,
    4.84571181e-01f, 4.84634113e-01f, 4.84697043e-01f, 4.84759970e-01f,
    4.84822894e-01f, 4.84885816e-01f, 4.84948734e-01f, 4.85011650e-01f,
    4.85074564e-01f, 4.85137474e-01f, 4.85200382e-01f, 4.85263287e-01f,
    4.85326189e-01f, 4.85389089e-01f, 4.85451986e-01f, 4.85514880e-01f,
    4.85577771e-01f, 4.85640659e-01f, 4.85703545e-01f, 4.85766428e-01f,
    4.85829309e-01f, 4.85892186e-01f, 4.85955061e-01f, 4.86017933e-01f,
    4.86080803e-01f, 4.86143669e-01f, 4.86206533e-01f, 4.86269394e-01f,
    4.86332253e-01f, 4.86395108e-01f, 4.86457961e-01f, 4.86520812e-01f,
    4.86583659e-01f, 4.86646504e-01f, 4.86709346e-01f, 4.86772185e-01f,
    4.86835022e-01f, 4.86897855e-01f, 4.86960686e-01f, 4.87023515e-01f,
    4.87086340e-01f, 4.87149163e-01f, 4.87211983e-01f, 4.87274801e-01f,
    4.87337615e-01f, 4.87400427e-01f, 4.87463236e-01f, 4.87526043e-01f,
    4.87588846e-01f, 4.87651647e-01f, 4.87714446e-01f, 4.87777241e-01f,
    4.87840034e-01f, 4.87902824e-01f, 4.87965611e-01f, 4.88028396e-01f,
    4.88091178e-01f, 4.88153957e-01f, 4.88216733e-01f, 4.88279507e-01f,
    4.88342278e-01f, 4.88405046e-01f, 4.88467811e-01f, 4.88530574e-01f,
    4.88593334e-01f, 4.88656091e-01f, 4.88718846e-01f, 4.88781597e-01f,
    4.88844346e-01f, 4.88907093e-01f, 4.88969836e-01f, 4.89032577e-01f,
    4.89095315e-01f, 4.89158051e-01f, 4.89220784e-01f, 4.89283513e-01f,
    4.89346241e-01f, 4.89408965e-01f, 4.89471687e-01f, 4.89534406e-01f,
    4.89597122e-01f, 4.89659836e-01f, 4.89722547e-01f, 4.89785255e-01f,
    4.89847960e-01f, 4.89910663e-01f, 4.89973363e-01f, 4.90036060e-01f,
    4.90098755e-01f, 4.90161447e-01f, 4.90224136e-01f, 4.90286822e-01f,
    4.90349506e-01f, 4.90412187e-01f, 4.90474865e-01f, 4.90537540e-01f,
    4.90600213e-01f, 4.90662883e-01f, 4.90725550e-01f, 4.90788215e-01f,
    4.90850877e-01f, 4.90913536e-01f, 4.90976192e-01f, 4.91038846e-01f,
    4.91101497e-01f, 4.91164145e-01f, 4.91226791e-01f, 4.91289433e-01f,
    4.91352074e-01f, 4.91414711e-01f, 4.91477346e-01f, 4.91539977e-01f,
    4.91602607e-01f, 4.91665233e-01f, 4.91727857e-01f, 4.91790478e-01f,
    4.91853096e-01f, 4.91915712e-01f, 4.91978325e-01f, 4.92040935e-01f,
    4.92103542e-01f, 4.92166147e-01f, 4.92228749e-01f, 4.92291349e-01f,
    4.92353945e-01f, 4.92416539e-01f, 4.92479130e-01f, 4.92541719e-01f,
    4.92604304e-01f, 4.92666887e-01f, 4.92729468e-01f, 4.92792045e-01f,
    4.92854620e-01f, 4.92917192e-01f, 4.92979762e-01f, 4.93042329e-01f,
    4.93104893e-01f, 4.93167454e-01f, 4.93230012e-01f, 4.93292568e-01f,
    4.93355121e-01f, 4.93417672e-01f, 4.93480220e-01f, 4.93542765e-01f,
    4.93605307e-01f, 4.93667847e-01f, 4.93730384e-01f, 4.93792918e-01f,
    4.93855449e-01f, 4.93917978e-01f, 4.93980504e-01f, 4.94043027e-01f,
    4.94105548e-01f, 4.94168066e-01f, 4.94230581e-01f, 4.94293094e-01f,
    4.94355604e-01f, 4.94418111e-01f, 4.94480615e-01f, 4.94543117e-01f,
    4.94605616e-01f, 4.94668112e-01f, 4.94730605e-01f, 4.94793096e-01f,
    4.94855584e-01f, 4.94918070e-01f, 4.94980553e-01f, 4.95043033e-01f,
    4.95105510e-01f, 4.95167985e-01f, 4.95230457e-01f, 4.95292926e-01f,
    4.95355392e-01f, 4.95417856e-01f, 4.95480317e-01f, 4.95542776e-01f,
    4.95605231e-01f, 4.95667684e-01f, 4.95730134e-01f, 4.95792582e-01f,
    4.95855027e-01f, 4.95917469e-01f, 4.95979909e-01f, 4.96042345e-01f,
    4.96104779e-01f, 4.96167211e-01f, 4.96229639e-01f, 4.96292065e-01f,
    4.96354489e-01f, 4.96416909e-01f, 4.96479327e-01f, 4.96541742e-01f,
    4.96604155e-01f, 4.96666564e-01f, 4.96728971e-01f, 4.96791376e-01f,
    4.96853777e-01f, 4.96916176e-01f, 4.96978573e-01f, 4.97040966e-01f,
    4.97103357e-01f, 4.97165745e-01f, 4.97228131e-01f, 4.97290513e-01f,
    4.97352893e-01f, 4.97415271e-01f, 4.97477646e-01f, 4.97540018e-01f,
    4.97602387e-01f, 4.97664753e-01f, 4.97727117e-01f, 4.97789478e-01f,
    4.97851837e-01f, 4.97914193e-01f, 4.97976546e-01f, 4.98038896e-01f,
    4.98101244e-01f, 4.98163589e-01f, 4.98225931e-01f, 4.98288271e-01f,
    4.98350608e-01f, 4.98412942e-01f, 4.98475274e-01f, 4.98537603e-01f,
    4.98599929e-01f, 4.98662252e-01f, 4.98724573e-01f, 4.98786891e-01f,
    4.98849207e-01f, 4.98911519e-01f, 4.98973829e-01f, 4.99036137e-01f,
    4.99098441e-01f, 4.99160743e-01f, 4.99223042e-01f, 4.99285339e-01f,
    4.99347633e-01f, 4.99409924e-01f, 4.99472213e-01f, 4.99534498e-01f,
    4.99596781e-01f, 4.99659062e-01f, 4.99721340e-01f, 4.99783615e-01f,
    4.99845887e-01f, 4.99908157e-01f, 4.99970424e-01f, 5.00032688e-01f,
    5.00094950e-01f, 5.00157209e-01f, 5.00219465e-01f, 5.00281718e-01f,
    5.00343969e-01f, 5.00406217e-01f, 5.00468463e-01f, 5.00530706e-01f,
    5.00592946e-01f, 5.00655183e-01f, 5.00717418e-01f, 5.00779650e-01f,
    5.00841880e-01f, 5.00904106e-01f, 5.00966330e-01f, 5.01028552e-01f,
    5.01090770e-01f, 5.01152986e-01f, 5.01215200e-01f, 5.01277410e-01f,
    5.01339618e-01f, 5.01401823e-01f, 5.01464026e-01f, 5.01526226e-01f,
    5.01588423e-01f, 5.01650617e-01f, 5.01712809e-01f, 5.01774998e-01f,
    5.01837185e-01f, 5.01899369e-01f, 5.01961550e-01f, 5.02023728e-01f,
    5.02085904e-01f, 5.02148077e-01f, 5.02210247e-01f, 5.02272415e-01f,
    5.02334580e-01f, 5.02396743e-01f, 5.02458902e-01f, 5.02521059e-01f,
    5.02583214e-01f, 5.02645365e-01f, 5.02707514e-01f, 5.02769660e-01f,
    5.02831804e-01f, 5.02893945e-01f, 5.02956083e-01f, 5.03018219e-01f,
    5.03080352e-01f, 5.03142482e-01f, 5.03204610e-01f, 5.03266734e-01f,
    5.03328857e-01f, 5.03390976e-01f, 5.03453093e-01f, 5.03515207e-01f,
    5.03577319e-01f, 5.03639428e-01f, 5.03701534e-01f, 5.03763637e-01f,
    5.03825738e-01f, 5.03887836e-01f, 5.03949932e-01f, 5.04012024e-01f,
    5.04074115e-01f, 5.04136202e-01f, 5.04198287e-01f, 5.04260369e-01f,
    5.04322448e-01f, 5.04384525e-01f, 5.04446599e-01f, 5.04508671e-01f,
    5.04570739e-01f, 5.04632805e-01f, 5.04694869e-01f, 5.04756930e-01f,
    5.04818988e-01f, 5.04881043e-01f, 5.04943096e-01f, 5.05005146e-01f,
    5.05067193e-01f, 5.05129238e-01f, 5.05191280e-01f, 5.05253319e-01f,
    5.05315356e-01f, 5.05377390e-01f, 5.05439422e-01f, 5.05501450e-01f,
    5.05563476e-01f, 5.05625500e-01f, 5.05687520e-01f, 5.05749539e-01f,
    5.05811554e-01f, 5.05873567e-01f, 5.05935577e-01f, 5.05997584e-01f,
    5.06059589e-01f, 5.06121591e-01f, 5.06183590e-01f, 5.06245587e-01f,
    5.06307581e-01f, 5.06369573e-01f, 5.06431561e-01f, 5.06493547e-01f,
    5.06555531e-01f, 5.06617512e-01f, 5.06679490e-01f, 5.06741465e-01f,
    5.06803438e-01f, 5.06865408e-01f, 5.06927375e-01f, 5.06989340e-01f,
    5.07051302e-01f, 5.07113262e-01f, 5.07175219e-01f, 5.07237173e-01f,
    5.07299124e-01f, 5.07361073e-01f, 5.07423019e-01f, 5.07484963e-01f,
    5.07546903e-01f, 5.07608842e-01f, 5.07670777e-01f, 5.07732710e-01f,
    5.07794640e-01f, 5.07856568e-01f, 5.07918493e-01f, 5.07980415e-01f,
    5.08042334e-01f, 5.08104251e-01f, 5.08166166e-01f, 5.08228077e-01f,
    5.08289986e-01f, 5.08351892e-01f, 5.08413796e-01f, 5.08475697e-01f,
    5.08537595e-01f, 5.08599491e-01f, 5.08661384e-01f, 5.08723274e-01f,
    5.08785162e-01f, 5.08847047e-01f, 5.08908929e-01f, 5.08970809e-01f,
    5.09032686e-01f, 5.09094561e-01f, 5.09156433e-01f, 5.09218302e-01f,
    5.09280168e-01f, 5.09342032e-01f, 5.09403893e-01f, 5.09465752e-01f,
    5.09527607e-01f, 5.09589461e-01f, 5.09651311e-01f, 5.09713159e-01f,
    5.09775004e-01f, 5.09836847e-01f, 5.09898687e-01f, 5.09960524e-01f,
    5.10022359e-01f, 5.10084191e-01f, 5.10146020e-01f, 5.10207847e-01f,
    5.10269671e-01f, 5.10331492e-01f, 5.10393311e-01f, 5.10455127e-01f,
    5.10516941e-01f, 5.10578751e-01f, 5.10640560e-01f, 5.10702365e-01f,
    5.10764168e-01f, 5.10825968e-01f, 5.10887766e-01f, 5.10949561e-01f,
    5.11011353e-01f, 5.11073143e-01f, 5.11134929e-01f, 5.11196714e-01f,
    5.11258496e-01f, 5.11320275e-01f, 5.11382051e-01f, 5.11443825e-01f,
    5.11505596e-01f, 5.11567364e-01f, 5.11629130e-01f, 5.11690893e-01f,
    5.11752654e-01f, 5.11814412e-01f, 5.11876167e-01f, 5.11937919e-01f,
    5.11999669e-01f, 5.12061417e-01f, 5.12123161e-01f, 5.12184903e-01f,
    5.12246643e-01f, 5.12308380e-01f, 5.12370114e-01f, 5.12431845e-01f,
    5.12493574e-01f, 5.12555300e-01f, 5.12617024e-01f, 5.12678745e-01f,
    5.12740463e-01f, 5.12802178e-01f, 5.12863891e-01f, 5.12925602e-01f,
    5.12987309e-01f, 5.13049014e-01f, 5.13110717e-01f, 5.13172417e-01f,
    5.13234114e-01f, 5.13295808e-01f, 5.13357500e-01f, 5.13419189e-01f,
    5.13480876e-01f, 5.13542560e-01f, 5.13604241e-01f, 5.13665920e-01f,
    5.13727596e-01f, 5.13789269e-01f, 5.13850940e-01f, 5.13912608e-01f,
    5.13974274e-01f, 5.14035937e-01f, 5.14097597e-01f, 5.14159254e-01f,
    5.14220909e-01f, 5.14282562e-01f, 5.14344211e-01f, 5.14405858e-01f,
    5.14467503e-01f, 5.14529145e-01f, 5.14590784e-01f, 5.14652420e-01f,
    5.14714054e-01f, 5.14775685e-01f, 5.14837314e-01f, 5.14898940e-01f,
    5.14960563e-01f, 5.15022184e-01f, 5.15083802e-01f, 5.15145418e-01f,
    5.15207030e-01f, 5.15268641e-01f, 5.15330248e-01f, 5.15391853e-01f,
    5.15453455e-01f, 5.15515055e-01f, 5.15576652e-01f, 5.15638247e-01f,
    5.15699838e-01f, 5.15761427e-01f, 5.15823014e-01f, 5.15884598e-01f,
    5.15946179e-01f, 5.16007758e-01f, 5.16069334e-01f, 5.16130907e-01f,
    5.16192478e-01f, 5.16254046e-01f, 5.16315611e-01f, 5.16377174e-01f,
    5.16438735e-01f, 5.16500292e-01f, 5.16561847e-01f, 5.16623400e-01f,
    5.16684949e-01f, 5.16746496e-01f, 5.16808041e-01f, 5.16869583e-01f,
    5.16931122e-01f, 5.16992659e-01f, 5.17054193e-01f, 5.17115724e-01f,
    5.17177253e-01f, 5.17238779e-01f, 5.17300302e-01f, 5.17361823e-01f,
    5.17423341e-01f, 5.17484857e-01f, 5.17546370e-01f, 5.17607880e-01f,
    5.17669388e-01f, 5.17730893e-01f, 5.17792396e-01f, 5.17853896e-01f,
    5.17915393e-01f, 5.17976888e-01f, 5.18038380e-01f, 5.18099869e-01f,
    5.18161356e-01f, 5.18222840e-01f, 5.18284321e-01f, 5.18345800e-01f,
    5.18407277e-01f, 5.18468750e-01f, 5.18530221e-01f, 5.18591690e-01f,
    5.18653156e-01f, 5.18714619e-01f, 5.18776079e-01f, 5.18837537e-01f,
    5.18898993e-01f, 5.18960446e-01f, 5.19021896e-01f, 5.19083343e-01f,
    5.19144788e-01f, 5.19206230e-01f, 5.19267670e-01f, 5.19329107e-01f,
    5.19390541e-01f, 5.19451973e-01f, 5.19513402e-01f, 5.19574829e-01f,
    5.19636253e-01f, 5.19697674e-01f, 5.19759093e-01f, 5.19820509e-01f,
    5.19881922e-01f, 5.19943333e-01f, 5.20004742e-01f, 5.20066147e-01f,
    5.20127550e-01f, 5.20188951e-01f, 5.20250349e-01f, 5.20311744e-01f,
    5.20373136e-01f, 5.20434526e-01f, 5.20495914e-01f, 5.20557298e-01f,
    5.20618681e-01f, 5.20680060e-01f, 5.20741437e-01f, 5.20802811e-01f,
    5.20864183e-01f, 5.20925552e-01f, 5.20986919e-01f, 5.21048282e-01f,
    5.21109644e-01f, 5.21171002e-01f, 5.21232358e-01f, 5.21293712e-01f,
    5.21355063e-01f, 5.21416411e-01f, 5.21477756e-01f, 5.21539099e-01f,
    5.21600440e-01f, 5.21661777e-01f, 5.21723113e-01f, 5.21784445e-01f,
    5.21845775e-01f, 5.21907103e-01f, 5.21968427e-01f, 5.22029749e-01f,
    5.22091069e-01f, 5.22152386e-01f, 5.22213700e-01f, 5.22275012e-01f,
    5.22336321e-01f, 5.22397627e-01f, 5.22458931e-01f, 5.22520233e-01f,
    5.22581531e-01f, 5.22642827e-01f, 5.22704121e-01f, 5.22765412e-01f,
    5.22826700e-01f, 5.22887986e-01f, 5.22949269e-01f, 5.23010549e-01f,
    5.23071827e-01f, 5.23133102e-01f, 5.23194375e-01f, 5.23255645e-01f,
    5.23316912e-01f, 5.23378177e-01f, 5.23439439e-01f, 5.23500699e-01f,
    5.23561956e-01f, 5.23623210e-01f, 5.23684462e-01f, 5.23745712e-01f,
    5.23806958e-01f, 5.23868202e-01f, 5.23929444e-01f, 5.23990682e-01f,
    5.24051919e-01f, 5.24113152e-01f, 5.24174383e-01f, 5.24235612e-01f,
    5.24296838e-01f, 5.24358061e-01f, 5.24419282e-01f, 5.24480500e-01f,
    5.24541715e-01f, 5.24602928e-01f, 5.24664138e-01f, 5.24725346e-01f,
    5.24786551e-01f, 5.24847753e-01f, 5.24908953e-01f, 5.24970150e-01f,
    5.25031345e-01f, 5.25092537e-01f, 5.25153727e-01f, 5.25214914e-01f,
    5.25276098e-01f, 5.25337280e-01f, 5.25398459e-01f, 5.25459635e-01f,
    5.25520809e-01f, 5.25581980e-01f, 5.25643149e-01f, 5.25704315e-01f,
    5.25765479e-01f, 5.25826640e-01f, 5.25887798e-01f, 5.25948954e-01f,
    5.26010107e-01f, 5.26071258e-01f, 5.26132406e-01f, 5.26193551e-01f,
    5.26254694e-01f, 5.26315834e-01f, 5.26376972e-01f, 5.26438107e-01f,
    5.26499239e-01f, 5.26560369e-01f, 5.26621496e-01f, 5.26682621e-01f,
    5.26743743e-01f, 5.26804862e-01f, 5.26865979e-01f, 5.26927094e-01f,
    5.26988205e-01f, 5.27049315e-01f, 5.27110421e-01f, 5.27171525e-01f,
    5.27232626e-01f, 5.27293725e-01f, 5.27354821e-01f, 5.27415915e-01f,
    5.27477006e-01f, 5.27538094e-01f, 5.27599180e-01f, 5.27660264e-01f,
    5.27721344e-01f, 5.27782422e-01f, 5.27843498e-01f, 5.27904571e-01f,
    5.27965641e-01f, 5.28026709e-01f, 5.28087774e-01f, 5.28148837e-01f,
    5.28209897e-01f, 5.28270954e-01f, 5.28332009e-01f, 5.28393061e-01f,
    5.28454111e-01f, 5.28515158e-01f, 5.28576202e-01f, 5.28637244e-01f,
    5.28698284e-01f, 5.28759320e-01f, 5.28820354e-01f, 5.28881386e-01f,
    5.28942415e-01f, 5.29003441e-01f, 5.29064465e-01f, 5.29125487e-01f,
    5.29186505e-01f, 5.29247521e-01f, 5.29308535e-01f, 5.29369546e-01f,
    5.29430554e-01f, 5.29491560e-01f, 5.29552563e-01f, 5.29613564e-01f,
    5.29674562e-01f, 5.29735557e-01f, 5.29796550e-01f, 5.29857540e-01f,
    5.29918528e-01f, 5.29979513e-01f, 5.30040496e-01f, 5.30101476e-01f,
    5.30162453e-01f, 5.30223428e-01f, 5.30284400e-01f, 5.30345370e-01f,
    5.30406337e-01f, 5.30467302e-01f, 5.30528264e-01f, 5.30589223e-01f,
    5.30650180e-01f, 5.30711134e-01f, 5.30772086e-01f, 5.30833035e-01f,
    5.30893981e-01f, 5.30954925e-01f, 5.31015866e-01f, 5.31076805e-01f,
    5.31137741e-01f, 5.31198675e-01f, 5.31259606e-01f, 5.31320535e-01f,
    5.31381461e-01f, 5.31442384e-01f, 5.31503305e-01f, 5.31564223e-01f,
    5.31625138e-01f, 5.31686051e-01f, 5.31746962e-01f, 5.31807870e-01f,
    5.31868775e-01f, 5.31929678e-01f, 5.31990578e-01f, 5.32051476e-01f,
    5.32112371e-01f, 5.32173263e-01f, 5.32234153e-01f, 5.32295041e-01f,
    5.32355925e-01f, 5.32416807e-01f, 5.32477687e-01f, 5.32538564e-01f,
    5.32599439e-01f, 5.32660311e-01f, 5.32721180e-01f, 5.32782047e-01f,
    5.32842911e-01f, 5.32903773e-01f, 5.32964632e-01f, 5.33025488e-01f,
    5.33086342e-01f, 5.33147194e-01f, 5.33208042e-01f, 5.33268889e-01f,
    5.33329732e-01f, 5.33390573e-01f, 5.33451412e-01f, 5.33512248e-01f,
    5.33573081e-01f, 5.33633912e-01f, 5.33694741e-01f, 5.33755566e-01f,
    5.33816389e-01f, 5.33877210e-01f, 5.33938028e-01f, 5.33998844e-01f,
    5.34059656e-01f, 5.34120467e-01f, 5.34181275e-01f, 5.34242080e-01f,
    5.34302882e-01f, 5.34363683e-01f, 5.34424480e-01f, 5.34485275e-01f,
    5.34546067e-01f, 5.34606857e-01f, 5.34667645e-01f, 5.34728429e-01f,
    5.34789211e-01f, 5.34849991e-01f, 5.34910768e-01f, 5.34971543e-01f,
    5.35032315e-01f, 5.35093084e-01f, 5.35153851e-01f, 5.35214615e-01f,
    5.35275377e-01f, 5.35336136e-01f, 5.35396892e-01f, 5.35457646e-01f,
    5.35518398e-01f, 5.35579147e-01f, 5.35639893e-01f, 5.35700637e-01f,
    5.35761378e-01f, 5.35822117e-01f, 5.35882853e-01f, 5.35943586e-01f,
    5.36004317e-01f, 5.36065046e-01f, 5.36125772e-01f, 5.36186495e-01f,
    5.36247216e-01f, 5.36307934e-01f, 5.36368650e-01f, 5.36429363e-01f,
    5.36490073e-01f, 5.36550781e-01f, 5.36611487e-01f, 5.36672190e-01f,
    5.36732890e-01f, 5.36793588e-01f, 5.36854283e-01f, 5.36914975e-01f,
    5.36975666e-01f, 5.37036353e-01f, 5.37097038e-01f, 5.37157721e-01f,
    5.37218401e-01f, 5.37279078e-01f, 5.37339753e-01f, 5.37400425e-01f,
    5.37461095e-01f, 5.37521762e-01f, 5.37582426e-01f, 5.37643088e-01f,
    5.37703748e-01f, 5.37764405e-01f, 5.37825059e-01f, 5.37885711e-01f,
    5.37946360e-01f, 5.38007007e-01f, 5.38067651e-01f, 5.38128293e-01f,
    5.38188932e-01f, 5.38249569e-01f, 5.38310203e-01f, 5.38370834e-01f,
    5.38431463e-01f, 5.38492089e-01f, 5.38552713e-01f, 5.38613334e-01f,
    5.38673953e-01f, 5.38734569e-01f, 5.38795183e-01f, 5.38855794e-01f,
    5.38916402e-01f, 5.38977008e-01f, 5.39037612e-01f, 5.39098213e-01f,
    5.39158811e-01f, 5.39219407e-01f, 5.39280000e-01f, 5.39340591e-01f,
    5.39401179e-01f, 5.39461765e-01f, 5.39522348e-01f, 5.39582928e-01f,
    5.39643506e-01f, 5.39704082e-01f, 5.39764655e-01f, 5.39825225e-01f,
    5.39885793e-01f, 5.39946358e-01f, 5.40006921e-01f, 5.40067481e-01f,
    5.40128039e-01f, 5.40188594e-01f, 5.40249146e-01f, 5.40309696e-01f,
    5.40370244e-01f, 5.40430789e-01f, 5.40491331e-01f, 5.40551871e-01f,
    5.40612408e-01f, 5.40672943e-01f, 5.40733475e-01f, 5.40794005e-01f,
    5.40854532e-01f, 5.40915057e-01f, 5.40975579e-01f, 5.41036098e-01f,
    5.41096615e-01f, 5.41157130e-01f, 5.41217642e-01f, 5.41278151e-01f,
    5.41338658e-01f, 5.41399162e-01f, 5.41459664e-01f, 5.41520163e-01f,
    5.41580660e-01f, 5.41641154e-01f, 5.41701646e-01f, 5.41762135e-01f,
    5.41822621e-01f, 5.41883105e-01f, 5.41943587e-01f, 5.42004066e-01f,
    5.42064542e-01f, 5.42125016e-01f, 5.42185488e-01f, 5.42245956e-01f,
    5.42306423e-01f, 5.42366886e-01f, 5.42427348e-01f, 5.42487806e-01f,
    5.42548262e-01f, 5.42608716e-01f, 5.42669167e-01f, 5.42729616e-01f,
    5.42790062e-01f, 5.42850505e-01f, 5.42910946e-01f, 5.42971384e-01f,
    5.43031820e-01f, 5.43092254e-01f, 5.43152684e-01f, 5.43213113e-01f,
    5.43273538e-01f, 5.43333962e-01f, 5.43394382e-01f, 5.43454801e-01f,
    5.43515216e-01f, 5.43575629e-01f, 5.43636040e-01f, 5.43696448e-01f,
    5.43756853e-01f, 5.43817256e-01f, 5.43877657e-01f, 5.43938055e-01f,
    5.43998450e-01f, 5.44058843e-01f, 5.44119233e-01f, 5.44179621e-01f,
    5.44240006e-01f, 5.44300389e-01f, 5.44360769e-01f, 5.44421147e-01f,
    5.44481522e-01f, 5.44541895e-01f, 5.44602265e-01f, 5.44662633e-01f,
    5.44722998e-01f, 5.44783360e-01f, 5.44843720e-01f, 5.44904078e-01f,
    5.44964433e-01f, 5.45024785e-01f, 5.45085135e-01f, 5.45145483e-01f,
    5.45205827e-01f, 5.45266170e-01f, 5.45326510e-01f, 5.45386847e-01f,
    5.45447182e-01f, 5.45507514e-01f, 5.45567844e-01f, 5.45628171e-01f,
    5.45688496e-01f, 5.45748818e-01f, 5.45809137e-01f, 5.45869454e-01f,
    5.45929769e-01f, 5.45990081e-01f, 5.46050391e-01f, 5.46110698e-01f,
    5.46171002e-01f, 5.46231304e-01f, 5.46291604e-01f, 5.46351901e-01f,
    5.46412195e-01f, 5.46472487e-01f, 5.46532776e-01f, 5.46593063e-01f,
    5.46653348e-01f, 5.46713629e-01f, 5.46773909e-01f, 5.46834186e-01f,
    5.46894460e-01f, 5.46954732e-01f, 5.47015001e-01f, 5.47075268e-01f,
    5.47135532e-01f, 5.47195794e-01f, 5.47256053e-01f, 5.47316309e-01f,
    5.47376563e-01f, 5.47436815e-01f, 5.47497064e-01f, 5.47557311e-01f,
    5.47617555e-01f, 5.47677796e-01f, 5.47738036e-01f, 5.47798272e-01f,
    5.47858506e-01f, 5.47918738e-01f, 5.47978967e-01f, 5.48039193e-01f,
    5.48099417e-01f, 5.48159638e-01f, 5.48219857e-01f, 5.48280074e-01f,
    5.48340288e-01f, 5.48400499e-01f, 5.48460708e-01f, 5.48520914e-01f,
    5.48581118e-01f, 5.48641320e-01f, 5.48701518e-01f, 5.48761715e-01f,
    5.48821908e-01f, 5.48882100e-01f, 5.48942289e-01f, 5.49002475e-01f,
    5.49062659e-01f, 5.49122840e-01f, 5.49183019e-01f, 5.49243195e-01f,
    5.49303369e-01f, 5.49363540e-01f, 5.49423708e-01f, 5.49483875e-01f,
    5.49544038e-01f, 5.49604199e-01f, 5.49664358e-01f, 5.49724514e-01f,
    5.49784668e-01f, 5.49844819e-01f, 5.49904968e-01f, 5.49965114e-01f,
    5.50025257e-01f, 5.50085399e-01f, 5.50145537e-01f, 5.50205673e-01f,
    5.50265807e-01f, 5.50325938e-01f, 5.50386067e-01f, 5.50446193e-01f,
    5.50506316e-01f, 5.50566437e-01f, 5.50626556e-01f, 5.50686672e-01f,
    5.50746785e-01f, 5.50806896e-01f, 5.50867005e-01f, 5.50927111e-01f,
    5.50987215e-01f, 5.51047316e-01f, 5.51107414e-01f, 5.51167510e-01f,
    5.51227604e-01f, 5.51287695e-01f, 5.51347783e-01f, 5.51407869e-01f,
    5.51467953e-01f, 5.51528034e-01f, 5.51588112e-01f, 5.51648188e-01f,
    5.51708262e-01f, 5.51768333e-01f, 5.51828401e-01f, 5.51888467e-01f,
    5.51948531e-01f, 5.52008592e-01f, 5.52068650e-01f, 5.52128706e-01f,
    5.52188760e-01f, 5.52248811e-01f, 5.52308859e-01f, 5.52368905e-01f,
    5.52428949e-01f, 5.52488990e-01f, 5.52549028e-01f, 5.52609064e-01f,
    5.52669098e-01f, 5.52729129e-01f, 5.52789157e-01f, 5.52849183e-01f,
    5.52909207e-01f, 5.52969228e-01f, 5.53029246e-01f, 5.53089262e-01f,
    5.53149276e-01f, 5.53209287e-01f, 5.53269295e-01f, 5.53329301e-01f,
    5.53389305e-01f, 5.53449306e-01f, 5.53509304e-01f, 5.53569300e-01f,
    5.53629294e-01f, 5.53689285e-01f, 5.53749274e-01f, 5.53809260e-01f,
    5.53869243e-01f, 5.53929224e-01f, 5.53989203e-01f, 5.54049179e-01f,
    5.54109153e-01f, 5.54169124e-01f, 5.54229092e-01f, 5.54289058e-01f,
    5.54349022e-01f, 5.54408983e-01f, 5.54468942e-01f, 5.54528898e-01f,
    5.54588852e-01f, 5.54648803e-01f, 5.54708752e-01f, 5.54768698e-01f,
    5.54828641e-01f, 5.54888583e-01f, 5.54948521e-01f, 5.55008458e-01f,
    5.55068391e-01f, 5.55128323e-01f, 5.55188251e-01f, 5.55248178e-01f,
    5.55308101e-01f, 5.55368023e-01f, 5.55427942e-01f, 5.55487858e-01f,
    5.55547772e-01f, 5.55607683e-01f, 5.55667592e-01f, 5.55727498e-01f,
    5.55787402e-01f, 5.55847303e-01f, 5.55907202e-01f, 5.55967099e-01f,
    5.56026993e-01f, 5.56086884e-01f, 5.56146773e-01f, 5.56206660e-01f,
    5.56266544e-01f, 5.56326425e-01f, 5.56386304e-01f, 5.56446181e-01f,
    5.56506055e-01f, 5.56565926e-01f, 5.56625795e-01f, 5.56685662e-01f,
    5.56745526e-01f, 5.56805388e-01f, 5.56865247e-01f, 5.56925103e-01f,
    5.56984958e-01f, 5.57044809e-01f, 5.57104658e-01f, 5.57164505e-01f,
    5.57224349e-01f, 5.57284191e-01f, 5.57344030e-01f, 5.57403867e-01f,
    5.57463702e-01f, 5.57523533e-01f, 5.57583363e-01f, 5.57643190e-01f,
    5.57703014e-01f, 5.57762836e-01f, 5.57822655e-01f, 5.57882472e-01f,
    5.57942287e-01f, 5.58002099e-01f, 5.58061908e-01f, 5.58121715e-01f,
    5.58181520e-01f, 5.58241322e-01f, 5.58301122e-01f, 5.58360919e-01f,
    5.58420713e-01f, 5.58480505e-01f, 5.58540295e-01f, 5.58600082e-01f,
    5.58659867e-01f, 5.58719649e-01f, 5.58779429e-01f, 5.58839206e-01f,
    5.58898981e-01f, 5.58958753e-01f, 5.59018523e-01f, 5.59078291e-01f,
    5.59138056e-01f, 5.59197818e-01f, 5.59257578e-01f, 5.59317336e-01f,
    5.59377091e-01f, 5.59436843e-01f, 5.59496593e-01f, 5.59556341e-01f,
    5.59616086e-01f, 5.59675828e-01f, 5.59735569e-01f, 5.59795306e-01f,
    5.59855042e-01f, 5.59914774e-01f, 5.59974505e-01f, 5.60034232e-01f,
    5.60093958e-01f, 5.60153680e-01f, 5.60213401e-01f, 5.60273119e-01f,
    5.60332834e-01f, 5.60392547e-01f, 5.60452258e-01f, 5.60511966e-01f,
    5.60571671e-01f, 5.60631374e-01f, 5.60691075e-01f, 5.60750773e-01f,
    5.60810469e-01f, 5.60870162e-01f, 5.60929853e-01f, 5.60989541e-01f,
    5.61049227e-01f, 5.61108910e-01f, 5.61168591e-01f, 5.61228269e-01f,
    5.61287945e-01f, 5.61347619e-01f, 5.61407290e-01f, 5.61466958e-01f,
    5.61526624e-01f, 5.61586288e-01f, 5.61645949e-01f, 5.61705607e-01f,
    5.61765264e-01f, 5.61824917e-01f, 5.61884569e-01f, 5.61944217e-01f,
    5.62003864e-01f, 5.62063507e-01f, 5.62123149e-01f, 5.62182788e-01f,
    5.62242424e-01f, 5.62302058e-01f, 5.62361690e-01f, 5.62421319e-01f,
    5.62480945e-01f, 5.62540569e-01f, 5.62600191e-01f, 5.62659810e-01f,
    5.62719427e-01f, 5.62779041e-01f, 5.62838653e-01f, 5.62898262e-01f,
    5.62957869e-01f, 5.63017474e-01f, 5.63077076e-01f, 5.63136675e-01f,
    5.63196272e-01f, 5.63255867e-01f, 5.63315459e-01f, 5.63375049e-01f,
    5.63434636e-01f, 5.63494220e-01f, 5.63553803e-01f, 5.63613382e-01f,
    5.63672960e-01f, 5.63732535e-01f, 5.63792107e-01f, 5.63851677e-01f,
    5.63911245e-01f, 5.63970810e-01f, 5.64030372e-01f, 5.64089932e-01f,
    5.64149490e-01f, 5.64209045e-01f, 5.64268598e-01f, 5.64328148e-01f,
    5.64387696e-01f, 5.64447241e-01f, 5.64506784e-01f, 5.64566325e-01f,
    5.64625863e-01f, 5.64685398e-01f, 5.64744931e-01f, 5.64804462e-01f,
    5.64863990e-01f, 5.64923516e-01f, 5.64983039e-01f, 5.65042560e-01f,
    5.65102078e-01f, 5.65161594e-01f, 5.65221108e-01f, 5.65280619e-01f,
    5.65340127e-01f, 5.65399633e-01f, 5.65459137e-01f, 5.65518638e-01f,
    5.65578137e-01f, 5.65637633e-01f, 5.65697127e-01f, 5.65756618e-01f,
    5.65816107e-01f, 5.65875594e-01f, 5.65935078e-01f, 5.65994559e-01f,
    5.66054038e-01f, 5.66113515e-01f, 5.66172989e-01f, 5.66232461e-01f,
    5.66291930e-01f, 5.66351397e-01f, 5.66410861e-01f, 5.66470323e-01f,
    5.66529783e-01f, 5.66589240e-01f, 5.66648694e-01f, 5.66708146e-01f,
    5.66767596e-01f, 5.66827043e-01f, 5.66886488e-01f, 5.66945930e-01f,
    5.67005370e-01f, 5.67064808e-01f, 5.67124243e-01f, 5.67183675e-01f,
    5.67243105e-01f, 5.67302533e-01f, 5.67361958e-01f, 5.67421381e-01f,
    5.67480801e-01f, 5.67540219e-01f, 5.67599634e-01f, 5.67659047e-01f,
    5.67718458e-01f, 5.67777866e-01f, 5.67837272e-01f, 5.67896675e-01f,
    5.67956075e-01f, 5.68015474e-01f, 5.68074870e-01f, 5.68134263e-01f,
    5.68193654e-01f, 5.68253042e-01f, 5.68312428e-01f, 5.68371812e-01f,
    5.68431193e-01f, 5.68490572e-01f, 5.68549948e-01f, 5.68609322e-01f,
    5.68668693e-01f, 5.68728062e-01f, 5.68787429e-01f, 5.68846793e-01f,
    5.68906155e-01f, 5.68965514e-01f, 5.69024870e-01f, 5.69084225e-01f,
    5.69143577e-01f, 5.69202926e-01f, 5.69262273e-01f, 5.69321617e-01f,
    5.69380960e-01f, 5.69440299e-01f, 5.69499636e-01f, 5.69558971e-01f,
    5.69618303e-01f, 5.69677633e-01f, 5.69736961e-01f, 5.69796286e-01f,
    5.69855608e-01f, 5.69914928e-01f, 5.69974246e-01f, 5.70033561e-01f,
    5.70092874e-01f, 5.70152185e-01f, 5.70211492e-01f, 5.70270798e-01f,
    5.70330101e-01f, 5.70389402e-01f, 5.70448700e-01f, 5.70507996e-01f,
    5.70567289e-01f, 5.70626580e-01f, 5.70685868e-01f, 5.70745154e-01f,
    5.70804438e-01f, 5.70863719e-01f, 5.70922998e-01f, 5.70982274e-01f,
    5.71041548e-01f, 5.71100819e-01f, 5.71160088e-01f, 5.71219354e-01f,
    5.71278619e-01f, 5.71337880e-01f, 5.71397139e-01f, 5.71456396e-01f,
    5.71515650e-01f, 5.71574902e-01f, 5.71634152e-01f, 5.71693399e-01f,
    5.71752644e-01f, 5.71811886e-01f, 5.71871125e-01f, 5.71930363e-01f,
    5.71989598e-01f, 5.72048830e-01f, 5.72108060e-01f, 5.72167288e-01f,
    5.72226513e-01f, 5.72285736e-01f, 5.72344956e-01f, 5.72404174e-01f,
    5.72463389e-01f, 5.72522602e-01f, 5.72581813e-01f, 5.72641021e-01f,
    5.72700226e-01f, 5.72759430e-01f, 5.72818631e-01f, 5.72877829e-01f,
    5.72937025e-01f, 5.72996219e-01f, 5.73055410e-01f, 5.73114598e-01f,
    5.73173785e-01f, 5.73232969e-01f, 5.73292150e-01f, 5.73351329e-01f,
    5.73410506e-01f, 5.73469680e-01f, 5.73528851e-01f, 5.73588021e-01f,
    5.73647187e-01f, 5.73706352e-01f, 5.73765514e-01f, 5.73824674e-01f,
    5.73883831e-01f, 5.73942985e-01f, 5.74002138e-01f, 5.74061288e-01f,
    5.74120435e-01f, 5.74179580e-01f, 5.74238723e-01f, 5.74297863e-01f,
    5.74357001e-01f, 5.74416136e-01f, 5.74475269e-01f, 5.74534399e-01f,
    5.74593527e-01f, 5.74652653e-01f, 5.74711776e-01f, 5.74770897e-01f,
    5.74830015e-01f, 5.74889131e-01f, 5.74948245e-01f, 5.75007356e-01f,
    5.75066465e-01f, 5.75125571e-01f, 5.75184675e-01f, 5.75243776e-01f,
    5.75302875e-01f, 5.75361972e-01f, 5.75421066e-01f, 5.75480158e-01f,
    5.75539247e-01f, 5.75598334e-01f, 5.75657418e-01f, 5.75716500e-01f,
    5.75775580e-01f, 5.75834657e-01f, 5.75893732e-01f, 5.75952804e-01f,
    5.76011874e-01f, 5.76070942e-01f, 5.76130007e-01f, 5.76189070e-01f,
    5.76248130e-01f, 5.76307188e-01f, 5.76366243e-01f, 5.76425296e-01f,
    5.76484347e-01f, 5.76543395e-01f, 5.76602441e-01f, 5.76661484e-01f,
    5.76720525e-01f, 5.76779564e-01f, 5.76838600e-01f, 5.76897633e-01f,
    5.76956665e-01f, 5.77015694e-01f, 5.77074720e-01f, 5.77133744e-01f,
    5.77192766e-01f, 5.77251785e-01f, 5.77310802e-01f, 5.77369816e-01f,
    5.77428828e-01f, 5.77487838e-01f, 5.77546845e-01f, 5.77605849e-01f,
    5.77664852e-01f, 5.77723852e-01f, 5.77782849e-01f, 5.77841844e-01f,
    5.77900837e-01f, 5.77959827e-01f, 5.78018815e-01f, 5.78077800e-01f,
    5.78136783e-01f, 5.78195764e-01f, 5.78254742e-01f, 5.78313718e-01f,
    5.78372691e-01f, 5.78431662e-01f, 5.78490631e-01f, 5.78549597e-01f,
    5.78608561e-01f, 5.78667522e-01f, 5.78726481e-01f, 5.78785437e-01f,
    5.78844392e-01f, 5.78903343e-01f, 5.78962293e-01f, 5.79021239e-01f,
    5.79080184e-01f, 5.79139126e-01f, 5.79198066e-01f, 5.79257003e-01f,
    5.79315938e-01f, 5.79374870e-01f, 5.79433800e-01f, 5.79492728e-01f,
    5.79551653e-01f, 5.79610576e-01f, 5.79669496e-01f, 5.79728414e-01f,
    5.79787330e-01f, 5.79846243e-01f, 5.79905153e-01f, 5.79964062e-01f,
    5.80022968e-01f, 5.80081871e-01f, 5.80140772e-01f, 5.80199671e-01f,
    5.80258567e-01f, 5.80317461e-01f, 5.80376353e-01f, 5.80435242e-01f,
    5.80494129e-01f, 5.80553013e-01f, 5.80611895e-01f, 5.80670774e-01f,
    5.80729652e-01f, 5.80788526e-01f, 5.80847399e-01f, 5.80906268e-01f,
    5.80965136e-01f, 5.81024001e-01f, 5.81082864e-01f, 5.81141724e-01f,
    5.81200582e-01f, 5.81259437e-01f, 5.81318290e-01f, 5.81377141e-01f,
    5.81435989e-01f, 5.81494835e-01f, 5.81553679e-01f, 5.81612520e-01f,
    5.81671359e-01f, 5.81730195e-01f, 5.81789029e-01f, 5.81847860e-01f,
    5.81906689e-01f, 5.81965516e-01f, 5.82024340e-01f, 5.82083162e-01f,
    5.82141982e-01f, 5.82200799e-01f, 5.82259613e-01f, 5.82318426e-01f,
    5.82377236e-01f, 5.82436043e-01f, 5.82494848e-01f, 5.82553651e-01f,
    5.82612451e-01f, 5.82671249e-01f, 5.82730045e-01f, 5.82788838e-01f,
    5.82847629e-01f, 5.82906417e-01f, 5.82965203e-01f, 5.83023986e-01f,
    5.83082768e-01f, 5.83141546e-01f, 5.83200323e-01f, 5.83259097e-01f,
    5.83317868e-01f, 5.83376637e-01f, 5.83435404e-01f, 5.83494168e-01f,
    5.83552930e-01f, 5.83611690e-01f, 5.83670447e-01f, 5.83729202e-01f,
    5.83787955e-01f, 5.83846705e-01f, 5.83905452e-01f, 5.83964197e-01f,
    5.84022940e-01f, 5.84081681e-01f, 5.84140419e-01f, 5.84199154e-01f,
    5.84257888e-01f, 5.84316619e-01f, 5.84375347e-01f, 5.84434073e-01f,
    5.84492797e-01f, 5.84551518e-01f, 5.84610237e-01f, 5.84668954e-01f,
    5.84727668e-01f, 5.84786380e-01f, 5.84845089e-01f, 5.84903796e-01f,
    5.84962501e-01f, 5.85021203e-01f, 5.85079903e-01f, 5.85138600e-01f,
    5.85197295e-01f, 5.85255988e-01f, 5.85314678e-01f, 5.85373366e-01f,
    5.85432052e-01f, 5.85490735e-01f, 5.85549415e-01f, 5.85608094e-01f,
    5.85666770e-01f, 5.85725443e-01f, 5.85784114e-01f, 5.85842783e-01f,
    5.85901450e-01f, 5.85960114e-01f, 5.86018775e-01f, 5.86077435e-01f,
    5.86136091e-01f, 5.86194746e-01f, 5.86253398e-01f, 5.86312048e-01f,
    5.86370695e-01f, 5.86429340e-01f, 5.86487983e-01f, 5.86546623e-01f,
    5.86605261e-01f, 5.86663896e-01f, 5.86722529e-01f, 5.86781160e-01f,
    5.86839788e-01f, 5.86898414e-01f, 5.86957037e-01f, 5.87015658e-01f,
    5.87074277e-01f, 5.87132894e-01f, 5.87191508e-01f, 5.87250119e-01f,
    5.87308728e-01f, 5.87367335e-01f, 5.87425940e-01f, 5.87484542e-01f,
    5.87543141e-01f, 5.87601739e-01f, 5.87660334e-01f, 5.87718926e-01f,
    5.87777516e-01f, 5.87836104e-01f, 5.87894690e-01f, 5.87953273e-01f,
    5.88011853e-01f, 5.88070431e-01f, 5.88129007e-01f, 5.88187581e-01f,
    5.88246152e-01f, 5.88304721e-01f, 5.88363287e-01f, 5.88421851e-01f,
    5.88480413e-01f, 5.88538972e-01f, 5.88597529e-01f, 5.88656083e-01f,
    5.88714636e-01f, 5.88773185e-01f, 5.88831733e-01f, 5.88890278e-01f,
    5.88948820e-01f, 5.89007361e-01f, 5.89065898e-01f, 5.89124434e-01f,
    5.89182967e-01f, 5.89241498e-01f, 5.89300026e-01f, 5.89358552e-01f,
    5.89417076e-01f, 5.89475597e-01f, 5.89534116e-01f, 5.89592632e-01f,
    5.89651147e-01f, 5.89709658e-01f, 5.89768168e-01f, 5.89826675e-01f,
    5.89885179e-01f, 5.89943682e-01f, 5.90002181e-01f, 5.90060679e-01f,
    5.90119174e-01f, 5.90177667e-01f, 5.90236157e-01f, 5.90294645e-01f,
    5.90353131e-01f, 5.90411614e-01f, 5.90470095e-01f, 5.90528574e-01f,
    5.90587050e-01f, 5.90645524e-01f, 5.90703995e-01f, 5.90762464e-01f,
    5.90820931e-01f, 5.90879395e-01f, 5.90937857e-01f, 5.90996317e-01f,
    5.91054774e-01f, 5.91113229e-01f, 5.91171681e-01f, 5.91230131e-01f,
    5.91288579e-01f, 5.91347025e-01f, 5.91405468e-01f, 5.91463908e-01f,
    5.91522347e-01f, 5.91580782e-01f, 5.91639216e-01f, 5.91697647e-01f,
    5.91756076e-01f, 5.91814502e-01f, 5.91872927e-01f, 5.91931348e-01f,
    5.91989768e-01f, 5.92048185e-01f, 5.92106599e-01f, 5.92165011e-01f,
    5.92223421e-01f, 5.92281829e-01f, 5.92340234e-01f, 5.92398637e-01f,
    5.92457037e-01f, 5.92515435e-01f, 5.92573831e-01f, 5.92632224e-01f,
    5.92690615e-01f, 5.92749004e-01f, 5.92807390e-01f, 5.92865774e-01f,
    5.92924156e-01f, 5.92982535e-01f, 5.93040912e-01f, 5.93099286e-01f,
    5.93157658e-01f, 5.93216028e-01f, 5.93274395e-01f, 5.93332760e-01f,
    5.93391123e-01f, 5.93449483e-01f, 5.93507841e-01f, 5.93566197e-01f,
    5.93624550e-01f, 5.93682901e-01f, 5.93741249e-01f, 5.93799595e-01f,
    5.93857939e-01f, 5.93916280e-01f, 5.93974619e-01f, 5.94032956e-01f,
    5.94091290e-01f, 5.94149622e-01f, 5.94207952e-01f, 5.94266279e-01f,
    5.94324604e-01f, 5.94382926e-01f, 5.94441247e-01f, 5.94499564e-01f,
    5.94557880e-01f, 5.94616193e-01f, 5.94674504e-01f, 5.94732812e-01f,
    5.94791118e-01f, 5.94849422e-01f, 5.94907723e-01f, 5.94966022e-01f,
    5.95024319e-01f, 5.95082613e-01f, 5.95140905e-01f, 5.95199194e-01f,
    5.95257481e-01f, 5.95315766e-01f, 5.95374049e-01f, 5.95432329e-01f,
    5.95490607e-01f, 5.95548882e-01f, 5.95607155e-01f, 5.95665426e-01f,
    5.95723694e-01f, 5.95781960e-01f, 5.95840224e-01f, 5.95898485e-01f,
    5.95956744e-01f, 5.96015001e-01f, 5.96073255e-01f, 5.96131507e-01f,
    5.96189756e-01f, 5.96248003e-01f, 5.96306248e-01f, 5.96364491e-01f,
    5.96422731e-01f, 5.96480968e-01f, 5.96539204e-01f, 5.96597437e-01f,
    5.96655668e-01f, 5.96713896e-01f, 5.96772122e-01f, 5.96830346e-01f,
    5.96888567e-01f, 5.96946786e-01f, 5.97005003e-01f, 5.97063217e-01f,
    5.97121429e-01f, 5.97179638e-01f, 5.97237846e-01f, 5.97296050e-01f,
    5.97354253e-01f, 5.97412453e-01f, 5.97470651e-01f, 5.97528846e-01f,
    5.97587040e-01f, 5.97645230e-01f, 5.97703419e-01f, 5.97761605e-01f,
    5.97819789e-01f, 5.97877970e-01f, 5.97936149e-01f, 5.97994326e-01f,
    5.98052500e-01f, 5.98110672e-01f, 5.98168842e-01f, 5.98227009e-01f,
    5.98285174e-01f, 5.98343337e-01f, 5.98401497e-01f, 5.98459655e-01f,
    5.98517811e-01f, 5.98575964e-01f, 5.98634115e-01f, 5.98692263e-01f,
    5.98750410e-01f, 5.98808553e-01f, 5.98866695e-01f, 5.98924834e-01f,
    5.98982971e-01f, 5.99041106e-01f, 5.99099238e-01f, 5.99157368e-01f,
    5.99215495e-01f, 5.99273620e-01f, 5.99331743e-01f, 5.99389863e-01f,
    5.99447982e-01f, 5.99506097e-01f, 5.99564211e-01f, 5.99622322e-01f,
    5.99680431e-01f, 5.99738537e-01f, 5.99796641e-01f, 5.99854743e-01f,
    5.99912842e-01f, 5.99970939e-01f, 6.00029034e-01f, 6.00087126e-01f,
    6.00145216e-01f, 6.00203304e-01f, 6.00261389e-01f, 6.00319472e-01f,
    6.00377553e-01f, 6.00435631e-01f, 6.00493707e-01f, 6.00551781e-01f,
    6.00609852e-01f, 6.00667921e-01f, 6.00725988e-01f, 6.00784052e-01f,
    6.00842114e-01f, 6.00900174e-01f, 6.00958231e-01f, 6.01016286e-01f,
    6.01074339e-01f, 6.01132389e-01f, 6.01190437e-01f, 6.01248483e-01f,
    6.01306526e-01f, 6.01364567e-01f, 6.01422606e-01f, 6.01480642e-01f,
    6.01538676e-01f, 6.01596708e-01f, 6.01654737e-01f, 6.01712764e-01f,
    6.01770788e-01f, 6.01828811e-01f, 6.01886831e-01f, 6.01944848e-01f,
    6.02002864e-01f, 6.02060876e-01f, 6.02118887e-01f, 6.02176895e-01f,
    6.02234901e-01f, 6.02292905e-01f, 6.02350906e-01f, 6.02408905e-01f,
    6.02466902e-01f, 6.02524896e-01f, 6.02582888e-01f, 6.02640878e-01f,
    6.02698865e-01f, 6.02756850e-01f, 6.02814833e-01f, 6.02872813e-01f,
    6.02930791e-01f, 6.02988767e-01f, 6.03046740e-01f, 6.03104711e-01f,
    6.03162680e-01f, 6.03220646e-01f, 6.03278610e-01f, 6.03336572e-01f,
    6.03394531e-01f, 6.03452488e-01f, 6.03510443e-01f, 6.03568395e-01f,
    6.03626345e-01f, 6.03684293e-01f, 6.03742238e-01f, 6.03800181e-01f,
    6.03858122e-01f, 6.03916060e-01f, 6.03973996e-01f, 6.04031930e-01f,
    6.04089861e-01f, 6.04147791e-01f, 6.04205717e-01f, 6.04263642e-01f,
    6.04321564e-01f, 6.04379484e-01f, 6.04437401e-01f, 6.04495316e-01f,
    6.04553229e-01f, 6.04611140e-01f, 6.04669048e-01f, 6.04726954e-01f,
    6.04784857e-01f, 6.04842758e-01f, 6.04900657e-01f, 6.04958554e-01f,
    6.05016448e-01f, 6.05074340e-01f, 6.05132229e-01f, 6.05190117e-01f,
    6.05248002e-01f, 6.05305884e-01f, 6.05363764e-01f, 6.05421642e-01f,
    6.05479518e-01f, 6.05537391e-01f, 6.05595262e-01f, 6.05653131e-01f,
    6.05710997e-01f, 6.05768861e-01f, 6.05826723e-01f, 6.05884583e-01f,
    6.05942440e-01f, 6.06000294e-01f, 6.06058147e-01f, 6.06115997e-01f,
    6.06173845e-01f, 6.06231690e-01f, 6.06289533e-01f, 6.06347374e-01f,
    6.06405213e-01f, 6.06463049e-01f, 6.06520883e-01f, 6.06578714e-01f,
    6.06636544e-01f, 6.06694371e-01f, 6.06752195e-01f, 6.06810017e-01f,
    6.06867837e-01f, 6.06925655e-01f, 6.06983470e-01f, 6.07041283e-01f,
    6.07099094e-01f, 6.07156902e-01f, 6.07214709e-01f, 6.07272512e-01f,
    6.07330314e-01f, 6.07388113e-01f, 6.07445910e-01f, 6.07503704e-01f,
    6.07561496e-01f, 6.07619286e-01f, 6.07677074e-01f, 6.07734859e-01f,
    6.07792642e-01f, 6.07850423e-01f, 6.07908201e-01f, 6.07965977e-01f,
    6.08023750e-01f, 6.08081522e-01f, 6.08139291e-01f, 6.08197058e-01f,
    6.08254822e-01f, 6.08312584e-01f, 6.08370344e-01f, 6.08428101e-01f,
    6.08485856e-01f, 6.08543609e-01f, 6.08601360e-01f, 6.08659108e-01f,
    6.08716854e-01f, 6.08774598e-01f, 6.08832339e-01f, 6.08890078e-01f,
    6.08947815e-01f, 6.09005549e-01f, 6.09063281e-01f, 6.09121011e-01f,
    6.09178738e-01f, 6.09236463e-01f, 6.09294186e-01f, 6.09351907e-01f,
    6.09409625e-01f, 6.09467341e-01f, 6.09525054e-01f, 6.09582765e-01f,
    6.09640474e-01f, 6.09698181e-01f, 6.09755885e-01f, 6.09813587e-01f,
    6.09871287e-01f, 6.09928985e-01f, 6.09986680e-01f, 6.10044373e-01f,
    6.10102063e-01f, 6.10159751e-01f, 6.10217437e-01f, 6.10275121e-01f,
    6.10332802e-01f, 6.10390481e-01f, 6.10448158e-01f, 6.10505832e-01f,
    6.10563504e-01f, 6.10621174e-01f, 6.10678841e-01f, 6.10736506e-01f,
    6.10794169e-01f, 6.10851830e-01f, 6.10909488e-01f, 6.10967144e-01f,
    6.11024797e-01f, 6.11082449e-01f, 6.11140098e-01f, 6.11197744e-01f,
    6.11255389e-01f, 6.11313031e-01f, 6.11370671e-01f, 6.11428308e-01f,
    6.11485943e-01f, 6.11543576e-01f, 6.11601207e-01f, 6.11658835e-01f,
    6.11716461e-01f, 6.11774085e-01f, 6.11831706e-01f, 6.11889325e-01f,
    6.11946942e-01f, 6.12004556e-01f, 6.12062168e-01f, 6.12119778e-01f,
    6.12177386e-01f, 6.12234991e-01f, 6.12292594e-01f, 6.12350195e-01f,
    6.12407793e-01f, 6.12465389e-01f, 6.12522983e-01f, 6.12580574e-01f,
    6.12638164e-01f, 6.12695750e-01f, 6.12753335e-01f, 6.12810917e-01f,
    6.12868497e-01f, 6.12926075e-01f, 6.12983650e-01f, 6.13041223e-01f,
    6.13098794e-01f, 6.13156363e-01f, 6.13213929e-01f, 6.13271493e-01f,
    6.13329054e-01f, 6.13386614e-01f, 6.13444171e-01f, 6.13501725e-01f,
    6.13559278e-01f, 6.13616828e-01f, 6.13674376e-01f, 6.13731921e-01f,
    6.13789464e-01f, 6.13847005e-01f, 6.13904544e-01f, 6.13962080e-01f,
    6.14019614e-01f, 6.14077146e-01f, 6.14134676e-01f, 6.14192203e-01f,
    6.14249728e-01f, 6.14307250e-01f, 6.14364771e-01f, 6.14422289e-01f,
    6.14479804e-01f, 6.14537318e-01f, 6.14594829e-01f, 6.14652338e-01f,
    6.14709844e-01f, 6.14767348e-01f, 6.14824850e-01f, 6.14882350e-01f,
    6.14939847e-01f, 6.14997342e-01f, 6.15054835e-01f, 6.15112326e-01f,
    6.15169814e-01f, 6.15227300e-01f, 6.15284783e-01f, 6.15342265e-01f,
    6.15399744e-01f, 6.15457220e-01f, 6.15514695e-01f, 6.15572167e-01f,
    6.15629637e-01f, 6.15687105e-01f, 6.15744570e-01f, 6.15802033e-01f,
    6.15859494e-01f, 6.15916952e-01f, 6.15974408e-01f, 6.16031862e-01f,
    6.16089314e-01f, 6.16146763e-01f, 6.16204210e-01f, 6.16261655e-01f,
    6.16319097e-01f, 6.16376537e-01f, 6.16433975e-01f, 6.16491411e-01f,
    6.16548844e-01f, 6.16606275e-01f, 6.16663703e-01f, 6.16721130e-01f,
    6.16778554e-01f, 6.16835976e-01f, 6.16893395e-01f, 6.16950813e-01f,
    6.17008228e-01f, 6.17065640e-01f, 6.17123051e-01f, 6.17180459e-01f,
    6.17237865e-01f, 6.17295268e-01f, 6.17352670e-01f, 6.17410069e-01f,
    6.17467465e-01f, 6.17524860e-01f, 6.17582252e-01f, 6.17639642e-01f,
    6.17697029e-01f, 6.17754415e-01f, 6.17811798e-01f, 6.17869178e-01f,
    6.17926557e-01f, 6.17983933e-01f, 6.18041307e-01f, 6.18098678e-01f,
    6.18156048e-01f, 6.18213415e-01f, 6.18270780e-01f, 6.18328142e-01f,
    6.18385502e-01f, 6.18442860e-01f, 6.18500216e-01f, 6.18557569e-01f,
    6.18614920e-01f, 6.18672269e-01f, 6.18729616e-01f, 6.18786960e-01f,
    6.18844302e-01f, 6.18901641e-01f, 6.18958979e-01f, 6.19016314e-01f,
    6.19073647e-01f, 6.19130977e-01f, 6.19188306e-01f, 6.19245632e-01f,
    6.19302955e-01f, 6.19360277e-01f, 6.19417596e-01f, 6.19474913e-01f,
    6.19532228e-01f, 6.19589540e-01f, 6.19646850e-01f, 6.19704158e-01f,
    6.19761463e-01f, 6.19818767e-01f, 6.19876068e-01f, 6.19933366e-01f,
    6.19990663e-01f, 6.20047957e-01f, 6.20105249e-01f, 6.20162538e-01f,
    6.20219826e-01f, 6.20277111e-01f, 6.20334393e-01f, 6.20391674e-01f,
    6.20448952e-01f, 6.20506228e-01f, 6.20563502e-01f, 6.20620773e-01f,
    6.20678042e-01f, 6.20735309e-01f, 6.20792574e-01f, 6.20849836e-01f,
    6.20907096e-01f, 6.20964354e-01f, 6.21021609e-01f, 6.21078862e-01f,
    6.21136113e-01f, 6.21193362e-01f, 6.21250608e-01f, 6.21307852e-01f,
    6.21365094e-01f, 6.21422334e-01f, 6.21479571e-01f, 6.21536806e-01f,
    6.21594039e-01f, 6.21651270e-01f, 6.21708498e-01f, 6.21765724e-01f,
    6.21822947e-01f, 6.21880169e-01f, 6.21937388e-01f, 6.21994605e-01f,
    6.22051819e-01f, 6.22109032e-01f, 6.22166242e-01f, 6.22223450e-01f,
    6.22280655e-01f, 6.22337858e-01f, 6.22395059e-01f, 6.22452258e-01f,
    6.22509455e-01f, 6.22566649e-01f, 6.22623841e-01f, 6.22681030e-01f,
    6.22738218e-01f, 6.22795403e-01f, 6.22852586e-01f, 6.22909766e-01f,
    6.22966945e-01f, 6.23024121e-01f, 6.23081295e-01f, 6.23138466e-01f,
    6.23195635e-01f, 6.23252802e-01f, 6.23309967e-01f, 6.23367130e-01f,
    6.23424290e-01f, 6.23481448e-01f, 6.23538603e-01f, 6.23595757e-01f,
    6.23652908e-01f, 6.23710057e-01f, 6.23767204e-01f, 6.23824348e-01f,
    6.23881490e-01f, 6.23938630e-01f, 6.23995767e-01f, 6.24052903e-01f,
    6.24110036e-01f, 6.24167167e-01f, 6.24224295e-01f, 6.24281421e-01f,
    6.24338545e-01f, 6.24395667e-01f, 6.24452787e-01f, 6.24509904e-01f,
    6.24567019e-01f, 6.24624131e-01f, 6.24681242e-01f, 6.24738350e-01f,
    6.24795456e-01f, 6.24852560e-01f, 6.24909661e-01f, 6.24966760e-01f,
    6.25023857e-01f, 6.25080951e-01f, 6.25138044e-01f, 6.25195134e-01f,
    6.25252222e-01f, 6.25309307e-01f, 6.25366391e-01f, 6.25423472e-01f,
    6.25480550e-01f, 6.25537627e-01f, 6.25594701e-01f, 6.25651773e-01f,
    6.25708843e-01f, 6.25765911e-01f, 6.25822976e-01f, 6.25880039e-01f,
    6.25937100e-01f, 6.25994158e-01f, 6.26051214e-01f, 6.26108268e-01f,
    6.26165320e-01f, 6.26222369e-01f, 6.26279417e-01f, 6.26336461e-01f,
    6.26393504e-01f, 6.26450545e-01f, 6.26507583e-01f, 6.26564619e-01f,
    6.26621652e-01f, 6.26678684e-01f, 6.26735713e-01f, 6.26792740e-01f,
    6.26849764e-01f, 6.26906787e-01f, 6.26963807e-01f, 6.27020825e-01f,
    6.27077841e-01f, 6.27134854e-01f, 6.27191865e-01f, 6.27248874e-01f,
    6.27305881e-01f, 6.27362885e-01f, 6.27419887e-01f, 6.27476887e-01f,
    6.27533884e-01f, 6.27590880e-01f, 6.27647873e-01f, 6.27704864e-01f,
    6.27761852e-01f, 6.27818839e-01f, 6.27875823e-01f, 6.27932805e-01f,
    6.27989784e-01f, 6.28046762e-01f, 6.28103737e-01f, 6.28160710e-01f,
    6.28217680e-01f, 6.28274649e-01f, 6.28331615e-01f, 6.28388579e-01f,
    6.28445540e-01f, 6.28502499e-01f, 6.28559457e-01f, 6.28616411e-01f,
    6.28673364e-01f, 6.28730314e-01f, 6.28787263e-01f, 6.28844208e-01f,
    6.28901152e-01f, 6.28958093e-01f, 6.29015033e-01f, 6.29071969e-01f,
    6.29128904e-01f, 6.29185836e-01f, 6.29242767e-01f, 6.29299694e-01f,
    6.29356620e-01f, 6.29413543e-01f, 6.29470465e-01f, 6.29527384e-01f,
    6.29584300e-01f, 6.29641215e-01f, 6.29698127e-01f, 6.29755037e-01f,
    6.29811944e-01f, 6.29868850e-01f, 6.29925753e-01f, 6.29982654e-01f,
    6.30039553e-01f, 6.30096449e-01f, 6.30153343e-01f, 6.30210235e-01f,
    6.30267125e-01f, 6.30324013e-01f, 6.30380898e-01f, 6.30437781e-01f,
    6.30494662e-01f, 6.30551540e-01f, 6.30608416e-01f, 6.30665290e-01f,
    6.30722162e-01f, 6.30779032e-01f, 6.30835899e-01f, 6.30892764e-01f,
    6.30949627e-01f, 6.31006487e-01f, 6.31063346e-01f, 6.31120202e-01f,
    6.31177056e-01f, 6.31233907e-01f, 6.31290757e-01f, 6.31347604e-01f,
    6.31404449e-01f, 6.31461291e-01f, 6.31518132e-01f, 6.31574970e-01f,
    6.31631806e-01f, 6.31688640e-01f, 6.31745471e-01f, 6.31802300e-01f,
    6.31859127e-01f, 6.31915952e-01f, 6.31972775e-01f, 6.32029595e-01f,
    6.32086413e-01f, 6.32143229e-01f, 6.32200042e-01f, 6.32256854e-01f,
    6.32313663e-01f, 6.32370469e-01f, 6.32427274e-01f, 6.32484076e-01f,
    6.32540877e-01f, 6.32597674e-01f, 6.32654470e-01f, 6.32711264e-01f,
    6.32768055e-01f, 6.32824844e-01f, 6.32881630e-01f, 6.32938415e-01f,
    6.32995197e-01f, 6.33051977e-01f, 6.33108755e-01f, 6.33165530e-01f,
    6.33222304e-01f, 6.33279075e-01f, 6.33335844e-01f, 6.33392610e-01f,
    6.33449375e-01f, 6.33506137e-01f, 6.33562897e-01f, 6.33619654e-01f,
    6.33676410e-01f, 6.33733163e-01f, 6.33789914e-01f, 6.33846663e-01f,
    6.33903409e-01f, 6.33960154e-01f, 6.34016896e-01f, 6.34073636e-01f,
    6.34130373e-01f, 6.34187108e-01f, 6.34243842e-01f, 6.34300572e-01f,
    6.34357301e-01f, 6.34414028e-01f, 6.34470752e-01f, 6.34527474e-01f,
    6.34584193e-01f, 6.34640911e-01f, 6.34697626e-01f, 6.34754339e-01f,
    6.34811050e-01f, 6.34867759e-01f, 6.34924465e-01f, 6.34981169e-01f,
    6.35037871e-01f, 6.35094571e-01f, 6.35151268e-01f, 6.35207964e-01f,
    6.35264657e-01f, 6.35321347e-01f, 6.35378036e-01f, 6.35434722e-01f,
    6.35491406e-01f, 6.35548088e-01f, 6.35604768e-01f, 6.35661445e-01f,
    6.35718120e-01f, 6.35774793e-01f, 6.35831464e-01f, 6.35888133e-01f,
    6.35944799e-01f, 6.36001463e-01f, 6.36058125e-01f, 6.36114784e-01f,
    6.36171442e-01f, 6.36228097e-01f, 6.36284750e-01f, 6.36341400e-01f,
    6.36398049e-01f, 6.36454695e-01f, 6.36511339e-01f, 6.36567981e-01f,
    6.36624621e-01f, 6.36681258e-01f, 6.36737893e-01f, 6.36794526e-01f,
    6.36851157e-01f, 6.36907785e-01f, 6.36964411e-01f, 6.37021035e-01f,
    6.37077657e-01f, 6.37134277e-01f, 6.37190894e-01f, 6.37247509e-01f,
    6.37304122e-01f, 6.37360733e-01f, 6.37417341e-01f, 6.37473948e-01f,
    6.37530552e-01f, 6.37587153e-01f, 6.37643753e-01f, 6.37700350e-01f,
    6.37756945e-01f, 6.37813538e-01f, 6.37870129e-01f, 6.37926718e-01f,
    6.37983304e-01f, 6.38039888e-01f, 6.38096470e-01f, 6.38153049e-01f,
    6.38209627e-01f, 6.38266202e-01f, 6.38322775e-01f, 6.38379345e-01f,
    6.38435914e-01f, 6.38492480e-01f, 6.38549044e-01f, 6.38605606e-01f,
    6.38662166e-01f, 6.38718723e-01f, 6.38775278e-01f, 6.38831831e-01f,
    6.38888382e-01f, 6.38944931e-01f, 6.39001477e-01f, 6.39058021e-01f,
    6.39114563e-01f, 6.39171103e-01f, 6.39227640e-01f, 6.39284176e-01f,
    6.39340709e-01f, 6.39397239e-01f, 6.39453768e-01f, 6.39510294e-01f,
    6.39566819e-01f, 6.39623341e-01f, 6.39679860e-01f, 6.39736378e-01f,
    6.39792893e-01f, 6.39849406e-01f, 6.39905917e-01f, 6.39962426e-01f,
    6.40018932e-01f, 6.40075437e-01f, 6.40131939e-01f, 6.40188439e-01f,
    6.40244936e-01f, 6.40301432e-01f, 6.40357925e-01f, 6.40414416e-01f,
    6.40470905e-01f, 6.40527391e-01f, 6.40583876e-01f, 6.40640358e-01f,
    6.40696838e-01f, 6.40753315e-01f, 6.40809791e-01f, 6.40866264e-01f,
    6.40922735e-01f, 6.40979204e-01f, 6.41035671e-01f, 6.41092135e-01f,
    6.41148597e-01f, 6.41205057e-01f, 6.41261515e-01f, 6.41317971e-01f,
    6.41374424e-01f, 6.41430875e-01f, 6.41487324e-01f, 6.41543771e-01f,
    6.41600216e-01f, 6.41656658e-01f, 6.41713098e-01f, 6.41769536e-01f,
    6.41825972e-01f, 6.41882406e-01f, 6.41938837e-01f, 6.41995266e-01f,
    6.42051693e-01f, 6.42108118e-01f, 6.42164540e-01f, 6.42220960e-01f,
    6.42277379e-01f, 6.42333794e-01f, 6.42390208e-01f, 6.42446620e-01f,
    6.42503029e-01f, 6.42559436e-01f, 6.42615841e-01f, 6.42672243e-01f,
    6.42728644e-01f, 6.42785042e-01f, 6.42841438e-01f, 6.42897832e-01f,
    6.42954223e-01f, 6.43010613e-01f, 6.43067000e-01f, 6.43123385e-01f,
    6.43179768e-01f, 6.43236149e-01f, 6.43292527e-01f, 6.43348903e-01f,
    6.43405277e-01f, 6.43461649e-01f, 6.43518018e-01f, 6.43574386e-01f,
    6.43630751e-01f, 6.43687114e-01f, 6.43743475e-01f, 6.43799833e-01f,
    6.43856190e-01f, 6.43912544e-01f, 6.43968896e-01f, 6.44025246e-01f,
    6.44081593e-01f, 6.44137939e-01f, 6.44194282e-01f, 6.44250623e-01f,
    6.44306962e-01f, 6.44363298e-01f, 6.44419632e-01f, 6.44475965e-01f,
    6.44532295e-01f, 6.44588622e-01f, 6.44644948e-01f, 6.44701271e-01f,
    6.44757593e-01f, 6.44813911e-01f, 6.44870228e-01f, 6.44926543e-01f,
    6.44982855e-01f, 6.45039165e-01f, 6.45095473e-01f, 6.45151779e-01f,
    6.45208083e-01f, 6.45264384e-01f, 6.45320683e-01f, 6.45376980e-01f,
    6.45433275e-01f, 6.45489568e-01f, 6.45545858e-01f, 6.45602146e-01f,
    6.45658432e-01f, 6.45714716e-01f, 6.45770998e-01f, 6.45827277e-01f,
    6.45883555e-01f, 6.45939830e-01f, 6.45996102e-01f, 6.46052373e-01f,
    6.46108642e-01f, 6.46164908e-01f, 6.46221172e-01f, 6.46277434e-01f,
    6.46333693e-01f, 6.46389951e-01f, 6.46446206e-01f, 6.46502459e-01f,
    6.46558710e-01f, 6.46614959e-01f, 6.46671205e-01f, 6.46727450e-01f,
    6.46783692e-01f, 6.46839932e-01f, 6.46896170e-01f, 6.46952405e-01f,
    6.47008638e-01f, 6.47064870e-01f, 6.47121099e-01f, 6.47177325e-01f,
    6.47233550e-01f, 6.47289772e-01f, 6.47345993e-01f, 6.47402211e-01f,
    6.47458426e-01f, 6.47514640e-01f, 6.47570852e-01f, 6.47627061e-01f,
    6.47683268e-01f, 6.47739473e-01f, 6.47795675e-01f, 6.47851876e-01f,
    6.47908074e-01f, 6.47964270e-01f, 6.48020464e-01f, 6.48076656e-01f,
    6.48132846e-01f, 6.48189033e-01f, 6.48245218e-01f, 6.48301401e-01f,
    6.48357582e-01f, 6.48413761e-01f, 6.48469937e-01f, 6.48526111e-01f,
    6.48582283e-01f, 6.48638453e-01f, 6.48694621e-01f, 6.48750786e-01f,
    6.48806950e-01f, 6.48863111e-01f, 6.48919270e-01f, 6.48975427e-01f,
    6.49031581e-01f, 6.49087733e-01f, 6.49143884e-01f, 6.49200032e-01f,
    6.49256178e-01f, 6.49312321e-01f, 6.49368463e-01f, 6.49424602e-01f,
    6.49480739e-01f, 6.49536874e-01f, 6.49593007e-01f, 6.49649137e-01f,
    6.49705265e-01f, 6.49761392e-01f, 6.49817516e-01f, 6.49873637e-01f,
    6.49929757e-01f, 6.49985874e-01f, 6.50041990e-01f, 6.50098103e-01f,
    6.50154214e-01f, 6.50210322e-01f, 6.50266429e-01f, 6.50322533e-01f,
    6.50378635e-01f, 6.50434735e-01f, 6.50490833e-01f, 6.50546929e-01f,
    6.50603022e-01f, 6.50659113e-01f, 6.50715203e-01f, 6.50771289e-01f,
    6.50827374e-01f, 6.50883457e-01f, 6.50939537e-01f, 6.50995615e-01f,
    6.51051691e-01f, 6.51107765e-01f, 6.51163837e-01f, 6.51219906e-01f,
    6.51275973e-01f, 6.51332038e-01f, 6.51388101e-01f, 6.51444162e-01f,
    6.51500221e-01f, 6.51556277e-01f, 6.51612331e-01f, 6.51668383e-01f,
    6.51724433e-01f, 6.51780481e-01f, 6.51836526e-01f, 6.51892570e-01f,
    6.51948611e-01f, 6.52004650e-01f, 6.52060686e-01f, 6.52116721e-01f,
    6.52172754e-01f, 6.52228784e-01f, 6.52284812e-01f, 6.52340838e-01f,
    6.52396861e-01f, 6.52452883e-01f, 6.52508902e-01f, 6.52564920e-01f,
    6.52620935e-01f, 6.52676947e-01f, 6.52732958e-01f, 6.52788967e-01f,
    6.52844973e-01f, 6.52900977e-01f, 6.52956979e-01f, 6.53012979e-01f,
    6.53068977e-01f, 6.53124972e-01f, 6.53180965e-01f, 6.53236956e-01f,
    6.53292945e-01f, 6.53348932e-01f, 6.53404917e-01f, 6.53460899e-01f,
    6.53516879e-01f, 6.53572858e-01f, 6.53628833e-01f, 6.53684807e-01f,
    6.53740779e-01f, 6.53796748e-01f, 6.53852715e-01f, 6.53908680e-01f,
    6.53964643e-01f, 6.54020604e-01f, 6.54076562e-01f, 6.54132519e-01f,
    6.54188473e-01f, 6.54244425e-01f, 6.54300375e-01f, 6.54356323e-01f,
    6.54412268e-01f, 6.54468211e-01f, 6.54524153e-01f, 6.54580092e-01f,
    6.54636029e-01f, 6.54691963e-01f, 6.54747896e-01f, 6.54803826e-01f,
    6.54859754e-01f, 6.54915680e-01f, 6.54971604e-01f, 6.55027526e-01f,
    6.55083445e-01f, 6.55139363e-01f, 6.55195278e-01f, 6.55251191e-01f,
    6.55307102e-01f, 6.55363010e-01f, 6.55418917e-01f, 6.55474821e-01f,
    6.55530723e-01f, 6.55586623e-01f, 6.55642521e-01f, 6.55698417e-01f,
    6.55754310e-01f, 6.55810201e-01f, 6.55866091e-01f, 6.55921978e-01f,
    6.55977862e-01f, 6.56033745e-01f, 6.56089626e-01f, 6.56145504e-01f,
    6.56201380e-01f, 6.56257254e-01f, 6.56313126e-01f, 6.56368996e-01f,
    6.56424863e-01f, 6.56480729e-01f, 6.56536592e-01f, 6.56592453e-01f,
    6.56648312e-01f, 6.56704168e-01f, 6.56760023e-01f, 6.56815875e-01f,
    6.56871726e-01f, 6.56927574e-01f, 6.56983420e-01f, 6.57039263e-01f,
    6.57095105e-01f, 6.57150944e-01f, 6.57206782e-01f, 6.57262617e-01f,
    6.57318450e-01f, 6.57374280e-01f, 6.57430109e-01f, 6.57485935e-01f,
    6.57541760e-01f, 6.57597582e-01f, 6.57653402e-01f, 6.57709220e-01f,
    6.57765035e-01f, 6.57820849e-01f, 6.57876660e-01f, 6.57932469e-01f,
    6.57988276e-01f, 6.58044081e-01f, 6.58099884e-01f, 6.58155684e-01f,
    6.58211483e-01f, 6.58267279e-01f, 6.58323073e-01f, 6.58378865e-01f,
    6.58434655e-01f, 6.58490442e-01f, 6.58546228e-01f, 6.58602011e-01f,
    6.58657792e-01f, 6.58713571e-01f, 6.58769348e-01f, 6.58825123e-01f,
    6.58880895e-01f, 6.58936665e-01f, 6.58992434e-01f, 6.59048200e-01f,
    6.59103963e-01f, 6.59159725e-01f, 6.59215485e-01f, 6.59271242e-01f,
    6.59326997e-01f, 6.59382751e-01f, 6.59438501e-01f, 6.59494250e-01f,
    6.59549997e-01f, 6.59605741e-01f, 6.59661484e-01f, 6.59717224e-01f,
    6.59772962e-01f, 6.59828698e-01f, 6.59884431e-01f, 6.59940163e-01f,
    6.59995892e-01f, 6.60051620e-01f, 6.60107345e-01f, 6.60163068e-01f,
    6.60218789e-01f, 6.60274507e-01f, 6.60330224e-01f, 6.60385938e-01f,
    6.60441650e-01f, 6.60497360e-01f, 6.60553068e-01f, 6.60608774e-01f,
    6.60664477e-01f, 6.60720179e-01f, 6.60775878e-01f, 6.60831575e-01f,
    6.60887270e-01f, 6.60942963e-01f, 6.60998654e-01f, 6.61054342e-01f,
    6.61110029e-01f, 6.61165713e-01f, 6.61221395e-01f, 6.61277075e-01f,
    6.61332753e-01f, 6.61388428e-01f, 6.61444102e-01f, 6.61499773e-01f,
    6.61555442e-01f, 6.61611110e-01f, 6.61666774e-01f, 6.61722437e-01f,
    6.61778098e-01f, 6.61833756e-01f, 6.61889413e-01f, 6.61945067e-01f,
    6.62000719e-01f, 6.62056369e-01f, 6.62112016e-01f, 6.62167662e-01f,
    6.62223305e-01f, 6.62278947e-01f, 6.62334586e-01f, 6.62390223e-01f,
    6.62445858e-01f, 6.62501490e-01f, 6.62557121e-01f, 6.62612749e-01f,
    6.62668376e-01f, 6.62724000e-01f, 6.62779622e-01f, 6.62835241e-01f,
    6.62890859e-01f, 6.62946475e-01f, 6.63002088e-01f, 6.63057699e-01f,
    6.63113308e-01f, 6.63168915e-01f, 6.63224520e-01f, 6.63280123e-01f,
    6.63335723e-01f, 6.63391322e-01f, 6.63446918e-01f, 6.63502512e-01f,
    6.63558104e-01f, 6.63613694e-01f, 6.63669282e-01f, 6.63724867e-01f,
    6.63780451e-01f, 6.63836032e-01f, 6.63891611e-01f, 6.63947188e-01f,
    6.64002763e-01f, 6.64058336e-01f, 6.64113906e-01f, 6.64169475e-01f,
    6.64225041e-01f, 6.64280605e-01f, 6.64336167e-01f, 6.64391727e-01f,
    6.64447285e-01f, 6.64502840e-01f, 6.64558394e-01f, 6.64613945e-01f,
    6.64669494e-01f, 6.64725041e-01f, 6.64780586e-01f, 6.64836129e-01f,
    6.64891669e-01f, 6.64947208e-01f, 6.65002744e-01f, 6.65058278e-01f,
    6.65113810e-01f, 6.65169340e-01f, 6.65224868e-01f, 6.65280394e-01f,
    6.65335917e-01f, 6.65391439e-01f, 6.65446958e-01f, 6.65502475e-01f,
    6.65557990e-01f, 6.65613503e-01f, 6.65669013e-01f, 6.65724522e-01f,
    6.65780028e-01f, 6.65835533e-01f, 6.65891035e-01f, 6.65946535e-01f,
    6.66002033e-01f, 6.66057528e-01f, 6.66113022e-01f, 6.66168513e-01f,
    6.66224003e-01f, 6.66279490e-01f, 6.66334975e-01f, 6.66390458e-01f,
    6.66445939e-01f, 6.66501417e-01f, 6.66556894e-01f, 6.66612368e-01f,
    6.66667841e-01f, 6.66723311e-01f, 6.66778779e-01f, 6.66834245e-01f,
    6.66889708e-01f, 6.66945170e-01f, 6.67000630e-01f, 6.67056087e-01f,
    6.67111542e-01f, 6.67166995e-01f, 6.67222446e-01f, 6.67277895e-01f,
    6.67333342e-01f, 6.67388786e-01f, 6.67444229e-01f, 6.67499669e-01f,
    6.67555107e-01f, 6.67610543e-01f, 6.67665977e-01f, 6.67721409e-01f,
    6.67776838e-01f, 6.67832266e-01f, 6.67887691e-01f, 6.67943115e-01f,
    6.67998536e-01f, 6.68053955e-01f, 6.68109372e-01f, 6.68164786e-01f,
    6.68220199e-01f, 6.68275609e-01f, 6.68331018e-01f, 6.68386424e-01f,
    6.68441828e-01f, 6.68497230e-01f, 6.68552630e-01f, 6.68608028e-01f,
    6.68663423e-01f, 6.68718817e-01f, 6.68774208e-01f, 6.68829597e-01f,
    6.68884984e-01f, 6.68940369e-01f, 6.68995752e-01f, 6.69051133e-01f,
    6.69106511e-01f, 6.69161888e-01f, 6.69217262e-01f, 6.69272634e-01f,
    6.69328004e-01f, 6.69383372e-01f, 6.69438738e-01f, 6.69494102e-01f,
    6.69549463e-01f, 6.69604823e-01f, 6.69660180e-01f, 6.69715535e-01f,
    6.69770889e-01f, 6.69826239e-01f, 6.69881588e-01f, 6.69936935e-01f,
    6.69992280e-01f, 6.70047622e-01f, 6.70102962e-01f, 6.70158301e-01f,
    6.70213637e-01f, 6.70268971e-01f, 6.70324303e-01f, 6.70379632e-01f,
    6.70434960e-01f, 6.70490285e-01f, 6.70545609e-01f, 6.70600930e-01f,
    6.70656249e-01f, 6.70711566e-01f, 6.70766881e-01f, 6.70822194e-01f,
    6.70877504e-01f, 6.70932813e-01f, 6.70988119e-01f, 6.71043424e-01f,
    6.71098726e-01f, 6.71154026e-01f, 6.71209324e-01f, 6.71264620e-01f,
    6.71319913e-01f, 6.71375205e-01f, 6.71430494e-01f, 6.71485782e-01f,
    6.71541067e-01f, 6.71596350e-01f, 6.71651631e-01f, 6.71706910e-01f,
    6.71762186e-01f, 6.71817461e-01f, 6.71872733e-01f, 6.71928004e-01f,
    6.71983272e-01f, 6.72038538e-01f, 6.72093802e-01f, 6.72149064e-01f,
    6.72204324e-01f, 6.72259582e-01f, 6.72314837e-01f, 6.72370091e-01f,
    6.72425342e-01f, 6.72480591e-01f, 6.72535838e-01f, 6.72591083e-01f,
    6.72646326e-01f, 6.72701567e-01f, 6.72756806e-01f, 6.72812042e-01f,
    6.72867276e-01f, 6.72922509e-01f, 6.72977739e-01f, 6.73032967e-01f,
    6.73088193e-01f, 6.73143417e-01f, 6.73198638e-01f, 6.73253858e-01f,
    6.73309076e-01f, 6.73364291e-01f, 6.73419504e-01f, 6.73474715e-01f,
    6.73529924e-01f, 6.73585131e-01f, 6.73640336e-01f, 6.73695539e-01f,
    6.73750739e-01f, 6.73805938e-01f, 6.73861134e-01f, 6.73916329e-01f,
    6.73971521e-01f, 6.74026711e-01f, 6.74081899e-01f, 6.74137084e-01f,
    6.74192268e-01f, 6.74247450e-01f, 6.74302629e-01f, 6.74357807e-01f,
    6.74412982e-01f, 6.74468155e-01f, 6.74523326e-01f, 6.74578495e-01f,
    6.74633662e-01f, 6.74688826e-01f, 6.74743989e-01f, 6.74799150e-01f,
    6.74854308e-01f, 6.74909464e-01f, 6.74964618e-01f, 6.75019770e-01f,
    6.75074920e-01f, 6.75130068e-01f, 6.75185214e-01f, 6.75240358e-01f,
    6.75295499e-01f, 6.75350639e-01f, 6.75405776e-01f, 6.75460911e-01f,
    6.75516044e-01f, 6.75571175e-01f, 6.75626304e-01f, 6.75681431e-01f,
    6.75736555e-01f, 6.75791678e-01f, 6.75846798e-01f, 6.75901917e-01f,
    6.75957033e-01f, 6.76012147e-01f, 6.76067259e-01f, 6.76122369e-01f,
    6.76177477e-01f, 6.76232583e-01f, 6.76287686e-01f, 6.76342788e-01f,
    6.76397887e-01f, 6.76452984e-01f, 6.76508080e-01f, 6.76563173e-01f,
    6.76618264e-01f, 6.76673352e-01f, 6.76728439e-01f, 6.76783524e-01f,
    6.76838606e-01f, 6.76893687e-01f, 6.76948765e-01f, 6.77003842e-01f,
    6.77058916e-01f, 6.77113988e-01f, 6.77169058e-01f, 6.77224126e-01f,
    6.77279191e-01f, 6.77334255e-01f, 6.77389317e-01f, 6.77444376e-01f,
    6.77499433e-01f, 6.77554489e-01f, 6.77609542e-01f, 6.77664593e-01f,
    6.77719642e-01f, 6.77774688e-01f, 6.77829733e-01f, 6.77884776e-01f,
    6.77939816e-01f, 6.77994855e-01f, 6.78049891e-01f, 6.78104925e-01f,
    6.78159958e-01f, 6.78214988e-01f, 6.78270016e-01f, 6.78325041e-01f,
    6.78380065e-01f, 6.78435087e-01f, 6.78490106e-01f, 6.78545124e-01f,
    6.78600139e-01f, 6.78655152e-01f, 6.78710164e-01f, 6.78765173e-01f,
    6.78820180e-01f, 6.78875184e-01f, 6.78930187e-01f, 6.78985188e-01f,
    6.79040186e-01f, 6.79095183e-01f, 6.79150177e-01f, 6.79205170e-01f,
    6.79260160e-01f, 6.79315148e-01f, 6.79370134e-01f, 6.79425118e-01f,
    6.79480100e-01f, 6.79535079e-01f, 6.79590057e-01f, 6.79645032e-01f,
    6.79700006e-01f, 6.79754977e-01f, 6.79809946e-01f, 6.79864913e-01f,
    6.79919879e-01f, 6.79974841e-01f, 6.80029802e-01f, 6.80084761e-01f,
    6.80139718e-01f, 6.80194672e-01f, 6.80249625e-01f, 6.80304575e-01f,
    6.80359524e-01f, 6.80414470e-01f, 6.80469414e-01f, 6.80524356e-01f,
    6.80579296e-01f, 6.80634234e-01f, 6.80689169e-01f, 6.80744103e-01f,
    6.80799035e-01f, 6.80853964e-01f, 6.80908891e-01f, 6.80963817e-01f,
    6.81018740e-01f, 6.81073661e-01f, 6.81128580e-01f, 6.81183497e-01f,
    6.81238412e-01f, 6.81293325e-01f, 6.81348235e-01f, 6.81403144e-01f,
    6.81458050e-01f, 6.81512955e-01f, 6.81567857e-01f, 6.81622757e-01f,
    6.81677655e-01f, 6.81732551e-01f, 6.81787445e-01f, 6.81842337e-01f,
    6.81897227e-01f, 6.81952114e-01f, 6.82007000e-01f, 6.82061884e-01f,
    6.82116765e-01f, 6.82171644e-01f, 6.82226522e-01f, 6.82281397e-01f,
    6.82336270e-01f, 6.82391141e-01f, 6.82446010e-01f, 6.82500876e-01f,
    6.82555741e-01f, 6.82610604e-01f, 6.82665464e-01f, 6.82720323e-01f,
    6.82775179e-01f, 6.82830033e-01f, 6.82884886e-01f, 6.82939736e-01f,
    6.82994584e-01f, 6.83049430e-01f, 6.83104273e-01f, 6.83159115e-01f,
    6.83213955e-01f, 6.83268793e-01f, 6.83323628e-01f, 6.83378461e-01f,
    6.83433293e-01f, 6.83488122e-01f, 6.83542949e-01f, 6.83597774e-01f,
    6.83652597e-01f, 6.83707418e-01f, 6.83762237e-01f, 6.83817054e-01f,
    6.83871869e-01f, 6.83926681e-01f, 6.83981492e-01f, 6.84036300e-01f,
    6.84091107e-01f, 6.84145911e-01f, 6.84200713e-01f, 6.84255513e-01f,
    6.84310311e-01f, 6.84365107e-01f, 6.84419901e-01f, 6.84474693e-01f,
    6.84529482e-01f, 6.84584270e-01f, 6.84639056e-01f, 6.84693839e-01f,
    6.84748620e-01f, 6.84803400e-01f, 6.84858177e-01f, 6.84912952e-01f,
    6.84967725e-01f, 6.85022496e-01f, 6.85077265e-01f, 6.85132032e-01f,
    6.85186797e-01f, 6.85241559e-01f, 6.85296320e-01f, 6.85351078e-01f,
    6.85405835e-01f, 6.85460589e-01f, 6.85515341e-01f, 6.85570092e-01f,
    6.85624840e-01f, 6.85679586e-01f, 6.85734330e-01f, 6.85789072e-01f,
    6.85843811e-01f, 6.85898549e-01f, 6.85953285e-01f, 6.86008018e-01f,
    6.86062750e-01f, 6.86117479e-01f, 6.86172207e-01f, 6.86226932e-01f,
    6.86281655e-01f, 6.86336376e-01f, 6.86391095e-01f, 6.86445812e-01f,
    6.86500527e-01f, 6.86555240e-01f, 6.86609951e-01f, 6.86664659e-01f,
    6.86719366e-01f, 6.86774071e-01f, 6.86828773e-01f, 6.86883473e-01f,
    6.86938172e-01f, 6.86992868e-01f, 6.87047562e-01f, 6.87102254e-01f,
    6.87156944e-01f, 6.87211632e-01f, 6.87266318e-01f, 6.87321002e-01f,
    6.87375683e-01f, 6.87430363e-01f, 6.87485041e-01f, 6.87539716e-01f,
    6.87594390e-01f, 6.87649061e-01f, 6.87703730e-01f, 6.87758397e-01f,
    6.87813063e-01f, 6.87867726e-01f, 6.87922387e-01f, 6.87977046e-01f,
    6.88031702e-01f, 6.88086357e-01f, 6.88141010e-01f, 6.88195661e-01f,
    6.88250309e-01f, 6.88304956e-01f, 6.88359600e-01f, 6.88414242e-01f,
    6.88468883e-01f, 6.88523521e-01f, 6.88578157e-01f, 6.88632791e-01f,
    6.88687423e-01f, 6.88742053e-01f, 6.88796681e-01f, 6.88851307e-01f,
    6.88905931e-01f, 6.88960552e-01f, 6.89015172e-01f, 6.89069789e-01f,
    6.89124405e-01f, 6.89179018e-01f, 6.89233630e-01f, 6.89288239e-01f,
    6.89342846e-01f, 6.89397451e-01f, 6.89452054e-01f, 6.89506655e-01f,
    6.89561254e-01f, 6.89615851e-01f, 6.89670446e-01f, 6.89725039e-01f,
    6.89779629e-01f, 6.89834218e-01f, 6.89888805e-01f, 6.89943389e-01f,
    6.89997971e-01f, 6.90052552e-01f, 6.90107130e-01f, 6.90161706e-01f,
    6.90216280e-01f, 6.90270853e-01f, 6.90325423e-01f, 6.90379990e-01f,
    6.90434556e-01f, 6.90489120e-01f, 6.90543682e-01f, 6.90598242e-01f,
    6.90652799e-01f, 6.90707355e-01f, 6.90761908e-01f, 6.90816460e-01f,
    6.90871009e-01f, 6.90925557e-01f, 6.90980102e-01f, 6.91034645e-01f,
    6.91089186e-01f, 6.91143725e-01f, 6.91198262e-01f, 6.91252797e-01f,
    6.91307330e-01f, 6.91361861e-01f, 6.91416390e-01f, 6.91470917e-01f,
    6.91525441e-01f, 6.91579964e-01f, 6.91634484e-01f, 6.91689003e-01f,
    6.91743519e-01f, 6.91798034e-01f, 6.91852546e-01f, 6.91907056e-01f,
    6.91961564e-01f, 6.92016070e-01f, 6.92070574e-01f, 6.92125076e-01f,
    6.92179576e-01f, 6.92234074e-01f, 6.92288570e-01f, 6.92343064e-01f,
    6.92397555e-01f, 6.92452045e-01f, 6.92506533e-01f, 6.92561018e-01f,
    6.92615502e-01f, 6.92669983e-01f, 6.92724462e-01f, 6.92778940e-01f,
    6.92833415e-01f, 6.92887888e-01f, 6.92942359e-01f, 6.92996828e-01f,
    6.93051295e-01f, 6.93105760e-01f, 6.93160223e-01f, 6.93214684e-01f,
    6.93269143e-01f, 6.93323600e-01f, 6.93378054e-01f, 6.93432507e-01f,
    6.93486957e-01f, 6.93541406e-01f, 6.93595852e-01f, 6.93650297e-01f,
    6.93704739e-01f, 6.93759180e-01f, 6.93813618e-01f, 6.93868054e-01f,
    6.93922488e-01f, 6.93976920e-01f, 6.94031350e-01f, 6.94085778e-01f,
    6.94140204e-01f, 6.94194628e-01f, 6.94249050e-01f, 6.94303470e-01f,
    6.94357887e-01f, 6.94412303e-01f, 6.94466716e-01f, 6.94521128e-01f,
    6.94575538e-01f, 6.94629945e-01f, 6.94684350e-01f, 6.94738754e-01f,
    6.94793155e-01f, 6.94847554e-01f, 6.94901951e-01f, 6.94956347e-01f,
    6.95010740e-01f, 6.95065131e-01f, 6.95119520e-01f, 6.95173907e-01f,
    6.95228291e-01f, 6.95282674e-01f, 6.95337055e-01f, 6.95391434e-01f,
    6.95445811e-01f, 6.95500185e-01f, 6.95554558e-01f, 6.95608928e-01f,
    6.95663297e-01f, 6.95717663e-01f, 6.95772028e-01f, 6.95826390e-01f,
    6.95880750e-01f, 6.95935109e-01f, 6.95989465e-01f, 6.96043819e-01f,
    6.96098171e-01f, 6.96152521e-01f, 6.96206869e-01f, 6.96261215e-01f,
    6.96315559e-01f, 6.96369901e-01f, 6.96424241e-01f, 6.96478578e-01f,
    6.96532914e-01f, 6.96587248e-01f, 6.96641579e-01f, 6.96695909e-01f,
    6.96750237e-01f, 6.96804562e-01f, 6.96858885e-01f, 6.96913207e-01f,
    6.96967526e-01f, 6.97021844e-01f, 6.97076159e-01f, 6.97130472e-01f,
    6.97184783e-01f, 6.97239092e-01f, 6.97293399e-01f, 6.97347704e-01f,
    6.97402008e-01f, 6.97456308e-01f, 6.97510607e-01f, 6.97564904e-01f,
    6.97619199e-01f, 6.97673492e-01f, 6.97727783e-01f, 6.97782071e-01f,
    6.97836358e-01f, 6.97890643e-01f, 6.97944925e-01f, 6.97999206e-01f,
    6.98053484e-01f, 6.98107761e-01f, 6.98162035e-01f, 6.98216307e-01f,
    6.98270578e-01f, 6.98324846e-01f, 6.98379112e-01f, 6.98433376e-01f,
    6.98487639e-01f, 6.98541899e-01f, 6.98596157e-01f, 6.98650413e-01f,
    6.98704667e-01f, 6.98758919e-01f, 6.98813169e-01f, 6.98867417e-01f,
    6.98921662e-01f, 6.98975906e-01f, 6.99030148e-01f, 6.99084388e-01f,
    6.99138625e-01f, 6.99192861e-01f, 6.99247095e-01f, 6.99301326e-01f,
    6.99355556e-01f, 6.99409783e-01f, 6.99464009e-01f, 6.99518232e-01f,
    6.99572453e-01f, 6.99626673e-01f, 6.99680890e-01f, 6.99735105e-01f,
    6.99789318e-01f, 6.99843530e-01f, 6.99897739e-01f, 6.99951946e-01f,
    7.00006151e-01f, 7.00060354e-01f, 7.00114555e-01f, 7.00168754e-01f,
    7.00222951e-01f, 7.00277146e-01f, 7.00331339e-01f, 7.00385529e-01f,
    7.00439718e-01f, 7.00493905e-01f, 7.00548090e-01f, 7.00602272e-01f,
    7.00656453e-01f, 7.00710632e-01f, 7.00764808e-01f, 7.00818983e-01f,
    7.00873155e-01f, 7.00927326e-01f, 7.00981494e-01f, 7.01035660e-01f,
    7.01089825e-01f, 7.01143987e-01f, 7.01198147e-01f, 7.01252306e-01f,
    7.01306462e-01f, 7.01360616e-01f, 7.01414768e-01f, 7.01468918e-01f,
    7.01523067e-01f, 7.01577213e-01f, 7.01631357e-01f, 7.01685499e-01f,
    7.01739639e-01f, 7.01793777e-01f, 7.01847913e-01f, 7.01902046e-01f,
    7.01956178e-01f, 7.02010308e-01f, 7.02064436e-01f, 7.02118562e-01f,
    7.02172685e-01f, 7.02226807e-01f, 7.02280927e-01f, 7.02335044e-01f,
    7.02389160e-01f, 7.02443274e-01f, 7.02497385e-01f, 7.02551495e-01f,
    7.02605602e-01f, 7.02659708e-01f, 7.02713811e-01f, 7.02767912e-01f,
    7.02822012e-01f, 7.02876109e-01f, 7.02930204e-01f, 7.02984298e-01f,
    7.03038389e-01f, 7.03092478e-01f, 7.03146565e-01f, 7.03200651e-01f,
    7.03254734e-01f, 7.03308815e-01f, 7.03362894e-01f, 7.03416971e-01f,
    7.03471046e-01f, 7.03525119e-01f, 7.03579190e-01f, 7.03633259e-01f,
    7.03687326e-01f, 7.03741391e-01f, 7.03795454e-01f, 7.03849515e-01f,
    7.03903573e-01f, 7.03957630e-01f, 7.04011685e-01f, 7.04065738e-01f,
    7.04119789e-01f, 7.04173837e-01f, 7.04227884e-01f, 7.04281929e-01f,
    7.04335971e-01f, 7.04390012e-01f, 7.04444050e-01f, 7.04498087e-01f,
    7.04552121e-01f, 7.04606154e-01f, 7.04660184e-01f, 7.04714213e-01f,
    7.04768239e-01f, 7.04822264e-01f, 7.04876286e-01f, 7.04930307e-01f,
    7.04984325e-01f, 7.05038341e-01f, 7.05092356e-01f, 7.05146368e-01f,
    7.05200378e-01f, 7.05254386e-01f, 7.05308393e-01f, 7.05362397e-01f,
    7.05416399e-01f, 7.05470399e-01f, 7.05524397e-01f, 7.05578393e-01f,
    7.05632387e-01f, 7.05686379e-01f, 7.05740369e-01f, 7.05794358e-01f,
    7.05848344e-01f, 7.05902327e-01f, 7.05956309e-01f, 7.06010289e-01f,
    7.06064267e-01f, 7.06118243e-01f, 7.06172217e-01f, 7.06226189e-01f,
    7.06280159e-01f, 7.06334127e-01f, 7.06388092e-01f, 7.06442056e-01f,
    7.06496018e-01f, 7.06549978e-01f, 7.06603936e-01f, 7.06657891e-01f,
    7.06711845e-01f, 7.06765797e-01f, 7.06819746e-01f, 7.06873694e-01f,
    7.06927640e-01f, 7.06981583e-01f, 7.07035525e-01f, 7.07089464e-01f,
    7.07143402e-01f, 7.07197338e-01f, 7.07251271e-01f, 7.07305203e-01f,
    7.07359132e-01f, 7.07413060e-01f, 7.07466985e-01f, 7.07520908e-01f,
    7.07574830e-01f, 7.07628749e-01f, 7.07682667e-01f, 7.07736582e-01f,
    7.07790496e-01f, 7.07844407e-01f, 7.07898316e-01f, 7.07952224e-01f,
    7.08006129e-01f, 7.08060032e-01f, 7.08113933e-01f, 7.08167833e-01f,
    7.08221730e-01f, 7.08275625e-01f, 7.08329519e-01f, 7.08383410e-01f,
    7.08437299e-01f, 7.08491186e-01f, 7.08545071e-01f, 7.08598955e-01f,
    7.08652836e-01f, 7.08706715e-01f, 7.08760592e-01f, 7.08814467e-01f,
    7.08868340e-01f, 7.08922211e-01f, 7.08976080e-01f, 7.09029947e-01f,
    7.09083813e-01f, 7.09137676e-01f, 7.09191537e-01f, 7.09245396e-01f,
    7.09299253e-01f, 7.09353108e-01f, 7.09406961e-01f, 7.09460812e-01f,
    7.09514661e-01f, 7.09568508e-01f, 7.09622353e-01f, 7.09676196e-01f,
    7.09730037e-01f, 7.09783875e-01f, 7.09837712e-01f, 7.09891547e-01f,
    7.09945380e-01f, 7.09999211e-01f, 7.10053040e-01f, 7.10106867e-01f,
    7.10160692e-01f, 7.10214515e-01f, 7.10268336e-01f, 7.10322154e-01f,
    7.10375971e-01f, 7.10429786e-01f, 7.10483599e-01f, 7.10537410e-01f,
    7.10591219e-01f, 7.10645025e-01f, 7.10698830e-01f, 7.10752633e-01f,
    7.10806434e-01f, 7.10860232e-01f, 7.10914029e-01f, 7.10967824e-01f,
    7.11021617e-01f, 7.11075408e-01f, 7.11129196e-01f, 7.11182983e-01f,
    7.11236768e-01f, 7.11290551e-01f, 7.11344331e-01f, 7.11398110e-01f,
    7.11451887e-01f, 7.11505661e-01f, 7.11559434e-01f, 7.11613205e-01f,
    7.11666974e-01f, 7.11720740e-01f, 7.11774505e-01f, 7.11828268e-01f,
    7.11882028e-01f, 7.11935787e-01f, 7.11989544e-01f, 7.12043298e-01f,
    7.12097051e-01f, 7.12150802e-01f, 7.12204550e-01f, 7.12258297e-01f,
    7.12312042e-01f, 7.12365784e-01f, 7.12419525e-01f, 7.12473264e-01f,
    7.12527000e-01f, 7.12580735e-01f, 7.12634468e-01f, 7.12688198e-01f,
    7.12741927e-01f, 7.12795654e-01f, 7.12849378e-01f, 7.12903101e-01f,
    7.12956822e-01f, 7.13010540e-01f, 7.13064257e-01f, 7.13117972e-01f,
    7.13171684e-01f, 7.13225395e-01f, 7.13279104e-01f, 7.13332810e-01f,
    7.13386515e-01f, 7.13440218e-01f, 7.13493918e-01f, 7.13547617e-01f,
    7.13601314e-01f, 7.13655008e-01f, 7.13708701e-01f, 7.13762392e-01f,
    7.13816080e-01f, 7.13869767e-01f, 7.13923452e-01f, 7.13977134e-01f,
    7.14030815e-01f, 7.14084494e-01f, 7.14138170e-01f, 7.14191845e-01f,
    7.14245518e-01f, 7.14299188e-01f, 7.14352857e-01f, 7.14406524e-01f,
    7.14460188e-01f, 7.14513851e-01f, 7.14567512e-01f, 7.14621171e-01f,
    7.14674827e-01f, 7.14728482e-01f, 7.14782135e-01f, 7.14835785e-01f,
    7.14889434e-01f, 7.14943081e-01f, 7.14996726e-01f, 7.15050368e-01f,
    7.15104009e-01f, 7.15157648e-01f, 7.15211285e-01f, 7.15264920e-01f,
    7.15318552e-01f, 7.15372183e-01f, 7.15425812e-01f, 7.15479439e-01f,
    7.15533064e-01f, 7.15586686e-01f, 7.15640307e-01f, 7.15693926e-01f,
    7.15747543e-01f, 7.15801158e-01f, 7.15854771e-01f, 7.15908381e-01f,
    7.15961990e-01f, 7.16015597e-01f, 7.16069202e-01f, 7.16122805e-01f,
    7.16176406e-01f, 7.16230005e-01f, 7.16283602e-01f, 7.16337197e-01f,
    7.16390789e-01f, 7.16444380e-01f, 7.16497969e-01f, 7.16551556e-01f,
    7.16605141e-01f, 7.16658724e-01f, 7.16712305e-01f, 7.16765884e-01f,
    7.16819461e-01f, 7.16873036e-01f, 7.16926609e-01f, 7.16980180e-01f,
    7.17033749e-01f, 7.17087317e-01f, 7.17140882e-01f, 7.17194445e-01f,
    7.17248006e-01f, 7.17301565e-01f, 7.17355122e-01f, 7.17408677e-01f,
    7.17462230e-01f, 7.17515782e-01f, 7.17569331e-01f, 7.17622878e-01f,
    7.17676423e-01f, 7.17729966e-01f, 7.17783508e-01f, 7.17837047e-01f,
    7.17890584e-01f, 7.17944119e-01f, 7.17997653e-01f, 7.18051184e-01f,
    7.18104713e-01f, 7.18158240e-01f, 7.18211766e-01f, 7.18265289e-01f,
    7.18318810e-01f, 7.18372330e-01f, 7.18425847e-01f, 7.18479363e-01f,
    7.18532876e-01f, 7.18586388e-01f, 7.18639897e-01f, 7.18693404e-01f,
    7.18746910e-01f, 7.18800413e-01f, 7.18853915e-01f, 7.18907414e-01f,
    7.18960912e-01f, 7.19014408e-01f, 7.19067901e-01f, 7.19121393e-01f,
    7.19174882e-01f, 7.19228370e-01f, 7.19281856e-01f, 7.19335339e-01f,
    7.19388821e-01f, 7.19442301e-01f, 7.19495778e-01f, 7.19549254e-01f,
    7.19602728e-01f, 7.19656200e-01f, 7.19709669e-01f, 7.19763137e-01f,
    7.19816603e-01f, 7.19870067e-01f, 7.19923529e-01f, 7.19976989e-01f,
    7.20030446e-01f, 7.20083902e-01f, 7.20137356e-01f, 7.20190808e-01f,
    7.20244258e-01f, 7.20297706e-01f, 7.20351152e-01f, 7.20404596e-01f,
    7.20458038e-01f, 7.20511478e-01f, 7.20564917e-01f, 7.20618353e-01f,
    7.20671787e-01f, 7.20725219e-01f, 7.20778649e-01f, 7.20832077e-01f,
    7.20885504e-01f, 7.20938928e-01f, 7.20992350e-01f, 7.21045770e-01f,
    7.21099189e-01f, 7.21152605e-01f, 7.21206019e-01f, 7.21259432e-01f,
    7.21312842e-01f, 7.21366251e-01f, 7.21419657e-01f, 7.21473062e-01f,
    7.21526464e-01f, 7.21579865e-01f, 7.21633263e-01f, 7.21686660e-01f,
    7.21740054e-01f, 7.21793447e-01f, 7.21846837e-01f, 7.21900226e-01f,
    7.21953613e-01f, 7.22006998e-01f, 7.22060380e-01f, 7.22113761e-01f,
    7.22167140e-01f, 7.22220517e-01f, 7.22273891e-01f, 7.22327264e-01f,
    7.22380635e-01f, 7.22434004e-01f, 7.22487371e-01f, 7.22540736e-01f,
    7.22594099e-01f, 7.22647460e-01f, 7.22700819e-01f, 7.22754176e-01f,
    7.22807531e-01f, 7.22860884e-01f, 7.22914235e-01f, 7.22967585e-01f,
    7.23020932e-01f, 7.23074277e-01f, 7.23127620e-01f, 7.23180962e-01f,
    7.23234301e-01f, 7.23287638e-01f, 7.23340974e-01f, 7.23394307e-01f,
    7.23447638e-01f, 7.23500968e-01f, 7.23554295e-01f, 7.23607621e-01f,
    7.23660944e-01f, 7.23714266e-01f, 7.23767586e-01f, 7.23820903e-01f,
    7.23874219e-01f, 7.23927533e-01f, 7.23980844e-01f, 7.24034154e-01f,
    7.24087462e-01f, 7.24140768e-01f, 7.24194071e-01f, 7.24247373e-01f,
    7.24300673e-01f, 7.24353971e-01f, 7.24407267e-01f, 7.24460561e-01f,
    7.24513853e-01f, 7.24567143e-01f, 7.24620431e-01f, 7.24673717e-01f,
    7.24727002e-01f, 7.24780284e-01f, 7.24833564e-01f, 7.24886842e-01f,
    7.24940118e-01f, 7.24993393e-01f, 7.25046665e-01f, 7.25099936e-01f,
    7.25153204e-01f, 7.25206470e-01f, 7.25259735e-01f, 7.25312997e-01f,
    7.25366258e-01f, 7.25419516e-01f, 7.25472773e-01f, 7.25526028e-01f,
    7.25579280e-01f, 7.25632531e-01f, 7.25685780e-01f, 7.25739027e-01f,
    7.25792271e-01f, 7.25845514e-01f, 7.25898755e-01f, 7.25951994e-01f,
    7.26005231e-01f, 7.26058466e-01f, 7.26111699e-01f, 7.26164930e-01f,
    7.26218159e-01f, 7.26271386e-01f, 7.26324612e-01f, 7.26377835e-01f,
    7.26431056e-01f, 7.26484275e-01f, 7.26537493e-01f, 7.26590708e-01f,
    7.26643921e-01f, 7.26697133e-01f, 7.26750342e-01f, 7.26803550e-01f,
    7.26856755e-01f, 7.26909959e-01f, 7.26963161e-01f, 7.27016360e-01f,
    7.27069558e-01f, 7.27122754e-01f, 7.27175948e-01f, 7.27229139e-01f,
    7.27282329e-01f, 7.27335517e-01f, 7.27388703e-01f, 7.27441887e-01f,
    7.27495069e-01f, 7.27548249e-01f, 7.27601427e-01f, 7.27654603e-01f,
    7.27707777e-01f, 7.27760950e-01f, 7.27814120e-01f, 7.27867288e-01f,
    7.27920455e-01f, 7.27973619e-01f, 7.28026781e-01f, 7.28079942e-01f,
    7.28133100e-01f, 7.28186257e-01f, 7.28239411e-01f, 7.28292564e-01f,
    7.28345715e-01f, 7.28398863e-01f, 7.28452010e-01f, 7.28505155e-01f,
    7.28558298e-01f, 7.28611439e-01f, 7.28664578e-01f, 7.28717715e-01f,
    7.28770850e-01f, 7.28823983e-01f, 7.28877114e-01f, 7.28930243e-01f,
    7.28983370e-01f, 7.29036495e-01f, 7.29089618e-01f, 7.29142740e-01f,
    7.29195859e-01f, 7.29248977e-01f, 7.29302092e-01f, 7.29355205e-01f,
    7.29408317e-01f, 7.29461427e-01f, 7.29514534e-01f, 7.29567640e-01f,
    7.29620744e-01f, 7.29673845e-01f, 7.29726945e-01f, 7.29780043e-01f,
    7.29833139e-01f, 7.29886233e-01f, 7.29939325e-01f, 7.29992415e-01f,
    7.30045503e-01f, 7.30098589e-01f, 7.30151673e-01f, 7.30204755e-01f,
    7.30257836e-01f, 7.30310914e-01f, 7.30363990e-01f, 7.30417065e-01f,
    7.30470137e-01f, 7.30523208e-01f, 7.30576276e-01f, 7.30629343e-01f,
    7.30682407e-01f, 7.30735470e-01f, 7.30788531e-01f, 7.30841590e-01f,
    7.30894647e-01f, 7.30947701e-01f, 7.31000754e-01f, 7.31053805e-01f,
    7.31106854e-01f, 7.31159901e-01f, 7.31212947e-01f, 7.31265990e-01f,
    7.31319031e-01f, 7.31372070e-01f, 7.31425108e-01f, 7.31478143e-01f,
    7.31531176e-01f, 7.31584208e-01f, 7.31637237e-01f, 7.31690265e-01f,
    7.31743291e-01f, 7.31796314e-01f, 7.31849336e-01f, 7.31902356e-01f,
    7.31955374e-01f, 7.32008390e-01f, 7.32061404e-01f, 7.32114416e-01f,
    7.32167426e-01f, 7.32220434e-01f, 7.32273440e-01f, 7.32326444e-01f,
    7.32379446e-01f, 7.32432447e-01f, 7.32485445e-01f, 7.32538441e-01f,
    7.32591436e-01f, 7.32644428e-01f, 7.32697419e-01f, 7.32750408e-01f,
    7.32803394e-01f, 7.32856379e-01f, 7.32909362e-01f, 7.32962343e-01f,
    7.33015322e-01f, 7.33068299e-01f, 7.33121274e-01f, 7.33174247e-01f,
    7.33227218e-01f, 7.33280187e-01f, 7.33333154e-01f, 7.33386120e-01f,
    7.33439083e-01f, 7.33492044e-01f, 7.33545004e-01f, 7.33597961e-01f,
    7.33650917e-01f, 7.33703870e-01f, 7.33756822e-01f, 7.33809772e-01f,
    7.33862720e-01f, 7.33915666e-01f, 7.33968609e-01f, 7.34021551e-01f,
    7.34074491e-01f, 7.34127430e-01f, 7.34180366e-01f, 7.34233300e-01f,
    7.34286232e-01f, 7.34339162e-01f, 7.34392091e-01f, 7.34445017e-01f,
    7.34497942e-01f, 7.34550864e-01f, 7.34603785e-01f, 7.34656704e-01f,
    7.34709620e-01f, 7.34762535e-01f, 7.34815448e-01f, 7.34868359e-01f,
    7.34921268e-01f, 7.34974175e-01f, 7.35027080e-01f, 7.35079983e-01f,
    7.35132884e-01f, 7.35185783e-01f, 7.35238681e-01f, 7.35291576e-01f,
    7.35344470e-01f, 7.35397361e-01f, 7.35450251e-01f, 7.35503138e-01f,
    7.35556024e-01f, 7.35608908e-01f, 7.35661789e-01f, 7.35714669e-01f,
    7.35767547e-01f, 7.35820423e-01f, 7.35873297e-01f, 7.35926169e-01f,
    7.35979040e-01f, 7.36031908e-01f, 7.36084774e-01f, 7.36137639e-01f,
    7.36190501e-01f, 7.36243361e-01f, 7.36296220e-01f, 7.36349077e-01f,
    7.36401931e-01f, 7.36454784e-01f, 7.36507635e-01f, 7.36560484e-01f,
    7.36613331e-01f, 7.36666176e-01f, 7.36719019e-01f, 7.36771860e-01f,
    7.36824699e-01f, 7.36877536e-01f, 7.36930372e-01f, 7.36983205e-01f,
    7.37036037e-01f, 7.37088866e-01f, 7.37141694e-01f, 7.37194519e-01f,
    7.37247343e-01f, 7.37300165e-01f, 7.37352985e-01f, 7.37405803e-01f,
    7.37458619e-01f, 7.37511433e-01f, 7.37564245e-01f, 7.37617055e-01f,
    7.37669863e-01f, 7.37722669e-01f, 7.37775474e-01f, 7.37828276e-01f,
    7.37881077e-01f, 7.37933875e-01f, 7.37986672e-01f, 7.38039467e-01f,
    7.38092260e-01f, 7.38145050e-01f, 7.38197839e-01f, 7.38250626e-01f,
    7.38303411e-01f, 7.38356195e-01f, 7.38408976e-01f, 7.38461755e-01f,
    7.38514532e-01f, 7.38567308e-01f, 7.38620081e-01f, 7.38672853e-01f,
    7.38725622e-01f, 7.38778390e-01f, 7.38831156e-01f, 7.38883920e-01f,
    7.38936682e-01f, 7.38989442e-01f, 7.39042200e-01f, 7.39094956e-01f,
    7.39147710e-01f, 7.39200462e-01f, 7.39253213e-01f, 7.39305961e-01f,
    7.39358707e-01f, 7.39411452e-01f, 7.39464195e-01f, 7.39516935e-01f,
    7.39569674e-01f, 7.39622411e-01f, 7.39675146e-01f, 7.39727879e-01f,
    7.39780610e-01f, 7.39833339e-01f, 7.39886066e-01f, 7.39938791e-01f,
    7.39991515e-01f, 7.40044236e-01f, 7.40096956e-01f, 7.40149673e-01f,
    7.40202389e-01f, 7.40255102e-01f, 7.40307814e-01f, 7.40360524e-01f,
    7.40413232e-01f, 7.40465938e-01f, 7.40518642e-01f, 7.40571344e-01f,
    7.40624044e-01f, 7.40676743e-01f, 7.40729439e-01f, 7.40782134e-01f,
    7.40834826e-01f, 7.40887517e-01f, 7.40940205e-01f, 7.40992892e-01f,
    7.41045577e-01f, 7.41098260e-01f, 7.41150941e-01f, 7.41203620e-01f,
    7.41256297e-01f, 7.41308972e-01f, 7.41361646e-01f, 7.41414317e-01f,
    7.41466986e-01f, 7.41519654e-01f, 7.41572320e-01f, 7.41624983e-01f,
    7.41677645e-01f, 7.41730305e-01f, 7.41782963e-01f, 7.41835619e-01f,
    7.41888273e-01f, 7.41940925e-01f, 7.41993575e-01f, 7.42046223e-01f,
    7.42098870e-01f, 7.42151514e-01f, 7.42204157e-01f, 7.42256797e-01f,
    7.42309436e-01f, 7.42362073e-01f, 7.42414708e-01f, 7.42467341e-01f,
    7.42519972e-01f, 7.42572601e-01f, 7.42625228e-01f, 7.42677853e-01f,
    7.42730477e-01f, 7.42783098e-01f, 7.42835717e-01f, 7.42888335e-01f,
    7.42940951e-01f, 7.42993564e-01f, 7.43046176e-01f, 7.43098786e-01f,
    7.43151394e-01f, 7.43204000e-01f, 7.43256604e-01f, 7.43309207e-01f,
    7.43361807e-01f, 7.43414405e-01f, 7.43467002e-01f, 7.43519596e-01f,
    7.43572189e-01f, 7.43624780e-01f, 7.43677368e-01f, 7.43729955e-01f,
    7.43782540e-01f, 7.43835123e-01f, 7.43887705e-01f, 7.43940284e-01f,
    7.43992861e-01f, 7.44045436e-01f, 7.44098010e-01f, 7.44150581e-01f,
    7.44203151e-01f, 7.44255719e-01f, 7.44308285e-01f, 7.44360849e-01f,
    7.44413411e-01f, 7.44465971e-01f, 7.44518529e-01f, 7.44571085e-01f,
    7.44623639e-01f, 7.44676192e-01f, 7.44728742e-01f, 7.44781291e-01f,
    7.44833837e-01f, 7.44886382e-01f, 7.44938925e-01f, 7.44991466e-01f,
    7.45044005e-01f, 7.45096542e-01f, 7.45149077e-01f, 7.45201611e-01f,
    7.45254142e-01f, 7.45306671e-01f, 7.45359199e-01f, 7.45411725e-01f,
    7.45464248e-01f, 7.45516770e-01f, 7.45569290e-01f, 7.45621808e-01f,
    7.45674324e-01f, 7.45726838e-01f, 7.45779350e-01f, 7.45831861e-01f,
    7.45884369e-01f, 7.45936876e-01f, 7.45989380e-01f, 7.46041883e-01f,
    7.46094384e-01f, 7.46146883e-01f, 7.46199380e-01f, 7.46251875e-01f,
    7.46304368e-01f, 7.46356859e-01f, 7.46409348e-01f, 7.46461836e-01f,
    7.46514321e-01f, 7.46566805e-01f, 7.46619286e-01f, 7.46671766e-01f,
    7.46724244e-01f, 7.46776720e-01f, 7.46829194e-01f, 7.46881666e-01f,
    7.46934136e-01f, 7.46986605e-01f, 7.47039071e-01f, 7.47091536e-01f,
    7.47143998e-01f, 7.47196459e-01f, 7.47248918e-01f, 7.47301375e-01f,
    7.47353829e-01f, 7.47406283e-01f, 7.47458734e-01f, 7.47511183e-01f,
    7.47563630e-01f, 7.47616076e-01f, 7.47668519e-01f, 7.47720961e-01f,
    7.47773401e-01f, 7.47825838e-01f, 7.47878274e-01f, 7.47930708e-01f,
    7.47983140e-01f, 7.48035570e-01f, 7.48087999e-01f, 7.48140425e-01f,
    7.48192850e-01f, 7.48245272e-01f, 7.48297693e-01f, 7.48350112e-01f,
    7.48402528e-01f, 7.48454943e-01f, 7.48507356e-01f, 7.48559768e-01f,
    7.48612177e-01f, 7.48664584e-01f, 7.48716989e-01f, 7.48769393e-01f,
    7.48821795e-01f, 7.48874194e-01f, 7.48926592e-01f, 7.48978988e-01f,
    7.49031382e-01f, 7.49083774e-01f, 7.49136164e-01f, 7.49188553e-01f,
    7.49240939e-01f, 7.49293324e-01f, 7.49345706e-01f, 7.49398087e-01f,
    7.49450466e-01f, 7.49502842e-01f, 7.49555217e-01f, 7.49607591e-01f,
    7.49659962e-01f, 7.49712331e-01f, 7.49764698e-01f, 7.49817064e-01f,
    7.49869427e-01f, 7.49921789e-01f, 7.49974149e-01f, 7.50026507e-01f,
    7.50078863e-01f, 7.50131217e-01f, 7.50183569e-01f, 7.50235919e-01f,
    7.50288268e-01f, 7.50340614e-01f, 7.50392959e-01f, 7.50445301e-01f,
    7.50497642e-01f, 7.50549981e-01f, 7.50602318e-01f, 7.50654653e-01f,
    7.50706986e-01f, 7.50759318e-01f, 7.50811647e-01f, 7.50863974e-01f,
    7.50916300e-01f, 7.50968624e-01f, 7.51020945e-01f, 7.51073265e-01f,
    7.51125583e-01f, 7.51177899e-01f, 7.51230214e-01f, 7.51282526e-01f,
    7.51334836e-01f, 7.51387145e-01f, 7.51439452e-01f, 7.51491756e-01f,
    7.51544059e-01f, 7.51596360e-01f, 7.51648659e-01f, 7.51700956e-01f,
    7.51753251e-01f, 7.51805545e-01f, 7.51857836e-01f, 7.51910126e-01f,
    7.51962413e-01f, 7.52014699e-01f, 7.52066983e-01f, 7.52119265e-01f,
    7.52171545e-01f, 7.52223823e-01f, 7.52276100e-01f, 7.52328374e-01f,
    7.52380647e-01f, 7.52432917e-01f, 7.52485186e-01f, 7.52537453e-01f,
    7.52589718e-01f, 7.52641981e-01f, 7.52694242e-01f, 7.52746501e-01f,
    7.52798758e-01f, 7.52851014e-01f, 7.52903267e-01f, 7.52955519e-01f,
    7.53007769e-01f, 7.53060017e-01f, 7.53112263e-01f, 7.53164507e-01f,
    7.53216749e-01f, 7.53268990e-01f, 7.53321228e-01f, 7.53373464e-01f,
    7.53425699e-01f, 7.53477932e-01f, 7.53530163e-01f, 7.53582392e-01f,
    7.53634619e-01f, 7.53686844e-01f, 7.53739067e-01f, 7.53791289e-01f,
    7.53843508e-01f, 7.53895726e-01f, 7.53947942e-01f, 7.54000156e-01f,
    7.54052368e-01f, 7.54104578e-01f, 7.54156786e-01f, 7.54208992e-01f,
    7.54261197e-01f, 7.54313399e-01f, 7.54365600e-01f, 7.54417798e-01f,
    7.54469995e-01f, 7.54522190e-01f, 7.54574383e-01f, 7.54626575e-01f,
    7.54678764e-01f, 7.54730951e-01f, 7.54783137e-01f, 7.54835320e-01f,
    7.54887502e-01f, 7.54939682e-01f, 7.54991860e-01f, 7.55044036e-01f,
    7.55096210e-01f, 7.55148383e-01f, 7.55200553e-01f, 7.55252722e-01f,
    7.55304888e-01f, 7.55357053e-01f, 7.55409216e-01f, 7.55461377e-01f,
    7.55513536e-01f, 7.55565693e-01f, 7.55617849e-01f, 7.55670002e-01f,
    7.55722154e-01f, 7.55774303e-01f, 7.55826451e-01f, 7.55878597e-01f,
    7.55930741e-01f, 7.55982883e-01f, 7.56035023e-01f, 7.56087162e-01f,
    7.56139298e-01f, 7.56191433e-01f, 7.56243566e-01f, 7.56295697e-01f,
    7.56347826e-01f, 7.56399953e-01f, 7.56452078e-01f, 7.56504201e-01f,
    7.56556323e-01f, 7.56608442e-01f, 7.56660560e-01f, 7.56712676e-01f,
    7.56764789e-01f, 7.56816901e-01f, 7.56869012e-01f, 7.56921120e-01f,
    7.56973226e-01f, 7.57025331e-01f, 7.57077433e-01f, 7.57129534e-01f,
    7.57181633e-01f, 7.57233730e-01f, 7.57285825e-01f, 7.57337918e-01f,
    7.57390009e-01f, 7.57442099e-01f, 7.57494186e-01f, 7.57546272e-01f,
    7.57598356e-01f, 7.57650438e-01f, 7.57702518e-01f, 7.57754596e-01f,
    7.57806672e-01f, 7.57858747e-01f, 7.57910819e-01f, 7.57962890e-01f,
    7.58014958e-01f, 7.58067025e-01f, 7.58119090e-01f, 7.58171153e-01f,
    7.58223215e-01f, 7.58275274e-01f, 7.58327332e-01f, 7.58379387e-01f,
    7.58431441e-01f, 7.58483493e-01f, 7.58535543e-01f, 7.58587591e-01f,
    7.58639637e-01f, 7.58691681e-01f, 7.58743724e-01f, 7.58795764e-01f,
    7.58847803e-01f, 7.58899840e-01f, 7.58951875e-01f, 7.59003908e-01f,
    7.59055939e-01f, 7.59107968e-01f, 7.59159996e-01f, 7.59212021e-01f,
    7.59264045e-01f, 7.59316067e-01f, 7.59368087e-01f, 7.59420105e-01f,
    7.59472121e-01f, 7.59524136e-01f, 7.59576148e-01f, 7.59628159e-01f,
    7.59680167e-01f, 7.59732174e-01f, 7.59784179e-01f, 7.59836182e-01f,
    7.59888183e-01f, 7.59940183e-01f, 7.59992180e-01f, 7.60044176e-01f,
    7.60096169e-01f, 7.60148161e-01f, 7.60200151e-01f, 7.60252139e-01f,
    7.60304125e-01f, 7.60356110e-01f, 7.60408092e-01f, 7.60460073e-01f,
    7.60512051e-01f, 7.60564028e-01f, 7.60616003e-01f, 7.60667976e-01f,
    7.60719947e-01f, 7.60771917e-01f, 7.60823884e-01f, 7.60875850e-01f,
    7.60927814e-01f, 7.60979775e-01f, 7.61031735e-01f, 7.61083694e-01f,
    7.61135650e-01f, 7.61187604e-01f, 7.61239557e-01f, 7.61291507e-01f,
    7.61343456e-01f, 7.61395403e-01f, 7.61447348e-01f, 7.61499291e-01f,
    7.61551232e-01f, 7.61603172e-01f, 7.61655109e-01f, 7.61707045e-01f,
    7.61758979e-01f, 7.61810911e-01f, 7.61862841e-01f, 7.61914769e-01f,
    7.61966695e-01f, 7.62018620e-01f, 7.62070542e-01f, 7.62122463e-01f,
    7.62174382e-01f, 7.62226299e-01f, 7.62278214e-01f, 7.62330127e-01f,
    7.62382039e-01f, 7.62433948e-01f, 7.62485856e-01f, 7.62537762e-01f,
    7.62589666e-01f, 7.62641568e-01f, 7.62693468e-01f, 7.62745366e-01f,
    7.62797262e-01f, 7.62849157e-01f, 7.62901050e-01f, 7.62952941e-01f,
    7.63004830e-01f, 7.63056717e-01f, 7.63108602e-01f, 7.63160485e-01f,
    7.63212367e-01f, 7.63264246e-01f, 7.63316124e-01f, 7.63368000e-01f,
    7.63419874e-01f, 7.63471746e-01f, 7.63523617e-01f, 7.63575485e-01f,
    7.63627352e-01f, 7.63679216e-01f, 7.63731079e-01f, 7.63782940e-01f,
    7.63834799e-01f, 7.63886657e-01f, 7.63938512e-01f, 7.63990366e-01f,
    7.64042217e-01f, 7.64094067e-01f, 7.64145915e-01f, 7.64197761e-01f,
    7.64249605e-01f, 7.64301448e-01f, 7.64353288e-01f, 7.64405127e-01f,
    7.64456964e-01f, 7.64508799e-01f, 7.64560632e-01f, 7.64612463e-01f,
    7.64664292e-01f, 7.64716120e-01f, 7.64767945e-01f, 7.64819769e-01f,
    7.64871591e-01f, 7.64923411e-01f, 7.64975229e-01f, 7.65027045e-01f,
    7.65078860e-01f, 7.65130672e-01f, 7.65182483e-01f, 7.65234292e-01f,
    7.65286099e-01f, 7.65337904e-01f, 7.65389707e-01f, 7.65441509e-01f,
    7.65493308e-01f, 7.65545106e-01f, 7.65596902e-01f, 7.65648696e-01f,
    7.65700488e-01f, 7.65752278e-01f, 7.65804066e-01f, 7.65855853e-01f,
    7.65907637e-01f, 7.65959420e-01f, 7.66011201e-01f, 7.66062980e-01f,
    7.66114758e-01f, 7.66166533e-01f, 7.66218306e-01f, 7.66270078e-01f,
    7.66321848e-01f, 7.66373616e-01f, 7.66425382e-01f, 7.66477146e-01f,
    7.66528909e-01f, 7.66580669e-01f, 7.66632428e-01f, 7.66684185e-01f,
    7.66735940e-01f, 7.66787693e-01f, 7.66839444e-01f, 7.66891193e-01f,
    7.66942941e-01f, 7.66994686e-01f, 7.67046430e-01f, 7.67098172e-01f,
    7.67149912e-01f, 7.67201651e-01f, 7.67253387e-01f, 7.67305121e-01f,
    7.67356854e-01f, 7.67408585e-01f, 7.67460314e-01f, 7.67512041e-01f,
    7.67563766e-01f, 7.67615490e-01f, 7.67667211e-01f, 7.67718931e-01f,
    7.67770649e-01f, 7.67822365e-01f, 7.67874079e-01f, 7.67925791e-01f,
    7.67977502e-01f, 7.68029210e-01f, 7.68080917e-01f, 7.68132622e-01f,
    7.68184325e-01f, 7.68236026e-01f, 7.68287725e-01f, 7.68339423e-01f,
    7.68391118e-01f, 7.68442812e-01f, 7.68494504e-01f, 7.68546194e-01f,
    7.68597882e-01f, 7.68649569e-01f, 7.68701253e-01f, 7.68752936e-01f,
    7.68804616e-01f, 7.68856295e-01f, 7.68907972e-01f, 7.68959648e-01f,
    7.69011321e-01f, 7.69062993e-01f, 7.69114662e-01f, 7.69166330e-01f,
    7.69217996e-01f, 7.69269660e-01f, 7.69321323e-01f, 7.69372983e-01f,
    7.69424642e-01f, 7.69476298e-01f, 7.69527953e-01f, 7.69579606e-01f,
    7.69631257e-01f, 7.69682907e-01f, 7.69734554e-01f, 7.69786200e-01f,
    7.69837844e-01f, 7.69889486e-01f, 7.69941126e-01f, 7.69992764e-01f,
    7.70044400e-01f, 7.70096035e-01f, 7.70147668e-01f, 7.70199298e-01f,
    7.70250927e-01f, 7.70302555e-01f, 7.70354180e-01f, 7.70405803e-01f,
    7.70457425e-01f, 7.70509045e-01f, 7.70560663e-01f, 7.70612279e-01f,
    7.70663893e-01f, 7.70715505e-01f, 7.70767116e-01f, 7.70818725e-01f,
    7.70870331e-01f, 7.70921936e-01f, 7.70973540e-01f, 7.71025141e-01f,
    7.71076740e-01f, 7.71128338e-01f, 7.71179934e-01f, 7.71231528e-01f,
    7.71283120e-01f, 7.71334710e-01f, 7.71386298e-01f, 7.71437885e-01f,
    7.71489470e-01f, 7.71541052e-01f, 7.71592633e-01f, 7.71644213e-01f,
    7.71695790e-01f, 7.71747365e-01f, 7.71798939e-01f, 7.71850511e-01f,
    7.71902081e-01f, 7.71953649e-01f, 7.72005215e-01f, 7.72056779e-01f,
    7.72108342e-01f, 7.72159903e-01f, 7.72211462e-01f, 7.72263019e-01f,
    7.72314574e-01f, 7.72366127e-01f, 7.72417679e-01f, 7.72469228e-01f,
    7.72520776e-01f, 7.72572322e-01f, 7.72623866e-01f, 7.72675409e-01f,
    7.72726949e-01f, 7.72778488e-01f, 7.72830025e-01f, 7.72881560e-01f,
    7.72933093e-01f, 7.72984624e-01f, 7.73036153e-01f, 7.73087681e-01f,
    7.73139207e-01f, 7.73190731e-01f, 7.73242253e-01f, 7.73293773e-01f,
    7.73345291e-01f, 7.73396808e-01f, 7.73448323e-01f, 7.73499835e-01f,
    7.73551346e-01f, 7.73602856e-01f, 7.73654363e-01f, 7.73705868e-01f,
    7.73757372e-01f, 7.73808874e-01f, 7.73860374e-01f, 7.73911872e-01f,
    7.73963368e-01f, 7.74014863e-01f, 7.74066356e-01f, 7.74117846e-01f,
    7.74169335e-01f, 7.74220822e-01f, 7.74272308e-01f, 7.74323791e-01f,
    7.74375273e-01f, 7.74426753e-01f, 7.74478231e-01f, 7.74529707e-01f,
    7.74581181e-01f, 7.74632653e-01f, 7.74684124e-01f, 7.74735593e-01f,
    7.74787060e-01f, 7.74838525e-01f, 7.74889988e-01f, 7.74941449e-01f,
    7.74992909e-01f, 7.75044367e-01f, 7.75095823e-01f, 7.75147277e-01f,
    7.75198729e-01f, 7.75250179e-01f, 7.75301628e-01f, 7.75353075e-01f,
    7.75404520e-01f, 7.75455963e-01f, 7.75507404e-01f, 7.75558843e-01f,
    7.75610281e-01f, 7.75661716e-01f, 7.75713150e-01f, 7.75764582e-01f,
    7.75816013e-01f, 7.75867441e-01f, 7.75918868e-01f, 7.75970292e-01f,
    7.76021715e-01f, 7.76073136e-01f, 7.76124556e-01f, 7.76175973e-01f,
    7.76227389e-01f, 7.76278802e-01f, 7.76330214e-01f, 7.76381624e-01f,
    7.76433032e-01f, 7.76484439e-01f, 7.76535843e-01f, 7.76587246e-01f,
    7.76638647e-01f, 7.76690046e-01f, 7.76741443e-01f, 7.76792839e-01f,
    7.76844232e-01f, 7.76895624e-01f, 7.76947014e-01f, 7.76998402e-01f,
    7.77049788e-01f, 7.77101173e-01f, 7.77152555e-01f, 7.77203936e-01f,
    7.77255315e-01f, 7.77306692e-01f, 7.77358068e-01f, 7.77409441e-01f,
    7.77460813e-01f, 7.77512182e-01f, 7.77563550e-01f, 7.77614917e-01f,
    7.77666281e-01f, 7.77717643e-01f, 7.77769004e-01f, 7.77820363e-01f,
    7.77871720e-01f, 7.77923075e-01f, 7.77974428e-01f, 7.78025780e-01f,
    7.78077130e-01f, 7.78128477e-01f, 7.78179823e-01f, 7.78231168e-01f,
    7.78282510e-01f, 7.78333851e-01f, 7.78385189e-01f, 7.78436526e-01f,
    7.78487861e-01f, 7.78539194e-01f, 7.78590526e-01f, 7.78641855e-01f,
    7.78693183e-01f, 7.78744509e-01f, 7.78795833e-01f, 7.78847156e-01f,
    7.78898476e-01f, 7.78949795e-01f, 7.79001111e-01f, 7.79052426e-01f,
    7.79103740e-01f, 7.79155051e-01f, 7.79206360e-01f, 7.79257668e-01f,
    7.79308974e-01f, 7.79360278e-01f, 7.79411580e-01f, 7.79462881e-01f,
    7.79514179e-01f, 7.79565476e-01f, 7.79616771e-01f, 7.79668064e-01f,
    7.79719355e-01f, 7.79770645e-01f, 7.79821932e-01f, 7.79873218e-01f,
    7.79924502e-01f, 7.79975784e-01f, 7.80027064e-01f, 7.80078343e-01f,
    7.80129620e-01f, 7.80180894e-01f, 7.80232168e-01f, 7.80283439e-01f,
    7.80334708e-01f, 7.80385976e-01f, 7.80437241e-01f, 7.80488505e-01f,
    7.80539767e-01f, 7.80591028e-01f, 7.80642286e-01f, 7.80693543e-01f,
    7.80744798e-01f, 7.80796051e-01f, 7.80847302e-01f, 7.80898551e-01f,
    7.80949799e-01f, 7.81001044e-01f, 7.81052288e-01f, 7.81103530e-01f,
    7.81154771e-01f, 7.81206009e-01f, 7.81257246e-01f, 7.81308481e-01f,
    7.81359714e-01f, 7.81410945e-01f, 7.81462174e-01f, 7.81513402e-01f,
    7.81564627e-01f, 7.81615851e-01f, 7.81667073e-01f, 7.81718293e-01f,
    7.81769512e-01f, 7.81820728e-01f, 7.81871943e-01f, 7.81923156e-01f,
    7.81974367e-01f, 7.82025577e-01f, 7.82076784e-01f, 7.82127990e-01f,
    7.82179194e-01f, 7.82230396e-01f, 7.82281596e-01f, 7.82332795e-01f,
    7.82383991e-01f, 7.82435186e-01f, 7.82486379e-01f, 7.82537570e-01f,
    7.82588759e-01f, 7.82639947e-01f, 7.82691133e-01f, 7.82742317e-01f,
    7.82793499e-01f, 7.82844679e-01f, 7.82895857e-01f, 7.82947034e-01f,
    7.82998209e-01f, 7.83049382e-01f, 7.83100553e-01f, 7.83151723e-01f,
    7.83202890e-01f, 7.83254056e-01f, 7.83305220e-01f, 7.83356382e-01f,
    7.83407542e-01f, 7.83458701e-01f, 7.83509857e-01f, 7.83561012e-01f,
    7.83612165e-01f, 7.83663316e-01f, 7.83714466e-01f, 7.83765614e-01f,
    7.83816759e-01f, 7.83867903e-01f, 7.83919045e-01f, 7.83970186e-01f,
    7.84021324e-01f, 7.84072461e-01f, 7.84123596e-01f, 7.84174729e-01f,
    7.84225860e-01f, 7.84276990e-01f, 7.84328118e-01f, 7.84379243e-01f,
    7.84430367e-01f, 7.84481490e-01f, 7.84532610e-01f, 7.84583729e-01f,
    7.84634846e-01f, 7.84685961e-01f, 7.84737074e-01f, 7.84788185e-01f,
    7.84839295e-01f, 7.84890402e-01f, 7.84941508e-01f, 7.84992612e-01f,
    7.85043715e-01f, 7.85094815e-01f, 7.85145914e-01f, 7.85197011e-01f,
    7.85248106e-01f, 7.85299199e-01f, 7.85350291e-01f, 7.85401380e-01f,
    7.85452468e-01f, 7.85503554e-01f, 7.85554638e-01f, 7.85605721e-01f,
    7.85656801e-01f, 7.85707880e-01f, 7.85758957e-01f, 7.85810032e-01f,
    7.85861106e-01f, 7.85912177e-01f, 7.85963247e-01f, 7.86014315e-01f,
    7.86065381e-01f, 7.86116445e-01f, 7.86167508e-01f, 7.86218569e-01f,
    7.86269628e-01f, 7.86320685e-01f, 7.86371740e-01f, 7.86422794e-01f,
    7.86473845e-01f, 7.86524895e-01f, 7.86575943e-01f, 7.86626989e-01f,
    7.86678034e-01f, 7.86729077e-01f, 7.86780117e-01f, 7.86831156e-01f,
    7.86882194e-01f, 7.86933229e-01f, 7.86984263e-01f, 7.87035295e-01f,
    7.87086325e-01f, 7.87137353e-01f, 7.87188379e-01f, 7.87239404e-01f,
    7.87290427e-01f, 7.87341448e-01f, 7.87392467e-01f, 7.87443484e-01f,
    7.87494500e-01f, 7.87545513e-01f, 7.87596525e-01f, 7.87647536e-01f,
    7.87698544e-01f, 7.87749551e-01f, 7.87800555e-01f, 7.87851558e-01f,
    7.87902559e-01f, 7.87953559e-01f, 7.88004556e-01f, 7.88055552e-01f,
    7.88106546e-01f, 7.88157538e-01f, 7.88208528e-01f, 7.88259517e-01f,
    7.88310504e-01f, 7.88361489e-01f, 7.88412472e-01f, 7.88463453e-01f,
    7.88514433e-01f, 7.88565410e-01f, 7.88616386e-01f, 7.88667360e-01f,
    7.88718333e-01f, 7.88769303e-01f, 7.88820272e-01f, 7.88871239e-01f,
    7.88922204e-01f, 7.88973167e-01f, 7.89024129e-01f, 7.89075089e-01f,
    7.89126046e-01f, 7.89177003e-01f, 7.89227957e-01f, 7.89278909e-01f,
    7.89329860e-01f, 7.89380809e-01f, 7.89431756e-01f, 7.89482701e-01f,
    7.89533645e-01f, 7.89584587e-01f, 7.89635527e-01f, 7.89686465e-01f,
    7.89737401e-01f, 7.89788336e-01f, 7.89839268e-01f, 7.89890199e-01f,
    7.89941128e-01f, 7.89992056e-01f, 7.90042981e-01f, 7.90093905e-01f,
    7.90144827e-01f, 7.90195747e-01f, 7.90246665e-01f, 7.90297582e-01f,
    7.90348497e-01f, 7.90399410e-01f, 7.90450321e-01f, 7.90501230e-01f,
    7.90552138e-01f, 7.90603044e-01f, 7.90653948e-01f, 7.90704850e-01f,
    7.90755750e-01f, 7.90806649e-01f, 7.90857545e-01f, 7.90908440e-01f,
    7.90959334e-01f, 7.91010225e-01f, 7.91061115e-01f, 7.91112003e-01f,
    7.91162889e-01f, 7.91213773e-01f, 7.91264655e-01f, 7.91315536e-01f,
    7.91366415e-01f, 7.91417292e-01f, 7.91468167e-01f, 7.91519040e-01f,
    7.91569912e-01f, 7.91620782e-01f, 7.91671650e-01f, 7.91722516e-01f,
    7.91773381e-01f, 7.91824244e-01f, 7.91875104e-01f, 7.91925964e-01f,
    7.91976821e-01f, 7.92027676e-01f, 7.92078530e-01f, 7.92129382e-01f,
    7.92180232e-01f, 7.92231081e-01f, 7.92281927e-01f, 7.92332772e-01f,
    7.92383615e-01f, 7.92434456e-01f, 7.92485296e-01f, 7.92536133e-01f,
    7.92586969e-01f, 7.92637803e-01f, 7.92688635e-01f, 7.92739466e-01f,
    7.92790294e-01f, 7.92841121e-01f, 7.92891946e-01f, 7.92942770e-01f,
    7.92993591e-01f, 7.93044411e-01f, 7.93095229e-01f, 7.93146045e-01f,
    7.93196859e-01f, 7.93247672e-01f, 7.93298482e-01f, 7.93349291e-01f,
    7.93400098e-01f, 7.93450904e-01f, 7.93501707e-01f, 7.93552509e-01f,
    7.93603309e-01f, 7.93654108e-01f, 7.93704904e-01f, 7.93755699e-01f,
    7.93806491e-01f, 7.93857283e-01f, 7.93908072e-01f, 7.93958859e-01f,
    7.94009645e-01f, 7.94060429e-01f, 7.94111211e-01f, 7.94161991e-01f,
    7.94212770e-01f, 7.94263547e-01f, 7.94314322e-01f, 7.94365095e-01f,
    7.94415866e-01f, 7.94466636e-01f, 7.94517404e-01f, 7.94568170e-01f,
    7.94618934e-01f, 7.94669697e-01f, 7.94720457e-01f, 7.94771216e-01f,
    7.94821973e-01f, 7.94872729e-01f, 7.94923482e-01f, 7.94974234e-01f,
    7.95024984e-01f, 7.95075732e-01f, 7.95126479e-01f, 7.95177223e-01f,
    7.95227966e-01f, 7.95278707e-01f, 7.95329446e-01f, 7.95380184e-01f,
    7.95430920e-01f, 7.95481653e-01f, 7.95532386e-01f, 7.95583116e-01f,
    7.95633845e-01f, 7.95684571e-01f, 7.95735296e-01f, 7.95786020e-01f,
    7.95836741e-01f, 7.95887461e-01f, 7.95938178e-01f, 7.95988895e-01f,
    7.96039609e-01f, 7.96090321e-01f, 7.96141032e-01f, 7.96191741e-01f,
    7.96242448e-01f, 7.96293154e-01f, 7.96343857e-01f, 7.96394559e-01f,
    7.96445259e-01f, 7.96495957e-01f, 7.96546654e-01f, 7.96597348e-01f,
    7.96648041e-01f, 7.96698733e-01f, 7.96749422e-01f, 7.96800109e-01f,
    7.96850795e-01f, 7.96901479e-01f, 7.96952162e-01f, 7.97002842e-01f,
    7.97053521e-01f, 7.97104198e-01f, 7.97154873e-01f, 7.97205546e-01f,
    7.97256218e-01f, 7.97306887e-01f, 7.97357555e-01f, 7.97408221e-01f,
    7.97458886e-01f, 7.97509549e-01f, 7.97560209e-01f, 7.97610869e-01f,
    7.97661526e-01f, 7.97712181e-01f, 7.97762835e-01f, 7.97813487e-01f,
    7.97864137e-01f, 7.97914786e-01f, 7.97965432e-01f, 7.98016077e-01f,
    7.98066720e-01f, 7.98117362e-01f, 7.98168001e-01f, 7.98218639e-01f,
    7.98269275e-01f, 7.98319909e-01f, 7.98370542e-01f, 7.98421172e-01f,
    7.98471801e-01f, 7.98522428e-01f, 7.98573054e-01f, 7.98623677e-01f,
    7.98674299e-01f, 7.98724919e-01f, 7.98775537e-01f, 7.98826153e-01f,
    7.98876768e-01f, 7.98927381e-01f, 7.98977992e-01f, 7.99028601e-01f,
    7.99079209e-01f, 7.99129815e-01f, 7.99180419e-01f, 7.99231021e-01f,
    7.99281622e-01f, 7.99332220e-01f, 7.99382817e-01f, 7.99433412e-01f,
    7.99484006e-01f, 7.99534597e-01f, 7.99585187e-01f, 7.99635775e-01f,
    7.99686361e-01f, 7.99736946e-01f, 7.99787529e-01f, 7.99838109e-01f,
    7.99888689e-01f, 7.99939266e-01f, 7.99989842e-01f, 8.00040416e-01f,
    8.00090988e-01f, 8.00141558e-01f, 8.00192126e-01f, 8.00242693e-01f,
    8.00293258e-01f, 8.00343821e-01f, 8.00394383e-01f, 8.00444943e-01f,
    8.00495500e-01f, 8.00546057e-01f, 8.00596611e-01f, 8.00647164e-01f,
    8.00697714e-01f, 8.00748263e-01f, 8.00798811e-01f, 8.00849356e-01f,
    8.00899900e-01f, 8.00950442e-01f, 8.01000982e-01f, 8.01051520e-01f,
    8.01102057e-01f, 8.01152592e-01f, 8.01203125e-01f, 8.01253656e-01f,
    8.01304186e-01f, 8.01354714e-01f, 8.01405240e-01f, 8.01455764e-01f,
    8.01506287e-01f, 8.01556807e-01f, 8.01607326e-01f, 8.01657843e-01f,
    8.01708359e-01f, 8.01758873e-01f, 8.01809384e-01f, 8.01859895e-01f,
    8.01910403e-01f, 8.01960909e-01f, 8.02011414e-01f, 8.02061917e-01f,
    8.02112419e-01f, 8.02162918e-01f, 8.02213416e-01f, 8.02263912e-01f,
    8.02314406e-01f, 8.02364898e-01f, 8.02415389e-01f, 8.02465878e-01f,
    8.02516365e-01f, 8.02566850e-01f, 8.02617334e-01f, 8.02667816e-01f,
    8.02718296e-01f, 8.02768774e-01f, 8.02819251e-01f, 8.02869726e-01f,
    8.02920199e-01f, 8.02970670e-01f, 8.03021139e-01f, 8.03071607e-01f,
    8.03122073e-01f, 8.03172537e-01f, 8.03223000e-01f, 8.03273460e-01f,
    8.03323919e-01f, 8.03374376e-01f, 8.03424832e-01f, 8.03475285e-01f,
    8.03525737e-01f, 8.03576187e-01f, 8.03626635e-01f, 8.03677082e-01f,
    8.03727527e-01f, 8.03777970e-01f, 8.03828411e-01f, 8.03878850e-01f,
    8.03929288e-01f, 8.03979724e-01f, 8.04030158e-01f, 8.04080591e-01f,
    8.04131021e-01f, 8.04181450e-01f, 8.04231877e-01f, 8.04282303e-01f,
    8.04332726e-01f, 8.04383148e-01f, 8.04433568e-01f, 8.04483986e-01f,
    8.04534403e-01f, 8.04584818e-01f, 8.04635231e-01f, 8.04685642e-01f,
    8.04736052e-01f, 8.04786459e-01f, 8.04836865e-01f, 8.04887270e-01f,
    8.04937672e-01f, 8.04988073e-01f, 8.05038472e-01f, 8.05088869e-01f,
    8.05139264e-01f, 8.05189658e-01f, 8.05240050e-01f, 8.05290440e-01f,
    8.05340828e-01f, 8.05391215e-01f, 8.05441600e-01f, 8.05491983e-01f,
    8.05542364e-01f, 8.05592744e-01f, 8.05643122e-01f, 8.05693498e-01f,
    8.05743872e-01f, 8.05794245e-01f, 8.05844615e-01f, 8.05894985e-01f,
    8.05945352e-01f, 8.05995717e-01f, 8.06046081e-01f, 8.06096443e-01f,
    8.06146803e-01f, 8.06197162e-01f, 8.06247519e-01f, 8.06297874e-01f,
    8.06348227e-01f, 8.06398578e-01f, 8.06448928e-01f, 8.06499276e-01f,
    8.06549622e-01f, 8.06599966e-01f, 8.06650309e-01f, 8.06700650e-01f,
    8.06750989e-01f, 8.06801327e-01f, 8.06851662e-01f, 8.06901996e-01f,
    8.06952328e-01f, 8.07002659e-01f, 8.07052987e-01f, 8.07103314e-01f,
    8.07153639e-01f, 8.07203963e-01f, 8.07254284e-01f, 8.07304604e-01f,
    8.07354922e-01f, 8.07405238e-01f, 8.07455553e-01f, 8.07505866e-01f,
    8.07556177e-01f, 8.07606486e-01f, 8.07656794e-01f, 8.07707100e-01f,
    8.07757404e-01f, 8.07807706e-01f, 8.07858006e-01f, 8.07908305e-01f,
    8.07958602e-01f, 8.08008898e-01f, 8.08059191e-01f, 8.08109483e-01f,
    8.08159773e-01f, 8.08210061e-01f, 8.08260348e-01f, 8.08310632e-01f,
    8.08360915e-01f, 8.08411197e-01f, 8.08461476e-01f, 8.08511754e-01f,
    8.08562030e-01f, 8.08612304e-01f, 8.08662577e-01f, 8.08712847e-01f,
    8.08763116e-01f, 8.08813384e-01f, 8.08863649e-01f, 8.08913913e-01f,
    8.08964175e-01f, 8.09014435e-01f, 8.09064694e-01f, 8.09114950e-01f,
    8.09165205e-01f, 8.09215459e-01f, 8.09265710e-01f, 8.09315960e-01f,
    8.09366208e-01f, 8.09416454e-01f, 8.09466699e-01f, 8.09516941e-01f,
    8.09567182e-01f, 8.09617421e-01f, 8.09667659e-01f, 8.09717895e-01f,
    8.09768129e-01f, 8.09818361e-01f, 8.09868591e-01f, 8.09918820e-01f,
    8.09969047e-01f, 8.10019272e-01f, 8.10069496e-01f, 8.10119718e-01f,
    8.10169938e-01f, 8.10220156e-01f, 8.10270372e-01f, 8.10320587e-01f,
    8.10370800e-01f, 8.10421011e-01f, 8.10471221e-01f, 8.10521429e-01f,
    8.10571635e-01f, 8.10621839e-01f, 8.10672042e-01f, 8.10722242e-01f,
    8.10772441e-01f, 8.10822639e-01f, 8.10872834e-01f, 8.10923028e-01f,
    8.10973220e-01f, 8.11023410e-01f, 8.11073599e-01f, 8.11123786e-01f,
    8.11173971e-01f, 8.11224154e-01f, 8.11274336e-01f, 8.11324515e-01f,
    8.11374694e-01f, 8.11424870e-01f, 8.11475044e-01f, 8.11525217e-01f,
    8.11575388e-01f, 8.11625558e-01f, 8.11675725e-01f, 8.11725891e-01f,
    8.11776055e-01f, 8.11826218e-01f, 8.11876378e-01f, 8.11926537e-01f,
    8.11976694e-01f, 8.12026850e-01f, 8.12077003e-01f, 8.12127155e-01f,
    8.12177306e-01f, 8.12227454e-01f, 8.12277601e-01f, 8.12327746e-01f,
    8.12377889e-01f, 8.12428030e-01f, 8.12478170e-01f, 8.12528308e-01f,
    8.12578444e-01f, 8.12628579e-01f, 8.12678711e-01f, 8.12728842e-01f,
    8.12778972e-01f, 8.12829099e-01f, 8.12879225e-01f, 8.12929349e-01f,
    8.12979471e-01f, 8.13029592e-01f, 8.13079711e-01f, 8.13129828e-01f,
    8.13179943e-01f, 8.13230057e-01f, 8.13280168e-01f, 8.13330279e-01f,
    8.13380387e-01f, 8.13430494e-01f, 8.13480598e-01f, 8.13530702e-01f,
    8.13580803e-01f, 8.13630903e-01f, 8.13681001e-01f, 8.13731097e-01f,
    8.13781191e-01f, 8.13831284e-01f, 8.13881375e-01f, 8.13931464e-01f,
    8.13981552e-01f, 8.14031637e-01f, 8.14081721e-01f, 8.14131804e-01f,
    8.14181884e-01f, 8.14231963e-01f, 8.14282040e-01f, 8.14332115e-01f,
    8.14382189e-01f, 8.14432261e-01f, 8.14482331e-01f, 8.14532399e-01f,
    8.14582466e-01f, 8.14632531e-01f, 8.14682594e-01f, 8.14732655e-01f,
    8.14782715e-01f, 8.14832773e-01f, 8.14882829e-01f, 8.14932884e-01f,
    8.14982936e-01f, 8.15032987e-01f, 8.15083037e-01f, 8.15133084e-01f,
    8.15183130e-01f, 8.15233174e-01f, 8.15283216e-01f, 8.15333257e-01f,
    8.15383296e-01f, 8.15433333e-01f, 8.15483368e-01f, 8.15533402e-01f,
    8.15583434e-01f, 8.15633464e-01f, 8.15683492e-01f, 8.15733519e-01f,
    8.15783544e-01f, 8.15833567e-01f, 8.15883589e-01f, 8.15933609e-01f,
    8.15983627e-01f, 8.16033643e-01f, 8.16083658e-01f, 8.16133670e-01f,
    8.16183681e-01f, 8.16233691e-01f, 8.16283698e-01f, 8.16333704e-01f,
    8.16383708e-01f, 8.16433711e-01f, 8.16483712e-01f, 8.16533711e-01f,
    8.16583708e-01f, 8.16633703e-01f, 8.16683697e-01f, 8.16733689e-01f,
    8.16783679e-01f, 8.16833668e-01f, 8.16883655e-01f, 8.16933640e-01f,
    8.16983623e-01f, 8.17033605e-01f, 8.17083585e-01f, 8.17133563e-01f,
    8.17183539e-01f, 8.17233514e-01f, 8.17283487e-01f, 8.17333458e-01f,
    8.17383428e-01f, 8.17433396e-01f, 8.17483362e-01f, 8.17533326e-01f,
    8.17583289e-01f, 8.17633250e-01f, 8.17683209e-01f, 8.17733166e-01f,
    8.17783122e-01f, 8.17833076e-01f, 8.17883028e-01f, 8.17932978e-01f,
    8.17982927e-01f, 8.18032874e-01f, 8.18082820e-01f, 8.18132763e-01f,
    8.18182705e-01f, 8.18232645e-01f, 8.18282583e-01f, 8.18332520e-01f,
    8.18382455e-01f, 8.18432388e-01f, 8.18482320e-01f, 8.18532249e-01f,
    8.18582177e-01f, 8.18632104e-01f, 8.18682028e-01f, 8.18731951e-01f,
    8.18781872e-01f, 8.18831792e-01f, 8.18881709e-01f, 8.18931625e-01f,
    8.18981539e-01f, 8.19031452e-01f, 8.19081363e-01f, 8.19131272e-01f,
    8.19181179e-01f, 8.19231085e-01f, 8.19280988e-01f, 8.19330890e-01f,
    8.19380791e-01f, 8.19430690e-01f, 8.19480586e-01f, 8.19530482e-01f,
    8.19580375e-01f, 8.19630267e-01f, 8.19680157e-01f, 8.19730045e-01f,
    8.19779932e-01f, 8.19829817e-01f, 8.19879700e-01f, 8.19929581e-01f,
    8.19979461e-01f, 8.20029339e-01f, 8.20079215e-01f, 8.20129090e-01f,
    8.20178962e-01f, 8.20228833e-01f, 8.20278703e-01f, 8.20328570e-01f,
    8.20378436e-01f, 8.20428300e-01f, 8.20478163e-01f, 8.20528024e-01f,
    8.20577883e-01f, 8.20627740e-01f, 8.20677595e-01f, 8.20727449e-01f,
    8.20777301e-01f, 8.20827152e-01f, 8.20877000e-01f, 8.20926847e-01f,
    8.20976693e-01f, 8.21026536e-01f, 8.21076378e-01f, 8.21126218e-01f,
    8.21176056e-01f, 8.21225893e-01f, 8.21275728e-01f, 8.21325561e-01f,
    8.21375392e-01f, 8.21425222e-01f, 8.21475050e-01f, 8.21524876e-01f,
    8.21574701e-01f, 8.21624524e-01f, 8.21674345e-01f, 8.21724164e-01f,
    8.21773982e-01f, 8.21823798e-01f, 8.21873612e-01f, 8.21923425e-01f,
    8.21973235e-01f, 8.22023045e-01f, 8.22072852e-01f, 8.22122658e-01f,
    8.22172461e-01f, 8.22222264e-01f, 8.22272064e-01f, 8.22321863e-01f,
    8.22371660e-01f, 8.22421455e-01f, 8.22471249e-01f, 8.22521041e-01f,
    8.22570831e-01f, 8.22620619e-01f, 8.22670406e-01f, 8.22720191e-01f,
    8.22769974e-01f, 8.22819756e-01f, 8.22869536e-01f, 8.22919314e-01f,
    8.22969090e-01f, 8.23018865e-01f, 8.23068638e-01f, 8.23118409e-01f,
    8.23168179e-01f, 8.23217947e-01f, 8.23267713e-01f, 8.23317477e-01f,
    8.23367240e-01f, 8.23417001e-01f, 8.23466760e-01f, 8.23516518e-01f,
    8.23566274e-01f, 8.23616028e-01f, 8.23665780e-01f, 8.23715531e-01f,
    8.23765280e-01f, 8.23815027e-01f, 8.23864773e-01f, 8.23914516e-01f,
    8.23964258e-01f, 8.24013999e-01f, 8.24063738e-01f, 8.24113475e-01f,
    8.24163210e-01f, 8.24212943e-01f, 8.24262675e-01f, 8.24312405e-01f,
    8.24362134e-01f, 8.24411860e-01f, 8.24461585e-01f, 8.24511308e-01f,
    8.24561030e-01f, 8.24610750e-01f, 8.24660468e-01f, 8.24710184e-01f,
    8.24759899e-01f, 8.24809612e-01f, 8.24859323e-01f, 8.24909033e-01f,
    8.24958741e-01f, 8.25008447e-01f, 8.25058151e-01f, 8.25107854e-01f,
    8.25157555e-01f, 8.25207254e-01f, 8.25256952e-01f, 8.25306647e-01f,
    8.25356341e-01f, 8.25406034e-01f, 8.25455725e-01f, 8.25505414e-01f,
    8.25555101e-01f, 8.25604786e-01f, 8.25654470e-01f, 8.25704152e-01f,
    8.25753833e-01f, 8.25803512e-01f, 8.25853189e-01f, 8.25902864e-01f,
    8.25952538e-01f, 8.26002209e-01f, 8.26051880e-01f, 8.26101548e-01f,
    8.26151215e-01f, 8.26200880e-01f, 8.26250543e-01f, 8.26300205e-01f,
    8.26349865e-01f, 8.26399523e-01f, 8.26449179e-01f, 8.26498834e-01f,
    8.26548487e-01f, 8.26598139e-01f, 8.26647788e-01f, 8.26697436e-01f,
    8.26747083e-01f, 8.26796727e-01f, 8.26846370e-01f, 8.26896011e-01f,
    8.26945650e-01f, 8.26995288e-01f, 8.27044924e-01f, 8.27094558e-01f,
    8.27144191e-01f, 8.27193822e-01f, 8.27243451e-01f, 8.27293078e-01f,
    8.27342704e-01f, 8.27392328e-01f, 8.27441951e-01f, 8.27491571e-01f,
    8.27541190e-01f, 8.27590807e-01f, 8.27640423e-01f, 8.27690037e-01f,
    8.27739649e-01f, 8.27789259e-01f, 8.27838868e-01f, 8.27888475e-01f,
    8.27938080e-01f, 8.27987684e-01f, 8.28037286e-01f, 8.28086886e-01f,
    8.28136484e-01f, 8.28186081e-01f, 8.28235676e-01f, 8.28285269e-01f,
    8.28334861e-01f, 8.28384451e-01f, 8.28434039e-01f, 8.28483626e-01f,
    8.28533210e-01f, 8.28582794e-01f, 8.28632375e-01f, 8.28681955e-01f,
    8.28731533e-01f, 8.28781109e-01f, 8.28830684e-01f, 8.28880256e-01f,
    8.28929828e-01f, 8.28979397e-01f, 8.29028965e-01f, 8.29078531e-01f,
    8.29128095e-01f, 8.29177658e-01f, 8.29227219e-01f, 8.29276778e-01f,
    8.29326336e-01f, 8.29375892e-01f, 8.29425446e-01f, 8.29474998e-01f,
    8.29524549e-01f, 8.29574098e-01f, 8.29623645e-01f, 8.29673191e-01f,
    8.29722735e-01f, 8.29772277e-01f, 8.29821818e-01f, 8.29871357e-01f,
    8.29920894e-01f, 8.29970429e-01f, 8.30019963e-01f, 8.30069495e-01f,
    8.30119025e-01f, 8.30168554e-01f, 8.30218081e-01f, 8.30267606e-01f,
    8.30317130e-01f, 8.30366652e-01f, 8.30416172e-01f, 8.30465690e-01f,
    8.30515207e-01f, 8.30564722e-01f, 8.30614235e-01f, 8.30663747e-01f,
    8.30713257e-01f, 8.30762765e-01f, 8.30812272e-01f, 8.30861777e-01f,
    8.30911280e-01f, 8.30960781e-01f, 8.31010281e-01f, 8.31059779e-01f,
    8.31109275e-01f, 8.31158770e-01f, 8.31208263e-01f, 8.31257754e-01f,
    8.31307244e-01f, 8.31356732e-01f, 8.31406218e-01f, 8.31455702e-01f,
    8.31505185e-01f, 8.31554666e-01f, 8.31604146e-01f, 8.31653623e-01f,
    8.31703099e-01f, 8.31752574e-01f, 8.31802046e-01f, 8.31851517e-01f,
    8.31900986e-01f, 8.31950454e-01f, 8.31999920e-01f, 8.32049384e-01f,
    8.32098846e-01f, 8.32148307e-01f, 8.32197766e-01f, 8.32247223e-01f,
    8.32296679e-01f, 8.32346133e-01f, 8.32395585e-01f, 8.32445035e-01f,
    8.32494484e-01f, 8.32543931e-01f, 8.32593377e-01f, 8.32642821e-01f,
    8.32692263e-01f, 8.32741703e-01f, 8.32791142e-01f, 8.32840579e-01f,
    8.32890014e-01f, 8.32939448e-01f, 8.32988880e-01f, 8.33038310e-01f,
    8.33087738e-01f, 8.33137165e-01f, 8.33186590e-01f, 8.33236014e-01f,
    8.33285436e-01f, 8.33334856e-01f, 8.33384274e-01f, 8.33433691e-01f,
    8.33483106e-01f, 8.33532519e-01f, 8.33581931e-01f, 8.33631340e-01f,
    8.33680749e-01f, 8.33730155e-01f, 8.33779560e-01f, 8.33828963e-01f,
    8.33878365e-01f, 8.33927764e-01f, 8.33977162e-01f, 8.34026559e-01f,
    8.34075953e-01f, 8.34125346e-01f, 8.34174738e-01f, 8.34224127e-01f,
    8.34273515e-01f, 8.34322901e-01f, 8.34372286e-01f, 8.34421669e-01f,
    8.34471050e-01f, 8.34520429e-01f, 8.34569807e-01f, 8.34619183e-01f,
    8.34668558e-01f, 8.34717930e-01f, 8.34767301e-01f, 8.34816671e-01f,
    8.34866038e-01f, 8.34915404e-01f, 8.34964769e-01f, 8.35014131e-01f,
    8.35063492e-01f, 8.35112851e-01f, 8.35162209e-01f, 8.35211565e-01f,
    8.35260919e-01f, 8.35310271e-01f, 8.35359622e-01f, 8.35408971e-01f,
    8.35458318e-01f, 8.35507664e-01f, 8.35557008e-01f, 8.35606350e-01f,
    8.35655691e-01f, 8.35705030e-01f, 8.35754367e-01f, 8.35803703e-01f,
    8.35853036e-01f, 8.35902369e-01f, 8.35951699e-01f, 8.36001028e-01f,
    8.36050355e-01f, 8.36099680e-01f, 8.36149004e-01f, 8.36198326e-01f,
    8.36247647e-01f, 8.36296965e-01f, 8.36346282e-01f, 8.36395598e-01f,
    8.36444911e-01f, 8.36494223e-01f, 8.36543534e-01f, 8.36592842e-01f,
    8.36642149e-01f, 8.36691454e-01f, 8.36740758e-01f, 8.36790060e-01f,
    8.36839360e-01f, 8.36888658e-01f, 8.36937955e-01f, 8.36987250e-01f,
    8.37036544e-01f, 8.37085835e-01f, 8.37135125e-01f, 8.37184414e-01f,
    8.37233700e-01f, 8.37282985e-01f, 8.37332269e-01f, 8.37381550e-01f,
    8.37430830e-01f, 8.37480108e-01f, 8.37529385e-01f, 8.37578660e-01f,
    8.37627933e-01f, 8.37677205e-01f, 8.37726475e-01f, 8.37775743e-01f,
    8.37825009e-01f, 8.37874274e-01f, 8.37923537e-01f, 8.37972799e-01f,
    8.38022058e-01f, 8.38071316e-01f, 8.38120573e-01f, 8.38169827e-01f,
    8.38219081e-01f, 8.38268332e-01f, 8.38317582e-01f, 8.38366829e-01f,
    8.38416076e-01f, 8.38465320e-01f, 8.38514563e-01f, 8.38563805e-01f,
    8.38613044e-01f, 8.38662282e-01f, 8.38711518e-01f, 8.38760753e-01f,
    8.38809986e-01f, 8.38859217e-01f, 8.38908446e-01f, 8.38957674e-01f,
    8.39006900e-01f, 8.39056125e-01f, 8.39105348e-01f, 8.39154569e-01f,
    8.39203788e-01f, 8.39253006e-01f, 8.39302222e-01f, 8.39351436e-01f,
    8.39400649e-01f, 8.39449860e-01f, 8.39499069e-01f, 8.39548277e-01f,
    8.39597483e-01f, 8.39646687e-01f, 8.39695890e-01f, 8.39745091e-01f,
    8.39794290e-01f, 8.39843488e-01f, 8.39892684e-01f, 8.39941878e-01f,
    8.39991071e-01f, 8.40040261e-01f, 8.40089451e-01f, 8.40138638e-01f,
    8.40187824e-01f, 8.40237008e-01f, 8.40286191e-01f, 8.40335372e-01f,
    8.40384551e-01f, 8.40433728e-01f, 8.40482904e-01f, 8.40532078e-01f,
    8.40581251e-01f, 8.40630421e-01f, 8.40679590e-01f, 8.40728758e-01f,
    8.40777924e-01f, 8.40827088e-01f, 8.40876250e-01f, 8.40925411e-01f,
    8.40974570e-01f, 8.41023727e-01f, 8.41072883e-01f, 8.41122037e-01f,
    8.41171189e-01f, 8.41220340e-01f, 8.41269489e-01f, 8.41318636e-01f,
    8.41367782e-01f, 8.41416926e-01f, 8.41466068e-01f, 8.41515209e-01f,
    8.41564348e-01f, 8.41613485e-01f, 8.41662621e-01f, 8.41711755e-01f,
    8.41760887e-01f, 8.41810017e-01f, 8.41859146e-01f, 8.41908274e-01f,
    8.41957399e-01f, 8.42006523e-01f, 8.42055645e-01f, 8.42104766e-01f,
    8.42153885e-01f, 8.42203002e-01f, 8.42252117e-01f, 8.42301231e-01f,
    8.42350343e-01f, 8.42399454e-01f, 8.42448563e-01f, 8.42497670e-01f,
    8.42546775e-01f, 8.42595879e-01f, 8.42644981e-01f, 8.42694082e-01f,
    8.42743181e-01f, 8.42792278e-01f, 8.42841373e-01f, 8.42890467e-01f,
    8.42939559e-01f, 8.42988650e-01f, 8.43037739e-01f, 8.43086826e-01f,
    8.43135911e-01f, 8.43184995e-01f, 8.43234077e-01f, 8.43283157e-01f,
    8.43332236e-01f, 8.43381313e-01f, 8.43430389e-01f, 8.43479463e-01f,
    8.43528535e-01f, 8.43577605e-01f, 8.43626674e-01f, 8.43675741e-01f,
    8.43724806e-01f, 8.43773870e-01f, 8.43822932e-01f, 8.43871993e-01f,
    8.43921051e-01f, 8.43970108e-01f, 8.44019164e-01f, 8.44068218e-01f,
    8.44117270e-01f, 8.44166320e-01f, 8.44215369e-01f, 8.44264416e-01f,
    8.44313461e-01f, 8.44362505e-01f, 8.44411547e-01f, 8.44460587e-01f,
    8.44509626e-01f, 8.44558663e-01f, 8.44607699e-01f, 8.44656732e-01f,
    8.44705764e-01f, 8.44754795e-01f, 8.44803824e-01f, 8.44852851e-01f,
    8.44901876e-01f, 8.44950900e-01f, 8.44999922e-01f, 8.45048942e-01f,
    8.45097961e-01f, 8.45146978e-01f, 8.45195993e-01f, 8.45245007e-01f,
    8.45294019e-01f, 8.45343030e-01f, 8.45392038e-01f, 8.45441046e-01f,
    8.45490051e-01f, 8.45539055e-01f, 8.45588057e-01f, 8.45637057e-01f,
    8.45686056e-01f, 8.45735053e-01f, 8.45784049e-01f, 8.45833042e-01f,
    8.45882034e-01f, 8.45931025e-01f, 8.45980014e-01f, 8.46029001e-01f,
    8.46077986e-01f, 8.46126970e-01f, 8.46175952e-01f, 8.46224933e-01f,
    8.46273911e-01f, 8.46322888e-01f, 8.46371864e-01f, 8.46420838e-01f,
    8.46469810e-01f, 8.46518780e-01f, 8.46567749e-01f, 8.46616716e-01f,
    8.46665682e-01f, 8.46714646e-01f, 8.46763608e-01f, 8.46812568e-01f,
    8.46861527e-01f, 8.46910484e-01f, 8.46959440e-01f, 8.47008394e-01f,
    8.47057346e-01f, 8.47106297e-01f, 8.47155246e-01f, 8.47204193e-01f,
    8.47253138e-01f, 8.47302082e-01f, 8.47351024e-01f, 8.47399965e-01f,
    8.47448904e-01f, 8.47497841e-01f, 8.47546777e-01f, 8.47595711e-01f,
    8.47644643e-01f, 8.47693574e-01f, 8.47742503e-01f, 8.47791430e-01f,
    8.47840356e-01f, 8.47889280e-01f, 8.47938202e-01f, 8.47987123e-01f,
    8.48036042e-01f, 8.48084959e-01f, 8.48133875e-01f, 8.48182789e-01f,
    8.48231701e-01f, 8.48280612e-01f, 8.48329521e-01f, 8.48378428e-01f,
    8.48427334e-01f, 8.48476238e-01f, 8.48525141e-01f, 8.48574041e-01f,
    8.48622940e-01f, 8.48671838e-01f, 8.48720734e-01f, 8.48769628e-01f,
    8.48818520e-01f, 8.48867411e-01f, 8.48916300e-01f, 8.48965188e-01f,
    8.49014074e-01f, 8.49062958e-01f, 8.49111840e-01f, 8.49160721e-01f,
    8.49209601e-01f, 8.49258478e-01f, 8.49307354e-01f, 8.49356228e-01f,
    8.49405101e-01f, 8.49453972e-01f, 8.49502841e-01f, 8.49551709e-01f,
    8.49600575e-01f, 8.49649439e-01f, 8.49698302e-01f, 8.49747163e-01f,
    8.49796022e-01f, 8.49844880e-01f, 8.49893736e-01f, 8.49942590e-01f,
    8.49991443e-01f, 8.50040294e-01f, 8.50089144e-01f, 8.50137992e-01f,
    8.50186838e-01f, 8.50235682e-01f, 8.50284525e-01f, 8.50333366e-01f,
    8.50382206e-01f, 8.50431044e-01f, 8.50479880e-01f, 8.50528714e-01f,
    8.50577547e-01f, 8.50626378e-01f, 8.50675208e-01f, 8.50724036e-01f,
    8.50772862e-01f, 8.50821687e-01f, 8.50870510e-01f, 8.50919331e-01f,
    8.50968151e-01f, 8.51016969e-01f, 8.51065785e-01f, 8.51114600e-01f,
    8.51163413e-01f, 8.51212225e-01f, 8.51261034e-01f, 8.51309843e-01f,
    8.51358649e-01f, 8.51407454e-01f, 8.51456257e-01f, 8.51505059e-01f,
    8.51553858e-01f, 8.51602657e-01f, 8.51651453e-01f, 8.51700248e-01f,
    8.51749041e-01f, 8.51797833e-01f, 8.51846623e-01f, 8.51895411e-01f,
    8.51944198e-01f, 8.51992983e-01f, 8.52041766e-01f, 8.52090548e-01f,
    8.52139328e-01f, 8.52188107e-01f, 8.52236883e-01f, 8.52285659e-01f,
    8.52334432e-01f, 8.52383204e-01f, 8.52431974e-01f, 8.52480743e-01f,
    8.52529509e-01f, 8.52578275e-01f, 8.52627038e-01f, 8.52675800e-01f,
    8.52724560e-01f, 8.52773319e-01f, 8.52822076e-01f, 8.52870831e-01f,
    8.52919585e-01f, 8.52968337e-01f, 8.53017088e-01f, 8.53065836e-01f,
    8.53114583e-01f, 8.53163329e-01f, 8.53212073e-01f, 8.53260815e-01f,
    8.53309555e-01f, 8.53358294e-01f, 8.53407032e-01f, 8.53455767e-01f,
    8.53504501e-01f, 8.53553233e-01f, 8.53601964e-01f, 8.53650693e-01f,
    8.53699420e-01f, 8.53748146e-01f, 8.53796870e-01f, 8.53845592e-01f,
    8.53894313e-01f, 8.53943032e-01f, 8.53991750e-01f, 8.54040466e-01f,
    8.54089180e-01f, 8.54137892e-01f, 8.54186603e-01f, 8.54235313e-01f,
    8.54284020e-01f, 8.54332726e-01f, 8.54381430e-01f, 8.54430133e-01f,
    8.54478834e-01f, 8.54527534e-01f, 8.54576231e-01f, 8.54624927e-01f,
    8.54673622e-01f, 8.54722315e-01f, 8.54771006e-01f, 8.54819695e-01f,
    8.54868383e-01f, 8.54917070e-01f, 8.54965754e-01f, 8.55014437e-01f,
    8.55063118e-01f, 8.55111798e-01f, 8.55160476e-01f, 8.55209152e-01f,
    8.55257827e-01f, 8.55306500e-01f, 8.55355172e-01f, 8.55403842e-01f,
    8.55452510e-01f, 8.55501176e-01f, 8.55549841e-01f, 8.55598504e-01f,
    8.55647166e-01f, 8.55695826e-01f, 8.55744484e-01f, 8.55793141e-01f,
    8.55841796e-01f, 8.55890449e-01f, 8.55939101e-01f, 8.55987751e-01f,
    8.56036400e-01f, 8.56085047e-01f, 8.56133692e-01f, 8.56182335e-01f,
    8.56230977e-01f, 8.56279618e-01f, 8.56328256e-01f, 8.56376893e-01f,
    8.56425529e-01f, 8.56474162e-01f, 8.56522794e-01f, 8.56571425e-01f,
    8.56620054e-01f, 8.56668681e-01f, 8.56717306e-01f, 8.56765930e-01f,
    8.56814553e-01f, 8.56863173e-01f, 8.56911792e-01f, 8.56960409e-01f,
    8.57009025e-01f, 8.57057639e-01f, 8.57106252e-01f, 8.57154862e-01f,
    8.57203472e-01f, 8.57252079e-01f, 8.57300685e-01f, 8.57349289e-01f,
    8.57397892e-01f, 8.57446493e-01f, 8.57495092e-01f, 8.57543690e-01f,
    8.57592286e-01f, 8.57640880e-01f, 8.57689473e-01f, 8.57738064e-01f,
    8.57786654e-01f, 8.57835241e-01f, 8.57883828e-01f, 8.57932412e-01f,
    8.57980995e-01f, 8.58029576e-01f, 8.58078156e-01f, 8.58126734e-01f,
    8.58175311e-01f, 8.58223885e-01f, 8.58272458e-01f, 8.58321030e-01f,
    8.58369600e-01f, 8.58418168e-01f, 8.58466735e-01f, 8.58515300e-01f,
    8.58563863e-01f, 8.58612425e-01f, 8.58660985e-01f, 8.58709543e-01f,
    8.58758100e-01f, 8.58806655e-01f, 8.58855209e-01f, 8.58903760e-01f,
    8.58952311e-01f, 8.59000859e-01f, 8.59049406e-01f, 8.59097952e-01f,
    8.59146495e-01f, 8.59195038e-01f, 8.59243578e-01f, 8.59292117e-01f,
    8.59340654e-01f, 8.59389190e-01f, 8.59437723e-01f, 8.59486256e-01f,
    8.59534786e-01f, 8.59583315e-01f, 8.59631843e-01f, 8.59680369e-01f,
    8.59728893e-01f, 8.59777415e-01f, 8.59825936e-01f, 8.59874455e-01f,
    8.59922973e-01f, 8.59971489e-01f, 8.60020003e-01f, 8.60068516e-01f,
    8.60117027e-01f, 8.60165536e-01f, 8.60214044e-01f, 8.60262550e-01f,
    8.60311055e-01f, 8.60359558e-01f, 8.60408059e-01f, 8.60456559e-01f,
    8.60505057e-01f, 8.60553553e-01f, 8.60602048e-01f, 8.60650541e-01f,
    8.60699033e-01f, 8.60747522e-01f, 8.60796011e-01f, 8.60844497e-01f,
    8.60892982e-01f, 8.60941466e-01f, 8.60989947e-01f, 8.61038428e-01f,
    8.61086906e-01f, 8.61135383e-01f, 8.61183858e-01f, 8.61232332e-01f,
    8.61280804e-01f, 8.61329274e-01f, 8.61377743e-01f, 8.61426210e-01f,
    8.61474675e-01f, 8.61523139e-01f, 8.61571601e-01f, 8.61620062e-01f,
    8.61668521e-01f, 8.61716978e-01f, 8.61765434e-01f, 8.61813888e-01f,
    8.61862340e-01f, 8.61910791e-01f, 8.61959240e-01f, 8.62007688e-01f,
    8.62056133e-01f, 8.62104578e-01f, 8.62153020e-01f, 8.62201461e-01f,
    8.62249901e-01f, 8.62298339e-01f, 8.62346775e-01f, 8.62395209e-01f,
    8.62443642e-01f, 8.62492073e-01f, 8.62540503e-01f, 8.62588931e-01f,
    8.62637358e-01f, 8.62685782e-01f, 8.62734205e-01f, 8.62782627e-01f,
    8.62831047e-01f, 8.62879465e-01f, 8.62927882e-01f, 8.62976297e-01f,
    8.63024710e-01f, 8.63073122e-01f, 8.63121532e-01f, 8.63169941e-01f,
    8.63218348e-01f, 8.63266753e-01f, 8.63315157e-01f, 8.63363559e-01f,
    8.63411959e-01f, 8.63460358e-01f, 8.63508755e-01f, 8.63557150e-01f,
    8.63605544e-01f, 8.63653937e-01f, 8.63702327e-01f, 8.63750716e-01f,
    8.63799104e-01f, 8.63847490e-01f, 8.63895874e-01f, 8.63944256e-01f,
    8.63992637e-01f, 8.64041016e-01f, 8.64089394e-01f, 8.64137770e-01f,
    8.64186145e-01f, 8.64234517e-01f, 8.64282889e-01f, 8.64331258e-01f,
    8.64379626e-01f, 8.64427993e-01f, 8.64476357e-01f, 8.64524720e-01f,
    8.64573082e-01f, 8.64621442e-01f, 8.64669800e-01f, 8.64718156e-01f,
    8.64766511e-01f, 8.64814865e-01f, 8.64863217e-01f, 8.64911567e-01f,
    8.64959915e-01f, 8.65008262e-01f, 8.65056607e-01f, 8.65104951e-01f,
    8.65153293e-01f, 8.65201633e-01f, 8.65249972e-01f, 8.65298309e-01f,
    8.65346645e-01f, 8.65394979e-01f, 8.65443311e-01f, 8.65491642e-01f,
    8.65539971e-01f, 8.65588298e-01f, 8.65636624e-01f, 8.65684948e-01f,
    8.65733271e-01f, 8.65781592e-01f, 8.65829911e-01f, 8.65878229e-01f,
    8.65926545e-01f, 8.65974860e-01f, 8.66023172e-01f, 8.66071484e-01f,
    8.66119793e-01f, 8.66168101e-01f, 8.66216408e-01f, 8.66264713e-01f,
    8.66313016e-01f, 8.66361317e-01f, 8.66409617e-01f, 8.66457916e-01f,
    8.66506212e-01f, 8.66554507e-01f, 8.66602801e-01f, 8.66651093e-01f,
    8.66699383e-01f, 8.66747672e-01f, 8.66795959e-01f, 8.66844244e-01f,
    8.66892528e-01f, 8.66940810e-01f, 8.66989090e-01f, 8.67037369e-01f,
    8.67085647e-01f, 8.67133922e-01f, 8.67182196e-01f, 8.67230469e-01f,
    8.67278740e-01f, 8.67327009e-01f, 8.67375277e-01f, 8.67423543e-01f,
    8.67471807e-01f, 8.67520070e-01f, 8.67568331e-01f, 8.67616590e-01f,
    8.67664848e-01f, 8.67713105e-01f, 8.67761359e-01f, 8.67809612e-01f,
    8.67857864e-01f, 8.67906114e-01f, 8.67954362e-01f, 8.68002609e-01f,
    8.68050854e-01f, 8.68099097e-01f, 8.68147339e-01f, 8.68195579e-01f,
    8.68243818e-01f, 8.68292055e-01f, 8.68340290e-01f, 8.68388524e-01f,
    8.68436756e-01f, 8.68484986e-01f, 8.68533215e-01f, 8.68581443e-01f,
    8.68629668e-01f, 8.68677892e-01f, 8.68726115e-01f, 8.68774336e-01f,
    8.68822555e-01f, 8.68870772e-01f, 8.68918988e-01f, 8.68967203e-01f,
    8.69015416e-01f, 8.69063627e-01f, 8.69111836e-01f, 8.69160044e-01f,
    8.69208251e-01f, 8.69256455e-01f, 8.69304658e-01f, 8.69352860e-01f,
    8.69401060e-01f, 8.69449258e-01f, 8.69497455e-01f, 8.69545650e-01f,
    8.69593843e-01f, 8.69642035e-01f, 8.69690225e-01f, 8.69738414e-01f,
    8.69786601e-01f, 8.69834786e-01f, 8.69882970e-01f, 8.69931152e-01f,
    8.69979333e-01f, 8.70027512e-01f, 8.70075689e-01f, 8.70123865e-01f,
    8.70172039e-01f, 8.70220212e-01f, 8.70268383e-01f, 8.70316552e-01f,
    8.70364720e-01f, 8.70412886e-01f, 8.70461050e-01f, 8.70509213e-01f,
    8.70557374e-01f, 8.70605534e-01f, 8.70653692e-01f, 8.70701849e-01f,
    8.70750003e-01f, 8.70798157e-01f, 8.70846308e-01f, 8.70894458e-01f,
    8.70942607e-01f, 8.70990753e-01f, 8.71038899e-01f, 8.71087042e-01f,
    8.71135184e-01f, 8.71183325e-01f, 8.71231463e-01f, 8.71279601e-01f,
    8.71327736e-01f, 8.71375870e-01f, 8.71424002e-01f, 8.71472133e-01f,
    8.71520262e-01f, 8.71568390e-01f, 8.71616516e-01f, 8.71664640e-01f,
    8.71712763e-01f, 8.71760884e-01f, 8.71809003e-01f, 8.71857121e-01f,
    8.71905238e-01f, 8.71953352e-01f, 8.72001465e-01f, 8.72049577e-01f,
    8.72097687e-01f, 8.72145795e-01f, 8.72193902e-01f, 8.72242007e-01f,
    8.72290110e-01f, 8.72338212e-01f, 8.72386312e-01f, 8.72434411e-01f,
    8.72482508e-01f, 8.72530604e-01f, 8.72578697e-01f, 8.72626790e-01f,
    8.72674880e-01f, 8.72722969e-01f, 8.72771057e-01f, 8.72819143e-01f,
    8.72867227e-01f, 8.72915309e-01f, 8.72963390e-01f, 8.73011470e-01f,
    8.73059548e-01f, 8.73107624e-01f, 8.73155698e-01f, 8.73203771e-01f,
    8.73251843e-01f, 8.73299913e-01f, 8.73347981e-01f, 8.73396048e-01f,
    8.73444113e-01f, 8.73492176e-01f, 8.73540238e-01f, 8.73588298e-01f,
    8.73636357e-01f, 8.73684414e-01f, 8.73732469e-01f, 8.73780523e-01f,
    8.73828575e-01f, 8.73876625e-01f, 8.73924674e-01f, 8.73972722e-01f,
    8.74020768e-01f, 8.74068812e-01f, 8.74116854e-01f, 8.74164895e-01f,
    8.74212935e-01f, 8.74260973e-01f, 8.74309009e-01f, 8.74357043e-01f,
    8.74405076e-01f, 8.74453108e-01f, 8.74501138e-01f, 8.74549166e-01f,
    8.74597192e-01f, 8.74645217e-01f, 8.74693241e-01f, 8.74741263e-01f,
    8.74789283e-01f, 8.74837301e-01f, 8.74885318e-01f, 8.74933334e-01f,
    8.74981348e-01f, 8.75029360e-01f, 8.75077370e-01f, 8.75125380e-01f,
    8.75173387e-01f, 8.75221393e-01f, 8.75269397e-01f, 8.75317400e-01f,
    8.75365401e-01f, 8.75413400e-01f, 8.75461398e-01f, 8.75509394e-01f,
    8.75557389e-01f, 8.75605382e-01f, 8.75653373e-01f, 8.75701363e-01f,
    8.75749351e-01f, 8.75797338e-01f, 8.75845323e-01f, 8.75893307e-01f,
    8.75941288e-01f, 8.75989269e-01f, 8.76037247e-01f, 8.76085225e-01f,
    8.76133200e-01f, 8.76181174e-01f, 8.76229146e-01f, 8.76277117e-01f,
    8.76325086e-01f, 8.76373054e-01f, 8.76421020e-01f, 8.76468984e-01f,
    8.76516947e-01f, 8.76564908e-01f, 8.76612867e-01f, 8.76660825e-01f,
    8.76708782e-01f, 8.76756736e-01f, 8.76804689e-01f, 8.76852641e-01f,
    8.76900591e-01f, 8.76948539e-01f, 8.76996486e-01f, 8.77044431e-01f,
    8.77092375e-01f, 8.77140317e-01f, 8.77188257e-01f, 8.77236196e-01f,
    8.77284134e-01f, 8.77332069e-01f, 8.77380003e-01f, 8.77427936e-01f,
    8.77475867e-01f, 8.77523796e-01f, 8.77571723e-01f, 8.77619650e-01f,
    8.77667574e-01f, 8.77715497e-01f, 8.77763418e-01f, 8.77811338e-01f,
    8.77859256e-01f, 8.77907173e-01f, 8.77955088e-01f, 8.78003001e-01f,
    8.78050913e-01f, 8.78098823e-01f, 8.78146731e-01f, 8.78194638e-01f,
    8.78242544e-01f, 8.78290448e-01f, 8.78338350e-01f, 8.78386251e-01f,
    8.78434150e-01f, 8.78482047e-01f, 8.78529943e-01f, 8.78577837e-01f,
    8.78625730e-01f, 8.78673621e-01f, 8.78721510e-01f, 8.78769398e-01f,
    8.78817285e-01f, 8.78865169e-01f, 8.78913052e-01f, 8.78960934e-01f,
    8.79008814e-01f, 8.79056692e-01f, 8.79104569e-01f, 8.79152444e-01f,
    8.79200318e-01f, 8.79248190e-01f, 8.79296060e-01f, 8.79343929e-01f,
    8.79391796e-01f, 8.79439662e-01f, 8.79487526e-01f, 8.79535389e-01f,
    8.79583250e-01f, 8.79631109e-01f, 8.79678967e-01f, 8.79726823e-01f,
    8.79774677e-01f, 8.79822530e-01f, 8.79870382e-01f, 8.79918231e-01f,
    8.79966080e-01f, 8.80013926e-01f, 8.80061771e-01f, 8.80109615e-01f,
    8.80157457e-01f, 8.80205297e-01f, 8.80253136e-01f, 8.80300973e-01f,
    8.80348808e-01f, 8.80396642e-01f, 8.80444474e-01f, 8.80492305e-01f,
    8.80540134e-01f, 8.80587962e-01f, 8.80635788e-01f, 8.80683612e-01f,
    8.80731435e-01f, 8.80779256e-01f, 8.80827076e-01f, 8.80874894e-01f,
    8.80922711e-01f, 8.80970525e-01f, 8.81018339e-01f, 8.81066151e-01f,
    8.81113961e-01f, 8.81161769e-01f, 8.81209576e-01f, 8.81257382e-01f,
    8.81305185e-01f, 8.81352988e-01f, 8.81400788e-01f, 8.81448587e-01f,
    8.81496385e-01f, 8.81544181e-01f, 8.81591975e-01f, 8.81639768e-01f,
    8.81687559e-01f, 8.81735348e-01f, 8.81783136e-01f, 8.81830923e-01f,
    8.81878708e-01f, 8.81926491e-01f, 8.81974272e-01f, 8.82022053e-01f,
    8.82069831e-01f, 8.82117608e-01f, 8.82165383e-01f, 8.82213157e-01f,
    8.82260929e-01f, 8.82308700e-01f, 8.82356469e-01f, 8.82404236e-01f,
    8.82452002e-01f, 8.82499766e-01f, 8.82547529e-01f, 8.82595290e-01f,
    8.82643049e-01f, 8.82690807e-01f, 8.82738564e-01f, 8.82786318e-01f,
    8.82834072e-01f, 8.82881823e-01f, 8.82929573e-01f, 8.82977322e-01f,
    8.83025068e-01f, 8.83072814e-01f, 8.83120557e-01f, 8.83168300e-01f,
    8.83216040e-01f, 8.83263779e-01f, 8.83311516e-01f, 8.83359252e-01f,
    8.83406986e-01f, 8.83454719e-01f, 8.83502450e-01f, 8.83550180e-01f,
    8.83597907e-01f, 8.83645634e-01f, 8.83693359e-01f, 8.83741082e-01f,
    8.83788803e-01f, 8.83836523e-01f, 8.83884242e-01f, 8.83931959e-01f,
    8.83979674e-01f, 8.84027388e-01f, 8.84075100e-01f, 8.84122810e-01f,
    8.84170519e-01f, 8.84218226e-01f, 8.84265932e-01f, 8.84313637e-01f,
    8.84361339e-01f, 8.84409040e-01f, 8.84456740e-01f, 8.84504438e-01f,
    8.84552134e-01f, 8.84599829e-01f, 8.84647522e-01f, 8.84695214e-01f,
    8.84742904e-01f, 8.84790592e-01f, 8.84838279e-01f, 8.84885964e-01f,
    8.84933648e-01f, 8.84981330e-01f, 8.85029011e-01f, 8.85076690e-01f,
    8.85124367e-01f, 8.85172043e-01f, 8.85219717e-01f, 8.85267390e-01f,
    8.85315061e-01f, 8.85362731e-01f, 8.85410399e-01f, 8.85458065e-01f,
    8.85505730e-01f, 8.85553393e-01f, 8.85601055e-01f, 8.85648715e-01f,
    8.85696373e-01f, 8.85744030e-01f, 8.85791686e-01f, 8.85839339e-01f,
    8.85886992e-01f, 8.85934642e-01f, 8.85982291e-01f, 8.86029939e-01f,
    8.86077585e-01f, 8.86125229e-01f, 8.86172872e-01f, 8.86220513e-01f,
    8.86268153e-01f, 8.86315791e-01f, 8.86363427e-01f, 8.86411062e-01f,
    8.86458696e-01f, 8.86506327e-01f, 8.86553958e-01f, 8.86601586e-01f,
    8.86649213e-01f, 8.86696839e-01f, 8.86744463e-01f, 8.86792085e-01f,
    8.86839706e-01f, 8.86887325e-01f, 8.86934943e-01f, 8.86982559e-01f,
    8.87030173e-01f, 8.87077786e-01f, 8.87125398e-01f, 8.87173007e-01f,
    8.87220615e-01f, 8.87268222e-01f, 8.87315827e-01f, 8.87363431e-01f,
    8.87411033e-01f, 8.87458633e-01f, 8.87506232e-01f, 8.87553829e-01f,
    8.87601425e-01f, 8.87649019e-01f, 8.87696611e-01f, 8.87744202e-01f,
    8.87791791e-01f, 8.87839379e-01f, 8.87886965e-01f, 8.87934550e-01f,
    8.87982133e-01f, 8.88029715e-01f, 8.88077295e-01f, 8.88124873e-01f,
    8.88172450e-01f, 8.88220025e-01f, 8.88267599e-01f, 8.88315171e-01f,
    8.88362741e-01f, 8.88410310e-01f, 8.88457878e-01f, 8.88505443e-01f,
    8.88553008e-01f, 8.88600570e-01f, 8.88648131e-01f, 8.88695691e-01f,
    8.88743249e-01f, 8.88790805e-01f, 8.88838360e-01f, 8.88885913e-01f,
    8.88933465e-01f, 8.88981015e-01f, 8.89028564e-01f, 8.89076111e-01f,
    8.89123656e-01f, 8.89171200e-01f, 8.89218742e-01f, 8.89266283e-01f,
    8.89313822e-01f, 8.89361360e-01f, 8.89408896e-01f, 8.89456431e-01f,
    8.89503963e-01f, 8.89551495e-01f, 8.89599025e-01f, 8.89646553e-01f,
    8.89694079e-01f, 8.89741604e-01f, 8.89789128e-01f, 8.89836650e-01f,
    8.89884170e-01f, 8.89931689e-01f, 8.89979206e-01f, 8.90026722e-01f,
    8.90074236e-01f, 8.90121749e-01f, 8.90169260e-01f, 8.90216769e-01f,
    8.90264277e-01f, 8.90311783e-01f, 8.90359288e-01f, 8.90406791e-01f,
    8.90454293e-01f, 8.90501793e-01f, 8.90549291e-01f, 8.90596788e-01f,
    8.90644284e-01f, 8.90691777e-01f, 8.90739270e-01f, 8.90786760e-01f,
    8.90834249e-01f, 8.90881737e-01f, 8.90929223e-01f, 8.90976707e-01f,
    8.91024190e-01f, 8.91071671e-01f, 8.91119151e-01f, 8.91166629e-01f,
    8.91214106e-01f, 8.91261581e-01f, 8.91309054e-01f, 8.91356526e-01f,
    8.91403997e-01f, 8.91451465e-01f, 8.91498933e-01f, 8.91546398e-01f,
    8.91593862e-01f, 8.91641325e-01f, 8.91688786e-01f, 8.91736245e-01f,
    8.91783703e-01f, 8.91831160e-01f, 8.91878614e-01f, 8.91926067e-01f,
    8.91973519e-01f, 8.92020969e-01f, 8.92068418e-01f, 8.92115864e-01f,
    8.92163310e-01f, 8.92210754e-01f, 8.92258196e-01f, 8.92305637e-01f,
    8.92353076e-01f, 8.92400513e-01f, 8.92447949e-01f, 8.92495384e-01f,
    8.92542817e-01f, 8.92590248e-01f, 8.92637678e-01f, 8.92685106e-01f,
    8.92732533e-01f, 8.92779958e-01f, 8.92827381e-01f, 8.92874803e-01f,
    8.92922224e-01f, 8.92969642e-01f, 8.93017060e-01f, 8.93064476e-01f,
    8.93111890e-01f, 8.93159302e-01f, 8.93206713e-01f, 8.93254123e-01f,
    8.93301531e-01f, 8.93348937e-01f, 8.93396342e-01f, 8.93443745e-01f,
    8.93491147e-01f, 8.93538547e-01f, 8.93585946e-01f, 8.93633343e-01f,
    8.93680738e-01f, 8.93728132e-01f, 8.93775525e-01f, 8.93822916e-01f,
    8.93870305e-01f, 8.93917692e-01f, 8.93965079e-01f, 8.94012463e-01f,
    8.94059846e-01f, 8.94107228e-01f, 8.94154608e-01f, 8.94201986e-01f,
    8.94249363e-01f, 8.94296738e-01f, 8.94344112e-01f, 8.94391484e-01f,
    8.94438855e-01f, 8.94486224e-01f, 8.94533591e-01f, 8.94580957e-01f,
    8.94628321e-01f, 8.94675684e-01f, 8.94723045e-01f, 8.94770405e-01f,
    8.94817763e-01f, 8.94865120e-01f, 8.94912475e-01f, 8.94959828e-01f,
    8.95007180e-01f, 8.95054531e-01f, 8.95101880e-01f, 8.95149227e-01f,
    8.95196573e-01f, 8.95243917e-01f, 8.95291259e-01f, 8.95338600e-01f,
    8.95385940e-01f, 8.95433278e-01f, 8.95480614e-01f, 8.95527949e-01f,
    8.95575282e-01f, 8.95622614e-01f, 8.95669944e-01f, 8.95717273e-01f,
    8.95764600e-01f, 8.95811926e-01f, 8.95859250e-01f, 8.95906572e-01f,
    8.95953893e-01f, 8.96001212e-01f, 8.96048530e-01f, 8.96095846e-01f,
    8.96143161e-01f, 8.96190474e-01f, 8.96237785e-01f, 8.96285095e-01f,
    8.96332404e-01f, 8.96379711e-01f, 8.96427016e-01f, 8.96474320e-01f,
    8.96521622e-01f, 8.96568923e-01f, 8.96616222e-01f, 8.96663520e-01f,
    8.96710816e-01f, 8.96758110e-01f, 8.96805403e-01f, 8.96852695e-01f,
    8.96899984e-01f, 8.96947273e-01f, 8.96994559e-01f, 8.97041845e-01f,
    8.97089128e-01f, 8.97136410e-01f, 8.97183691e-01f, 8.97230970e-01f,
    8.97278247e-01f, 8.97325523e-01f, 8.97372798e-01f, 8.97420070e-01f,
    8.97467342e-01f, 8.97514611e-01f, 8.97561880e-01f, 8.97609146e-01f,
    8.97656411e-01f, 8.97703675e-01f, 8.97750937e-01f, 8.97798197e-01f,
    8.97845456e-01f, 8.97892713e-01f, 8.97939969e-01f, 8.97987223e-01f,
    8.98034476e-01f, 8.98081727e-01f, 8.98128977e-01f, 8.98176225e-01f,
    8.98223471e-01f, 8.98270716e-01f, 8.98317960e-01f, 8.98365201e-01f,
    8.98412442e-01f, 8.98459680e-01f, 8.98506918e-01f, 8.98554153e-01f,
    8.98601387e-01f, 8.98648620e-01f, 8.98695851e-01f, 8.98743080e-01f,
    8.98790308e-01f, 8.98837535e-01f, 8.98884760e-01f, 8.98931983e-01f,
    8.98979205e-01f, 8.99026425e-01f, 8.99073643e-01f, 8.99120861e-01f,
    8.99168076e-01f, 8.99215290e-01f, 8.99262503e-01f, 8.99309714e-01f,
    8.99356923e-01f, 8.99404131e-01f, 8.99451337e-01f, 8.99498542e-01f,
    8.99545745e-01f, 8.99592947e-01f, 8.99640147e-01f, 8.99687345e-01f,
    8.99734542e-01f, 8.99781738e-01f, 8.99828932e-01f, 8.99876124e-01f,
    8.99923315e-01f, 8.99970504e-01f, 9.00017692e-01f, 9.00064878e-01f,
    9.00112063e-01f, 9.00159246e-01f, 9.00206428e-01f, 9.00253608e-01f,
    9.00300786e-01f, 9.00347963e-01f, 9.00395139e-01f, 9.00442313e-01f,
    9.00489485e-01f, 9.00536656e-01f, 9.00583825e-01f, 9.00630993e-01f,
    9.00678159e-01f, 9.00725323e-01f, 9.00772486e-01f, 9.00819648e-01f,
    9.00866808e-01f, 9.00913966e-01f, 9.00961123e-01f, 9.01008279e-01f,
    9.01055433e-01f, 9.01102585e-01f, 9.01149736e-01f, 9.01196885e-01f,
    9.01244032e-01f, 9.01291179e-01f, 9.01338323e-01f, 9.01385466e-01f,
    9.01432608e-01f, 9.01479748e-01f, 9.01526886e-01f, 9.01574023e-01f,
    9.01621158e-01f, 9.01668292e-01f, 9.01715424e-01f, 9.01762555e-01f,
    9.01809684e-01f, 9.01856812e-01f, 9.01903938e-01f, 9.01951063e-01f,
    9.01998186e-01f, 9.02045307e-01f, 9.02092427e-01f, 9.02139546e-01f,
    9.02186662e-01f, 9.02233778e-01f, 9.02280892e-01f, 9.02328004e-01f,
    9.02375114e-01f, 9.02422224e-01f, 9.02469331e-01f, 9.02516437e-01f,
    9.02563542e-01f, 9.02610645e-01f, 9.02657746e-01f, 9.02704846e-01f,
    9.02751945e-01f, 9.02799042e-01f, 9.02846137e-01f, 9.02893231e-01f,
    9.02940323e-01f, 9.02987414e-01f, 9.03034503e-01f, 9.03081591e-01f,
    9.03128677e-01f, 9.03175761e-01f, 9.03222844e-01f, 9.03269926e-01f,
    9.03317006e-01f, 9.03364084e-01f, 9.03411161e-01f, 9.03458237e-01f,
    9.03505310e-01f, 9.03552383e-01f, 9.03599453e-01f, 9.03646523e-01f,
    9.03693590e-01f, 9.03740657e-01f, 9.03787721e-01f, 9.03834784e-01f,
    9.03881846e-01f, 9.03928906e-01f, 9.03975964e-01f, 9.04023021e-01f,
    9.04070077e-01f, 9.04117130e-01f, 9.04164183e-01f, 9.04211234e-01f,
    9.04258283e-01f, 9.04305331e-01f, 9.04352377e-01f, 9.04399421e-01f,
    9.04446465e-01f, 9.04493506e-01f, 9.04540546e-01f, 9.04587585e-01f,
    9.04634622e-01f, 9.04681657e-01f, 9.04728691e-01f, 9.04775723e-01f,
    9.04822754e-01f, 9.04869784e-01f, 9.04916811e-01f, 9.04963838e-01f,
    9.05010862e-01f, 9.05057886e-01f, 9.05104907e-01f, 9.05151927e-01f,
    9.05198946e-01f, 9.05245963e-01f, 9.05292979e-01f, 9.05339993e-01f,
    9.05387005e-01f, 9.05434016e-01f, 9.05481025e-01f, 9.05528033e-01f,
    9.05575040e-01f, 9.05622044e-01f, 9.05669048e-01f, 9.05716049e-01f,
    9.05763050e-01f, 9.05810048e-01f, 9.05857045e-01f, 9.05904041e-01f,
    9.05951035e-01f, 9.05998028e-01f, 9.06045019e-01f, 9.06092008e-01f,
    9.06138996e-01f, 9.06185983e-01f, 9.06232968e-01f, 9.06279951e-01f,
    9.06326933e-01f, 9.06373913e-01f, 9.06420892e-01f, 9.06467869e-01f,
    9.06514845e-01f, 9.06561819e-01f, 9.06608792e-01f, 9.06655763e-01f,
    9.06702732e-01f, 9.06749701e-01f, 9.06796667e-01f, 9.06843632e-01f,
    9.06890596e-01f, 9.06937558e-01f, 9.06984518e-01f, 9.07031477e-01f,
    9.07078434e-01f, 9.07125390e-01f, 9.07172344e-01f, 9.07219297e-01f,
    9.07266249e-01f, 9.07313198e-01f, 9.07360146e-01f, 9.07407093e-01f,
    9.07454038e-01f, 9.07500982e-01f, 9.07547924e-01f, 9.07594865e-01f,
    9.07641804e-01f, 9.07688741e-01f, 9.07735677e-01f, 9.07782612e-01f,
    9.07829545e-01f, 9.07876476e-01f, 9.07923406e-01f, 9.07970334e-01f,
    9.08017261e-01f, 9.08064186e-01f, 9.08111110e-01f, 9.08158032e-01f,
    9.08204953e-01f, 9.08251872e-01f, 9.08298790e-01f, 9.08345706e-01f,
    9.08392621e-01f, 9.08439534e-01f, 9.08486445e-01f, 9.08533355e-01f,
    9.08580264e-01f, 9.08627171e-01f, 9.08674076e-01f, 9.08720980e-01f,
    9.08767883e-01f, 9.08814784e-01f, 9.08861683e-01f, 9.08908581e-01f,
    9.08955477e-01f, 9.09002372e-01f, 9.09049265e-01f, 9.09096157e-01f,
    9.09143047e-01f, 9.09189936e-01f, 9.09236823e-01f, 9.09283709e-01f,
    9.09330593e-01f, 9.09377476e-01f, 9.09424357e-01f, 9.09471236e-01f,
    9.09518114e-01f, 9.09564991e-01f, 9.09611866e-01f, 9.09658739e-01f,
    9.09705611e-01f, 9.09752482e-01f, 9.09799351e-01f, 9.09846218e-01f,
    9.09893084e-01f, 9.09939948e-01f, 9.09986811e-01f, 9.10033672e-01f,
    9.10080532e-01f, 9.10127390e-01f, 9.10174247e-01f, 9.10221102e-01f,
    9.10267956e-01f, 9.10314808e-01f, 9.10361659e-01f, 9.10408508e-01f,
    9.10455355e-01f, 9.10502201e-01f, 9.10549046e-01f, 9.10595889e-01f,
    9.10642730e-01f, 9.10689570e-01f, 9.10736409e-01f, 9.10783246e-01f,
    9.10830081e-01f, 9.10876915e-01f, 9.10923748e-01f, 9.10970578e-01f,
    9.11017408e-01f, 9.11064236e-01f, 9.11111062e-01f, 9.11157887e-01f,
    9.11204710e-01f, 9.11251532e-01f, 9.11298352e-01f, 9.11345171e-01f,
    9.11391988e-01f, 9.11438804e-01f, 9.11485618e-01f, 9.11532430e-01f,
    9.11579241e-01f, 9.11626051e-01f, 9.11672859e-01f, 9.11719666e-01f,
    9.11766471e-01f, 9.11813274e-01f, 9.11860076e-01f, 9.11906877e-01f,
    9.11953676e-01f, 9.12000473e-01f, 9.12047269e-01f, 9.12094063e-01f,
    9.12140856e-01f, 9.12187648e-01f, 9.12234438e-01f, 9.12281226e-01f,
    9.12328013e-01f, 9.12374798e-01f, 9.12421582e-01f, 9.12468364e-01f,
    9.12515145e-01f, 9.12561924e-01f, 9.12608702e-01f, 9.12655478e-01f,
    9.12702253e-01f, 9.12749026e-01f, 9.12795797e-01f, 9.12842568e-01f,
    9.12889336e-01f, 9.12936103e-01f, 9.12982869e-01f, 9.13029633e-01f,
    9.13076396e-01f, 9.13123157e-01f, 9.13169916e-01f, 9.13216674e-01f,
    9.13263431e-01f, 9.13310186e-01f, 9.13356939e-01f, 9.13403691e-01f,
    9.13450441e-01f, 9.13497190e-01f, 9.13543938e-01f, 9.13590684e-01f,
    9.13637428e-01f, 9.13684171e-01f, 9.13730912e-01f, 9.13777652e-01f,
    9.13824390e-01f, 9.13871127e-01f, 9.13917863e-01f, 9.13964596e-01f,
    9.14011329e-01f, 9.14058059e-01f, 9.14104789e-01f, 9.14151516e-01f,
    9.14198242e-01f, 9.14244967e-01f, 9.14291690e-01f, 9.14338412e-01f,
    9.14385132e-01f, 9.14431851e-01f, 9.14478568e-01f, 9.14525284e-01f,
    9.14571998e-01f, 9.14618710e-01f, 9.14665421e-01f, 9.14712131e-01f,
    9.14758839e-01f, 9.14805545e-01f, 9.14852251e-01f, 9.14898954e-01f,
    9.14945656e-01f, 9.14992357e-01f, 9.15039056e-01f, 9.15085753e-01f,
    9.15132449e-01f, 9.15179143e-01f, 9.15225836e-01f, 9.15272528e-01f,
    9.15319218e-01f, 9.15365906e-01f, 9.15412593e-01f, 9.15459278e-01f,
    9.15505962e-01f, 9.15552645e-01f, 9.15599325e-01f, 9.15646005e-01f,
    9.15692683e-01f, 9.15739359e-01f, 9.15786034e-01f, 9.15832707e-01f,
    9.15879379e-01f, 9.15926049e-01f, 9.15972718e-01f, 9.16019385e-01f,
    9.16066051e-01f, 9.16112715e-01f, 9.16159378e-01f, 9.16206039e-01f,
    9.16252699e-01f, 9.16299357e-01f, 9.16346014e-01f, 9.16392669e-01f,
    9.16439323e-01f, 9.16485975e-01f, 9.16532625e-01f, 9.16579275e-01f,
    9.16625922e-01f, 9.16672568e-01f, 9.16719213e-01f, 9.16765856e-01f,
    9.16812498e-01f, 9.16859138e-01f, 9.16905776e-01f, 9.16952414e-01f,
    9.16999049e-01f, 9.17045683e-01f, 9.17092316e-01f, 9.17138947e-01f,
    9.17185576e-01f, 9.17232204e-01f, 9.17278831e-01f, 9.17325456e-01f,
    9.17372079e-01f, 9.17418701e-01f, 9.17465322e-01f, 9.17511941e-01f,
    9.17558559e-01f, 9.17605175e-01f, 9.17651789e-01f, 9.17698402e-01f,
    9.17745013e-01f, 9.17791623e-01f, 9.17838232e-01f, 9.17884839e-01f,
    9.17931444e-01f, 9.17978048e-01f, 9.18024651e-01f, 9.18071252e-01f,
    9.18117851e-01f, 9.18164449e-01f, 9.18211045e-01f, 9.18257640e-01f,
    9.18304234e-01f, 9.18350826e-01f, 9.18397416e-01f, 9.18444005e-01f,
    9.18490592e-01f, 9.18537178e-01f, 9.18583763e-01f, 9.18630345e-01f,
    9.18676927e-01f, 9.18723507e-01f, 9.18770085e-01f, 9.18816662e-01f,
    9.18863237e-01f, 9.18909811e-01f, 9.18956383e-01f, 9.19002954e-01f,
    9.19049524e-01f, 9.19096092e-01f, 9.19142658e-01f, 9.19189223e-01f,
    9.19235786e-01f, 9.19282348e-01f, 9.19328908e-01f, 9.19375467e-01f,
    9.19422024e-01f, 9.19468580e-01f, 9.19515134e-01f, 9.19561687e-01f,
    9.19608239e-01f, 9.19654788e-01f, 9.19701337e-01f, 9.19747884e-01f,
    9.19794429e-01f, 9.19840973e-01f, 9.19887515e-01f, 9.19934056e-01f,
    9.19980595e-01f, 9.20027133e-01f, 9.20073669e-01f, 9.20120204e-01f,
    9.20166737e-01f, 9.20213269e-01f, 9.20259799e-01f, 9.20306328e-01f,
    9.20352855e-01f, 9.20399381e-01f, 9.20445905e-01f, 9.20492428e-01f,
    9.20538950e-01f, 9.20585469e-01f, 9.20631988e-01f, 9.20678504e-01f,
    9.20725020e-01f, 9.20771534e-01f, 9.20818046e-01f, 9.20864557e-01f,
    9.20911066e-01f, 9.20957574e-01f, 9.21004080e-01f, 9.21050585e-01f,
    9.21097088e-01f, 9.21143590e-01f, 9.21190090e-01f, 9.21236589e-01f,
    9.21283086e-01f, 9.21329582e-01f, 9.21376076e-01f, 9.21422569e-01f,
    9.21469061e-01f, 9.21515550e-01f, 9.21562039e-01f, 9.21608525e-01f,
    9.21655011e-01f, 9.21701495e-01f, 9.21747977e-01f, 9.21794458e-01f,
    9.21840937e-01f, 9.21887415e-01f, 9.21933891e-01f, 9.21980366e-01f,
    9.22026839e-01f, 9.22073311e-01f, 9.22119782e-01f, 9.22166250e-01f,
    9.22212718e-01f, 9.22259184e-01f, 9.22305648e-01f, 9.22352111e-01f,
    9.22398572e-01f, 9.22445032e-01f, 9.22491490e-01f, 9.22537947e-01f,
    9.22584403e-01f, 9.22630857e-01f, 9.22677309e-01f, 9.22723760e-01f,
    9.22770209e-01f, 9.22816657e-01f, 9.22863104e-01f, 9.22909548e-01f,
    9.22955992e-01f, 9.23002434e-01f, 9.23048874e-01f, 9.23095313e-01f,
    9.23141751e-01f, 9.23188187e-01f, 9.23234621e-01f, 9.23281054e-01f,
    9.23327485e-01f, 9.23373915e-01f, 9.23420344e-01f, 9.23466771e-01f,
    9.23513196e-01f, 9.23559620e-01f, 9.23606043e-01f, 9.23652464e-01f,
    9.23698883e-01f, 9.23745301e-01f, 9.23791718e-01f, 9.23838133e-01f,
    9.23884546e-01f, 9.23930958e-01f, 9.23977369e-01f, 9.24023778e-01f,
    9.24070186e-01f, 9.24116592e-01f, 9.24162996e-01f, 9.24209399e-01f,
    9.24255801e-01f, 9.24302201e-01f, 9.24348600e-01f, 9.24394997e-01f,
    9.24441392e-01f, 9.24487786e-01f, 9.24534179e-01f, 9.24580570e-01f,
    9.24626960e-01f, 9.24673348e-01f, 9.24719735e-01f, 9.24766120e-01f,
    9.24812504e-01f, 9.24858886e-01f, 9.24905267e-01f, 9.24951646e-01f,
    9.24998023e-01f, 9.25044400e-01f, 9.25090774e-01f, 9.25137148e-01f,
    9.25183519e-01f, 9.25229890e-01f, 9.25276258e-01f, 9.25322626e-01f,
    9.25368992e-01f, 9.25415356e-01f, 9.25461719e-01f, 9.25508080e-01f,
    9.25554440e-01f, 9.25600798e-01f, 9.25647155e-01f, 9.25693510e-01f,
    9.25739864e-01f, 9.25786217e-01f, 9.25832568e-01f, 9.25878917e-01f,
    9.25925265e-01f, 9.25971611e-01f, 9.26017956e-01f, 9.26064300e-01f,
    9.26110642e-01f, 9.26156982e-01f, 9.26203321e-01f, 9.26249659e-01f,
    9.26295995e-01f, 9.26342329e-01f, 9.26388662e-01f, 9.26434994e-01f,
    9.26481324e-01f, 9.26527653e-01f, 9.26573980e-01f, 9.26620305e-01f,
    9.26666629e-01f, 9.26712952e-01f, 9.26759273e-01f, 9.26805593e-01f,
    9.26851911e-01f, 9.26898228e-01f, 9.26944543e-01f, 9.26990857e-01f,
    9.27037169e-01f, 9.27083479e-01f, 9.27129789e-01f, 9.27176096e-01f,
    9.27222403e-01f, 9.27268708e-01f, 9.27315011e-01f, 9.27361313e-01f,
    9.27407613e-01f, 9.27453912e-01f, 9.27500209e-01f, 9.27546505e-01f,
    9.27592799e-01f, 9.27639092e-01f, 9.27685384e-01f, 9.27731674e-01f,
    9.27777962e-01f, 9.27824249e-01f, 9.27870535e-01f, 9.27916819e-01f,
    9.27963101e-01f, 9.28009382e-01f, 9.28055662e-01f, 9.28101940e-01f,
    9.28148216e-01f, 9.28194491e-01f, 9.28240765e-01f, 9.28287037e-01f,
    9.28333308e-01f, 9.28379577e-01f, 9.28425844e-01f, 9.28472111e-01f,
    9.28518375e-01f, 9.28564638e-01f, 9.28610900e-01f, 9.28657160e-01f,
    9.28703419e-01f, 9.28749676e-01f, 9.28795932e-01f, 9.28842187e-01f,
    9.28888439e-01f, 9.28934691e-01f, 9.28980941e-01f, 9.29027189e-01f,
    9.29073436e-01f, 9.29119681e-01f, 9.29165925e-01f, 9.29212168e-01f,
    9.29258409e-01f, 9.29304648e-01f, 9.29350886e-01f, 9.29397123e-01f,
    9.29443358e-01f, 9.29489591e-01f, 9.29535823e-01f, 9.29582054e-01f,
    9.29628283e-01f, 9.29674511e-01f, 9.29720737e-01f, 9.29766961e-01f,
    9.29813185e-01f, 9.29859406e-01f, 9.29905627e-01f, 9.29951845e-01f,
    9.29998063e-01f, 9.30044278e-01f, 9.30090493e-01f, 9.30136706e-01f,
    9.30182917e-01f, 9.30229127e-01f, 9.30275335e-01f, 9.30321542e-01f,
    9.30367747e-01f, 9.30413951e-01f, 9.30460154e-01f, 9.30506355e-01f,
    9.30552554e-01f, 9.30598752e-01f, 9.30644949e-01f, 9.30691144e-01f,
    9.30737338e-01f, 9.30783530e-01f, 9.30829720e-01f, 9.30875909e-01f,
    9.30922097e-01f, 9.30968283e-01f, 9.31014468e-01f, 9.31060651e-01f,
    9.31106833e-01f, 9.31153013e-01f, 9.31199192e-01f, 9.31245369e-01f,
    9.31291545e-01f, 9.31337720e-01f, 9.31383893e-01f, 9.31430064e-01f,
    9.31476234e-01f, 9.31522402e-01f, 9.31568569e-01f, 9.31614735e-01f,
    9.31660899e-01f, 9.31707061e-01f, 9.31753222e-01f, 9.31799382e-01f,
    9.31845540e-01f, 9.31891697e-01f, 9.31937852e-01f, 9.31984006e-01f,
    9.32030158e-01f, 9.32076309e-01f, 9.32122458e-01f, 9.32168606e-01f,
    9.32214752e-01f, 9.32260897e-01f, 9.32307040e-01f, 9.32353182e-01f,
    9.32399322e-01f, 9.32445461e-01f, 9.32491599e-01f, 9.32537735e-01f,
    9.32583869e-01f, 9.32630002e-01f, 9.32676134e-01f, 9.32722264e-01f,
    9.32768393e-01f, 9.32814520e-01f, 9.32860645e-01f, 9.32906769e-01f,
    9.32952892e-01f, 9.32999013e-01f, 9.33045133e-01f, 9.33091251e-01f,
    9.33137368e-01f, 9.33183484e-01f, 9.33229597e-01f, 9.33275710e-01f,
    9.33321821e-01f, 9.33367930e-01f, 9.33414038e-01f, 9.33460145e-01f,
    9.33506250e-01f, 9.33552353e-01f, 9.33598455e-01f, 9.33644556e-01f,
    9.33690655e-01f, 9.33736753e-01f, 9.33782849e-01f, 9.33828943e-01f,
    9.33875037e-01f, 9.33921128e-01f, 9.33967219e-01f, 9.34013308e-01f,
    9.34059395e-01f, 9.34105481e-01f, 9.34151565e-01f, 9.34197648e-01f,
    9.34243730e-01f, 9.34289810e-01f, 9.34335888e-01f, 9.34381965e-01f,
    9.34428041e-01f, 9.34474115e-01f, 9.34520187e-01f, 9.34566258e-01f,
    9.34612328e-01f, 9.34658396e-01f, 9.34704463e-01f, 9.34750528e-01f,
    9.34796592e-01f, 9.34842655e-01f, 9.34888715e-01f, 9.34934775e-01f,
    9.34980833e-01f, 9.35026889e-01f, 9.35072944e-01f, 9.35118998e-01f,
    9.35165050e-01f, 9.35211100e-01f, 9.35257149e-01f, 9.35303197e-01f,
    9.35349243e-01f, 9.35395288e-01f, 9.35441331e-01f, 9.35487373e-01f,
    9.35533413e-01f, 9.35579452e-01f, 9.35625489e-01f, 9.35671525e-01f,
    9.35717559e-01f, 9.35763592e-01f, 9.35809624e-01f, 9.35855654e-01f,
    9.35901682e-01f, 9.35947709e-01f, 9.35993735e-01f, 9.36039759e-01f,
    9.36085782e-01f, 9.36131803e-01f, 9.36177823e-01f, 9.36223841e-01f,
    9.36269858e-01f, 9.36315873e-01f, 9.36361887e-01f, 9.36407899e-01f,
    9.36453910e-01f, 9.36499919e-01f, 9.36545927e-01f, 9.36591934e-01f,
    9.36637939e-01f, 9.36683943e-01f, 9.36729945e-01f, 9.36775945e-01f,
    9.36821944e-01f, 9.36867942e-01f, 9.36913938e-01f, 9.36959933e-01f,
    9.37005927e-01f, 9.37051918e-01f, 9.37097909e-01f, 9.37143898e-01f,
    9.37189885e-01f, 9.37235871e-01f, 9.37281856e-01f, 9.37327839e-01f,
    9.37373820e-01f, 9.37419800e-01f, 9.37465779e-01f, 9.37511756e-01f,
    9.37557732e-01f, 9.37603706e-01f, 9.37649679e-01f, 9.37695650e-01f,
    9.37741620e-01f, 9.37787588e-01f, 9.37833555e-01f, 9.37879521e-01f,
    9.37925485e-01f, 9.37971447e-01f, 9.38017408e-01f, 9.38063368e-01f,
    9.38109326e-01f, 9.38155283e-01f, 9.38201238e-01f, 9.38247192e-01f,
    9.38293144e-01f, 9.38339095e-01f, 9.38385044e-01f, 9.38430992e-01f,
    9.38476939e-01f, 9.38522884e-01f, 9.38568827e-01f, 9.38614769e-01f,
    9.38660710e-01f, 9.38706649e-01f, 9.38752587e-01f, 9.38798523e-01f,
    9.38844457e-01f, 9.38890391e-01f, 9.38936323e-01f, 9.38982253e-01f,
    9.39028182e-01f, 9.39074109e-01f, 9.39120035e-01f, 9.39165960e-01f,
    9.39211883e-01f, 9.39257804e-01f, 9.39303724e-01f, 9.39349643e-01f,
    9.39395560e-01f, 9.39441476e-01f, 9.39487390e-01f, 9.39533303e-01f,
    9.39579214e-01f, 9.39625124e-01f, 9.39671033e-01f, 9.39716940e-01f,
    9.39762845e-01f, 9.39808749e-01f, 9.39854652e-01f, 9.39900553e-01f,
    9.39946452e-01f, 9.39992351e-01f, 9.40038247e-01f, 9.40084143e-01f,
    9.40130036e-01f, 9.40175929e-01f, 9.40221820e-01f, 9.40267709e-01f,
    9.40313597e-01f, 9.40359484e-01f, 9.40405369e-01f, 9.40451252e-01f,
    9.40497134e-01f, 9.40543015e-01f, 9.40588894e-01f, 9.40634772e-01f,
    9.40680648e-01f, 9.40726523e-01f, 9.40772397e-01f, 9.40818269e-01f,
    9.40864139e-01f, 9.40910008e-01f, 9.40955876e-01f, 9.41001742e-01f,
    9.41047606e-01f, 9.41093470e-01f, 9.41139331e-01f, 9.41185191e-01f,
    9.41231050e-01f, 9.41276908e-01f, 9.41322764e-01f, 9.41368618e-01f,
    9.41414471e-01f, 9.41460322e-01f, 9.41506173e-01f, 9.41552021e-01f,
    9.41597868e-01f, 9.41643714e-01f, 9.41689558e-01f, 9.41735401e-01f,
    9.41781242e-01f, 9.41827082e-01f, 9.41872921e-01f, 9.41918757e-01f,
    9.41964593e-01f, 9.42010427e-01f, 9.42056260e-01f, 9.42102091e-01f,
    9.42147920e-01f, 9.42193749e-01f, 9.42239575e-01f, 9.42285401e-01f,
    9.42331225e-01f, 9.42377047e-01f, 9.42422868e-01f, 9.42468687e-01f,
    9.42514505e-01f, 9.42560322e-01f, 9.42606137e-01f, 9.42651951e-01f,
    9.42697763e-01f, 9.42743574e-01f, 9.42789383e-01f, 9.42835191e-01f,
    9.42880997e-01f, 9.42926802e-01f, 9.42972606e-01f, 9.43018408e-01f,
    9.43064208e-01f, 9.43110007e-01f, 9.43155805e-01f, 9.43201601e-01f,
    9.43247396e-01f, 9.43293189e-01f, 9.43338981e-01f, 9.43384771e-01f,
    9.43430560e-01f, 9.43476348e-01f, 9.43522134e-01f, 9.43567918e-01f,
    9.43613702e-01f, 9.43659483e-01f, 9.43705264e-01f, 9.43751042e-01f,
    9.43796820e-01f, 9.43842595e-01f, 9.43888370e-01f, 9.43934143e-01f,
    9.43979914e-01f, 9.44025684e-01f, 9.44071453e-01f, 9.44117220e-01f,
    9.44162986e-01f, 9.44208750e-01f, 9.44254513e-01f, 9.44300274e-01f,
    9.44346034e-01f, 9.44391793e-01f, 9.44437550e-01f, 9.44483305e-01f,
    9.44529059e-01f, 9.44574812e-01f, 9.44620563e-01f, 9.44666313e-01f,
    9.44712061e-01f, 9.44757808e-01f, 9.44803553e-01f, 9.44849297e-01f,
    9.44895040e-01f, 9.44940781e-01f, 9.44986520e-01f, 9.45032258e-01f,
    9.45077995e-01f, 9.45123730e-01f, 9.45169464e-01f, 9.45215196e-01f,
    9.45260927e-01f, 9.45306657e-01f, 9.45352385e-01f, 9.45398111e-01f,
    9.45443836e-01f, 9.45489560e-01f, 9.45535282e-01f, 9.45581003e-01f,
    9.45626722e-01f, 9.45672440e-01f, 9.45718156e-01f, 9.45763871e-01f,
    9.45809585e-01f, 9.45855297e-01f, 9.45901008e-01f, 9.45946717e-01f,
    9.45992424e-01f, 9.46038131e-01f, 9.46083835e-01f, 9.46129539e-01f,
    9.46175241e-01f, 9.46220941e-01f, 9.46266640e-01f, 9.46312338e-01f,
    9.46358034e-01f, 9.46403729e-01f, 9.46449422e-01f, 9.46495114e-01f,
    9.46540804e-01f, 9.46586493e-01f, 9.46632180e-01f, 9.46677866e-01f,
    9.46723551e-01f, 9.46769234e-01f, 9.46814915e-01f, 9.46860596e-01f,
    9.46906274e-01f, 9.46951952e-01f, 9.46997628e-01f, 9.47043302e-01f,
    9.47088975e-01f, 9.47134647e-01f, 9.47180317e-01f, 9.47225985e-01f,
    9.47271652e-01f, 9.47317318e-01f, 9.47362983e-01f, 9.47408645e-01f,
    9.47454307e-01f, 9.47499967e-01f, 9.47545625e-01f, 9.47591282e-01f,
    9.47636938e-01f, 9.47682592e-01f, 9.47728245e-01f, 9.47773896e-01f,
    9.47819546e-01f, 9.47865194e-01f, 9.47910841e-01f, 9.47956487e-01f,
    9.48002131e-01f, 9.48047774e-01f, 9.48093415e-01f, 9.48139055e-01f,
    9.48184693e-01f, 9.48230330e-01f, 9.48275965e-01f, 9.48321599e-01f,
    9.48367232e-01f, 9.48412863e-01f, 9.48458492e-01f, 9.48504120e-01f,
    9.48549747e-01f, 9.48595373e-01f, 9.48640996e-01f, 9.48686619e-01f,
    9.48732240e-01f, 9.48777859e-01f, 9.48823477e-01f, 9.48869094e-01f,
    9.48914709e-01f, 9.48960323e-01f, 9.49005935e-01f, 9.49051546e-01f,
    9.49097156e-01f, 9.49142764e-01f, 9.49188370e-01f, 9.49233975e-01f,
    9.49279579e-01f, 9.49325181e-01f, 9.49370782e-01f, 9.49416381e-01f,
    9.49461979e-01f, 9.49507576e-01f, 9.49553171e-01f, 9.49598764e-01f,
    9.49644357e-01f, 9.49689947e-01f, 9.49735537e-01f, 9.49781124e-01f,
    9.49826711e-01f, 9.49872296e-01f, 9.49917879e-01f, 9.49963461e-01f,
    9.50009042e-01f, 9.50054621e-01f, 9.50100199e-01f, 9.50145775e-01f,
    9.50191350e-01f, 9.50236923e-01f, 9.50282495e-01f, 9.50328066e-01f,
    9.50373635e-01f, 9.50419203e-01f, 9.50464769e-01f, 9.50510334e-01f,
    9.50555897e-01f, 9.50601459e-01f, 9.50647019e-01f, 9.50692578e-01f,
    9.50738136e-01f, 9.50783692e-01f, 9.50829247e-01f, 9.50874800e-01f,
    9.50920352e-01f, 9.50965902e-01f, 9.51011451e-01f, 9.51056999e-01f,
    9.51102545e-01f, 9.51148090e-01f, 9.51193633e-01f, 9.51239175e-01f,
    9.51284715e-01f, 9.51330254e-01f, 9.51375791e-01f, 9.51421327e-01f,
    9.51466862e-01f, 9.51512395e-01f, 9.51557927e-01f, 9.51603457e-01f,
    9.51648986e-01f, 9.51694513e-01f, 9.51740039e-01f, 9.51785564e-01f,
    9.51831087e-01f, 9.51876609e-01f, 9.51922129e-01f, 9.51967648e-01f,
    9.52013165e-01f, 9.52058681e-01f, 9.52104195e-01f, 9.52149708e-01f,
    9.52195220e-01f, 9.52240730e-01f, 9.52286239e-01f, 9.52331746e-01f,
    9.52377252e-01f, 9.52422756e-01f, 9.52468259e-01f, 9.52513761e-01f,
    9.52559261e-01f, 9.52604760e-01f, 9.52650257e-01f, 9.52695753e-01f,
    9.52741247e-01f, 9.52786740e-01f, 9.52832232e-01f, 9.52877722e-01f,
    9.52923210e-01f, 9.52968698e-01f, 9.53014183e-01f, 9.53059668e-01f,
    9.53105151e-01f, 9.53150632e-01f, 9.53196112e-01f, 9.53241591e-01f,
    9.53287068e-01f, 9.53332544e-01f, 9.53378018e-01f, 9.53423491e-01f,
    9.53468962e-01f, 9.53514432e-01f, 9.53559901e-01f, 9.53605368e-01f,
    9.53650834e-01f, 9.53696298e-01f, 9.53741761e-01f, 9.53787222e-01f,
    9.53832682e-01f, 9.53878141e-01f, 9.53923598e-01f, 9.53969053e-01f,
    9.54014508e-01f, 9.54059961e-01f, 9.54105412e-01f, 9.54150862e-01f,
    9.54196310e-01f, 9.54241757e-01f, 9.54287203e-01f, 9.54332647e-01f,
    9.54378090e-01f, 9.54423532e-01f, 9.54468971e-01f, 9.54514410e-01f,
    9.54559847e-01f, 9.54605283e-01f, 9.54650717e-01f, 9.54696150e-01f,
    9.54741581e-01f, 9.54787011e-01f, 9.54832439e-01f, 9.54877866e-01f,
    9.54923292e-01f, 9.54968716e-01f, 9.55014139e-01f, 9.55059560e-01f,
    9.55104980e-01f, 9.55150399e-01f, 9.55195816e-01f, 9.55241231e-01f,
    9.55286646e-01f, 9.55332058e-01f, 9.55377470e-01f, 9.55422879e-01f,
    9.55468288e-01f, 9.55513695e-01f, 9.55559101e-01f, 9.55604505e-01f,
    9.55649908e-01f, 9.55695309e-01f, 9.55740709e-01f, 9.55786107e-01f,
    9.55831504e-01f, 9.55876900e-01f, 9.55922294e-01f, 9.55967687e-01f,
    9.56013078e-01f, 9.56058468e-01f, 9.56103856e-01f, 9.56149243e-01f,
    9.56194629e-01f, 9.56240013e-01f, 9.56285396e-01f, 9.56330777e-01f,
    9.56376157e-01f, 9.56421536e-01f, 9.56466913e-01f, 9.56512288e-01f,
    9.56557663e-01f, 9.56603035e-01f, 9.56648407e-01f, 9.56693777e-01f,
    9.56739145e-01f, 9.56784512e-01f, 9.56829878e-01f, 9.56875242e-01f,
    9.56920605e-01f, 9.56965966e-01f, 9.57011326e-01f, 9.57056684e-01f,
    9.57102042e-01f, 9.57147397e-01f, 9.57192751e-01f, 9.57238104e-01f,
    9.57283456e-01f, 9.57328806e-01f, 9.57374154e-01f, 9.57419501e-01f,
    9.57464847e-01f, 9.57510191e-01f, 9.57555534e-01f, 9.57600875e-01f,
    9.57646215e-01f, 9.57691554e-01f, 9.57736891e-01f, 9.57782227e-01f,
    9.57827561e-01f, 9.57872894e-01f, 9.57918225e-01f, 9.57963555e-01f,
    9.58008884e-01f, 9.58054211e-01f, 9.58099537e-01f, 9.58144861e-01f,
    9.58190184e-01f, 9.58235505e-01f, 9.58280825e-01f, 9.58326144e-01f,
    9.58371461e-01f, 9.58416777e-01f, 9.58462091e-01f, 9.58507404e-01f,
    9.58552715e-01f, 9.58598025e-01f, 9.58643334e-01f, 9.58688641e-01f,
    9.58733947e-01f, 9.58779252e-01f, 9.58824554e-01f, 9.58869856e-01f,
    9.58915156e-01f, 9.58960455e-01f, 9.59005752e-01f, 9.59051048e-01f,
    9.59096342e-01f, 9.59141635e-01f, 9.59186927e-01f, 9.59232217e-01f,
    9.59277506e-01f, 9.59322793e-01f, 9.59368079e-01f, 9.59413363e-01f,
    9.59458646e-01f, 9.59503928e-01f, 9.59549208e-01f, 9.59594487e-01f,
    9.59639764e-01f, 9.59685040e-01f, 9.59730315e-01f, 9.59775588e-01f,
    9.59820860e-01f, 9.59866130e-01f, 9.59911399e-01f, 9.59956666e-01f,
    9.60001932e-01f, 9.60047197e-01f, 9.60092460e-01f, 9.60137722e-01f,
    9.60182982e-01f, 9.60228241e-01f, 9.60273498e-01f, 9.60318754e-01f,
    9.60364009e-01f, 9.60409262e-01f, 9.60454514e-01f, 9.60499764e-01f,
    9.60545013e-01f, 9.60590261e-01f, 9.60635507e-01f, 9.60680752e-01f,
    9.60725995e-01f, 9.60771237e-01f, 9.60816477e-01f, 9.60861716e-01f,
    9.60906954e-01f, 9.60952190e-01f, 9.60997425e-01f, 9.61042658e-01f,
    9.61087890e-01f, 9.61133121e-01f, 9.61178350e-01f, 9.61223577e-01f,
    9.61268804e-01f, 9.61314028e-01f, 9.61359252e-01f, 9.61404474e-01f,
    9.61449694e-01f, 9.61494914e-01f, 9.61540131e-01f, 9.61585348e-01f,
    9.61630563e-01f, 9.61675776e-01f, 9.61720988e-01f, 9.61766199e-01f,
    9.61811408e-01f, 9.61856616e-01f, 9.61901822e-01f, 9.61947027e-01f,
    9.61992231e-01f, 9.62037433e-01f, 9.62082634e-01f, 9.62127833e-01f,
    9.62173031e-01f, 9.62218228e-01f, 9.62263423e-01f, 9.62308616e-01f,
    9.62353809e-01f, 9.62398999e-01f, 9.62444189e-01f, 9.62489377e-01f,
    9.62534564e-01f, 9.62579749e-01f, 9.62624932e-01f, 9.62670115e-01f,
    9.62715296e-01f, 9.62760475e-01f, 9.62805653e-01f, 9.62850830e-01f,
    9.62896005e-01f, 9.62941179e-01f, 9.62986352e-01f, 9.63031523e-01f,
    9.63076692e-01f, 9.63121861e-01f, 9.63167027e-01f, 9.63212193e-01f,
    9.63257357e-01f, 9.63302519e-01f, 9.63347680e-01f, 9.63392840e-01f,
    9.63437998e-01f, 9.63483155e-01f, 9.63528311e-01f, 9.63573465e-01f,
    9.63618617e-01f, 9.63663769e-01f, 9.63708919e-01f, 9.63754067e-01f,
    9.63799214e-01f, 9.63844360e-01f, 9.63889504e-01f, 9.63934646e-01f,
    9.63979788e-01f, 9.64024928e-01f, 9.64070066e-01f, 9.64115203e-01f,
    9.64160339e-01f, 9.64205473e-01f, 9.64250606e-01f, 9.64295738e-01f,
    9.64340868e-01f, 9.64385996e-01f, 9.64431124e-01f, 9.64476249e-01f,
    9.64521374e-01f, 9.64566497e-01f, 9.64611618e-01f, 9.64656739e-01f,
    9.64701857e-01f, 9.64746975e-01f, 9.64792091e-01f, 9.64837205e-01f,
    9.64882318e-01f, 9.64927430e-01f, 9.64972540e-01f, 9.65017649e-01f,
    9.65062757e-01f, 9.65107863e-01f, 9.65152967e-01f, 9.65198071e-01f,
    9.65243173e-01f, 9.65288273e-01f, 9.65333372e-01f, 9.65378470e-01f,
    9.65423566e-01f, 9.65468661e-01f, 9.65513754e-01f, 9.65558846e-01f,
    9.65603937e-01f, 9.65649026e-01f, 9.65694113e-01f, 9.65739200e-01f,
    9.65784285e-01f, 9.65829368e-01f, 9.65874450e-01f, 9.65919531e-01f,
    9.65964610e-01f, 9.66009688e-01f, 9.66054765e-01f, 9.66099840e-01f,
    9.66144913e-01f, 9.66189986e-01f, 9.66235056e-01f, 9.66280126e-01f,
    9.66325194e-01f, 9.66370261e-01f, 9.66415326e-01f, 9.66460390e-01f,
    9.66505452e-01f, 9.66550513e-01f, 9.66595572e-01f, 9.66640631e-01f,
    9.66685687e-01f, 9.66730743e-01f, 9.66775797e-01f, 9.66820849e-01f,
    9.66865900e-01f, 9.66910950e-01f, 9.66955998e-01f, 9.67001045e-01f,
    9.67046091e-01f, 9.67091135e-01f, 9.67136178e-01f, 9.67181219e-01f,
    9.67226259e-01f, 9.67271297e-01f, 9.67316334e-01f, 9.67361370e-01f,
    9.67406404e-01f, 9.67451437e-01f, 9.67496469e-01f, 9.67541499e-01f,
    9.67586527e-01f, 9.67631555e-01f, 9.67676580e-01f, 9.67721605e-01f,
    9.67766628e-01f, 9.67811649e-01f, 9.67856670e-01f, 9.67901688e-01f,
    9.67946706e-01f, 9.67991722e-01f, 9.68036736e-01f, 9.68081750e-01f,
    9.68126761e-01f, 9.68171772e-01f, 9.68216781e-01f, 9.68261788e-01f,
    9.68306794e-01f, 9.68351799e-01f, 9.68396803e-01f, 9.68441804e-01f,
    9.68486805e-01f, 9.68531804e-01f, 9.68576802e-01f, 9.68621798e-01f,
    9.68666793e-01f, 9.68711787e-01f, 9.68756779e-01f, 9.68801770e-01f,
    9.68846759e-01f, 9.68891747e-01f, 9.68936733e-01f, 9.68981718e-01f,
    9.69026702e-01f, 9.69071684e-01f, 9.69116665e-01f, 9.69161645e-01f,
    9.69206623e-01f, 9.69251600e-01f, 9.69296575e-01f, 9.69341549e-01f,
    9.69386521e-01f, 9.69431492e-01f, 9.69476462e-01f, 9.69521430e-01f,
    9.69566397e-01f, 9.69611363e-01f, 9.69656327e-01f, 9.69701290e-01f,
    9.69746251e-01f, 9.69791211e-01f, 9.69836169e-01f, 9.69881126e-01f,
    9.69926082e-01f, 9.69971036e-01f, 9.70015989e-01f, 9.70060941e-01f,
    9.70105891e-01f, 9.70150839e-01f, 9.70195787e-01f, 9.70240732e-01f,
    9.70285677e-01f, 9.70330620e-01f, 9.70375562e-01f, 9.70420502e-01f,
    9.70465441e-01f, 9.70510378e-01f, 9.70555314e-01f, 9.70600249e-01f,
    9.70645182e-01f, 9.70690114e-01f, 9.70735045e-01f, 9.70779974e-01f,
    9.70824901e-01f, 9.70869828e-01f, 9.70914753e-01f, 9.70959676e-01f,
    9.71004598e-01f, 9.71049519e-01f, 9.71094438e-01f, 9.71139356e-01f,
    9.71184272e-01f, 9.71229187e-01f, 9.71274101e-01f, 9.71319013e-01f,
    9.71363924e-01f, 9.71408834e-01f, 9.71453742e-01f, 9.71498649e-01f,
    9.71543554e-01f, 9.71588458e-01f, 9.71633360e-01f, 9.71678261e-01f,
    9.71723161e-01f, 9.71768059e-01f, 9.71812956e-01f, 9.71857852e-01f,
    9.71902746e-01f, 9.71947639e-01f, 9.71992530e-01f, 9.72037420e-01f,
    9.72082309e-01f, 9.72127196e-01f, 9.72172081e-01f, 9.72216966e-01f,
    9.72261849e-01f, 9.72306730e-01f, 9.72351610e-01f, 9.72396489e-01f,
    9.72441367e-01f, 9.72486243e-01f, 9.72531117e-01f, 9.72575990e-01f,
    9.72620862e-01f, 9.72665732e-01f, 9.72710601e-01f, 9.72755469e-01f,
    9.72800335e-01f, 9.72845200e-01f, 9.72890063e-01f, 9.72934925e-01f,
    9.72979786e-01f, 9.73024645e-01f, 9.73069503e-01f, 9.73114360e-01f,
    9.73159215e-01f, 9.73204068e-01f, 9.73248920e-01f, 9.73293771e-01f,
    9.73338621e-01f, 9.73383469e-01f, 9.73428316e-01f, 9.73473161e-01f,
    9.73518005e-01f, 9.73562847e-01f, 9.73607688e-01f, 9.73652528e-01f,
    9.73697366e-01f, 9.73742203e-01f, 9.73787039e-01f, 9.73831873e-01f,
    9.73876706e-01f, 9.73921537e-01f, 9.73966367e-01f, 9.74011195e-01f,
    9.74056023e-01f, 9.74100848e-01f, 9.74145673e-01f, 9.74190496e-01f,
    9.74235317e-01f, 9.74280138e-01f, 9.74324956e-01f, 9.74369774e-01f,
    9.74414590e-01f, 9.74459404e-01f, 9.74504218e-01f, 9.74549030e-01f,
    9.74593840e-01f, 9.74638649e-01f, 9.74683457e-01f, 9.74728263e-01f,
    9.74773068e-01f, 9.74817871e-01f, 9.74862673e-01f, 9.74907474e-01f,
    9.74952274e-01f, 9.74997071e-01f, 9.75041868e-01f, 9.75086663e-01f,
    9.75131457e-01f, 9.75176249e-01f, 9.75221040e-01f, 9.75265830e-01f,
    9.75310618e-01f, 9.75355405e-01f, 9.75400190e-01f, 9.75444974e-01f,
    9.75489757e-01f, 9.75534538e-01f, 9.75579318e-01f, 9.75624097e-01f,
    9.75668874e-01f, 9.75713649e-01f, 9.75758424e-01f, 9.75803196e-01f,
    9.75847968e-01f, 9.75892738e-01f, 9.75937507e-01f, 9.75982274e-01f,
    9.76027040e-01f, 9.76071805e-01f, 9.76116568e-01f, 9.76161330e-01f,
    9.76206090e-01f, 9.76250849e-01f, 9.76295607e-01f, 9.76340363e-01f,
    9.76385118e-01f, 9.76429871e-01f, 9.76474623e-01f, 9.76519374e-01f,
    9.76564123e-01f, 9.76608871e-01f, 9.76653618e-01f, 9.76698363e-01f,
    9.76743107e-01f, 9.76787849e-01f, 9.76832590e-01f, 9.76877330e-01f,
    9.76922068e-01f, 9.76966805e-01f, 9.77011540e-01f, 9.77056274e-01f,
    9.77101007e-01f, 9.77145738e-01f, 9.77190468e-01f, 9.77235196e-01f,
    9.77279923e-01f, 9.77324649e-01f, 9.77369374e-01f, 9.77414096e-01f,
    9.77458818e-01f, 9.77503538e-01f, 9.77548257e-01f, 9.77592974e-01f,
    9.77637690e-01f, 9.77682405e-01f, 9.77727118e-01f, 9.77771830e-01f,
    9.77816541e-01f, 9.77861250e-01f, 9.77905957e-01f, 9.77950664e-01f,
    9.77995369e-01f, 9.78040072e-01f, 9.78084774e-01f, 9.78129475e-01f,
    9.78174174e-01f, 9.78218872e-01f, 9.78263569e-01f, 9.78308264e-01f,
    9.78352958e-01f, 9.78397651e-01f, 9.78442342e-01f, 9.78487031e-01f,
    9.78531720e-01f, 9.78576407e-01f, 9.78621092e-01f, 9.78665776e-01f,
    9.78710459e-01f, 9.78755140e-01f, 9.78799821e-01f, 9.78844499e-01f,
    9.78889176e-01f, 9.78933852e-01f, 9.78978527e-01f, 9.79023200e-01f,
    9.79067871e-01f, 9.79112542e-01f, 9.79157211e-01f, 9.79201878e-01f,
    9.79246544e-01f, 9.79291209e-01f, 9.79335873e-01f, 9.79380535e-01f,
    9.79425195e-01f, 9.79469855e-01f, 9.79514512e-01f, 9.79559169e-01f,
    9.79603824e-01f, 9.79648478e-01f, 9.79693130e-01f, 9.79737781e-01f,
    9.79782431e-01f, 9.79827079e-01f, 9.79871726e-01f, 9.79916371e-01f,
    9.79961015e-01f, 9.80005658e-01f, 9.80050299e-01f, 9.80094939e-01f,
    9.80139578e-01f, 9.80184215e-01f, 9.80228851e-01f, 9.80273485e-01f,
    9.80318118e-01f, 9.80362750e-01f, 9.80407380e-01f, 9.80452009e-01f,
    9.80496636e-01f, 9.80541262e-01f, 9.80585887e-01f, 9.80630510e-01f,
    9.80675132e-01f, 9.80719753e-01f, 9.80764372e-01f, 9.80808990e-01f,
    9.80853606e-01f, 9.80898221e-01f, 9.80942835e-01f, 9.80987447e-01f,
    9.81032058e-01f, 9.81076668e-01f, 9.81121276e-01f, 9.81165883e-01f,
    9.81210488e-01f, 9.81255092e-01f, 9.81299695e-01f, 9.81344296e-01f,
    9.81388896e-01f, 9.81433495e-01f, 9.81478092e-01f, 9.81522688e-01f,
    9.81567282e-01f, 9.81611875e-01f, 9.81656467e-01f, 9.81701057e-01f,
    9.81745646e-01f, 9.81790233e-01f, 9.81834819e-01f, 9.81879404e-01f,
    9.81923987e-01f, 9.81968569e-01f, 9.82013150e-01f, 9.82057729e-01f,
    9.82102307e-01f, 9.82146883e-01f, 9.82191459e-01f, 9.82236032e-01f,
    9.82280605e-01f, 9.82325176e-01f, 9.82369745e-01f, 9.82414313e-01f,
    9.82458880e-01f, 9.82503446e-01f, 9.82548010e-01f, 9.82592572e-01f,
    9.82637134e-01f, 9.82681694e-01f, 9.82726252e-01f, 9.82770809e-01f,
    9.82815365e-01f, 9.82859920e-01f, 9.82904473e-01f, 9.82949024e-01f,
    9.82993575e-01f, 9.83038124e-01f, 9.83082671e-01f, 9.83127217e-01f,
    9.83171762e-01f, 9.83216306e-01f, 9.83260848e-01f, 9.83305388e-01f,
    9.83349928e-01f, 9.83394466e-01f, 9.83439002e-01f, 9.83483537e-01f,
    9.83528071e-01f, 9.83572604e-01f, 9.83617135e-01f, 9.83661664e-01f,
    9.83706193e-01f, 9.83750720e-01f, 9.83795245e-01f, 9.83839769e-01f,
    9.83884292e-01f, 9.83928814e-01f, 9.83973334e-01f, 9.84017852e-01f,
    9.84062370e-01f, 9.84106886e-01f, 9.84151400e-01f, 9.84195913e-01f,
    9.84240425e-01f, 9.84284936e-01f, 9.84329445e-01f, 9.84373952e-01f,
    9.84418459e-01f, 9.84462964e-01f, 9.84507467e-01f, 9.84551970e-01f,
    9.84596470e-01f, 9.84640970e-01f, 9.84685468e-01f, 9.84729965e-01f,
    9.84774460e-01f, 9.84818954e-01f, 9.84863447e-01f, 9.84907938e-01f,
    9.84952428e-01f, 9.84996916e-01f, 9.85041403e-01f, 9.85085889e-01f,
    9.85130373e-01f, 9.85174856e-01f, 9.85219338e-01f, 9.85263818e-01f,
    9.85308297e-01f, 9.85352775e-01f, 9.85397251e-01f, 9.85441726e-01f,
    9.85486199e-01f, 9.85530671e-01f, 9.85575142e-01f, 9.85619611e-01f,
    9.85664079e-01f, 9.85708546e-01f, 9.85753011e-01f, 9.85797475e-01f,
    9.85841937e-01f, 9.85886398e-01f, 9.85930858e-01f, 9.85975316e-01f,
    9.86019773e-01f, 9.86064229e-01f, 9.86108683e-01f, 9.86153136e-01f,
    9.86197587e-01f, 9.86242037e-01f, 9.86286486e-01f, 9.86330933e-01f,
    9.86375379e-01f, 9.86419824e-01f, 9.86464267e-01f, 9.86508709e-01f,
    9.86553150e-01f, 9.86597589e-01f, 9.86642027e-01f, 9.86686463e-01f,
    9.86730898e-01f, 9.86775332e-01f, 9.86819764e-01f, 9.86864195e-01f,
    9.86908625e-01f, 9.86953053e-01f, 9.86997480e-01f, 9.87041905e-01f,
    9.87086329e-01f, 9.87130752e-01f, 9.87175173e-01f, 9.87219593e-01f,
    9.87264012e-01f, 9.87308429e-01f, 9.87352845e-01f, 9.87397260e-01f,
    9.87441673e-01f, 9.87486085e-01f, 9.87530495e-01f, 9.87574904e-01f,
    9.87619312e-01f, 9.87663718e-01f, 9.87708123e-01f, 9.87752527e-01f,
    9.87796929e-01f, 9.87841330e-01f, 9.87885729e-01f, 9.87930128e-01f,
    9.87974524e-01f, 9.88018920e-01f, 9.88063314e-01f, 9.88107706e-01f,
    9.88152098e-01f, 9.88196488e-01f, 9.88240876e-01f, 9.88285263e-01f,
    9.88329649e-01f, 9.88374034e-01f, 9.88418417e-01f, 9.88462799e-01f,
    9.88507179e-01f, 9.88551558e-01f, 9.88595936e-01f, 9.88640312e-01f,
    9.88684687e-01f, 9.88729060e-01f, 9.88773433e-01f, 9.88817803e-01f,
    9.88862173e-01f, 9.88906541e-01f, 9.88950908e-01f, 9.88995273e-01f,
    9.89039637e-01f, 9.89084000e-01f, 9.89128361e-01f, 9.89172721e-01f,
    9.89217079e-01f, 9.89261436e-01f, 9.89305792e-01f, 9.89350147e-01f,
    9.89394500e-01f, 9.89438852e-01f, 9.89483202e-01f, 9.89527551e-01f,
    9.89571899e-01f, 9.89616245e-01f, 9.89660590e-01f, 9.89704933e-01f,
    9.89749275e-01f, 9.89793616e-01f, 9.89837956e-01f, 9.89882294e-01f,
    9.89926631e-01f, 9.89970966e-01f, 9.90015300e-01f, 9.90059633e-01f,
    9.90103964e-01f, 9.90148294e-01f, 9.90192622e-01f, 9.90236950e-01f,
    9.90281275e-01f, 9.90325600e-01f, 9.90369923e-01f, 9.90414245e-01f,
    9.90458565e-01f, 9.90502884e-01f, 9.90547202e-01f, 9.90591518e-01f,
    9.90635833e-01f, 9.90680147e-01f, 9.90724459e-01f, 9.90768770e-01f,
    9.90813079e-01f, 9.90857387e-01f, 9.90901694e-01f, 9.90945999e-01f,
    9.90990304e-01f, 9.91034606e-01f, 9.91078908e-01f, 9.91123208e-01f,
    9.91167506e-01f, 9.91211803e-01f, 9.91256099e-01f, 9.91300394e-01f,
    9.91344687e-01f, 9.91388979e-01f, 9.91433269e-01f, 9.91477558e-01f,
    9.91521846e-01f, 9.91566132e-01f, 9.91610417e-01f, 9.91654701e-01f,
    9.91698983e-01f, 9.91743264e-01f, 9.91787544e-01f, 9.91831822e-01f,
    9.91876099e-01f, 9.91920375e-01f, 9.91964649e-01f, 9.92008921e-01f,
    9.92053193e-01f, 9.92097463e-01f, 9.92141732e-01f, 9.92185999e-01f,
    9.92230265e-01f, 9.92274530e-01f, 9.92318793e-01f, 9.92363055e-01f,
    9.92407315e-01f, 9.92451575e-01f, 9.92495832e-01f, 9.92540089e-01f,
    9.92584344e-01f, 9.92628598e-01f, 9.92672850e-01f, 9.92717101e-01f,
    9.92761351e-01f, 9.92805599e-01f, 9.92849846e-01f, 9.92894092e-01f,
    9.92938336e-01f, 9.92982579e-01f, 9.93026821e-01f, 9.93071061e-01f,
    9.93115300e-01f, 9.93159537e-01f, 9.93203773e-01f, 9.93248008e-01f,
    9.93292241e-01f, 9.93336474e-01f, 9.93380704e-01f, 9.93424934e-01f,
    9.93469162e-01f, 9.93513388e-01f, 9.93557614e-01f, 9.93601837e-01f,
    9.93646060e-01f, 9.93690281e-01f, 9.93734501e-01f, 9.93778720e-01f,
    9.93822937e-01f, 9.93867153e-01f, 9.93911367e-01f, 9.93955580e-01f,
    9.93999792e-01f, 9.94044002e-01f, 9.94088211e-01f, 9.94132419e-01f,
    9.94176625e-01f, 9.94220830e-01f, 9.94265034e-01f, 9.94309236e-01f,
    9.94353437e-01f, 9.94397636e-01f, 9.94441835e-01f, 9.94486031e-01f,
    9.94530227e-01f, 9.94574421e-01f, 9.94618614e-01f, 9.94662805e-01f,
    9.94706995e-01f, 9.94751184e-01f, 9.94795371e-01f, 9.94839557e-01f,
    9.94883742e-01f, 9.94927925e-01f, 9.94972107e-01f, 9.95016288e-01f,
    9.95060467e-01f, 9.95104645e-01f, 9.95148821e-01f, 9.95192997e-01f,
    9.95237170e-01f, 9.95281343e-01f, 9.95325514e-01f, 9.95369684e-01f,
    9.95413852e-01f, 9.95458019e-01f, 9.95502185e-01f, 9.95546349e-01f,
    9.95590512e-01f, 9.95634674e-01f, 9.95678834e-01f, 9.95722993e-01f,
    9.95767151e-01f, 9.95811307e-01f, 9.95855462e-01f, 9.95899616e-01f,
    9.95943768e-01f, 9.95987919e-01f, 9.96032068e-01f, 9.96076216e-01f,
    9.96120363e-01f, 9.96164508e-01f, 9.96208653e-01f, 9.96252795e-01f,
    9.96296937e-01f, 9.96341077e-01f, 9.96385215e-01f, 9.96429353e-01f,
    9.96473489e-01f, 9.96517623e-01f, 9.96561757e-01f, 9.96605889e-01f,
    9.96650019e-01f, 9.96694148e-01f, 9.96738276e-01f, 9.96782403e-01f,
    9.96826528e-01f, 9.96870652e-01f, 9.96914774e-01f, 9.96958895e-01f,
    9.97003015e-01f, 9.97047134e-01f, 9.97091251e-01f, 9.97135367e-01f,
    9.97179481e-01f, 9.97223594e-01f, 9.97267706e-01f, 9.97311816e-01f,
    9.97355925e-01f, 9.97400033e-01f, 9.97444139e-01f, 9.97488244e-01f,
    9.97532348e-01f, 9.97576450e-01f, 9.97620551e-01f, 9.97664650e-01f,
    9.97708748e-01f, 9.97752845e-01f, 9.97796941e-01f, 9.97841035e-01f,
    9.97885128e-01f, 9.97929219e-01f, 9.97973309e-01f, 9.98017398e-01f,
    9.98061486e-01f, 9.98105572e-01f, 9.98149656e-01f, 9.98193740e-01f,
    9.98237822e-01f, 9.98281903e-01f, 9.98325982e-01f, 9.98370060e-01f,
    9.98414137e-01f, 9.98458212e-01f, 9.98502286e-01f, 9.98546358e-01f,
    9.98590430e-01f, 9.98634500e-01f, 9.98678568e-01f, 9.98722635e-01f,
    9.98766701e-01f, 9.98810766e-01f, 9.98854829e-01f, 9.98898891e-01f,
    9.98942951e-01f, 9.98987011e-01f, 9.99031068e-01f, 9.99075125e-01f,
    9.99119180e-01f, 9.99163234e-01f, 9.99207286e-01f, 9.99251337e-01f,
    9.99295387e-01f, 9.99339435e-01f, 9.99383482e-01f, 9.99427528e-01f,
    9.99471573e-01f, 9.99515616e-01f, 9.99559657e-01f, 9.99603698e-01f,
    9.99647737e-01f, 9.99691774e-01f, 9.99735810e-01f, 9.99779845e-01f,
    9.99823879e-01f, 9.99867911e-01f, 9.99911942e-01f, 9.99955972e-01f
    };

#endif
